ACTOR FragClass : DoomPlayer
{ Speed 0.95
  Health 100
  Radius 16
  Height 56
  Mass 100
  PainChance 255
  Player.ColorRange 112, 127
  Player.DisplayName "Fragger"
  Player.CrouchSprite "PLYC"
  Player.JumpZ 10 //added
  //Player.StartItem "Poop",1
  //Weapon mapping to weapon groups 
  Player.WeaponSlot 0, "-Poop-","GatlingLaser","PriGatlingLaser","GatlingGun","PriGatlingGun"
  Player.WeaponSlot 1, "MFists","PriMFists","MFist","PriMFist","MChainsaw","PriMChainsaw","SawThrower","PriSawThrower"
  Player.WeaponSlot 2, "Mpistol","PriMpistol","Raygun","PriRaygun","Gimplaser","PriGimplaser","Cryobow","PriCryobow"
  Player.WeaponSlot 3, "AssaultShotgun","PriAssaultShotgun","MShotgun","PriMShotgun","MSuperShotgun","PriMSuperShotgun","MQuadShotgun","PriMQuadShotgun"
  Player.WeaponSlot 4, "LightMachinegun","PriLightMachinegun","AssaultRifle","PriAssaultRifle","HeavyMachinegun","PriHeavyMachinegun","UberMinigun","PriUberMinigun","Vulcan","PriVulcan"
  Player.WeaponSlot 5, "GrenadeLauncher","TeslaCannon","PriTeslaCannon","UTNTFlameThrower","PriUTNTFlameThrower","MRocketLauncher","PriMRocketLauncher"
  Player.WeaponSlot 6, "BioLauncher","PriBioLauncher","MPlasmaRifle","PriMPlasmaRifle","MRailGun","PriMRailGun" 
  Player.WeaponSlot 7, "MBFG9000","MegaBlast","PriMegaBlast","MBFG10K","PriMBFG10K" 
  Player.WeaponSlot 8, "YamatoNuke","PriYamatoNuke"
  Player.WeaponSlot 9, "ElectroGun","PriElectroGun","GatLaserVarient","PriGatLaserVarient"  
  DamageFactor "Suicide", 0.00005 // suicide takes longer
  DamageFactor "MarineKickBasic", 0 // need damage for kickback
  DamageFactor "MarineKickPowered", 0 // need damage for kickback //0.1
  DamageFactor "MarineDamage", 0.03
  DamageFactor "BFGSplash", 0.03
  DamageFactor "MarineRLDamage", 0.03
  DamageFactor "MarineRail", 0.03
  DamageFactor "MarineSuperweapon", 0.03 //added for custom weapons 
  DamageFactor "PorkDamage", 0.050 //added
  DamageFactor Disintegrate, 0
  DamageFactor Sawshot, 0
  DamageFactor "Electric", 0
  DamageFactor Ice, 0 
  DamageFactor "KPLASMA",1
  DamageFactor "ImpBallDamage",1
  DamageFactor "CacoDamage",1
  DamageFactor "SkelDamage",1
  DamageFactor "DemonDamage",1
  DamageFactor "FatsoDamage",1
  DamageFactor "KnightDamage",1
  DamageFactor "ArachDamage",1
  DamageFactor "ZombiesDamage",1
  DamageFactor "viledamage",1
  DamageFactor "Slime", 0.25 //1
  DamageFactor "ZombieTankDamage",1
  -NOSKIN
  +NOTELEFRAG //added - marine can not be telefragged
  +THRUSPECIES //added -  simultaneous teleporting
  SPECIES "MarinePlayerSpecies" //added - simultaneous teleporting
  States
  {
  Spawn:
	PLAY A 0 A_ChangeFlag ("NOPAIN", 0)
	PLAY A 1
	PLAY A 0 A_jumpifinventory("kicking",1,"kick")
	PLAY A 0 A_JumpIfInventory("RollLeft", 1, "RollLeft")
	PLAY A 0 A_JumpIfInventory("RollRight", 1, "RollRight") 
	PLAY A 0 A_jumpifinventory("CourtMartialled",1,1)
	Loop
	PLAY A 0 A_ChangeFlag("PICKUP", FALSE)
    Loop
  See:
	PLAY A 0 A_jumpifinventory("kicking",1,"kick")
	PLAY A 0 A_JumpIfInventory("RollLeft", 1, "RollLeft")
	PLAY A 0 A_JumpIfInventory("RollRight", 1, "RollRight")
    PLAY ABCD 4
    Loop
  Missile:
    PLAY E 12
    Goto Spawn
  Melee:
    PLAY F 6 
    Goto Missile
  Pain:
    PLAY G 4 
    PLAY A 0 A_jumpifinventory("kicking",1,"kick")
	PLAY A 0 A_JumpIfInventory("RollLeft", 1, "RollLeft")
	PLAY A 0 A_JumpIfInventory("RollRight", 1, "RollRight")
    PLAY G 4 A_Pain
    Goto Spawn
  Kick:
	PLAY E 2 ThrustThing(angle*256/360,10,0,0)//Thrust Forward
	PLAY E 1 ThrustThingZ(0,10,0,1)//Thrust Upward
    PLAY E 3
    PLAY E 3
    PLAY E 3
    PLAY E 3
    PLAY E 0 A_TakeInventory("Kicking",1)
    GOTO Spawn	
  RollRight:
    TNT1 A 0 A_PlaySound("KICK")
	TNT1 A 0 A_TakeInventory("RollLeft")
	TNT1 A 0 A_TakeInventory("RollRight")
	TNT1 A 0 A_ChangeFlag ("NOPAIN", 1)
	TNT1 A 0 ThrustThing(angle*256/360+192,35,0,0)//Thrust Right
	PLAY EEEEE 4
	PLAY E 0 A_ChangeFlag ("NOPAIN", 0)
	PLAY E 0 A_TakeInventory("RollLeft")
	PLAY E 0 A_TakeInventory("RollRight")
	GOTO Spawn
  RollLeft:
	TNT1 A 0 A_PlaySound("KICK")
	TNT1 A 0 A_TakeInventory("RollLeft")
	TNT1 A 0 A_TakeInventory("RollRight")
	TNT1 A 0 A_ChangeFlag ("NOPAIN", 1)
	TNT1 A 0 ThrustThing(angle*256/360+64,35,0,0)//Thrust Left
	PLAY EEEEE 4
	PLAY E 0 A_ChangeFlag ("NOPAIN", 0)
	PLAY E 0 A_TakeInventory("RollLeft")
	PLAY E 0 A_TakeInventory("RollRight")
	GOTO Spawn	
  Pain.KPLASMA:
    PLAY G 4 
    PLAY G 0 A_jumpifinventory("kicking",1,"kick")
    PLAY G 4 A_Pain
	GOTO Spawn
  Death.KPLASMA:
    PLAY H 0 
    GOTO Death	
  Death:
    PLAY H 0 A_JumpIfInventory ("NoTeamkillhere",1,2) 
	PLAY H 0 A_GiveInventory("MarineManDown",1)
	PLAY H 0 A_TakeInventory("NoTeamkillhere",1)
	//PLAY H 0 A_GiveInventory("-poop-",1)
	PLAY H 0 A_PlayerSkinCheck("AltSkinDeath")
    PLAY H 10 
    PLAY I 10 A_PlayerScream
    PLAY J 10 A_NoBlocking
    PLAY KLM 10	
    PLAY N -1
    Stop
  AltSkinDeath:
    PLAY H 10 
    PLAY I 10 A_PlayerScream
    PLAY J 10 A_NoBlocking
    PLAY KLM 10 
    PLAY N -1
	Stop
  XDeath:
    PLAY H 0 A_JumpIfInventory ("NoTeamkillhere",1,2)
	PLAY O 0 A_GiveInventory("MarineManDown",1)
	PLAY H 0 A_TakeInventory("NoTeamkillhere",1)
	//PLAY O 0 A_GiveInventory("-poop-",1) 
    PLAY O 0 A_PlayerSkinCheck("AltSkinXDeath")
	PLAY O 5
    PLAY P 5 A_XScream
    PLAY Q 5 A_NoBlocking
    PLAY RSTUV 5 
    PLAY W -1
    Stop
  AltSkinXDeath:
    PLAY O 5
	PLAY P 5 A_PlayerScream
    PLAY Q 5 A_NoBlocking 
    PLAY R 5 A_SkullPop
    PLAY STUV 5
	PLAY W -1 
    Stop}}

// Pig for TeamKillers
ACTOR PigMarine : PlayerPawn 
{
  Health 3000 //500
  PainChance 255
  Scale 1.5
  Radius 18
  Height 33
  Speed 0.50
  Player.JumpZ 15
  Player.Viewheight 36
  Player.SoundClass "SPigMarine"
  Player.DisplayName "Pig Teamkiller"
  Player.MorphWeapon "PigSnout"
  Player.WeaponSlot 1,PigSnout
  -PICKUP
  +NOSKIN
  +NOTARGET //added - not attacked by monsters
  -COUNTKILL //added
  -FRIENDLY //added - monsters will not attack
  DamageFactor "Slime", 0
  DamageFactor "Control", 0
  DamageFactor "Suicide", 0 //added
  DamageFactor "MarineKickBasic", 2
  DamageFactor "MarineKickPowered", 2 
  DamageType "PorkDamage" //added - not to harm marines
  States
  {
  Spawn:
	MPIG A 0 SetPlayerProperty(0,0,0)
    MPIG AAA 0 
    MPIG A 1
    Loop
  See:
    MPIG ABCD 3
    Loop
  Pain:
    MPIG A 4 A_PlaySoundEx ("mpig/pain","body") 
    Goto Spawn
  Melee:
  Missile:
    MPIG AB 4
    Goto Spawn
  Death.MarineDamage:
  Death.BFGSplash:
  Death.MarineRLDamage:
  Death.MarineRail:
  Death.MarineSuperweapon:
  Death.Disintegrate:
  Death.Sawshot:
  Death.Electric:
  Death.Ice: 
    MPIG E 0 ACS_NamedExecuteAlways ("WeKilledAPig",0,0)
  Death:
    MPIG E 4 A_PlaySoundEx ("mpig/death","body") 
    MPIG F 1 A_NoBlocking
	MPIG F 1 A_GiveToTarget ("MarineExp",10)
	MPIG F 1 A_SpawnItem("MSoulsphere",0,0)
	MPIG F 0 A_TakeInventory ("PigSnout",1)
    MPIG G 4
    MPIG H 3
    MPIG IJK 4
    MPIG L -1
    Stop}}

ACTOR PigSnout : Weapon
{ Weapon.SelectionOrder 10000
  +WEAPON.DONTBOB
  +WEAPON.MELEEWEAPON
  //+INVENTORY.UNDROPPABLE  //added
  Weapon.Kickback 10
  DamageType "PorkDamage" 
  States
  {Ready:
    MWPG A 4 A_WeaponReady
	MWPG A 1 A_Jump (127,1)
	loop
	MWPG B 8 A_PlaySoundEx ("mpig/active","weapon")
    goto Ready
  Deselect:
    MWPG A 1 A_Lower
    Loop
  Select:
    MWPG A 1 A_Raise
  Fire:
    MWPG A 4 A_PlaySoundEx ("mpig/active","weapon")
	MWPG A 2 A_CustomPunch (10,0,0,"MFistPuff",0)
	MWPG A 2 A_CustomPunch (10,0,0,"MFistPuff",0)
    MWPG B 2
	MWPG A 2 A_CustomPunch (10,0,0,"MFistPuff",0)
	MWPG A 2 A_CustomPunch (10,0,0,"MFistPuff",0)
    MWPG B 2
	MWPG A 2 A_CustomPunch (10,0,0,"MFistPuff",0)
	MWPG A 2 A_CustomPunch (10,0,0,"MFistPuff",0)
    MWPG B 2	
    Goto Ready}}

//*****************************
actor MarineExp : AMMO
{inventory.amount 1
  inventory.maxamount 20
  states
  {Spawn:
    TNT1 A -1
    stop}}
actor Mrank : inventory
{inventory.amount 0
  inventory.maxamount 99999
  states
  {Spawn:
    TNT1 A -1
    stop}}
actor RankXP : inventory
{inventory.amount 0
  inventory.maxamount 9999999
  states
  {Spawn:
    TNT1 A -1
    stop}}
actor Mskull : Inventory
{ inventory.amount 1
  inventory.maxamount 9999 //6
  states
  {Spawn:
    TNT1 A -1
    stop}}
actor sinner : inventory
{inventory.amount 0
  inventory.maxamount 3
  states
  {Spawn:
    TNT1 A -1
    stop}}
actor Expd     : sinner 
{inventory.maxamount 1}
actor closeit  : sinner 
{inventory.maxamount 565}

actor Teamkill : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor CourtMartialled : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 1
+Inventory.Undroppable }
actor MarineManDown : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor Least : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 1000
+Inventory.Undroppable }
actor Most : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999999
+Inventory.Undroppable }
actor Boost : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 20
+Inventory.Undroppable }
actor FlamePrimary_counter : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor RayGunPrimary_counter : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor MegaPrimary_counter : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor UberPrimary_counter : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor MegaAlt_counter : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor MVulcanAltFireXYZ_counter : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999
+Inventory.Undroppable }
actor QuadSingleShotUsed : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 4 
+Inventory.Undroppable }
actor NetweaponSave : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 33
+Inventory.Undroppable}
actor WeaponDispSave : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 33
+Inventory.Undroppable}
actor PlayerNoStore : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 64
+Inventory.Undroppable}

ACTOR Yamato_Nuke_Used : Inventory
{inventory.Amount 0
 Inventory.MaxAmount 9999
 +Inventory.Undroppable}
ACTOR Yamato_AltNuke_Used : Inventory
{inventory.Amount 0
 Inventory.MaxAmount 9999
 +Inventory.Undroppable}
ACTOR Yamato_AltFireX_Used : Inventory
{inventory.Amount 0
 Inventory.MaxAmount 9999
 +Inventory.Undroppable}
ACTOR Yamato_AltFireY_Used : Inventory
{inventory.Amount 0
 Inventory.MaxAmount 9999
 +Inventory.Undroppable}
ACTOR Yamato_AltFireZ_Used : Inventory
{inventory.Amount 0
 Inventory.MaxAmount 9999
 +Inventory.Undroppable}
 ACTOR Yamato_Nuke_Use : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 1
+Inventory.Undroppable}
ACTOR Yamato_AltNuke_Use :Yamato_Nuke_Use{}
ACTOR Yamato_AltFireX_Use :Yamato_Nuke_Use{}
ACTOR Yamato_AltFireY_Use :Yamato_Nuke_Use{}
ACTOR Yamato_AltFireZ_Use :Yamato_Nuke_Use{}

actor MBFG10K_Splash_Used : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999 
+Inventory.Undroppable }
actor MBFG10K_BFG_Used : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999 
+Inventory.Undroppable }
actor MBFG10K_GravityWaveBlast_Used : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999 
+Inventory.Undroppable }
actor MBFG10K_BlackHole_Used : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999 
+Inventory.Undroppable }
actor MBFG10K_GravityWaveShield_Used : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 9999 
+Inventory.Undroppable }

actor MBFG10K_BFG_Use : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 1 
+Inventory.Undroppable }
actor MBFG10K_GravityWaveBlast_Use : MBFG10K_BFG_Use{}
actor MBFG10K_BlackHole_Use : MBFG10K_BFG_Use{}
actor MBFG10K_GravityWaveShield_Use : MBFG10K_BFG_Use{}

actor StopX : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 1}
actor StopY : StopX{}
actor StopZ : StopX{}
actor Cooloff : StopX{}
actor VuloCool : StopX{}
actor BFGCool : StopX{}
actor UberCool : StopX{}
actor MegaCool : StopX{}
actor MaltCool : StopX{}
actor RayGCool  : StopX{}
actor FlameCool  : StopX{}
actor shootingA : StopX{}
actor shootingM : StopX{}
actor shootingB : StopX{}
actor shootingU : StopX{}
actor shootingV : StopX{}
actor shootingR : StopX{}
actor shootingF : StopX{}
actor RollLeftCounter : StopX{}
actor RollLeft : StopX{}
actor RollRightCounter : StopX{}
actor RollRight : StopX{}
actor PlayerActiveMove  : StopX{}
actor PM_AltFireX : StopX{}
actor PM_AltFireY : StopX{}
actor PM_AltFireZ : StopX{}
actor PM_ZoomoffX : StopX{}
actor PM_ZoomoffY : StopX{}
actor BootanX : StopX{}
actor BootanY : StopX{}
actor NoTeamkillhere : StopX{}
 
actor AltMiniG : inventory
{ Inventory.MaxAmount 1 
+Inventory.Undroppable }
actor PlayerRollAutoFlag : AltMiniG{}
actor Yamato_SecLevelStart : AltMiniG{}
actor VulcanGot : AltMiniG{}
actor BFGGot : AltMiniG{}
actor UberGot : AltMiniG{}
actor MegaGot : AltMiniG{}
actor MAltGot : AltMiniG{}
actor RayGGot : AltMiniG{}
actor FlameGot : AltMiniG{}
actor MarineTimerStarted : AltMiniG{}
actor AmmoPickupsEnabled : AltMiniG{}
actor NukeDisabled : AltMiniG{}

actor MTeleport : Inventory
{inventory.Amount 0
  inventory.MaxAmount 9999}
  
actor TeleportID : Inventory
{ Inventory.Amount 0
Inventory.MaxAmount 7000 
+Inventory.Undroppable}  