#include "Brightmaps/BMmonsters.txt"
#include "Brightmaps/BMmonsters2.txt"
#include "Brightmaps/BMmonsters3.txt"
#include "Brightmaps/BMpickups.txt"
#include "Brightmaps/BMdeco.txt"
#include "Brightmaps/BMflats.txt"
#include "Brightmaps/BMwalls.txt"

object MInvulnSphere //MInvulnerabilitySphere
{frame PINV { light INVULN }}
object MSoulsphere //MSphere
{   frame SOUL { light SOULSPHERE }}	
object MMegaSphere
{   frame MEGAA0 { light MEGASPHERE1 }
    frame MEGAB0 { light MEGASPHERE2 }
    frame MEGAC0 { light MEGASPHERE3 }
    frame MEGAD0 { light MEGASPHERE4 }}
object MHealthBonus
{   frame BON1 { light HEALTHPOTION }}
object MArmorBonus
{   frame BON2 { light ARMORBONUS }}
object MGreenArmor
{   frame ARM1A { light GREENARMOR1 }
    frame ARM1B { light GREENARMOR2 }}
object MBlueArmor
{   frame ARM2A { light BLUEARMOR1 }
    frame ARM2B { light BLUEARMOR2 }}
//Blackops Golden Vest lights
pointlight BLACKOPSVEST1
{   color 0.6 0.6 0.0
    size 48}
pointlight BLACKOPSVEST2
{   color 0.6 0.6 0.0
    size 32}
pointlight BLACKOPSVEST2
{   color 0.6 0.6 0.0
    size 16}
object BlackOpsVest
{   frame ARM3A { light BLACKOPSVEST1 }
    frame ARM3B { light BLACKOPSVEST2 }
	frame ARM3C { light BLACKOPSVEST3 }}
	
FlickerLight2 Teleport
{   color 0.8 0.7 0.5
    size 140
    secondarySize 180
    Interval 2.0
    offset 0 2 0}
object ActiveTeleport
{frame TELE { light Teleport }}

//Sentry Gun
object SentryGun
{frame SENTB { light ZOMBIEATK }}

///// PROJECTILES
object MBulletPuff
{   frame PUFFA { light BPUFF1 }
    frame PUFFB { light BPUFF2 }}
object FBulletPuff
{   frame PUFFA { light BPUFF1 }
    frame PUFFB { light BPUFF2 }}
object PBBulletPuff
{   frame PUFFA { light BPUFF1 }
    frame PUFFB { light BPUFF2 }}
object FArachPuff
{   frame PUFFA { light BPUFF1 }
    frame PUFFB { light BPUFF2 }}

object FragClass
{   frame PLAYF { light ZOMBIEATK }
    frame PLA2F { light ZOMBIEATK }
    frame PLA3F { light ZOMBIEATK }
    frame PLA4F { light ZOMBIEATK }
    frame PLA5F { light ZOMBIEATK }
    frame PMINF { light ZOMBIEATK }}

object MMarineRocket
{   frame MISLA { light ROCKET}
    frame MISLB { light ROCKET_X1}
    frame MISLC { light ROCKET_X2}
    frame MISLD { light ROCKET_X3}}
	
object MMarineFastRocketX
{   frame HMISA { light ROCKET}
	frame HMISB { light ROCKET}
    frame MISLB { light ROCKET_X1}
    frame MISLC { light ROCKET_X2}
    frame MISLD { light ROCKET_X3}}
	
object MMarineHomingRocketY
{   frame HMISA { light ROCKET}
	frame HMISB { light ROCKET}
    frame MISLB { light ROCKET_X1}
    frame MISLC { light ROCKET_X2}
    frame MISLD { light ROCKET_X3}}
	
object MMarineBlastRocketZ
{   frame HMISA { light ROCKET}
	frame HMISB { light ROCKET}
    frame MISLB { light ROCKET_X1}
    frame MISLC { light ROCKET_X2}
    frame MISLD { light ROCKET_X3}}
	
//Rocketfirelight
object MMarineBlastRocketZCracker
{   frame FIREA { light ARCHFIRE1}
    frame FIREB { light ARCHFIRE2}
    frame FIREC { light ARCHFIRE3}
    frame FIRED { light ARCHFIRE4}
    frame FIREE { light ARCHFIRE5}
    frame FIREF { light ARCHFIRE6}
    frame FIREG { light ARCHFIRE7}
    frame FIREH { light ARCHFIRE8}}
	
object MGrenade
{   frame SGRN { light GRENADE}
    frame MISLB { light GRENADE_X1}
    frame MISLC { light GRENADE_X2}
    frame MISLD { light GRENADE_X3}}

pointlight TOCKET
{   color 1.0 0.7 0.0
    size 28}
flickerlight TOCKET_X1
{   color 1.0 0.7 0.0
    size 32
    secondarySize 36
    chance 0.3}
flickerlight TOCKET_X2
{   color 0.5 0.1 0.0
    size 40
    secondarySize 44
    chance 0.3}
flickerlight TOCKET_X3
{   color 0.3 0.0 0.0
    size 48
    secondarySize 52
    chance 0.3}
object FMRocket
{   frame MISLA { light TOCKET    }
    frame MISLB { light TOCKET_X1 }
    frame MISLC { light TOCKET_X2 }
    frame MISLD { light TOCKET_X3 }}
	
//UTNTFlameThrower
FlickerLight2 FlameThrowerFire
{Offset 0 2 0
Color 0.15 0.04 0.0
Size 40
SecondarySize 60
Interval 2.0}

Object FTFire
{Frame FRFX { Light FlameThrowerFire }}

FlickerLight2 DropFlame
{Offset 0 0 0
Color 0.15 0.04 0.0
Size 20
SecondarySize 30
Interval 2.0}

Object DropFire
{Frame FLME { Light DropFlame }}

//BioLauncher
PointLight BioLightA
{   Color 0.0 1.0 0.0
	Size 32}

FlickerLight BioLightB
{   Color 0.0 1.0 0.0
	Size 32
	SecondarySize 40}

Object BioProj
{  Frame BPBPA { Light BioLightA }
	Frame BPBPB { Light BioLightA }
	Frame BPBPC { Light BioLightA }
	Frame BPBPD { Light BioLightB }
	Frame BPBPE { Light BioLightB }
	Frame BPBPF { Light BioLightB }}

Object BioProjt
{  Frame BPBPA { Light BioLightA }
	Frame BPBPB { Light BioLightA }
	Frame BPBPC { Light BioLightA }
	Frame BPBPD { Light BioLightB }
	Frame BPBPE { Light BioLightB }
	Frame BPBPF { Light BioLightB }}

//GatlingLaser
pointlight Machlight
{   color 0.7 0.0 0.0
    size 36}
object GatlingLaser	
{frame GLAZE { light Machlight }}
	
object LaserBeem
{frame REDLA { light Machlight }}

//GimpLaser
flickerlight gimplight
{   color 0.0 0.0 0.7
    size 35
	secondarySize 34
    chance 0.3}
pointlight gimpPff1
{   color 0.0 0.0 0.8
    size 36}
pointlight gimpPff2
{   color 0.0 0.0 0.9
    size 38}	
pointlight gimpPff3
{   color 0.0 0.0 1.0
    size 40}	
object GimpBlastBall	
{frame BUL1A { light gimplight }
 frame BUL1B { light gimplight }
 frame BUL1C { light gimpPff1 }
 frame BUL1D { light gimpPff2 }
 frame BUL1E { light gimpPff3 }}
object GimpBlastBallFast	
{frame BUL2A { light gimplight }
 frame BUL2B { light gimplight }
 frame BUL2C { light gimpPff1 }
 frame BUL2D { light gimpPff2 }
 frame BUL2E { light gimpPff3 }}
object GimpBlastHoming	
{frame BULRA { light gimplight }
 frame BULRB { light gimplight }
 frame BULRC { light gimplight }
 frame BULRD { light gimpPff3 }}
object GimpBlastRipper	
{frame BULRA { light gimplight }
 frame BULRB { light gimplight }
 frame BULRC { light gimplight }
 frame BULRD { light gimpPff3 }} 

//Missing Green & White Bfg Lights	
pointlight BFGBALL
{color 0.0 0.8 0.0
 size 80}
flickerlight BFGBALL_X1
{   color 0.0 0.6 0.0
    size 80
    secondarySize 88
    chance 0.3}
flickerlight BFGBALL_X2
{   color 0.0 0.5 0.0
    size 104
    secondarySize 112
    chance 0.3}
flickerlight BFGBALL_X3
{   color 0.0 0.8 0.0
    size 120
    secondarySize 128
    chance 0.3}
flickerlight BFGBALL_X4
{   color 0.0 0.3 0.0
    size 56
    secondarySize 64
    chance 0.3}
flickerlight BFGBALL_X5
{   color 0.0 0.2 0.0
    size 48
    secondarySize 56
    chance 0.3}
pointlight BFGWAVEBLAST
{color 0.0 0.2 0.0
 size 80}
pointlight BFGWAVEBLAST_X1
{color 0.0 0.4 0.0
 size 80}
pointlight BFGWAVEBLAST_X2
{color 0.0 0.6 0.0
 size 104}
pointlight BFGWAVEBLAST_X3
{color 0.0 0.8 0.0
 size 120}
pointlight BFGHOLEBLAST
{color 0.2 0.2 0.2
 size 80}
pointlight BFGHOLEBLAST_X1
{color 0.4 0.4 0.4
 size 80} 
pointlight BFGHOLEBLAST_X2
{color 0.6 0.6 0.6
 size 104}
pointlight BFGHOLEBLAST_X3
{color 0.8 0.8 0.8
 size 120}
PointLight BFG10kShot
{Color 0.0 1.0 0.0
 Size 80}
PointLight BFG10kShot_X1
{Color 0.0 1.0 0.0
 Size 104}
PointLight BFG10kShot_X2
{Color 0.0 0.8 0.0
 Size 120}
PointLight BFG10kShot_X3
{Color 0.0 0.6 0.0
 Size 40}
 
object MBFGBall
{   frame BFS1A { light BFGBALL }
    frame BFS1B { light BFGBALL }
    frame BFE1A { light BFGBALL_X1 }
    frame BFE1B { light BFGBALL_X2 }
    frame BFE1C { light BFGBALL_X3 }
    frame BFE1D { light BFGBALL_X1 }
    frame BFE1E { light BFGBALL_X4 }
    frame BFE1F { light BFGBALL_X5 }}

object MarineBFGBall
{   frame BFS1A { light BFGBALL }
    frame BFS1B { light BFGBALL }
    frame BFE1A { light BFGBALL_X1 }
    frame BFE1B { light BFGBALL_X2 }
    frame BFE1C { light BFGBALL_X3 }
    frame BFE1D { light BFGBALL_X1 }
    frame BFE1E { light BFGBALL_X4 }
    frame BFE1F { light BFGBALL_X5 }}

object MBFGExtra
{   frame BFE2A { light BFGBALL    }
    frame BFE2B { light BFGBALL_X1 }
    frame BFE2C { light BFGBALL_X4 }
    frame BFE2D { light BFGBALL_X5 }}
		
object BFGGravityWaveBlast
{   frame PAR3A { light BFGWAVEBLAST }
	frame PAR3B { light BFGWAVEBLAST_X1 }
	frame PAR3C { light BFGWAVEBLAST_X2 }
	frame PAR3D { light BFGWAVEBLAST_X3 }}	

object BFGBlackHoleBlast
{   frame PAW3A { light BFGHOLEBLAST }
	frame PAW3B { light BFGHOLEBLAST_X1 }
	frame PAW3C { light BFGHOLEBLAST_X2 }
	frame PAW3D { light BFGHOLEBLAST_X3 }}	

object MBFG10kShot
{frame BFGK1A  { light BFG10KSHOT }
    frame BFE1A { light BFG10KSHOT }
    frame BFE1B { light BFG10KSHOT }
    frame BFE1C { light BFG10KSHOT_X1 }
    frame BFE1D { light BFG10KSHOT_X2 }
    frame BFE1E { light BFG10KSHOT_X3 }}

object BFGPExtra
{   frame BFP2A { light BFGBALLS }
    frame BFP2B { light BFGBALLS_X1 }
    frame BFP2C { light BFGBALLS_X4 }
    frame BFP2D { light BFGBALLS_X5 }}

pointlight FFGBALL
{color 0.0 0.8 0.0
 size 40}
flickerlight FFGBALL_X1
{   color 0.0 0.6 0.0
    size 40
    secondarySize 42
    chance 0.3}
flickerlight FFGBALL_X2
{   color 0.0 0.5 0.0
    size 57
    secondarySize 56
    chance 0.3}
flickerlight FFGBALL_X3
{   color 0.0 0.8 0.0
    size 60
    secondarySize 64
    chance 0.3}
flickerlight FFGBALL_X4
{   color 0.0 0.3 0.0
    size 27
    secondarySize 32
    chance 0.3}
flickerlight FFGBALL_X5
{   color 0.0 0.2 0.0
    size 24
    secondarySize 27
    chance 0.3}

object FBFGBall
{   frame BFS1A { light FFGBALL }
    frame BFS1B { light FFGBALL }
    frame BFE1A { light FFGBALL_X1 }
    frame BFE1B { light FFGBALL_X2 }
    frame BFE1C { light FFGBALL_X3 }
    frame BFE1D { light FFGBALL_X1 }
    frame BFE1E { light FFGBALL_X4 }
    frame BFE1F { light FFGBALL_X5 }}

object FBFGExtra
{   frame BFE2A { light FFGBALL }
    frame BFE2B { light FFGBALL_X1 }
    frame BFE2C { light FFGBALL_X4 }
    frame BFE2D { light FFGBALL_X5 }}
	
// Plasma
object MPlasmaBall
{   frame PLSSA { light PLASMABALL }
    frame PLSSB { light PLASMABALL }
    frame PLSEA { light PLASMA_X1 }
    frame PLSEB { light PLASMA_X2 }
    frame PLSEC { light PLASMA_X2 }
    frame PLSED { light PLASMA_X3 }
    frame PLSEE { light PLASMA_X4 }}

object MPlasmaBallFast
{   frame PLSSA { light PLASMABALL }
    frame PLSSB { light PLASMABALL }
    frame PLSEA { light PLASMA_X1 }
    frame PLSEB { light PLASMA_X2 }
    frame PLSEC { light PLASMA_X2 }
    frame PLSED { light PLASMA_X3 }
    frame PLSEE { light PLASMA_X4 }}
	
object MPlasmaBallHoming
{   frame PLSSA { light PLASMABALL }
    frame PLSSB { light PLASMABALL }
    frame PLSEA { light PLASMA_X1 }
    frame PLSEB { light PLASMA_X2 }
    frame PLSEC { light PLASMA_X2 }
    frame PLSED { light PLASMA_X3 }
    frame PLSEE { light PLASMA_X4 }}
	
object MPlasmaBallRipper
{   frame PLSSA { light PLASMABALL }
    frame PLSSB { light PLASMABALL }
    frame PLSEA { light PLASMA_X1 }
    frame PLSEB { light PLASMA_X2 }
    frame PLSEC { light PLASMA_X2 }
    frame PLSED { light PLASMA_X3 }
    frame PLSEE { light PLASMA_X4 }}

object GaussCannonShot
{   frame SPKBA { light PLASMABALL }
    frame BL1IA { light PLASMA_X1 }
	frame BL1IB { light PLASMA_X2 }
	frame BL1IC { light PLASMA_X3 }
    frame BL1ID { light PLASMA_X4 }}
	
pointlight OLASMABALL
{   color 0.0 0.1 1.0
    size 28}
flickerlight OLASMA_X1
{   color 0.2 0.2 1.0
    size 32
    secondarySize 36
    chance 0.4}
flickerlight OLASMA_X2
{   color 0.2 0.2 0.8
    size 40
    secondarySize 44
    chance 0.4}
flickerlight OLASMA_X3
{   color 0.1 0.1 0.5
    size 32
    secondarySize 36
    chance 0.4}
flickerlight OLASMA_X4
{   color 0.0 0.0 0.2
    size 4
    secondarySize 8
    chance 0.4}
object FMPlasmaBall
{   frame OLSSA { light OLASMABALL }
    frame OLSSB { light OLASMABALL }
    frame OLSEA { light OLASMA_X1 }
    frame OLSEB { light OLASMA_X2 }
    frame OLSEC { light OLASMA_X2 }
    frame OLSED { light OLASMA_X3 }
    frame OLSEE { light OLASMA_X4 }}
	
//TeslaCannon Lights
PointLight TeslaLight
{Color 0.2 0.2 0.2
Size 40}
PointLight TeslaLight_X1
{Color 0.5 0.5 0.5
Size 60}
PointLight TeslaLight_X2
{Color 0.3 0.3 0.3
Size 40}
PointLight TeslaLight_X3
{Color 0.1 0.1 0.1
Size 20}

object TeslaShot
{    frame MRS2A {light TeslaLight }
     frame MRS2C {light TeslaLight_X1 }
	 frame MRS2E {light TeslaLight_X2 }
     frame MRS2F {light TeslaLight_X2 }
     frame MRS2G {light TeslaLight_X3 }}
	 
object TeslaShot2	
{    frame ZAPRA {light TeslaLight_X3 }
     frame ZAPRB {light TeslaLight_X3 }
     frame ZAPRC {light TeslaLight_X3 }
     frame MRS2A {light TeslaLight }
	 frame MRS2B {light TeslaLight }
	 frame MRS2C {light TeslaLight_X1 }
	 frame MRS2D {light TeslaLight_X1 }
	 frame MRS2E {light TeslaLight_X2 }
	 frame MRS2F {light TeslaLight_X2 }
	 frame MRS2G {light TeslaLight_X3 }}
	 
//Gatlaser
Pointlight LaserLight
{Color 0.0 0.6 0.0
 Size 22}
Pointlight LaserLight2
{Color 0.0 0.5 0.0
 Size 27}
Pointlight LaserLight3
{Color 0.0 0.4 0.0
 Size 15}
Pointlight LaserLight4
{Color 0.0 0.3 0.0
 Size 8}
Object Laser
{Frame LSERA { Light LaserLight }
 Frame LAZRA { Light LaserLight2 }
 Frame LAZRB { Light LaserLight3 }
 Frame LAZRC { Light LaserLight3 }
 Frame LAZRD { Light LaserLight4 }}
Object LaserFaster
{Frame LSERA { Light LaserLight }
 Frame LAZRA { Light LaserLight2 }
 Frame LAZRB { Light LaserLight3 }
 Frame LAZRC { Light LaserLight3 }
 Frame LAZRD { Light LaserLight4 }}
Object LaserHoming
{Frame LSERA { Light LaserLight }
 Frame LAZRA { Light LaserLight2 }
 Frame LAZRB { Light LaserLight3 }
 Frame LAZRC { Light LaserLight3 }
 Frame LAZRD { Light LaserLight4 }}
 
//Raygun
pointlight RAYGUNLIGHTPRIME
{color 0.0 1.0 0.0
    size 26}
pointlight RAYGUNLIGHT
{color 0.0 1.0 0.0
 size 25}
pointlight RAYGUNLIGHT1
{color 0.0 1.0 0.0
 size 23}
pointlight RAYGUNLIGHT2
{color 0.0 1.0 0.0
 size 20} 
 pointlight RAYGUNLIGHT3
{color 0.0 1.0 0.0
 size 16}
pointlight RAYGUNLIGHT4
{color 0.0 1.0 0.0
 size 12}
pointlight RAYGUNLIGHT5
{color 0.0 1.0 0.0
 size 10}
pointlight RAYGUNLIGHT6
{color 0.0 1.0 0.0
 size 8}
 object RaygunTrailPrime
{frame RAYL  { light RAYGUNLIGHTPRIME }}
object RaygunTrailPrime2
{frame RAYL  { light RAYGUNLIGHTPRIME }}
object RaygunTrailPrime3
{frame RAYL  { light RAYGUNLIGHTPRIME }}
object RaygunTrailPrime4
{frame RAYL  { light RAYGUNLIGHTPRIME }}
object RaygunTrailPrime5
{frame RAYL  { light RAYGUNLIGHTPRIME }}
object RaygunTrailPrime6
{frame RAYL  { light RAYGUNLIGHTPRIME }}
object RAYGUNSHOT
{frame TNT1 { light RAYGUNLIGHT }}
object RaygunTrail
{frame RAYL  { light RAYGUNLIGHT1 }}
object RaygunTrail2
{frame RAYL  { light RAYGUNLIGHT2 }}
object RaygunTrail3
{frame RAYL  { light RAYGUNLIGHT3 }}
object RaygunTrail4
{frame RAYL  { light RAYGUNLIGHT4 }}
object RaygunTrail5
{frame RAYL  { light RAYGUNLIGHT5 }}
object RaygunTrail6
{frame RAYL  { light RAYGUNLIGHT6 }}
object fastRAYGUNSHOT
{frame TNT1 { light RAYGUNLIGHT }}
object RaygunTrailFast
{frame RAYL { light RAYGUNLIGHT1 }}
object RaygunTrailFast2
{frame RAYL { light RAYGUNLIGHT2 }}
object RaygunTrailFast3
{frame RAYL { light RAYGUNLIGHT3 }}
object RaygunTrailFast4
{frame RAYL { light RAYGUNLIGHT4 }}
object RaygunTrailFast5
{frame RAYL { light RAYGUNLIGHT5 }}
object RaygunTrailFast6
{frame RAYL { light RAYGUNLIGHT6 }}
object RaygunHoming
{frame RAYL { light RAYGUNLIGHT7 }}

//Electrogun
Pointlight ElectroBlast1
{Color 0.0 1.0 1.0
Size 23}
Flickerlight ElectroBlast2
{Color 0.0 1.0 1.0
Size 32
SecondarySize 31
Chance 0.3}
Flickerlight ElectroBlast3
{Color 0.0 1.0 1.0
Size 40
SecondarySize 39
Chance 0.3}
Flickerlight ElectroBlast4
{Color 0.0 1.0 1.0
Size 46
SecondarySize 47
Chance 0.3}
Object ElectroBlast
{Frame EBLTA { Light ElectroBlast1 }
Frame EBLTB { Light ElectroBlast1 }
Frame EBLTC { Light ElectroBlast1 }
Frame EBLTD { Light ElectroBlast1 }
Frame EBLTE { Light ElectroBlast1 }
Frame EBLTF { Light ElectroBlast1 }
Frame EBLTG { Light ElectroBlast2 }
Frame EBLTH { Light ElectroBlast3 }
Frame EBLTI { Light ElectroBlast4 }
Frame EBLTJ { Light ElectroBlast1 }
Frame EBLTK { Light ElectroBlast1 }}
Object ElectroBlasted
{Frame EBLTA { Light ElectroBlast1 }
Frame EBLTB { Light ElectroBlast1 }
Frame EBLTC { Light ElectroBlast1 }
Frame EBLTD { Light ElectroBlast1 }
Frame EBLTE { Light ElectroBlast1 }
Frame EBLTF { Light ElectroBlast1 }
Frame EBLTG { Light ElectroBlast2 }
Frame EBLTH { Light ElectroBlast3 }
Frame EBLTI { Light ElectroBlast4 }
Frame EBLTJ { Light ElectroBlast1 }
Frame EBLTK { Light ElectroBlast1 }}

Object ElectroBlastRip
{
Frame EBLTA { Light ElectroBlast1 }
Frame EBLTB { Light ElectroBlast1 }
Frame EBLTC { Light ElectroBlast1 }
Frame EBLTD { Light ElectroBlast1 }
Frame EBLTE { Light ElectroBlast1 }
Frame EBLTF { Light ElectroBlast1 }
Frame EBLTG { Light ElectroBlast2 }
Frame EBLTH { Light ElectroBlast3 }
Frame EBLTI { Light ElectroBlast4 }
Frame EBLTJ { Light ElectroBlast1 }
Frame EBLTK { Light ElectroBlast1 }
}
Object ElectroFast
{
Frame EBLTA { Light ElectroBlast1 }
Frame EBLTB { Light ElectroBlast1 }
Frame EBLTC { Light ElectroBlast1 }
Frame EBLTD { Light ElectroBlast1 }
Frame EBLTE { Light ElectroBlast1 }
Frame EBLTF { Light ElectroBlast1 }
Frame EBLTG { Light ElectroBlast2 }
Frame EBLTH { Light ElectroBlast3 }
Frame EBLTI { Light ElectroBlast4 }
Frame EBLTJ { Light ElectroBlast1 }
Frame EBLTK { Light ElectroBlast1 }
}
Object ElectroHoming
{
Frame EBLTA { Light ElectroBlast1 }
Frame EBLTB { Light ElectroBlast1 }
Frame EBLTC { Light ElectroBlast1 }
Frame EBLTD { Light ElectroBlast1 }
Frame EBLTE { Light ElectroBlast1 }
Frame EBLTF { Light ElectroBlast1 }
Frame EBLTG { Light ElectroBlast2 }
Frame EBLTH { Light ElectroBlast3 }
Frame EBLTI { Light ElectroBlast4 }
Frame EBLTJ { Light ElectroBlast1 }
Frame EBLTK { Light ElectroBlast1 }
}
//MegaBlast
PointLight StunnerBallLight
{Color 0.7 0.0 0.7
Size 30}
PointLight StunnerBallDeathA
{Color 0.8 0.0 0.8
Size 45}
PointLight StunnerBallDeathB
{Color 0.6 0.0 0.6
Size 40}
PointLight StunnerBallDeathC
{Color 0.4 0.0 0.4
Size 35}
PointLight StunnerBallDeathD
{Color 0.3 0.0 0.3
Size 25}
PointLight StunnerBallDeathE
{Color 0.2 0.0 0.2
Size 15}
Object StunnerBall
{Frame STPR { Light StunnerBallLight }
Frame PLSEA { Light StunnerBallDeathA }
Frame PLSEB { Light StunnerBallDeathB }
Frame PLSEC { Light StunnerBallDeathC }
Frame PLSED { Light StunnerBallDeathD }
Frame PLSEE { Light StunnerBallDeathE }}
Object MegaHoming
{Frame STPR { Light StunnerBallLight }
Frame PLSEA { Light StunnerBallDeathA }
Frame PLSEB { Light StunnerBallDeathB }
Frame PLSEC { Light StunnerBallDeathC }
Frame PLSED { Light StunnerBallDeathD }
Frame PLSEE { Light StunnerBallDeathE }}

//Cryoshot&Ballista Lights
PointLight CRYOBALLLIGHTA
{Color 0.3 0.3 0.3
Size 30}
PointLight CRYOBALLLIGHTB
{Color 0.3 0.3 0.3
Size 30}
PointLight CRYOBALLLIGHTC
{Color 0.3 0.3 0.3
Size 30}
PointLight CRYOBALLLIGHTD
{Color 0.3 0.3 0.3
Size 30}
PointLight CRYOBALLLIGHTE
{Color 0.3 0.3 0.3
Size 20}
PointLight CRYOBALLLIGHTF
{Color 0.2 0.2 0.2
Size 15}
PointLight CRYOBALLLIGHTG
{Color 0.1 0.1 0.1
Size 10}
PointLight CRYOBALLDeathA
{Color 0.1 0.1 0.1
Size 80}
PointLight CRYOBALLDeathC
{Color 0.5 0.5 0.5
Size 95}
PointLight CRYOBALLDeathE
{Color 0.8 0.8 0.8
Size 110}
PointLight CRYOBALLDeathG
{Color 0.8 0.8 0.8
Size 120}
PointLight CRYOBALLDeathI
{Color 0.7 0.7 0.7
Size 110}
Pointlight CRYOBALLDeathK
{Color 0.6 0.6 0.6
Size 80}
PointLight CRYOBALLDeathM
{Color 0.1 0.1 0.1
Size 30}
object CryoShot
{Frame BSHTA { Light CRYOBALLLIGHTA }
Frame BXPLA { Light CRYOBALLDeathA }
Frame BXPLC { Light CRYOBALLDeathC }
Frame BXPLE { Light CRYOBALLDeathE }
Frame BXPLG { Light CRYOBALLDeathG }
Frame BXPLI { Light CRYOBALLDeathI }
Frame BXPLK { Light CRYOBALLDeathK }
Frame BXPLM { Light CRYOBALLDeathM }}
object CryoTrail
{Frame BSHTA { Light CRYOBALLLIGHTA }
Frame BSHTB { Light CRYOBALLLIGHTB }
Frame BSHTC { Light CRYOBALLLIGHTC }
Frame BSHTD { Light CRYOBALLLIGHTD }
Frame BSHTE { Light CRYOBALLLIGHTE }
Frame BSHTF { Light CRYOBALLLIGHTF }
Frame BSHTG { Light CRYOBALLLIGHTG }}
object BallistaShot
{Frame BSHTA { Light CRYOBALLLIGHTA }
Frame BXPLA { Light CRYOBALLDeathA }
Frame BXPLC { Light CRYOBALLDeathC }
Frame BXPLE { Light CRYOBALLDeathE }
Frame BXPLG { Light CRYOBALLDeathG }
Frame BXPLI { Light CRYOBALLDeathI }
Frame BXPLK { Light CRYOBALLDeathK }
Frame BXPLM { Light CRYOBALLDeathM }}
object BallistaTrail
{Frame BSHTA { Light CRYOBALLLIGHTA }
Frame BSHTB { Light CRYOBALLLIGHTB }
Frame BSHTC { Light CRYOBALLLIGHTC }
Frame BSHTD { Light CRYOBALLLIGHTD }
Frame BSHTE { Light CRYOBALLLIGHTE }
Frame BSHTF { Light CRYOBALLLIGHTF }
Frame BSHTG { Light CRYOBALLLIGHTG }}

//Yamato
pointlight LYAMATOBOMB
{color 1.0 0.0 0.0
 size 256 }
pointlight LXYAMATOBOMB
{color 1.0 0.0 0.0
 size 128 }
pointlight LAYAMATOBOMB
{color 1.0 0.0 0.0
 size 24 }
pointlight LABYAMATOBOMB
{color 1.0 0.0 0.0
 size 56 }
flickerlight LZYAMATOBOMB
{color 1.0 0.0 0.0
size 56 
SecondarySize 60
Chance 0.3 }
flickerlight LZYAMATOBOMB1
{color 1.0 0.0 0.0
size 20
SecondarySize 24
Chance 0.3}
flickerlight LZYAMATOBOMB2
{color 1.0 0.0 0.0
size 16 
SecondarySize 18
Chance 0.3}
flickerlight LZYAMATOBOMB3
{color 1.0 0.0 0.0
size 12 
SecondarySize 14
Chance 0.3} 
flickerlight LZYAMATOBOMB4
{color 1.0 0.0 0.0
size 10 
SecondarySize 12
Chance 0.3} 
flickerlight LYAMATOBOMBTRAIL1
{color 1.0 0.0 0.0
size 192
SecondarySize 188
Chance 0.3}
flickerlight LYAMATOBOMBTRAIL2
{color 1.0 0.0 0.0
size 164
SecondarySize 158
Chance 0.3 } 
 
object YamatoBomb
{frame YAS3 { light LYAMATOBOMB }}
object YamatoBombTrail
{frame YAS1 { light LYAMATOBOMBTRAIL1 }}
object YamatoBombTrail2
{frame YAE1 { light LYAMATOBOMBTRAIL1 }
 frame YAS2 { light LYAMATOBOMBTRAIL2 }}
 
object XYamatoBomb
{frame YAS3 { light LXYAMATOBOMB }}

object YamatoAltFireX
{frame YAS2 { light LAYAMATOBOMB }}

object YamatoAltFireY
{frame YAS3 { light LABYAMATOBOMB }}

object YamatoAltFireZ
{frame YAS1 { light LZYAMATOBOMB }}
object YamatoAltFireZTrail
{frame YAS2 { light LZYAMATOBOMB1 }}
object YamatoAltFireZTrail2
{frame YAS2 { light LZYAMATOBOMB2 }}
object YamatoAltFireZTrail3
{frame YAS2 { light LZYAMATOBOMB2 }}
object YamatoAltFireZTrail4
{frame YAS2 { light LZYAMATOBOMB3 }}
object YamatoAltFireZTrail5
{frame YAS2 { light LZYAMATOBOMB3 }}
object YamatoAltFireZTrail6
{frame YAS2 { light LZYAMATOBOMB4 }}
object YamatoAltFireZTrail7
{frame YAS2 { light LZYAMATOBOMB4 }}

object MYamatoBomb
{frame YAS3 { light LYAMATOBOMB }}
object MYamatoBombTrail
{frame YAS1 { light LYAMATOBOMBTRAIL1 }}
object MYamatoBombTrail2
{frame YAE1 { light LYAMATOBOMBTRAIL1 }
 frame YAS2 { light LYAMATOBOMBTRAIL2 }}
 
flickerlight RICOFIR1
{   color 1.0 1.0 0.0
    size 6
    secondarySize 8
    chance 0.3}
flickerlight RICOFIR2
{color 2.0 2.0 0.0
    size 10
    secondarySize 14
    chance 0.3}
flickerlight RICOFIR3
{color 1.0 1.0 0.0
    size 16
    secondarySize 18
    chance 0.3}
flickerlight RICOFIR4
{color 0.3 0.3 0.0
    size 12
    secondarySize 14
    chance 0.3}
flickerlight RICOFIR5
{color 0.2 0.2 0.0
    size 16
    secondarySize 18
    chance 0.3}
flickerlight RICOFIR6
{color 0.4 0.4 0.0
    size 12
    secondarySize 14
    chance 0.3}
flickerlight RICOFIR7
{color 0.2 0.2 0.0
    size 8
    secondarySize 10
    chance 0.3}
flickerlight RICOFIR8
{color 0.2 0.2 0.0
    size 6
    secondarySize 12
    chance 0.3}
flickerlight RICOFIR9
{color 0.3 0.3 0.0
    size 4
    secondarySize 6
    chance 0.3}
object MBulletPuffAssaultRifle
{   frame SX58A { light RICOFIR1 }
    frame SX58B { light RICOFIR2 }
    frame SX58C { light RICOFIR3 }
    frame SX58D { light RICOFIR4 }
    frame SX58E { light RICOFIR5 }
    frame SX58F { light RICOFIR6 }
    frame SX58G { light RICOFIR7 }
    frame SX58H { light RICOFIR8 }
	frame SX58J { light RICOFIR9 }}

object MBulletPuffVulcanXYZ
{   frame SX58A { light RICOFIR1 }
    frame SX58B { light RICOFIR2 }
    frame SX58C { light RICOFIR3 }
    frame SX58D { light RICOFIR4 }
    frame SX58E { light RICOFIR5 }
    frame SX58F { light RICOFIR6 }
    frame SX58G { light RICOFIR7 }
    frame SX58H { light RICOFIR8 }
	frame SX58J { light RICOFIR9 }}

object MQSSG_Puff
{   frame SX58A { light RICOFIR1 }
    frame SX58B { light RICOFIR2 }
    frame SX58C { light RICOFIR3 }
    frame SX58D { light RICOFIR4 }
    frame SX58E { light RICOFIR5 }
    frame SX58F { light RICOFIR6 }
    frame SX58G { light RICOFIR7 }
    frame SX58H { light RICOFIR8 }
	frame SX58J { light RICOFIR9 }}

object GatlingPuff
{   frame SX58A { light RICOFIR1 }
    frame SX58B { light RICOFIR2 }
    frame SX58C { light RICOFIR3 }
    frame SX58D { light RICOFIR4 }
    frame SX58E { light RICOFIR5 }
    frame SX58F { light RICOFIR6 }
    frame SX58G { light RICOFIR7 }
    frame SX58H { light RICOFIR8 }
	frame SX58J { light RICOFIR9 }}
///// MONSTERS

object MDoomImpBall
{   frame BAL1A { light IMPBALL    }
    frame BAL1B { light IMPBALL    }
    frame BAL1C { light IMPBALL_X1 }
    frame BAL1D { light IMPBALL_X2 }
    frame BAL1E { light IMPBALL_X3 }}

object MCacodemonBall
{   frame BAL2A { light CACOBALL }
    frame BAL2B { light CACOBALL }
    frame BAL2C { light CACOBALL_X1 }
    frame BAL2D { light CACOBALL_X2 }
    frame BAL2E { light CACOBALL_X3 }}

object MAbaddonBall
{   frame BAL3A0 { light ABADBALL }
    frame BAL3B0 { light ABADBALL }
    frame BAL3C0 { light ABADBALL_X1 }
    frame BAL3D0 { light ABADBALL_X2 }
    frame BAL3E0 { light ABADBALL_X3 }}	

object KirovBall
{   frame BAL3A0 { light ABADBALL }
    frame BAL3B0 { light ABADBALL }
    frame BAL3C0 { light ABADBALL_X1 }
    frame BAL3D0 { light ABADBALL_X2 }
    frame BAL3E0 { light ABADBALL_X3 }}

object MKirovCacoGrenade0
{   frame SGRN { light GRENADE}
    frame MISLB { light GRENADE_X1}
    frame MISLC { light GRENADE_X2}
    frame MISLD { light GRENADE_X3}}
object MKirovCacoGrenade1
{   frame SGRN { light GRENADE}
    frame MISLB { light GRENADE_X1}
    frame MISLC { light GRENADE_X2}
    frame MISLD { light GRENADE_X3}}
object MKirovCacoGrenade2
{   frame SGRN { light GRENADE}
    frame MISLB { light GRENADE_X1}
    frame MISLC { light GRENADE_X2}
    frame MISLD { light GRENADE_X3}}

object MKirovCaco
{   frame KIRVQ { light ROCKET}
	frame KIRVR { light ROCKET}
    frame KIRVS { light ROCKET_X1}
    frame KIRVT { light ROCKET_X2}
    frame KIRVU { light ROCKET_X3}}
	
object MCacolanternBall
{   frame BAL8A0 { light CACOLANTERNBALL }
    frame BAL8B0 { light CACOLANTERNBALL }
    frame BAL8C0 { light CACOLANTERNBALL_X1 }
    frame BAL8D0 { light CACOLANTERNBALL_X2 }
    frame BAL8E0 { light CACOLANTERNBALL_X3 }}	

	
object MBaronBall
{   frame BAL7A { light BARONBALL}
    frame BAL7B { light BARONBALL}
    frame BAL7C { light BARONBALL_X1}
    frame BAL7D { light BARONBALL_X2}
    frame BAL7E { light BARONBALL_X3}}

object MBelphegorBall
{   frame BAL7A { light BELPHEGORBALL}
    frame BAL7B { light BELPHEGORBALL}
    frame BAL7C { light BELPHEGORBALL_X1}
    frame BAL7D { light BELPHEGORBALL_X2}
    frame BAL7E { light BELPHEGORBALL_X3}}

object MFatShot
{   frame MANFA { light IMPBALL}
    frame MANFB { light IMPBALL}
    frame MISLB { light ROCKET_X1 }
    frame MISLC { light ROCKET_X2 }
    frame MISLD { light ROCKET_X3 }}

Pointlight SoulHarvesterBall1
{Color 1.0 0.8 0.3
Size 40}
Pointlight SoulHarvesterBall2
{Color 1.0 0.8 0.3
Size 44}
Pointlight SoulHarvesterBall3
{Color 1.0 0.8 0.3
Size 48}
Pointlight SoulHarvesterBall4
{Color 1.0 0.8 0.3
Size 36}
Pointlight SoulHarvesterBall5
{Color 1.0 0.8 0.3
Size 32}
Pointlight SoulHarvesterBall6
{Color 1.0 0.8 0.3
Size 28}
Pointlight SoulHarvesterBall7
{Color 1.0 0.8 0.3
Size 24}
Pointlight SoulHarvesterBall8
{Color 1.0 0.8 0.3
Size 20}
Pointlight SoulHarvesterBall9
{Color 1.0 0.8 0.3
Size 16}
Object SoulHarvesterBall
{Frame SHBAA { Light SoulHarvesterBall1 }
Frame SHBAB { Light SoulHarvesterBall1 }
Frame SHBAC { Light SoulHarvesterBall2 }
Frame SHBAD { Light SoulHarvesterBall3 }
Frame SHBAE { Light SoulHarvesterBall2 }
Frame SHBAF { Light SoulHarvesterBall1 }
Frame SHBAG { Light SoulHarvesterBall4 }
Frame SHBAH { Light SoulHarvesterBall5 }
Frame SHBAI { Light SoulHarvesterBall6 }
Frame SHBAJ { Light SoulHarvesterBall7 }
Frame SHBAK { Light SoulHarvesterBall8 }
Frame SHBAL { Light SoulHarvesterBall9 }}
	
PointLight SoulHarvesterX_1
{Offset 0 34 0
Color 1.0 1.0 0.0
Size 8}
PointLight SoulHarvesterX_2
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 12}
PointLight SoulHarvesterX_3
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 16}
PointLight SoulHarvesterX_4
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 20}
PointLight SoulHarvesterX_5
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 24}
PointLight SoulHarvesterX_6
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 32}
PointLight SoulHarvesterX_7
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 40}
PointLight SoulHarvesterX_8
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 58}
PointLight SoulHarvesterX_9
{Offset 0 35 0
Color 1.0 1.0 0.0
Size 20}
Object MSoulHarvester
{Frame SLHVE { Light SoulHarvesterX_1 }
Frame SLHVF { Light SoulHarvesterX_2 }
Frame SLHVG { Light SoulHarvesterX_3 }
Frame SLHVH { Light SoulHarvesterX_4 }
Frame SLHVI { Light SoulHarvesterX_5 }
Frame SLHVJ { Light SoulHarvesterX_6 }
Frame SLHVK { Light SoulHarvesterX_7 }
Frame SLHVL { Light SoulHarvesterX_8 }
Frame SLHVM { Light SoulHarvesterX_9 }}

Pointlight SoulHarvesterGhost1
{Color 1.0 1.0 0.0
Size 8
Offset 0 4 0}
Pointlight SoulHarvesterGhost2
{Color 1.0 1.0 0.0
Size 16
Offset 0 8 0}
Pointlight SoulHarvesterGhost3
{Color 1.0 1.0 0.0
Size 24
Offset 0 32 0}
Pointlight SoulHarvesterGhost4
{Color 0.6 0.6 0.0
Size 24
Offset 0 48 0}
Pointlight SoulHarvesterGhost5
{Color 0.4 0.4 0.0
Size 16
Offset 0 56 0}
Object SoulHarvesterGhost
{Frame SHGHA { Light SoulHarvesterGhost1 }
Frame SHGHB { Light SoulHarvesterGhost2 }
Frame SHGHC { Light SoulHarvesterGhost3 }
Frame SHGHD { Light SoulHarvesterGhost4 }
Frame SHGHE { Light SoulHarvesterGhost5 }}

//Flashier Spectre
Pointlight LARGL
{   color 0.0 0.3 0.0
    size 12}
Pointlight LARGL_X1
{   color 0.0 0.5 0.0
    size 13}
Pointlight LARGL_X2
{   color 0.0 0.7 0.0
    size 14}
object MSpectre 
{   frame SPCTA {light LARGL}
	frame SPCTB {light LARGL_X1}
	frame SPCTC {light LARGL}
	frame SPCTD {light LARGL_X1}
	frame SPCTE {light LARGL}
	frame SPCTF {light LARGL_X1}
	frame SPCTG {light LARGL_X2}}	
		
flickerlight FECTSHOT
{   color 0.0 0.8 0.0
    size 50
    secondarySize 55
    chance 0.5}
flickerlight FECTSHOT_X1
{   color 0.0 0.8 0.0
    size 50
    secondarySize 55
    chance 0.25}
flickerlight FECTSHOT_X2
{   color 0.0 0.6 0.0
    size 60
    secondarySize 65
    chance 0.25}
flickerlight FECTSHOT_X3
{   color 0.0 0.4 0.0
    size 70
    secondarySize 75
    chance 0.25}
object MHectShot
{   frame HECFA { light FECTSHOT}
    frame HECFB { light FECTSHOT}
    frame HECFC { light FECTSHOT_X1}
    frame HECFD { light FECTSHOT_X2}
    frame HECFE { light FECTSHOT_X3}}

object MArachnotronPlasma
{   frame APLSA { light ARACHPLAS}
    frame APLSB { light ARACHPLAS}
    frame APBXA { light ARACHPLAS_X1}
    frame APBXB { light ARACHPLAS_X2}
    frame APBXC { light ARACHPLAS_X2}
    frame APBXD { light ARACHPLAS_X3}
    frame APBXE { light ARACHPLAS_X4}}

object MRevenantTracer
{   frame FATBA { light TRACER}
    frame FATBB { light TRACER}
    frame FBXPA { light TRACER_X1}
    frame FBXPB { light TRACER_X2}
    frame FBXPC { light TRACER_X3}}

	
object RevMissile
{   frame FATBA { light TRACER}
    frame FATBB { light TRACER}
    frame FBXPA { light TRACER_X1}
    frame FBXPB { light TRACER_X2}
    frame FBXPC { light TRACER_X3}}
	
object RevMissileCommando
{   frame HMISA { light ROCKET}
    frame MISLB { light ROCKET_X1}
    frame MISLC { light ROCKET_X2}
    frame MISLD { light ROCKET_X3}}
	
object MRevenantGrenade
{   frame SGRN { light GRENADE}
    frame MISLB { light GRENADE_X1}
    frame MISLC { light GRENADE_X2}
    frame MISLD { light GRENADE_X3}}

// RedImp Fireball
pointlight RedImpBall
{   color 1.0 0.0 0.0
    size 64}
flickerlight RedImpBall_X1
{   color 7.0 0.1 0.0
    size 80
    secondarySize 88
    chance 0.25}
flickerlight RedImpBall_X2
{   color 4.0 0.0 0.0
    size 96
    secondarySize 104
    chance 0.25}
flickerlight RedImpBall_X3
{   color 3.0 0.0 0.0
    size 112
    secondarySize 120
    chance 0.25}
object RedImpBall
{   frame BRL1A { light RedImpBall    }
    frame BRL1B { light RedImpBall    }
    frame BAL1C { light RedImpBall_X1 }
    frame BAL1D { light RedImpBall_X2 }
    frame BAL1E { light RedImpBall_X3 }}

// BlueImp Fireball
pointlight BlueImpBall
{   color 0.0 0.0 1.0
    size 64}
flickerlight BlueImpBall_X1
{   color 0.0 0.2 0.7
    size 80
    secondarySize 88
    chance 0.25}
flickerlight BlueImpBall_X2
{   color 0.0 0.0 0.4
    size 96
    secondarySize 104
    chance 0.25}
flickerlight BlueImpBall_X3
{   color 0.0 0.0 0.2
    size 112
    secondarySize 120
    chance 0.25}

object BlueImpBall
{   frame BBL1A { light BlueImpBall    }
    frame BBL1B { light BlueImpBall    }
    frame BBL1C { light BlueImpBall_X1 }
    frame BBL1D { light BlueImpBall_X2 }
    frame BBL1E { light BlueImpBall_X3 }}

// BlueImp Fireball
pointlight GreenImpBall
{   color 0.0 1.0 0.0
    size 64}
flickerlight GreenImpBall_X1
{   color 0.1 0.7 0.1
    size 80
    secondarySize 88
    chance 0.25}
flickerlight GreenImpBall_X2
{   color 0.0 0.4 0.0
    size 96
    secondarySize 104
    chance 0.25}
flickerlight GreenImpBall_X3
{   color 0.0 0.2 0.0
    size 112
    secondarySize 120
    chance 0.25}

object GreenImpBall
{   frame BGL1A { light GreenImpBall    }
    frame BGL1B { light GreenImpBall    }
    frame BGL1C { light GreenImpBall_X1 }
    frame BGL1D { light GreenImpBall_X2 }
    frame BGL1E { light GreenImpBall_X3 }}

//GoldenImp
Pointlight GoldBall
{Color 0.8 0.4 0.2
Size 30}
Pointlight GoldBall2
{Color 0.8 0.4 0.2
Size 35}
Pointlight GoldBall3
{Color 0.6 0.2 0.1
Size 30}
Pointlight GoldBall4
{Color 0.3 0.1 0.0
Size 20}

Object GoldImpBall
{Frame RELLA { Light GoldBall }
Frame RELLB { Light GoldBall }
Frame RELLC { Light GoldBall }
Frame RELLD { Light GoldBall }
Frame RELLE { Light GoldBall }
Frame RELLF { Light GoldBall }
Frame RELLG { Light GoldBall2 }
Frame RELLH { Light GoldBall3 }
Frame RELLI { Light GoldBall4 }}

//FlameImp
FlickerLight2 FlameThrower
{Offset 0 2 0
Color 0.15 0.04 0.0
Size 40
SecondarySize 60
Interval 2.0}

Object ImpFlameshot
{Frame FRFX { Light FlameThrower }}
	
Pointlight DarkBallSeeker1
{Color 0.5 0.2 0.8
Size 48}
Pointlight DarkBallSeeker2
{Color 0.4 0.2 0.8
Size 64}
Pointlight DarkBallSeeker3
{Color 0.2 0.2 0.8
Size 56}
Pointlight DarkBallSeeker4
{Color 0.0 0.0 0.5
Size 32}
Object MDarkSeeker
{Frame DKB1A { Light DarkBallSeeker1 }
Frame DKB1B { Light DarkBallSeeker1 }
Frame DKB1C { Light DarkBallSeeker2 }
Frame DKB1D { Light DarkBallSeeker3 }
Frame DKB1E { Light DarkBallSeeker4 }}

Flickerlight2 NamiDarkImpFire
{Color 0.5 0.2 0.8
Size 48
SecondarySize 56
Interval 0.8
Offset 0 28 0}
Object MDarkImp
{Frame DRKIE { Light NamiDarkImpFire }
Frame DRKIF { Light NamiDarkImpFire }
Frame DRKIG { Light NamiDarkImpFire }}

Pointlight ShadowBall
{Color 1.0 0.0 0.0
Size 32}
Pointlight ShadowBall2
{Color 1.0 0.0 0.0
Size 44}
Pointlight ShadowBall3
{Color 1.0 0.0 0.0
Size 48}
Pointlight ShadowBall4
{Color 0.6 0.0 0.0
Size 36}
Pointlight ShadowBall5
{Color 0.4 0.0 0.0
Size 24}

Object ShadowBall
{Frame SBALA { Light ShadowBall }
Frame SBALB { Light ShadowBall }
Frame SBALC { Light ShadowBall }
Frame SBALD { Light ShadowBall1 }
Frame SBALE { Light ShadowBall2 }
Frame SBALF { Light ShadowBall3 }
Frame SBALG { Light ShadowBall4 }
Frame SBALH { Light ShadowBall5 }}
	
object SpiderMastermindBulletRico
{   frame SX58A { light RICOFIR1 }
    frame SX58B { light RICOFIR2 }
    frame SX58C { light RICOFIR3 }
    frame SX58D { light RICOFIR4 }
    frame SX58E { light RICOFIR5 }
    frame SX58F { light RICOFIR6 }
    frame SX58G { light RICOFIR7 }
    frame SX58H { light RICOFIR8 }
	frame SX58J { light RICOFIR9 }}
		
object MZombieMan
{frame POSSF { light ZOMBIEATK }}

object MShotgunGuy
{frame SPOSF { light ZOMBIEATK }}

object MAShotgunGuy
{frame ASGZF { light ZOMBIEATK }}

object MSSGZombie
{frame GPOSF { light ZOMBIEATK }}

object MChaingunGuy
{frame CPOSF { light ZOMBIEATK }}

object MChaingunGuy2
{frame DPOSE { light ZOMBIEATK }
 frame DPOSF { light ZOMBIEATK }}

Object MSpiderMastermind
{Frame SPIDG { Light ZOMBIEATK }}

Object MArachGunner
{Frame CSPIH { Light ZOMBIEATK }}
 
//BlackOps lights
Object BlackOpsMale
{Frame REELF { Light ZOMBIEATK }}
Object BlackOpsFemale
{Frame REELF { Light ZOMBIEATK }}
 
flickerlight2 ZOMBIEGTK
{   color 0.0 0.8 0.0
    size 48
    secondarySize 56
    interval 1
    offset 0 40 0}
Object MArachnotron
{Frame BSPIH { Light ZOMBIEGTK }}

Object MPlasmaZombie
{Frame ZMAYF { Light ZOMBIEGTK }}

Object MBaronOfHell
{Frame BOSSF { Light ZOMBIEGTK }
Frame BOSSG { Light ZOMBIEGTK }}

Object MHellKnight
{Frame BOS2F { Light ZOMBIEGTK }
Frame BOS2G { Light ZOMBIEGTK }}

Object MBelphegor
{Frame BOS3F { Light ZOMBIEGTK }
Frame BOS3G { Light ZOMBIEGTK }}

object FMarinePistol
{frame PLA2F { light ZOMBIEATK }}
object FMarineShotgun
{frame PLA3F { light ZOMBIEATK }}
object FMarineSSG
{frame PLA9F { light ZOMBIEATK }}
object FMarineChaingun
{frame PLA4F { light ZOMBIEATK }}
object FMarineRocket
{frame PLA5F { light ZOMBIEATK }}
flickerlight2 ZOMBIEBTK
{   color 0.0 0.0 0.8
    size 48
    secondarySize 56
    interval 1
    offset 0 40 0}
object FMarineRailgun
{frame SRPLF { light ZOMBIEBTK }}
 
object MLostSoul
{   frame SKULA { light LOSTSOUL }
    frame SKULB { light LOSTSOUL }
    frame SKULC { light LOSTSOUL }
    frame SKULD { light LOSTSOUL }
    frame SKULE { light LOSTSOUL }
    frame SKULF { light LOSTSOUL }
    frame SKULG { light LOSTSOUL }
    frame SKULH { light LOSTSOUL_X1 }
    frame SKULI { light LOSTSOUL_X2 }
    frame SKULJ { light LOSTSOUL_X3 }
    frame SKULK { light LOSTSOUL_X4 }}

object MExplosiveBarrel
{   frame BAR1  { light BARREL}
    frame BEXPB { light ROCKET_X1 }
    frame BEXPC { light ROCKET_X2 }
    frame BEXPD { light ROCKET_X3 }}

/*object ZPlasmaBall
{   frame PLSSA { light PLASMABALL }
    frame PLSSB { light PLASMABALL }
    frame PLSEA { light PLASMA_X1 }
    frame PLSEB { light PLASMA_X2 }
    frame PLSEC { light PLASMA_X2 }
    frame PLSED { light PLASMA_X3 }
    frame PLSEE { light PLASMA_X4 }}*/
	
Pointlight AnnihilatorRocket1
{Color 1.0 0.7 0.0
Size 56}
Flickerlight AnnihilatorRocket2
{Color 1.0 0.7 0.0
Size 64
SecondarySize 72
Chance 0.3}
Flickerlight AnnihilatorRocket3
{Color 0.5 0.1 0.0
Size 80
SecondarySize 88
Chance 0.3}
Flickerlight AnnihilatorRocket4
{Color 0.3 0.0 0.0
Size 96
SecondarySize 104
Chance 0.3}

Object PCybRocket2
{Frame HMISA { Light AnnihilatorRocket1 }
Frame BAL3C { Light AnnihilatorRocket2 }
Frame BAL3D { Light AnnihilatorRocket3 }
Frame BAL3E { Light AnnihilatorRocket4 }}

Object PCybRocket3
{Frame HMISA { Light AnnihilatorRocket1 }
Frame BAL3C { Light AnnihilatorRocket2 }
Frame BAL3D { Light AnnihilatorRocket3 }
Frame BAL3E { Light AnnihilatorRocket4 }}

	object MAnniGrenade
{   frame SGRN { light GRENADE}
    frame MISLB { light GRENADE_X1}
    frame MISLC { light GRENADE_X2}
    frame MISLD { light GRENADE_X3}}
	
object BlackOpsGrenade
{   frame REEG { light GRENADE}
    frame MISLC { light GRENADE_X1}
    frame MISLD { light GRENADE_X2}
    frame MISLE { light GRENADE_X3}}

//ZombieTankGreenPlasmaLights
pointlight ZTPLASMABALL
{   color 0.0 1.0 0.0
    size 56}
flickerlight ZTPLASMA_X1
{   color 0.2 1.0 0.2
    size 64
    secondarySize 72
    chance 0.4}
flickerlight ZTPLASMA_X2
{   color 0.2 0.8 0.2
    size 80
    secondarySize 88
    chance 0.4}
flickerlight ZTPLASMA_X3
{   color 0.1 0.5 0.1
    size 64
    secondarySize 72
    chance 0.4}
flickerlight ZTPLASMA_X4
{   color 0.0 0.2 0.0
    size 8
    secondarySize 16
    chance 0.4}
object ZTPlasmaBall
{   frame PLTSA { light ZTPLASMABALL }
    frame PLTSB { light ZTPLASMABALL }
    frame PLTEA { light ZTPLASMA_X1 }
    frame PLTEB { light ZTPLASMA_X2 }
    frame PLTEC { light ZTPLASMA_X2 }
    frame PLTED { light ZTPLASMA_X3 }
    frame PLTEE { light ZTPLASMA_X4 }}

object FTPlasmaBall
{   frame PLTSA { light ZTPLASMABALL }
    frame PLTSB { light ZTPLASMABALL }
    frame PLTEA { light ZTPLASMA_X1 }
    frame PLTEB { light ZTPLASMA_X2 }
    frame PLTEC { light ZTPLASMA_X2 }
    frame PLTED { light ZTPLASMA_X3 }
    frame PLTEE { light ZTPLASMA_X4 }}

//ZombieMissleTank
FlickerLight2 ZombieMissileTankAttack
{Color 1.0 0.8 0.2
Size 48
SecondarySize 56
Interval 1
Offset 0 40 0}
Pointlight ZombieTankExplosion1
{Color 1.0 0.8 0.2
Size 50}
Pointlight ZombieTankExplosion2
{Color 1.0 0.8 0.2
Size 58}
Pointlight ZombieTankExplosion3
{Color 1.0 0.8 0.2
Size 62}
Pointlight ZombieTankExplosion4
{Color 1.0 0.8 0.2
Size 58}
Pointlight ZombieTankExplosion5
{Color 1.0 0.8 0.2
Size 54}
Pointlight ZombieTankExplosion6
{Color 1.0 0.8 0.2
Size 50}
Pointlight ZombieTankExplosion7
{Color 1.0 0.8 0.2
Size 44}
Pointlight ZombieTankExplosion8
{Color 0.9 0.7 0.1
Size 40}
Pointlight ZombieTankExplosion9
{Color 0.9 0.7 0.1
Size 36}
Pointlight ZombieTankExplosion10
{Color 0.9 0.7 0.1
Size 32}
Pointlight ZombieTankExplosion11
{Color 0.8 0.6 0.0
Size 28}
Pointlight ZombieTankExplosion12
{Color 0.8 0.6 0.0
Size 26}
Pointlight ZombieTankExplosion13
{Color 0.8 0.6 0.0
Size 24}
Pointlight ZombieTankExplosion14
{Color 0.6 0.4 0.0
Size 22}
Pointlight ZombieTankExplosion15
{Color 0.6 0.4 0.0
Size 20}
Pointlight ZombieTankExplosion16
{Color 0.6 0.4 0.0
Size 18}
Pointlight ZombieTankExplosion17
{Color 0.4 0.2 0.0
Size 16}
Pointlight ZombieTankExplosion18
{Color 0.4 0.2 0.0
Size 14}
Pointlight ZombieTankExplosion19
{Color 0.2 0.0 0.0
Size 12}
Pointlight ZombieTankExplosion20
{Color 0.2 0.0 0.0
Size 10}

Object ZombieTankExplosion
{Frame ZTXPA { Light ZombieTankExplosion1 }
Frame ZTXPB { Light ZombieTankExplosion2 }
Frame ZTXPC { Light ZombieTankExplosion3 }
Frame ZTXPD { Light ZombieTankExplosion4 }
Frame ZTXPE { Light ZombieTankExplosion5 }
Frame ZTXPF { Light ZombieTankExplosion6 }
Frame ZTXPG { Light ZombieTankExplosion7 }
Frame ZTXPH { Light ZombieTankExplosion8 }
Frame ZTXPI { Light ZombieTankExplosion9 }
Frame ZTXPJ { Light ZombieTankExplosion10 }
Frame ZTXPK { Light ZombieTankExplosion11 }
Frame ZTXPL { Light ZombieTankExplosion12 }
Frame ZTXPM { Light ZombieTankExplosion13 }
Frame ZTXPN { Light ZombieTankExplosion14 }
Frame ZTXPO { Light ZombieTankExplosion15 }
Frame ZTXPP { Light ZombieTankExplosion16 }
Frame ZTXPQ { Light ZombieTankExplosion17 }
Frame ZTXPR { Light ZombieTankExplosion18 }
Frame ZTXPS { Light ZombieTankExplosion19 }
Frame ZTXPT { Light ZombieTankExplosion20 }}

Object ZombieMissileTank
{Frame ZMTKD { Light ZombieMissileTankAttack }
Frame ZMTKE { Light ZombieMissileTankAttack }}

Pointlight ZombieTankMissile1
{Color 1.0 0.7 0.0
Size 56}
Flickerlight ZombieTankMissile2
{Color 1.0 0.7 0.0
Size 64
SecondarySize 72
Chance 0.3}
Flickerlight ZombieTankMissile3
{Color 0.5 0.1 0.0
Size 80
SecondarySize 88
Chance 0.3}
Flickerlight ZombieTankMissile4
{Color 0.3 0.0 0.0
Size 96
SecondarySize 104
Chance 0.3}

Object ZombieTankMissile
{Frame ZMISA { Light ZombieTankMissile1 }
Frame ZMISB { Light ZombieTankMissile2 }
Frame ZMISC { Light ZombieTankMissile3 }
Frame ZMISD { Light ZombieTankMissile4 }}

object MArchvile
{   frame VILEH { light ARCHATK1 }
    frame VILEI { light ARCHATK2 }
    frame VILEJ { light ARCHATK3 }
    frame VILEK { light ARCHATK4 }
    frame VILEL { light ARCHATK4 }
    frame VILEM { light ARCHATK4 }
    frame VILEN { light ARCHATK5 }
    frame VILEO { light ARCHATK6 }
    frame VILEP { light ARCHATK7 }
    frame VILE[ { light ARCHRES }
    frame VILE\ { light ARCHRES }
    frame VILE] { light ARCHRES }}
	
object ArchyFire
{   frame FIREA { light ARCHFIRE1 }
    frame FIREB { light ARCHFIRE2 }
    frame FIREC { light ARCHFIRE3 }
    frame FIRED { light ARCHFIRE4 }
    frame FIREE { light ARCHFIRE5 }
    frame FIREF { light ARCHFIRE6 }
    frame FIREG { light ARCHFIRE7 }
    frame FIREH { light ARCHFIRE8 }}

pointlight MoPThrower
{   color 0.9 0.4 0.0
    size 33}
Object ExorcistArchvileFlamerFire
{frame FLMB { light MoPThrower }}
Object FlameThrowerFire
{frame FLMB { light MoPThrower }}
Object FlameBallPuff
{frame FLMB { light MoPThrower }}

object MArchvileExorcist
{   frame DVILH { light ARCHATK1 }
    frame DVILI { light ARCHATK2 }
    frame DVILJ { light ARCHATK3 }
    frame DVILK { light ARCHATK4 }
    frame DVILL { light ARCHATK4 }
    frame DVILM { light ARCHATK4 }
    frame DVILN { light ARCHATK5 }
    frame DVILO { light ARCHATK6 }
    frame DVILP { light ARCHATK7 }}

pointlight FATBFG
{color 0.1 1.0 0.0
 size 64}
flickerlight FATBFG_X1
{   color 0.3 1.0 0.2
    size 64
    secondarySize 72
    chance 0.3}

flickerlight FATBFG_X2
{   color 0.4 1.0 0.3
    size 88
    secondarySize 96
    chance 0.3}
flickerlight FATBFG_X3
{   color 0.6 1.0 0.5
    size 104
    secondarySize 112
    chance 0.3}
flickerlight FATBFG_X4
{   color 0.3 0.7 0.2
    size 40
    secondarySize 48
    chance 0.3}
	
object ExorcistArchvileBFGBall
{frame BFG4A { light FATBFG }}

object ExorcistBFGBoom
{   frame BFG3A { light FATBFG_X1 }
    frame BFG3B { light FATBFG_X2 }
    frame BFG3C { light FATBFG_X3 }
    frame BFG3D { light FATBFG_X1 }
    frame BFG3E { light FATBFG_X4 }}
		
flickerlight2 ZOMBIEPTK
{   color 0.8 0.0 0.8
    size 48
    secondarySize 56
    interval 1
    offset 0 40 0}
object MrScientist
{    frame DRDOG { light ZOMBIEATK }
     frame DRDAG { light ZOMBIEPTK }}
object MrScientistImNotDeadYet
{    frame LST5C { light ZOMBIEATK }
     frame LOT5C { light ZOMBIEPTK }}

//MrScientistTinyRocketlights
object MrScientistHomeRock
{   frame TMISA { light ROCKET}
    frame MISLB { light ROCKET_X1}
    frame MISLC { light ROCKET_X2}
    frame MISLD { light ROCKET_X3}}
	
//MrScientistPurpleBfGLightings
PointLight BFG10kShots
{Color 0.8 0.0 0.8
Size 80}
PointLight BFG10kShots_X1
{Color 0.8 0.0 0.8
Size 104}
PointLight BFG10kShots_X2
{Color 0.8 0.0 0.8
Size 120}
PointLight BFG10kShots_X3
{Color 0.8 0.0 0.8
Size 40}
pointlight BFGBALLS
{color 0.1 0.0 0.1
 size 80}
flickerlight BFGBALLS_X1
{color 0.2 0.0 0.2
 size 80
 secondarySize 88
 chance 0.3}
flickerlight BFGBALLS_X2
{   color 0.3 0.0 0.3
    size 104
    secondarySize 112
    chance 0.3}
flickerlight BFGBALLS_X3
{  color 0.5 0.0 0.5
    size 120
    secondarySize 128
    chance 0.3}
flickerlight BFGBALLS_X4
{   color 0.2 0.0 0.2
    size 56
    secondarySize 64
    chance 0.3}
flickerlight BFGBALLS_X5
{   color 0.1 0.0 0.1
    size 48
    secondarySize 56
    chance 0.3}
	
object MrScientistBFGBall
{   frame BBS1A { Light BFGBALLS}
    frame BBS1B { Light BFGBALLS}
    frame BBE1A { Light BFGBALLS_X1 }
    frame BBE1B { Light BFGBALLS_X2 }
    frame BBE1C { Light BFGBALLS_X3 }
    frame BBE1D { Light BFGBALLS_X1 }
    frame BBE1E { Light BFGBALLS_X4 }
    frame BBE1F { Light BFGBALLS_X5 }}
	
object MrScientistMBFG10k
{   frame BBE1A { Light BFG10kShots }
    frame BBE1B { Light BFG10kShots_X1 }
    frame BBE1C { Light BFG10kShots_X2 }
    frame BBE1D { Light BFG10kShots }
    frame BBE1E { Light BFG10kShots_X3 }}	
//CheshireCaco
pointlight Shot
{color 147 0 255
    size 36}
flickerlight2 ShotEX1
{   color 147 0 255
    size 36
    secondarySize 42
    interval 1}
flickerlight2 ShotEX2
{   color 147 0 255
    size 40
    secondarySize 48
    interval 1}
flickerlight2 ShotEX3
{   color 147 0 255
    size 46
    secondarySize 56
    interval 1}
flickerlight2 Fire
{   color 147 0 255
    size 36
    secondarySize 32
    interval 1}
pointlight Sparky
{   color 147 0 255
    size 16}
object ChshireFlame
{   frame CHFRA { light Fire }
    frame CHFRB { light Fire }
    frame CHFRC { light Fire }
    frame CHFRD { light Fire }
    frame CHFRE { light Fire }
    frame CHFRF { light Fire }
    frame CHFRG { light Fire }
    frame CHFRH { light Fire }
    frame CHFRI { light Fire }
    frame CHFRJ { light Fire }
    frame CHFRK { light Fire }
    frame CHFRL { light Fire }
    frame CHFRM { light Fire }
    frame CHFRN { light Fire }
    frame CHFRO { light Fire }
    frame CHFRP { light Fire }}
object ChesBallA
{   frame SHSTA { light Shot }
    frame SHSTB { light Shot }
    frame SHSTD { light Shot }
    frame SHSTG { light ShotEX1 }
    frame SHSTH { light ShotEX1 }
    frame SHSTI { light ShotEX2 }
    frame SHSTJ { light ShotEX2 }
    frame SHSTK { light ShotEX3 }
    frame SHSTL { light ShotEX3 }}
	
object ChesSparky
{frame FALL { light Sparky }}

//Arachnophyte
FlickerLight2 ArachnophyteWalk
{color 1.0 0.8 0.2
size 48
secondarySize 56
interval 1
offset 0 40 0}
FlickerLight2 ArachnophyteAttack
{color 1.0 0.8 0.2
size 56
secondarySize 64
interval 1
offset 0 80 0}
FlickerLight2 ArachnophyteDeath1
{color 1.0 0.8 0.2
size 52
secondarySize 56
interval 0.5
offset 0 40 0}
FlickerLight2 ArachnophyteDeath2
{color 1.0 0.8 0.2
size 60
secondarySize 64
interval 0.5
offset 0 40 0}
FlickerLight2 ArachnophyteDeath3
{color 1.0 0.8 0.2
size 76
secondarySize 80
interval 0.5
offset 0 40 0}
FlickerLight2 ArachnophyteDeath4
{color 1.0 0.8 0.2
size 72
secondarySize 76
interval 0.5
offset 0 40 0}
FlickerLight2 ArachnophyteDeath5
{color 1.0 0.8 0.2
size 64
secondarySize 68
interval 0.5
offset 0 40 0}
PointLight ArachnophyteDeath6
{color 1.0 0.8 0.2
size 50}
Object Arachnophyte
{Frame APYTA { Light ArachnophyteWalk }
Frame APYTB { Light ArachnophyteWalk }
Frame APYTC { Light ArachnophyteAttack }
Frame APYTD { Light ArachnophyteAttack }
Frame APYTE { Light ArachnophyteDeath1 }
Frame APYTF { Light ArachnophyteDeath2 }
Frame APYTG { Light ArachnophyteDeath3 }
Frame APYTH { Light ArachnophyteDeath4 }
Frame APYTI { Light ArachnophyteDeath5 }
Frame APYTJ { Light ArachnophyteDeath6 }}

//Beheaded Kamikazi
Pointlight SuicideBomberDeath1
{Color 1.0 0.4 0.0
Size 35}
Pointlight SuicideBomberDeath2
{Color 0.6 0.3 0.0
Size 40}
Pointlight SuicideBomberDeath3
{Color 0.3 0.1 0.0
Size 35}
Object KamikaziGuy
{Frame BMBEM { Light SuicideBomberDeath1 }
Frame BMBEN { Light SuicideBomberDeath2 }
Frame BMBEO { Light SuicideBomberDeath3 }}

//ArchnoofHell
Pointlight ArchonComet1
{Color 0.0 0.6 0.1
Size 64}
Pointlight ArchonComet2
{Color 0.0 0.8 0.2
Size 128}
Pointlight ArchonComet3
{Color 0.0 0.75 0.15
Size 112}
Pointlight ArchonComet4
{Color 0.0 0.5 0.05
Size 104}
Pointlight ArchonComet5
{Color 0.0 0.5 0.05
Size 96}
Pointlight ArchonComet6
{Color 0.0 0.5 0.05
Size 64}

Object ArchonComet
{Frame ARCBA { Light ArchonComet1 }
Frame ARCBB { Light ArchonComet1 }
Frame ARCBC { Light ArchonComet1 }
Frame ARCBJ { Light ArchonComet2 }
Frame ARCBK { Light ArchonComet3 }
Frame ARCBL { Light ArchonComet4 }
Frame ARCBM { Light ArchonComet5 }
Frame ARCBN { Light ArchonComet6 }}

Pointlight ArchonSoul1
{Color 0.0 1.0 0.3
Size 64}
Pointlight ArchonSoul2
{Color 0.0 1.0 0.3
Size 56}
Pointlight ArchonSoul3
{Color 0.0 1.0 0.3
Size 48}
Pointlight ArchonSoul4
{Color 0.0 1.0 0.3
Size 40}

Object ArchonSoul
{Frame BFX1A { Light ArchonSoul1 }
Frame BFX1B { Light ArchonSoul2 }
Frame BFX1C { Light ArchonSoul3 }
Frame BFX1D { Light ArchonSoul4 }}

//Aracnorb
Pulselight AracnorbLight
{Color 1.0 1.0 0.0
Size 24
SecondarySize 6
Interval 3.0}

Object AracnorbBall
{Frame ACNF { Light AracnorbLight }}

//CyberMastermind
Flickerlight2 CyberMastermindAttack1
{Color 1.0 1.0 0.0
Size 64
SecondarySize 72
Interval 1.5
Offset 0 42 0}
Pointlight CyberMastermindAttack2
{Color 0.6 0.4 0.0
Size 96
Offset 0 42 0}
Pointlight CyberMastermindExplode1
{Color 0.7 0.0 0.0
Size 64
Offset 0 42 0}
Pointlight CyberMastermindExplode2
{Color 1.0 0.6 0.0
Size 96
Offset 0 42 0}
Pointlight CyberMastermindExplode3
{Color 1.0 0.5 0.0
Size 160
Offset 0 42 0}
Pointlight CyberMastermindExplode4
{Color 0.9 0.4 0.0
Size 128
Offset 0 42 0}
Pointlight CyberMastermindExplode5
{Color 0.8 0.3 0.0
Size 96
Offset 0 42 0}
Pointlight CyberMastermindExplode6
{Color 0.7 0.3 0.0
Size 80
Offset 0 42 0}
Pointlight CyberMastermindExplode7
{Color 0.5 0.2 0.0
Size 64
Offset 0 42 0}

Object CyberMastermind
{Frame CYMMG { Light CyberMastermindAttack1 }
Frame CYMMH { Light CyberMastermindAttack1 }
Frame CYMMI { Light CyberMastermindAttack2 }
Frame CYMMJ { Light CyberMastermindAttack2 }
Frame CYMMN { Light CyberMastermindExplode1 }
Frame CYMMO { Light CyberMastermindExplode2 }
Frame CYMMP { Light CyberMastermindExplode3 }
Frame CYMMQ { Light CyberMastermindExplode4 }
Frame CYMMR { Light CyberMastermindExplode5 }
Frame CYMMS { Light CyberMastermindExplode6 }
Frame CYMMT { Light CyberMastermindExplode7 }}

//DeepOne
 flickerlight OLDP_X1
{   color 0 2 0
    size 40
    secondarySize 35
    chance 0.4}
 flickerlight OLDP_X2
{   color 0 2 0
    size 30
    secondarySize 25
    chance 0.4}
pointlight OLDP_X3
{   color 0.0 2.0 0.0
    size 48
    offset 0 0 0} 
pointlight OLDP_X4
{   color 0.0 2.0 0.0
    size 64
    offset 0 0 0} 
pointlight OLDP_X5
{   color 0.0 2.0 0.0
    size 128
    offset 0 0 0} 
pointlight OLDP_X6
{   color 0.0 2.0 0.0
    size 64
    offset 0 0 0} 
object DeepOneBall
{   frame OLDPA { light OLDP_X1 }
    frame OLDPB { light OLDP_X2 }
    frame OLDPC { light OLDP_X3 }
    frame OLDPD { light OLDP_X4 }
    frame OLDPE { light OLDP_X5 }
    frame OLDPF { light OLDP_X6 }}
	
//PyroDemon
Flickerlight2 FireShot1
{Color 1.0 0.8 0.0
Size 25
SecondarySize 30
Interval 2
Offset 0 0 0}
Pointlight FireShot2
{Color 0.8 0.6 0.0
Size 25}
Pointlight FireShot3
{Color 0.6 0.4 0.0
Size 23}
Pointlight FireShot4
{Color 0.4 0.2 0.0
Size 21}

Object FireShot
{Frame FSHTA { Light FireShot1 }
Frame FSHTB { Light FireShot1 }
Frame FSHTC { Light FireShot2 }
Frame FSHTD { Light FireShot3 }
Frame FSHTE { Light FireShot4 }}

Pointlight EscapeExplosion1
{Color 1.0 0.8 0.2
Size 50}
Pointlight EscapeExplosion2
{Color 1.0 0.8 0.2
Size 58}
Pointlight EscapeExplosion3
{Color 1.0 0.8 0.2
Size 62}
Pointlight EscapeExplosion4
{Color 1.0 0.8 0.2
Size 58}
Pointlight EscapeExplosion5
{Color 1.0 0.8 0.2
Size 54}
Pointlight EscapeExplosion6
{Color 1.0 0.8 0.2
Size 50}
Pointlight EscapeExplosion7
{Color 1.0 0.8 0.2
Size 44}
Pointlight EscapeExplosion8
{Color 0.9 0.7 0.1
Size 40}
Pointlight EscapeExplosion9
{Color 0.9 0.7 0.1
Size 36}
Pointlight EscapeExplosion10
{Color 0.9 0.7 0.1
Size 32}
Pointlight EscapeExplosion11
{Color 0.8 0.6 0.0
Size 28}
Pointlight EscapeExplosion12
{Color 0.8 0.6 0.0
Size 26}
Pointlight EscapeExplosion13
{Color 0.8 0.6 0.0
Size 24}
Pointlight EscapeExplosion14
{Color 0.6 0.4 0.0
Size 23}
Pointlight EscapeExplosion15
{Color 0.6 0.4 0.0
Size 22}
Pointlight EscapeExplosion16
{Color 0.6 0.4 0.0
Size 21}
Pointlight EscapeExplosion17
{Color 0.4 0.2 0.0
Size 20}
Pointlight EscapeExplosion18
{Color 0.4 0.2 0.0
Size 19}
Pointlight EscapeExplosion19
{Color 0.2 0.0 0.0
Size 18}
Pointlight EscapeExplosion20
{Color 0.2 0.0 0.0
Size 17}
Pointlight EscapeExplosion21
{Color 0.2 0.0 0.0
Size 16}

Object EscapeExplosion
{Frame NKXPB { Light EscapeExplosion1 }
Frame NKXPC { Light EscapeExplosion2 }
Frame NKXPD { Light EscapeExplosion3 }
Frame NKXPE { Light EscapeExplosion4 }
Frame NKXPF { Light EscapeExplosion5 }
Frame NKXPG { Light EscapeExplosion6 }
Frame NKXPH { Light EscapeExplosion7 }
Frame NKXPI { Light EscapeExplosion8 }
Frame NKXPJ { Light EscapeExplosion9 }
Frame NKXPK { Light EscapeExplosion10 }
Frame NKXPL { Light EscapeExplosion11 }
Frame NKXPM { Light EscapeExplosion12 }
Frame NKXPN { Light EscapeExplosion13 }
Frame NKXPO { Light EscapeExplosion14 }
Frame NKXPP { Light EscapeExplosion15 }
Frame NKXPQ { Light EscapeExplosion16 }
Frame NKXPR { Light EscapeExplosion17 }
Frame NKXPS { Light EscapeExplosion18 }
Frame NKXPT { Light EscapeExplosion19 }
Frame NKXPU { Light EscapeExplosion20 }
Frame NKXPV { Light EscapeExplosion21 }}

Pointlight FirebombExplosion11
{Color 1.0 0.8 0.2
Size 50}
Pointlight FirebombExplosion12
{Color 1.0 0.8 0.2
Size 58}
Pointlight FirebombExplosion13
{Color 1.0 0.8 0.2
Size 62}
Pointlight FirebombExplosion14
{Color 1.0 0.8 0.2
Size 58}
Pointlight FirebombExplosion15
{Color 1.0 0.8 0.2
Size 54}
Pointlight FirebombExplosion16
{Color 1.0 0.8 0.2
Size 50}
Pointlight FirebombExplosion17
{Color 1.0 0.8 0.2
Size 44}
Pointlight FirebombExplosion18
{Color 0.9 0.7 0.1
Size 40}
Pointlight FirebombExplosion19
{Color 0.9 0.7 0.1
Size 39}
Pointlight FirebombExplosion110
{Color 0.9 0.7 0.1
Size 38}
Pointlight FirebombExplosion111
{Color 0.8 0.6 0.0
Size 37}
Pointlight FirebombExplosion112
{Color 0.7 0.5 0.0
Size 36}
Pointlight FirebombExplosion113
{Color 0.7 0.5 0.0
Size 35}
Pointlight FirebombExplosion114
{Color 0.6 0.4 0.0
Size 35}
Pointlight FirebombExplosion115
{Color 0.6 0.4 0.0
Size 35}
Pointlight FirebombExplosion116
{Color 0.5 0.3 0.0
Size 35}
Pointlight FirebombExplosion117
{Color 0.4 0.2 0.0
Size 35}
Pointlight FirebombExplosion118
{Color 0.3 0.1 0.0
Size 35}
Pointlight FirebombExplosion119
{Color 0.2 0.0 0.0
Size 35}

Object FirebombExplosion1
{Frame FRMEA { Light FirebombExplosion11 }
Frame FRMEB { Light FirebombExplosion12 }
Frame FRMEC { Light FirebombExplosion13 }
Frame FRMED { Light FirebombExplosion14 }
Frame FRMEE { Light FirebombExplosion15 }
Frame FRMEF { Light FirebombExplosion16 }
Frame FRMEG { Light FirebombExplosion17 }
Frame FRMEH { Light FirebombExplosion18 }
Frame FRMEI { Light FirebombExplosion19 }
Frame FRMEJ { Light FirebombExplosion110 }
Frame FRMEK { Light FirebombExplosion111 }
Frame FRMEL { Light FirebombExplosion112 }
Frame FRMEM { Light FirebombExplosion113 }
Frame FRMEN { Light FirebombExplosion114 }
Frame FRMEO { Light FirebombExplosion115 }
Frame FRMEP { Light FirebombExplosion116 }
Frame FRMEQ { Light FirebombExplosion117 }
Frame FRMER { Light FirebombExplosion118 }
Frame FRMES { Light FirebombExplosion119 }}

Object FirebombExplosion2
{Frame FRMEA { Light FirebombExplosion11 }
Frame FRMEB { Light FirebombExplosion12 }
Frame FRMEC { Light FirebombExplosion13 }
Frame FRMED { Light FirebombExplosion14 }
Frame FRMEE { Light FirebombExplosion15 }
Frame FRMEF { Light FirebombExplosion16 }
Frame FRMEG { Light FirebombExplosion17 }
Frame FRMEH { Light FirebombExplosion18 }
Frame FRMEI { Light FirebombExplosion19 }
Frame FRMEJ { Light FirebombExplosion110 }
Frame FRMEK { Light FirebombExplosion111 }
Frame FRMEL { Light FirebombExplosion112 }
Frame FRMEM { Light FirebombExplosion113 }
Frame FRMEN { Light FirebombExplosion114 }
Frame FRMEO { Light FirebombExplosion115 }
Frame FRMEP { Light FirebombExplosion116 }
Frame FRMEQ { Light FirebombExplosion117 }
Frame FRMER { Light FirebombExplosion118 }
Frame FRMES { Light FirebombExplosion119 }}

Object FirebombExplosion3
{Frame FRMEA { Light FirebombExplosion11 }
Frame FRMEB { Light FirebombExplosion12 }
Frame FRMEC { Light FirebombExplosion13 }
Frame FRMED { Light FirebombExplosion14 }
Frame FRMEE { Light FirebombExplosion15 }
Frame FRMEF { Light FirebombExplosion16 }
Frame FRMEG { Light FirebombExplosion17 }
Frame FRMEH { Light FirebombExplosion18 }
Frame FRMEI { Light FirebombExplosion19 }
Frame FRMEJ { Light FirebombExplosion110 }
Frame FRMEK { Light FirebombExplosion111 }
Frame FRMEL { Light FirebombExplosion112 }
Frame FRMEM { Light FirebombExplosion113 }
Frame FRMEN { Light FirebombExplosion114 }
Frame FRMEO { Light FirebombExplosion115 }
Frame FRMEP { Light FirebombExplosion116 }
Frame FRMEQ { Light FirebombExplosion117 }
Frame FRMER { Light FirebombExplosion118 }
Frame FRMES { Light FirebombExplosion119 }}

Pointlight PyroBlast1
{Color 1.0 0.8 0.0
Size 40}
Pointlight PyroBlast2
{Color 1.0 0.8 0.0
Size 48}
Pointlight PyroBlast3
{Color 1.0 0.8 0.0
Size 44}
Pointlight PyroBlast4
{Color 0.9 0.7 0.0
Size 40}
Pointlight PyroBlast5
{Color 0.9 0.7 0.0
Size 36}
Pointlight PyroBlast6
{Color 0.8 0.6 0.0
Size 32}
Pointlight PyroBlast7
{Color 0.7 0.5 0.0
Size 28}
Pointlight PyroBlast8
{Color 0.6 0.4 0.0
Size 24}
Pointlight PyroBlast9
{Color 0.5 0.3 0.0
Size 20}
Pointlight PyroBlast10
{Color 0.4 0.2 0.0
Size 16}
Pointlight PyroBlast11
{Color 0.3 0.1 0.0
Size 12}

Object PyroBlast
{Frame SBLLA { Light PyroBlast1 }
Frame SBLLB { Light PyroBlast1 }
Frame SBLLC { Light PyroBlast1 }
Frame SBLLD { Light PyroBlast1 }
Frame SBLLE { Light PyroBlast1 }
Frame SBLLF { Light PyroBlast1 }
Frame SBLLG { Light PyroBlast1 }
Frame SBLLH { Light PyroBlast1 }
Frame SBLLI { Light PyroBlast1 }
Frame SBLLJ { Light PyroBlast1 }
Frame SBLLK { Light PyroBlast2 }
Frame SBLLL { Light PyroBlast3 }
Frame SBLLM { Light PyroBlast4 }
Frame SBLLN { Light PyroBlast5 }
Frame SBLLO { Light PyroBlast6 }
Frame SBLLP { Light PyroBlast7 }
Frame SBLLQ { Light PyroBlast8 }
Frame SBLLR { Light PyroBlast9 }
Frame SBLLS { Light PyroBlast10 }
Frame SBLLT { Light PyroBlast11 }
Frame SBLLU { Light PyroBlast11 }
Frame SBLLV { Light PyroBlast11 }
Frame SBLLW { Light PyroBlast11 }}

Pointlight WalkFire
{Color 1.0 0.8 0.0
Size 5}
Pointlight WalkFire2
{Color 1.0 0.8 0.0
Size 15}
Pointlight WalkFire3
{Color 1.0 0.8 0.0
Size 35}
Pointlight WalkFire4
{Color 1.0 0.88 0.0
Size 34}
Pointlight WalkFire5
{Color 1.0 0.8 0.0
Size 32}
Pointlight WalkFire6
{Color 1.0 0.8 0.0
Size 30}
Pointlight WalkFire7
{Color 1.0 0.8 0.0
Size 25}
Pointlight WalkFire8
{Color 1.0 0.8 0.0
Size 20}
Pointlight WalkFire9
{Color 1.0 0.8 0.0
Size 15}
Pointlight WalkFire10
{Color 1.0 0.8 0.0
Size 5}
Pointlight WalkFire11
{Color 1.0 0.8 0.0
Size 4}
Pointlight WalkFire12
{Color 1.0 0.8 0.0
Size 3}
Pointlight WalkFire13
{Color 1.0 0.8 0.0
Size 2}
Pointlight WalkFire14
{Color 1.0 0.8 0.0
Size 1}

Object WalkFire
{Frame FRTFA { Light WalkFire }
Frame FRTFB { Light WalkFire2 }
Frame FRTFC { Light WalkFire3 }
Frame FRTFD { Light WalkFire4 }
Frame FRTFE { Light WalkFire5 }
Frame FRTFF { Light WalkFire6 }
Frame FRTFG { Light WalkFire7 }
Frame FRTFH { Light WalkFire8 }
Frame FRTFI { Light WalkFire9 }
Frame FRTFJ { Light WalkFire10 }
Frame FRTFK { Light WalkFire11 }
Frame FRTFL { Light WalkFire12 }
Frame FRTFM { Light WalkFire13 }
Frame FRTFN { Light WalkFire14 }}

Pointlight PyroBall
{Color 1.0 0.8 0.0
Size 35}
Pointlight PyroBall2
{Color 1.0 0.8 0.0
Size 40}
Pointlight PyroBall3
{Color 0.9 0.7 0.0
Size 38}
Pointlight PyroBall4
{Color 0.8 0.6 0.0
Size 36}
Pointlight PyroBall2
{Color 0.6 0.4 0.0
Size 34}
Pointlight PyroBall3
{Color 0.4 0.2 0.0
Size 32}
Pointlight PyroBall4
{Color 0.2 0.0 0.0
Size 30}

Object PyroBall
{Frame RBALA { Light PyroBall }
Frame RBALB { Light PyroBall }
Frame RBALD { Light PyroBall2 }
Frame RBALE { Light PyroBall3 }
Frame RBALF { Light PyroBall4 }
Frame RBALG { Light PyroBall4 }
Frame RBALH { Light PyroBall4 }
Frame RBALI { Light PyroBall4 }}

Pointlight Comet1
{Color 0.6 0.4 0.0
Size 56}
Pointlight Comet2
{Color 0.8 0.6 0.0
Size 64}
Pointlight Comet3
{Color 1.0 0.8 0.4
Size 72}
Pointlight Comet4
{Color 0.8 0.7 0.0
Size 64}
Pointlight Comet5
{Color 0.6 0.4 0.0
Size 56}
Pointlight Comet6
{Color 0.4 0.2 0.0
Size 48}
Pointlight Comet7
{Color 0.4 0.0 0.0
Size 40}

Object FallingComet
{Frame COMTA { Light Comet1 }
Frame COMTB { Light Comet1 }
Frame COMTC { Light Comet1 }
Frame COMTD { Light Comet2 }
Frame COMTE { Light Comet3 }
Frame COMTF { Light Comet4 }}

Object CometDeath
{Frame COMTG { Light Comet5 }
Frame COMTH { Light Comet6 }
Frame COMTI { Light Comet7 }}

Flickerlight2 RainCometNull
{Color 1.0 0.8 0.0
Size 15
Secondarysize 20
Interval 2
Offset 0 0 0}

Object RainCometNull
{Frame ZAP5A { Light RainCometNull }
Frame ZAP5B { Light RainCometNull }
Frame ZAP5C { Light RainCometNull }
Frame ZAP5D { Light RainCometNull }}

//PoisonSoul
Pointlight PoisonSoulDeath1
{Color 0.0 0.8 0.0
Size 25}
Pointlight PoisonSoulDeath2
{Color 0.0 1.0 0.0
Size 30}
Pointlight PoisonSoulDeath3
{Color 0.0 0.8 0.0
Size 30}
Pointlight PoisonSoulDeath4
{Color 0.0 0.6 0.0
Size 30}
Pointlight PoisonSoulDeath5
{Color 0.0 0.4 0.0
Size 25}

Object PoisonSoul
{Frame SKLLD { Light PoisonSoulDeath1 }
Frame SKLLE { Light PoisonSoulDeath2 }
Frame SKLLF { Light PoisonSoulDeath3 }
Frame SKLLG { Light PoisonSoulDeath4 }
Frame SKLLH { Light PoisonSoulDeath5 }}

//Flyingfatsos
FlickerLight2 FlyingFatsoFlight
{color 1.0 0.5 0.2
size 28
secondarySize 36
interval 1
offset 0 8 0
dontlightself 1}

FlickerLight2 FlyingFatsoDeath1
{color 0.8 0.4 0.2
size 28
secondarySize 36
interval 1
offset 0 7 0
dontlightself 1}

FlickerLight2 FlyingFatsoDeath2
{color 0.6 0.2 0.1
size 28
secondarySize 36
interval 1
offset 0 6 0
dontlightself 1}

FlickerLight2 FlyingFatsoDeath3
{color 0.4 0.1 0.0
size 28
secondarySize 36
interval 1
offset 0 5 0
dontlightself 1}

FlickerLight2 FlyingFatsoDeath4
{color 0.2 0.1 0.0
size 28
secondarySize 36
interval 1
offset 0 4 0
dontlightself 1}

FlickerLight2 FlyingFatsoAttack
{color 1.0 0.8 0.2
size 48
secondarySize 56
interval 1
offset 34 38 0
dontlightself 1}

FlickerLight2 FlyingFatsoAttackPlasma
{color 0.3 0.3 1.0
size 48
secondarySize 56
interval 1
offset 34 38 0
dontlightself 1}

FlickerLight2 FlyingFatsoAttackSlime
{color 0.6 0.8 0.1
size 48
secondarySize 56
interval 1
offset 34 38 0
dontlightself 1}

Object Volacubus
   {Frame FFATA	{Light FlyingFatsoFlight}
	Frame FFATB	{Light FlyingFatsoFlight}
	Frame FFATC	{Light FlyingFatsoFlight}
	Frame FFATD	{Light FlyingFatsoFlight}
	Frame FFATF	{Light FlyingFatsoFlight}
	Frame FFATG	{Light FlyingFatsoFlight}
	Frame FFATH	{Light FlyingFatsoFlight}
	Frame FFATI	{Light FlyingFatsoFlight}
	Frame FFATJ	{Light FlyingFatsoFlight}
	Frame FFATK	{Light FlyingFatsoFlight}
	Frame FFATL	{Light FlyingFatsoDeath1}
	Frame FFATM	{Light FlyingFatsoDeath2}
	Frame FFATN	{Light FlyingFatsoDeath3}
	Frame FFATO	{Light FlyingFatsoDeath4}
	Frame FFATH	{Light FlyingFatsoAttack}}

Object Plasmubus
   {Frame FFABA	{Light FlyingFatsoFlight}
	Frame FFABB	{Light FlyingFatsoFlight}
	Frame FFABC	{Light FlyingFatsoFlight}
	Frame FFABD	{Light FlyingFatsoFlight}
	Frame FFABF	{Light FlyingFatsoFlight}
	Frame FFABG	{Light FlyingFatsoFlight}
	Frame FFABH	{Light FlyingFatsoFlight}
	Frame FFABI	{Light FlyingFatsoFlight}
	Frame FFABJ	{Light FlyingFatsoFlight}
	Frame FFABK	{Light FlyingFatsoFlight}
	Frame FFABL	{Light FlyingFatsoDeath1}
	Frame FFABM	{Light FlyingFatsoDeath2}
	Frame FFABN	{Light FlyingFatsoDeath3}
	Frame FFABO	{Light FlyingFatsoDeath4}
	Frame FFABH	{Light FlyingFatsoAttackPlasma}}	

Object Slimeubus
   {Frame FFAGA	{Light FlyingFatsoFlight}
	Frame FFAGB	{Light FlyingFatsoFlight}
	Frame FFAGC	{Light FlyingFatsoFlight}
	Frame FFAGD	{Light FlyingFatsoFlight}
	Frame FFAGF	{Light FlyingFatsoFlight}
	Frame FFAGG	{Light FlyingFatsoFlight}
	Frame FFAGH	{Light FlyingFatsoFlight}
	Frame FFAGI	{Light FlyingFatsoFlight}
	Frame FFAGJ	{Light FlyingFatsoFlight}
	Frame FFAGK	{Light FlyingFatsoFlight}
	Frame FFAGL	{Light FlyingFatsoDeath1}
	Frame FFAGM	{Light FlyingFatsoDeath2}
	Frame FFAGN	{Light FlyingFatsoDeath3}
	Frame FFAGO	{Light FlyingFatsoDeath4}
	Frame FFAGH	{Light FlyingFatsoAttackSlime}}	
	
//SnakeImp
Pointlight SnakeImpFireball
{Color 0.0 1.0 0.0
Size 25}
Pointlight SnakeImpFireball2
{Color 0.0 1.0 0.0
Size 30}
Pointlight SnakeImpFireball3
{Color 0.0 0.7 0.0
Size 25}
Pointlight SnakeImpFireball4
{Color 0.0 0.4 0.0
Size 20}

Object SnakeImpFireball
{Frame SIBAA { Light SnakeImpFireball }
Frame SIBAB { Light SnakeImpFireball }
Frame SIBAC { Light SnakeImpFireball2 }
Frame SIBAD { Light SnakeImpFireball3 }
Frame SIBAE { Light SnakeImpFireball4 }}