Actor ClipSpawner : RandomSpawner replaces Clip
{   DropItem "MClip" 256 10
    DropItem "Saws" 256 3
	DropItem "Gas" 256 3}

Actor ClipBoxSpawner : RandomSpawner replaces Clipbox
{   DropItem "MClipBox" 256 10
    DropItem "SawBox" 256 3
	DropItem "BigGas" 256 3}

Actor ShellSpawner : RandomSpawner replaces Shell
{   DropItem "MShell" 256 10
    DropItem "Bolts" 256 3
	DropItem "CryoBolts" 256 3
	//DropItem "BallistaBolts" 256 3
	}

Actor ShellBoxSpawner : RandomSpawner replaces ShellBox
{   DropItem "MShellBox" 256 10
    DropItem "Bolts" 256 3
	DropItem "CryoBolts" 256 3
	//DropItem "BallistaBolts" 256 7
	}

Actor CellSpawner : RandomSpawner replaces Cell
{   DropItem "MCell" 256 10
    DropItem "BioContainer" 256 3}

Actor CellPackSpawer : RandomSpawner replaces CellPack
{   DropItem "MCellPack" 256 10
    DropItem "BioContainerHefty" 256 3}

Actor RocketAmmoSpawner : RandomSpawner replaces RocketAmmo
{   DropItem "MRocketAmmo" 256 10}

Actor RockerBoxSpawner : RandomSpawner replaces RocketBox
{DropItem "MRocketBox" 256 10}


ACTOR MClip : Ammo 
{ Inventory.PickupMessage "\ccYou picked up \cfClip\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 40
  Inventory.MaxAmount 800
  Ammo.BackpackAmount 100
  Ammo.BackpackMaxAmount 1200
  Inventory.Icon "ICONB"
  States
  {Spawn:
    CLIP A -1
    Stop}}
  
actor MClipBox : MClip 
{ Inventory.PickupMessage "\ccYou picked up a \cfBox of Bullets\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 50
  States
  {Spawn:
    AMMO A -1
    Stop}}

ACTOR MShell : Ammo 
{ Inventory.PickupMessage "\ccYou picked up a \cf4 shotgun shells\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 4
  Inventory.MaxAmount 200
  Ammo.BackpackAmount 50
  Ammo.BackpackMaxAmount 400
  Inventory.Icon "ICONS"
  States
  {Spawn:
    SHEL A -1
    Stop}}

ACTOR MShellBox : MShell 
{ Inventory.PickupMessage "\ccYou picked up a \cfBox of Shotgun Shells\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 16
  States
  {Spawn:
    SBOX A -1
    Stop}}

ACTOR MCell : Ammo 
{ Inventory.PickupMessage "\ccYou picked up a \cfEnergy cell\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 20
  Inventory.MaxAmount 800
  Ammo.BackpackAmount 100
  Ammo.BackpackMaxAmount 1600
  Inventory.Icon "ICONC"
  States
  {Spawn:
    CELL A -1
    Stop}}

ACTOR MCellPack : MCell 
{ Inventory.PickupMessage "\ccYou picked up a \cfEnergy cell pack\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 60
  States
  {Spawn:
    CELP A -1
    Stop}}

// Rockets
ACTOR MRocketAmmo : Ammo 
{ Inventory.PickupMessage "\ccYou picked up a \cfRocket\cc!"
  Inventory.Amount 1
  Inventory.MaxAmount 300
  Ammo.BackpackAmount 50
  Ammo.BackpackMaxAmount 600
  Inventory.PickupSound "AmmoPickup"
  Inventory.Icon "ICONR"
  States
  {Spawn:
    ROCK A -1
    stop}}

ACTOR MRocketBox : MRocketAmmo 
{ Inventory.PickupMessage "\ccYou picked up a \cfBox of Rockets\cc!"
  Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 20
  States
  {Spawn:
    BROK A -1
    Stop}}

ACTOR Saws : Ammo
{  Inventory.Amount 9
   Inventory.MaxAmount 500
   Ammo.BackpackAmount 100
   Ammo.BackpackMaxAmount 800
   Inventory.PickupMessage "\ccPicked up some \cfsaws\cc."
   Inventory.PickupSound "AmmoPickup"
   Inventory.Icon SAWA
   States
   {Spawn:
      SAWA A -1
      Stop}}

ACTOR SawBox : Saws
{  Inventory.Amount 50
   Inventory.PickupMessage "\ccPicked up a box of \cfsaws\cc."
   Inventory.PickupSound "AmmoPickup"
   States
   {Spawn:
      SAWB A -1
      Stop}}	

ACTOR Bolts : Ammo
{ +INVENTORY.IGNORESKILL
   Radius 10 
   scale 0.3
   RenderStyle Translucent
   Alpha 0.9
   Inventory.Amount 50
   Inventory.MaxAmount 500
   Ammo.BackpackAmount 100
   Ammo.BackpackMaxAmount 1000
   Inventory.PickupMessage "\ccPicked up a \cfBolt Charge\cc."
   Inventory.PickupSound "AmmoPickup"
   Inventory.Icon "BOLT"
   States
   {Spawn:
      BOLT A 1
      Loop}}

ACTOR CryoBolts : Ammo
{   
    Inventory.PickupSound "AmmoPickup"
    Inventory.PickupMessage "\ccYou got some \cfCryobolts\cc."
	Inventory.Amount 10	
	Inventory.MaxAmount 400
	Ammo.BackpackAmount 100
	Ammo.BackpackMaxAmount 800
	Inventory.Icon "ABOW"
	States
	{Spawn:
		ABOW ABCD 5 BRIGHT
		Loop}}

Actor BallistaBolts : Ammo
    { 
	 Inventory.PickupSound "AmmoPickup"
	 Inventory.PickupMessage "\ccYou got some \cfPlasma Ballista Bolts\cc."
     Inventory.Amount 10
     Inventory.MaxAmount 400
	 Ammo.BackpackAmount 100
     Ammo.BackpackMaxAmount 800
     Inventory.Icon "BBOW"
     States
    {Spawn:
     BBOW ABCD 5 BRIGHT
     Loop}}
	 
Actor Gas : Ammo
{ Inventory.PickupSound "AmmoPickup"
  Inventory.Amount 50
  Inventory.MaxAmount 1000
  Ammo.BackpackAmount 200
  Ammo.BackpackMaxAmount 2000
  Inventory.PickupMessage "\ccYou picked up a \cfgasoline cannister\cc."
  Inventory.Icon AGAS
  States
  {Spawn:
    AGAS A -1
    Loop}}

Actor BigGas : Gas
{ Inventory.Amount 120
  Inventory.PickupMessage "\ccYou picked up a \cfgasoline pack\cc."
  Inventory.PickupSound "AmmoPickup"
  Inventory.Icon AGASB0
  States
  {Spawn:
    AGAS B -1
    Loop}}

Actor BioContainer : Ammo
{   Inventory.Amount 20
	Inventory.MaxAmount 400
	Ammo.BackpackAmount 100
	Ammo.BackpackMaxAmount 800
	Inventory.PickupMessage "\ccYou picked up a \cfBio Container\cc."
	Inventory.PickupSound "AmmoPickup"
	Inventory.Icon BIOC
	States
	{Spawn:
		BIOC A -1
		Loop}}

Actor BioContainerHefty : BioContainer
{   Inventory.Amount 50
	Inventory.PickupMessage "\ccYou picked up a \cfBio Container Hefty\cc."
	Inventory.PickupSound "AmmoPickup"
	States
	{Spawn:
		BIOC B -1
		Stop}}
		
Actor Plutonium : Ammo //Dummy Ammo for Yamato
{   Inventory.Amount 1
	Inventory.MaxAmount 1
	Ammo.BackpackAmount 1
	Ammo.BackpackMaxAmount 1
	Inventory.PickupMessage "\ccYou picked up a \cfPlutonium\cc."
	Inventory.PickupSound "AmmoPickup"
	Inventory.Icon PLUT
	States
	{Spawn:
		PLUT A -1
		Loop}}