ACTOR MArchvile : Archvile 
{ Health 700
  Radius 20
  Height 56
  Mass 500
  Speed 15  
  Dropitem "ElectroGun" 56
  tag "Archvile"
  obituary "%o \ccwas Burnt to a Crisp by a \cfArchVile\cc."
  Species "Archvile"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +NEVERFAST     
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1 
  DamageFactor "viledamage",0
  States
  {Spawn:
    VILE A 10 A_Look 
	VILE B 10 
    loop
  See:
    VILE AABBCCDDEEFF 2 A_VileChase 
	loop	
  Missile:
	VILE G 0 BRIGHT A_VileStart
	VILE G 10 BRIGHT A_FaceTarget 
	VILE H 8 BRIGHT A_VileTarget("Archyfire")
	VILE IJKLMN 8 BRIGHT A_FaceTarget 
	VILE O 8 BRIGHT A_VileAttack("vile/stop",20,70,70,1.0,"viledamage")
	VILE P 20 BRIGHT
	Goto See
  Heal:
	VILE "[\]" 10 BRIGHT
	Goto See
  Pain:
	VILE Q 5   
	VILE Q 5 A_Pain
	Goto See
  Death:
    VILE Q 7 A_GiveToTarget ("MarineExp",10)
    VILE R 7 A_Scream
    VILE S 7 A_NoBlocking
    VILE TUVWXY 7
	VILE Z 120 
	VILE Z 1 A_JumpIf(random(1,3) == 3,2)
    VILE Z 500
    Stop
	VILE Z -1 
	Stop		
  Raise: 
    VILE Y 20
    VILE X 20 
    VILE W 20 
	VILE V 20
	VILE U 20
	VILE T 20 
    Goto See
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",10)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor deadarchvile
{Health 7000
 Radius 20
 Height 1
 Mass 500
 Speed 0
+SHOOTABLE
  DamageFactor "MarineDamage",0
  DamageFactor "ImpBallDamage",0
  DamageFactor "DemonDamage",0
  DamageFactor "ZombiesDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombieTankDamage",0
  DamageFactor "CacoDamage",0
  DamageFactor "SkelDamage",0
  DamageFactor "FatsoDamage",0
  DamageFactor "KnightDamage",0
  DamageFactor "ArachDamage",0
  DamageFactor "CybYamato",0
  DamageFactor "CybRLDamage",0
  DamageFactor "viledamage",0 
states
{spawn:
   VILE Z  1
   loop}}

ACTOR ArchyFire : ArchvileFire
{   +NOBLOCKMAP +NOGRAVITY
	RenderStyle Translucent
	DamageType "viledamage"
	Alpha 0.5
	States
	{Spawn:
		FIRE A 2 BRIGHT  A_StartFire
		FIRE BAB 2 BRIGHT  A_Fire
		FIRE C 2 BRIGHT  A_FireCrackle
		FIRE BCBCDCDCDEDED 2 BRIGHT  A_Fire
		FIRE E 2 BRIGHT  A_FireCrackle
		FIRE FEFEFGHGHGH 2 BRIGHT  A_Fire
		Stop}}