ACTOR MArchvileExorcist : Archvile
{ Health 700
  Radius 20
  Height 56
  Mass 500
  Speed 15
  Dropitem "MBFG10k" 84
  Dropitem "UTNTFlamethrower" 84
  seesound "ExorcistArchvile/sight"
  painsound "ExorcistArchvile/pain"
  deathsound "ExorcistArchvile/death"
  activesound "vile/active"
  obituary "%o \ccsoul was purged by a \cfArchvileExorcist\cc."
  MaxTargetRange 600  
  tag "Archvile Exorcist"
  Species "Archvile"
  -QUICKTORETALIATE +ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage", 1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage", 0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "LostSerpDamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "fire",0
  DamageFactor "viledamage",0 
  States
  {Spawn:
    DVIL A 10 A_Look 
    DVIL B 10 
    loop
  See:
    DVIL AABBCCDDEEFF 2 A_VileChase
    loop	
 Missile:
    DVIL G 0 BRIGHT A_PlaySound("vile/start")
    DVIL G 8 BRIGHT A_FaceTarget
    DVIL H 0 BRIGHT A_Jump(20,"Missile3")
	DVIL H 8 BRIGHT A_FaceTarget
	DVIL H 0 BRIGHT A_Jump(30,"Missile2")
	DVIL H 0 BRIGHT
    DVIL IJKLMN 8 BRIGHT A_FaceTarget
    DVIL NONONONONONO 2 BRIGHT A_CustomMissile("ExorcistArchvileFlamerFire",36,0,random(-1375,1375)/100.00)
    DVIL ON 5 BRIGHT A_FaceTarget
    Goto See
 Missile2:
    DVIL G 10 BRIGHT A_FaceTarget
    DVIL H 8 BRIGHT A_VileTarget("ExorcistArchvileSpikeFire")
    DVIL IJKLMN 8 BRIGHT A_FaceTarget
    DVIL O 8 BRIGHT A_VileAttack("vile/stop",20,60,70,3.5,"viledamage")
    DVIL P 20 BRIGHT
    goto See	
  Missile3:
    DVIL H 0 BRIGHT A_PlaySound("ExoVileBFG/Start")
    DVIL LLMK 8 BRIGHT A_FaceTarget
    DVIL O 8 BRIGHT A_CustomMissile("ExorcistArchvileBFGBall",48)
    DVIL P 20 BRIGHT
    goto See
  Heal:
	DVIL GHIH 12 BRIGHT
	Goto See
  Pain:
    DVIL Q 5
    DVIL Q 5 A_Pain
    goto See
  Death:
    DVIL Q 7 A_GiveToTarget ("MarineExp",10)
    DVIL R 7 A_Scream
    DVIL S 7 A_NoBlocking
    DVIL TUVWXY 7
    DVIL Z 120 
    DVIL Z 1 A_JumpIf(random(1,3) == 3,2)
    DVIL Z 500
    Stop
    DVIL Z -1 
    Stop		
    Raise:
    DVIL Y 20 
    DVIL X 20 
    DVIL W 20
    DVIL V 20
    DVIL U 20
    DVIL T 20 
    Goto See 
	Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",10)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor FlameThrowerFire
{ renderstyle Add
  alpha 0.01
  Scale 0.85
  Radius 3
  Height 3
  Speed 20 
  Damage (0)
  Projectile
  +RIPPER +FORCERADIUSDMG +FORCEXYBILLBOARD +NOEXTREMEDEATH -RANDOMIZE
  damagetype "vileDamage"
  States
  {Spawn:
    FLMB A 1
    FLMB A 2 A_Explode(5,80)
    FLMB A 0 BRIGHT A_SpawnItemEx("FlameSmokePuff",random(-2,2),random(-2,2),random(-2,2),0,0,0,0,128,128)
    FLMB B 0 BRIGHT A_Explode(5,72)
    FLMB B 1 BRIGHT A_FadeIn(0.14)
    FLMB BB 2 BRIGHT A_FadeIn(0.15)
    FLMB C 0 BRIGHT A_Explode(5,64)
    FLMB CCC 3 BRIGHT A_FadeIn(0.15)
    FLMB DEFGH 10 BRIGHT A_Explode(5,64)
    FLMB A 0 BRIGHT A_SpawnItemEx("FlameSmokePuff",random(-2,2),random(-2,2),random(-2,2),0,0,0,0,128,128)
    FLMB A 0 BRIGHT A_Explode(4,56)
    FLMB AB 7 BRIGHT A_FadeOut(0.15)
    FLMB C 0 BRIGHT A_Explode(3,48)
    FLMB CD 6 BRIGHT A_FadeOut(0.15)
    FLMB E 0 BRIGHT A_Explode(2,40)
    FLMB EFGH 3 BRIGHT A_FadeOut(0.15)
    stop
  Death:
    TNT1 A 0 A_SpawnItemEx("FlameballPuff",0,0,0,0,0,0,0,128,0)
    TNT1 AAAAA 5 A_Explode(4,56)
    stop}}

actor ExorcistArchvileFlamerFire : FlameThrowerFire
{ Speed 12
  Scale 0.6
  Damagetype "viledamage"}

actor FireFlare
{ RenderStyle Add
  Scale 0.5
  +NOCLIP +FORCEXYBILLBOARD +CLIENTSIDEONLY +NOINTERACTION
  states
  {Spawn:
    FLMB ABCDEFGH 1 bright A_FadeOut(0.075)
    loop}}

actor ExorcistArchvileSpikeFire : ArchvileFire
{States
  {Spawn:
    TNT1 A 2 A_StartFire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(0,16),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(0,16),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(0,16),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(0,16),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_FireCrackle
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(8,24),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(8,24),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(8,24),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(8,24),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(8,24),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(16,32),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(16,32),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(16,32),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(16,32),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(16,32),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(24,40),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(24,40),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(24,40),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(24,40),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_FireCrackle
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(24,40),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(32,48),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(32,48),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(32,48),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(32,48),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AAA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(32,48),random(-2,2),random(-2,2),random(-1,4),0,128,96)
    TNT1 A 2 A_Fire
    TNT1 AA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(40,56),random(-2,2),random(-2,2),random(-1,4),0,128,64)
    TNT1 A 2 A_Fire
    TNT1 AA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(40,56),random(-2,2),random(-2,2),random(-1,4),0,128,64)
    TNT1 A 2 A_Fire
    TNT1 AA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(40,56),random(-2,2),random(-2,2),random(-1,4),0,128,64)
    TNT1 A 2 A_Fire
    TNT1 AA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(40,56),random(-2,2),random(-2,2),random(-1,4),0,128,64)
    TNT1 A 2 A_Fire
    TNT1 AA 0 A_SpawnItemEx("FireFlare",random(-4,4),random(-4,4),random(40,56),random(-2,2),random(-2,2),random(-1,4),0,128,64)
    TNT1 A 2 A_Fire
    Stop}}
  
actor ImpactFart
{ RenderStyle Add
  alpha 1  
  PROJECTILE
  Speed 2
  Damage 0
  Scale 0.16
  +NOCLIP +FORCEXYBILLBOARD +CLIENTSIDEONLY +NOINTERACTION -NOGRAVITY +NOTIMEFREEZE
  Gravity 1.2
  states
  {Spawn:
    SPRK C 4 BRIGHT 
    SPRK C 1 BRIGHT A_FadeOut(0.05)
    wait}}

actor ImpactFartGreen : ImpactFart
{states
  {Spawn:
    SPRK A 4 BRIGHT
    SPRK A 1 BRIGHT A_FadeOut(0.05)
    wait}}

actor ExorcistArchvileBFGBall
{ RenderStyle Add
  alpha 0.95
  radius 8
  height 8
  speed 20
  damage (35)
  seesound "ExoVileBFG/fire"
  deathsound "ExoVileBFG/explode"
  PROJECTILE
  +EXTREMEDEATH +FORCERADIUSDMG +SKYEXPLODE +FORCEXYBILLBOARD
  decal BFGLightning
  scale 0.2
  DamageType "viledamage"
  states
  {Spawn:
	BFG4 AAAAAAAAAA 1 BRIGHT A_SpawnItemEx("ImpactFartGreen",0,random(-4,4),random(-4,4),random(-3,-1),random(-2,2),random(-2,2),0,128,64)
	BFG4 A 0 BRIGHT A_Explode(3,384)
	loop
  Death:
	TNT1 A 0 A_RadiusThrust(160,128)
	TNT1 A 0 Radius_Quake(4,15,0,40,0)
	TNT1 A 0 A_SpawnItemEx("ExorcistBFGBoom",0,0,0,0,0,0,0,128,0)
	TNT1 A 0 A_PlaySoundEx("distant/explosion","SoundSlot5")
	TNT1 AAAAAAAAAA 0 A_SpawnItemEx("ImpactFartGreen",random(-32,32),random(-32,32),random(-16,24),random(-5,5),random(-5,5),random(-3,4),0,128,0)
	TNT1 AAAAAAAAAA 0 A_SpawnItemEx("ImpactFartGreen",random(-32,32),random(-32,32),random(-16,24),random(-5,5),random(-5,5),random(-3,4),0,128,0)
	TNT1 A 15 A_Explode(70,384)
	stop}}

actor ExorcistBFGBoom
{ RenderStyle Add
  alpha 0.9
  +NOCLIP +NOGRAVITY +FORCEXYBILLBOARD
  Scale 0.5
  states
  {Spawn:
    BFG3 BABCDE 5 BRIGHT
    stop}}

actor FlameballPuff
{ RenderStyle Add
  alpha 0.95 
  PROJECTILE
  Speed 2
  Damage 0
  Scale 0.5
  +NOCLIP +NOINTERACTION +FORCEXYBILLBOARD +CLIENTSIDEONLY
  states
  {Spawn:
    TNT1 A 0
    FLMB A 2 bright
    FLMB A 2 bright ThrustThingZ(0,5,0,1)
    FLMB BBCCDDEEFFGGHH 2 bright A_FadeOut(0.07)
    stop}}

actor FlameSmokePuff
{ RenderStyle Add
  alpha 0.3  
  PROJECTILE
  Speed 0
  Damage 0
  Scale 1.5
  +NOCLIP +CLIENTSIDEONLY +FORCEXYBILLBOARD +NOTIMEFREEZE
  states
  {Spawn:
    TNT1 A 0
    TNT1 AAA 0 A_SpawnItemEx("ImpactFart",0,0,0,random(3,3),random(-3,3),random(-3,3),0,128,128)
    TNT1 A 0 A_Jump(256,"Spawn1","Spawn2","Spawn3","Spawn4","Spawn5","Spawn6")
  Spawn1:
    SMK1 ABCDEFGHIJKLMNOP 2 bright A_FadeOut(0.05)
    stop
  Spawn2:
    SMK2 ABCDEFGHIJKLMNOP 2 bright A_FadeOut(0.05)
    stop
  Spawn3:
    SMK3 ABCDEFGHIJKLMNOP 2 bright A_FadeOut(0.05)
    stop
  Spawn4:
    SMK4 ABCDEFGHIJKLMNOP 2 bright A_FadeOut(0.05)
    stop
  Spawn5:
    SMK5 ABCDEFGHIJKLMNOP 2 bright A_FadeOut(0.05)
    stop
  Spawn6:
    SMK6 ABCDEFGHIJKLMNOP 2 bright A_FadeOut(0.05)
    stop}}