actor MBaronOfHell : BaronOfHell
{ health 1000
  radius 24
  height 64
  mass 1000
  speed 8 
  hitobituary "%o \ccwas ripped a new one by a \cfBaron of Hell\cc."
  obituary "%o \ccwas mauled by a \cfBaron of Hell\cc."
  tag "Baron Of Hell"
  Species "Baron"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  BloodColor "darkgreen"
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.9
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "KnightDamage",0
  states
  {Spawn:
    BOSS A 10 A_Look 
	BOSS B 10 
    loop
  See:
    BOSS AABBCCDD 3 A_Chase
	loop	
  Melee:
  Missile: 
    BOSS EF 8 A_FaceTarget
    BOSS G 8 A_CustomComboAttack("MBaronBall",32,10*random(1,8),"baron/melee")
    Goto See
  Pain:
	BOSS H  2
	BOSS H  2 A_Pain
	Goto See
  Raise:
    BOSS O 8
    BOSS N 8 
    BOSS MLKJI  8
    Goto See
  Death:
    BOSS I 8 A_GiveToTarget ("MarineExp",7)
    BOSS J 8 A_Scream
    BOSS K 8
    BOSS L 8 A_NoBlocking
    BOSS MN 8
    BOSS O 1 A_JumpIf(random(1,3) == 3,2)
	BOSS O 500 A_BossDeath
	Stop
	BOSS O -1 A_BossDeath
	Stop
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",7)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
	BOSS O 8
	BOSS NMLKJI  8
	Goto See}}

Actor ArchonOfHell : BaronOfHell 30104
{ Health 1600 
  Radius 24 
  Height 64 
  Mass 1000 
  Speed 8 
  PainChance 20  
  MeleeDamage 10  
  Obituary "%o \ccwas no match for an \cfArchon of Hell\cc."
  HitObituary "%o \ccwas ripped apart by an \cfArchon of Hell\cc."
  BloodColor "20 60 20"
  Tag "Archon of Hell"
  Species "Baron"
  Monster
  +NOTARGET +FLOORCLIP +MISSILEMORE +NORADIUSDMG +BOSS +NOINFIGHTING 
  +DONTHARMSPECIES +DONTHURTSPECIES
  SeeSound "monster/ar2sit" 
  PainSound "baron/pain" 
  DeathSound "monster/ar2dth"
  MeleeSound "baron/melee"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "KnightDamage",0
  SpawnID 174
  States 
  {Spawn: 
    BOS4 AB 10 A_Look 
    Loop 
  See:
    BOS4 AABBCCDD 3 A_Chase 
    Loop 
  Missile:
    BOS4 B 0 A_Jump(128,15)
    BOS4 EF 8 Bright A_FaceTarget 
    BOS4 G 0 Bright A_CustomMissile("BaronBall",28,0,0,0)
    BOS4 G 0 Bright A_CustomMissile("BaronBall",28,0,-4,0)
    BOS4 G 3 Bright A_CustomMissile("BaronBall",28,0,4,0)
    BOS4 H 3 Bright
    BOS4 H 0 A_Jump(64,8)
    BOS4 IJ 8 Bright A_FaceTarget 
    BOS4 K 0 Bright A_CustomMissile("BaronBall",28,0,0,0)
    BOS4 K 0 Bright A_CustomMissile("BaronBall",28,0,-4,0)
    BOS4 K 3 Bright A_CustomMissile("BaronBall",28,0,4,0)
    BOS4 L 3 Bright
    BOS4 L 0 A_Jump(64,1)
    Goto See
    BOS4 MN 8 Bright A_FaceTarget
    BOS4 O 0 Bright A_Jump(128,3)
    BOS4 O 4 Bright A_CustomMissile("ArchonComet",28,0,0,0)
    BOS4 P 4 Bright
    Goto See
    BOS4 O 0 A_CustomMissile("BaronBall",28,0,-6,0)
    BOS4 O 0 A_CustomMissile("BaronBall",28,0,-4,0)
    BOS4 O 0 A_CustomMissile("BaronBall",28,0,-2,0)
    BOS4 O 0 A_CustomMissile("BaronBall",28,0,2,0)
    BOS4 O 0 A_CustomMissile("BaronBall",28,0,4,0)
    BOS4 O 3 Bright A_CustomMissile("BaronBall",28,0,6,0)
    BOS4 P 3 Bright
    Goto See
  Melee:
    BOS4 EF 8 Bright A_FaceTarget 
    BOS4 G 3 Bright A_MeleeAttack
    BOS4 H 3 Bright
    BOS4 H 0 A_Jump(128,1)
    Goto See
    BOS4 IJ 8 Bright A_FaceTarget 
    BOS4 K 3 Bright A_MeleeAttack
    BOS4 L 3 Bright
    BOS4 L 0 A_Jump(64,1)
    Goto See
    BOS4 MN 8 Bright A_FaceTarget
    BOS4 O 0 Bright A_MeleeAttack
    BOS4 O 3 Bright A_MeleeAttack
    BOS4 P 3 Bright
    Goto See
  Pain: 
    BOS4 Q 2 
    BOS4 Q 2 A_Pain 
    Goto See 
  Death: 
    BOS4 R 6 Bright A_GiveToTarget ("MarineExp",7)
    BOS4 S 6 Bright A_Scream 
    BOS4 T 6 Bright 
    BOS4 U 6 Bright A_NoBlocking 
    BOS4 VW 6 Bright 
    BOS4 X 6 Bright A_CustomMissile("ArchonSoul",86,0,0,2,90)
    BOS4 YZ 6 Bright 
    BOS4 [ 6 Bright A_Fall 
    Stop
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",7)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

Actor ArchonComet
{ Radius 8
  Height 12
  Speed 25
  Damage 20
  Scale 1.0
  SpawnID 251
  Projectile
  +ThruGhost
  SeeSound "weapons/firbfi"
  DeathSound "weapons/hellex"
  DontHurtShooter
  DamageType "KnightDamage"
  States
  {Spawn: 
    ARCB AAAABBBBCCCC 1 Bright A_SpawnItemEx("ArchonCometTrail",0,0,0,0,0,0,0,128)
    Loop
  Death:
    ARCB J 0 Bright A_SetTranslucent (0.67,1)
    ARCB J 3 Bright
    ARCB K 3 Bright A_Explode(128,128,0,0,0,0,0,"KnBulletPuff")
    ARCB LMN 3 Bright
    Stop}}

Actor ArchonSoul
{ Radius 1
  Height 1
  Speed 3
  Projectile
  RenderStyle Add
  Alpha 0.80
  DamageType "KnightDamage"
  States
  {Spawn:
    BFX1 ABCD 6 Bright
    Stop}}

Actor ArchonCometTrail
{ Radius 3
  Height 3
  Scale 0.75
  Speed 0
  Projectile
  RenderStyle Add
  Alpha 0.67
  States
  {Spawn:
    TNT1 A 3 Bright
    ARCB DEFGHI 3 Bright
    Stop}}
	
actor KnBulletPuff : FBulletPuff
{DamageType "KnightDamage"}