actor MCacodemon : Cacodemon
{ health 500
  radius 31
  height 56
  mass 400
  speed 8
  BloodColor "blue"  
  tag "Cacodemon"
  obituary "%o \ccwas mullered by a \cfCacoDemon\cc."
  Species "Caco"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "CacoDamage",0
  states
  {Spawn:
    HEAD A 5 A_Look 
	HEAD A 5 
    loop
  See:
    HEAD A 3 A_Chase 
	loop
  Missile:
	HEAD B 5 A_FaceTarget
	HEAD C 5 A_FaceTarget
	HEAD D 5 BRIGHT A_CustomComboAttack("MCacodemonBall",32,10*random(1,6))
	Goto See
  Pain:
	HEAD E 3
	HEAD E 3 A_Pain
	HEAD F 6
	Goto See
  Death:
    HEAD G 8 A_GiveToTarget ("MarineExp",4)
    HEAD H 8 A_Scream
    HEAD IJ 8
    HEAD K 14 A_NoBlocking
    HEAD L 10 A_JumpIf(random(1,3) == 3,2)
    HEAD M 500 
	Stop
	HEAD M -1
	Stop
   Raise:
	HEAD L 8
	HEAD KJIHG 8
	Goto See
   Ice:
    "####" "#" 0 A_Changeflag("FLOAT",0)
	"####" "#" 0 A_Changeflag("NOGRAVITY",0)
	"####" "#" 0 A_Changeflag("DONTFALL",0)
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor MCacodemonBall : CacodemonBall replaces CacodemonBall
{DamageType "CacoDamage"}

// Cacolantern
ACTOR MCacolantern : MCacodemon
{ 	health 800
    BloodColor "blue"	
	obituary "%o \ccwas lite up by a \cfCacolantern\cc."
	tag "Cacolantern"
	Species "Caco"
    +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "ZombiesDamage",0.1
    DamageFactor "ZombiesFCDamage",0.1
    DamageFactor "ZombieTankDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
    DamageFactor "CacoDamage",0
	States
	{Spawn:
		HED2 A 5 A_Look
		HED2 A 5 
		Loop
	See:
		HED2 A 3 A_Chase
	    loop			
	Missile:
		HED2 BC 5 A_FaceTarget
		HED2 D 5 BRIGHT A_BasicAttack (8,"None","MCacolanternBall",32)
		Goto See
	Pain:
		HED2 E 3
		HED2 E 3 A_Pain
		HED2 F 6
	    goto see
	Death:
	    HED2 G 1 A_GiveToTarget ("MarineExp",5)
		HED2 G 7 A_NoBlocking
		HED2 H 8 A_Scream
		HED2 IJ 8
		HED2 K 14
		HED2 L 10 A_JumpIf(random(1,3) == 3,2)
		HED2 M 500 
		Stop
		HED2 M -1
		Stop
	Raise:
		HED2 L 8 
		HED2 KJIHG 8
		Goto See
    Ice:
        "####" "#" 0 A_Changeflag("FLOAT",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
		"####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",5)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR MCacolanternBall
{   DamageType "CacoDamage"
	Decal CacoScorch
    Radius 6
	Height 8
	Speed 20
	Damage 5
	Projectile
	+RANDOMIZE
	RenderStyle Add
	SeeSound "caco/attack"
	DeathSound "caco/shotx"
	States
	{Spawn:
		BAL8 AB 4 BRIGHT
		Loop
	Death:
		BAL8 CDE 6 BRIGHT
		Stop}}

// Abaddon
ACTOR MAbaddon : MCacolantern
{	health 1200
	Dropitem "Cryobow" 46
	Dropitem "ElectroGun" 100	
	obituary "%o \ccwas decended upon by a \cfAbaddon\cc."
	tag "Abaddon"
	Species "Caco"
    +ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    seesound "abba/sight"
    painsound "abba/pain"
    deathsound "abba/death"
    activesound "abba/active"     
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "ZombiesDamage",0.1
    DamageFactor "ZombiesFCDamage",0.1
    DamageFactor "ZombieTankDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
    DamageFactor "CacoDamage",0
	States
	{Spawn:
		HED3 A 5 A_Look
		HED3 A 5 
		Loop
	See:
		HED3 A 3 A_Chase 
	    loop
	Pain:
		HED3 E 3
		HED3 E 3 A_Pain
		HED3 F 6
		Goto See	
	Missile:
		HED3 BC 5 A_FaceTarget
		HED3 D 5 BRIGHT A_BasicAttack (8,"None","MAbaddonBall",32)
		HED3 BC 5 A_FaceTarget
		HED3 D 5 BRIGHT A_BasicAttack (8,"None","MAbaddonBall",32)
		Goto See
	Death:
	    HED3 G 1 A_GiveToTarget ("MarineExp",5)
		HED3 G 7 A_NoBlocking
		HED3 H 8 A_Scream
		HED3 IJ 8
		HED3 K 14
		HED3 L 10 A_JumpIf(random(1,3) == 3,2)
		HED3 M 500
		Stop
		HED3 M -1
		Stop	
	Raise:
		HED3 L 8
		HED3 KJIHG 8
		Goto See
    Ice:
	    "####" "#" 0 A_Changeflag("FLOAT",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
		"####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",5)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR MAbaddonBall
{   DamageType "CacoDamage"
	Decal CacoScorch	
	Radius 6
	Height 8
	Speed 20
	Damage 10
	Projectile
	+RANDOMIZE
	RenderStyle Add
	SeeSound "hecto/attack"
	DeathSound "caco/shotx"
	States
	{Spawn:
		BAL3 AB 4 BRIGHT
		Loop
	Death:
		BAL3 CDE 6 BRIGHT
		Stop}}

//CheshireCaco
ACTOR CheshireCaco
{Health 1800
 Radius 31
 Height 56
 Mass 400
 Speed 14
 PainChance 64
 renderstyle Translucent
 alpha 0.80
 Bloodcolor "56 00 91"
 SeeSound "ches/see"
 PainSound "caco/pain"
 DeathSound "caco/death"
 ActiveSound "ches/act"
 obituary "%o \ccwas left in a wonder  by a \cfCheshireCaco\cc."
 Monster
 Tag "CheshireCaco"
 Species "Caco"
 +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +FLOAT +NOGRAVITY +DONTRIP
 +NOTIMEFREEZE +DONTMORPH +DONTFALL
 DamageFactor "MarineDamage",1
 DamageFactor "ImpBallDamage",0.1
 DamageFactor "DemonDamage",0.1
 DamageFactor "ZombiesDamage",0.1
 DamageFactor "ZombiesFCDamage",0.1
 DamageFactor "ZombieTankDamage",0.1
 DamageFactor "SkelDamage",0.1
 DamageFactor "FatsoDamage",0.1
 DamageFactor "KnightDamage",0.1
 DamageFactor "ArachDamage",0.1
 DamageFactor "viledamage",0.1
 DamageFactor "CybYamato",0.01
 DamageFactor "CybRLDamage",0.1
 DamageFactor "LostSerpDamage",0.1
 DamageFactor "CacoDamage",0
States
{Spawn:
    SHSR A 10 A_Look
    Loop
 See:
    SHSR A 0 A_Jump(64,"Scoot","Fade")
    SHSR AA 3 A_Chase
    Loop
 Scoot:
    SHSR A 2 A_FastChase
    SHSR A 0 A_SpawnItemEX("ChesBlur")
    SHSR A 2 A_FastChase
    SHSR A 0 A_SpawnItemEX("ChesBlur")
    SHSR A 2 A_FastChase
    SHSR A 0 A_SpawnItemEX("ChesBlur")
    SHSR A 2 A_FastChase
    SHSR A 0 A_SpawnItemEX("ChesBlur")
    SHSR A 2 A_FastChase
    SHSR A 0 A_SpawnItemEX("ChesBlur")
    Goto See
 Missile:
    SHSR B 0 A_Jump (64,"Flame","Teeth")
    SHSR BC 5 A_FaceTarget
    SHSR C 0 A_SpawnItem("ChesRing",0,0,56)
    SHSR D 5 BRIGHT A_CustomMissile("ChesBallA")
    Goto See
 Teeth:	
    SLPS A 0 A_SetTranslucent(0.80)
	SLPS AB 5 A_FaceTarget
    SLPS C 0 A_SpawnItem("ChesRing",0,0,56)
    SLPS C 5 BRIGHT A_CustomMissile("ChesBallA")
	SLPS BAAAA 5
    Goto See
 Flame:
    SHSR BC 5 A_FaceTarget
    SHSR DDDDD 1 BRIGHT A_CustomMissile("ChshireFlame")
    Goto See
 Pain:
    SHSR E 0 A_TakeInventory("ChesCheck",1)
	SHSR E 0 A_SetTranslucent(0.80)
    SHSR E 6 A_Pain
    SHSR F 6
    Goto See
  Fade:
    SHSR A 0 A_JumpifInventory("ChesCheck",1,"UnFade")
	SHSR A 0 A_GiveInventory("ChesCheck",1)
    SHSR A 1 A_SetTranslucent(0.20)
    Goto See
 UnFade:
	SHSR A 0 A_TakeInventory ("ChesCheck",1)
    SHSR A 1 A_SetTranslucent(0.80)
    Goto See
 Death:
    SHSR F 0 A_SetTranslucent(0.80)
    SHSR F 1 A_Scream 
	SHSR F 0 A_GiveToTarget ("MarineExp",7)
    WARP A 3 
    WARP BCD 3 A_Fadeout(0.01)
    WARP EFG 3 A_Fadeout
    Stop
 Ice:
    "####" "#" 0 A_Changeflag("FLOAT",0)
	"####" "#" 0 A_Changeflag("NOGRAVITY",0)
	"####" "#" 0 A_Changeflag("DONTFALL",0)
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",7)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

ACTOR ChshireFlame
{Radius 4
Height 6
Speed 28
Damage 1
PROJECTILE
+STRIFEDAMAGE +NOTIMEFREEZE +BLOODLESSIMPACT +RIPPER
RENDERSTYLE ADD
ALPHA 0.8
SeeSound "ChesFlame"
DamageType "CacoDamage"
States
{Spawn:
    CHFR ABCDEFGHIJKLMOP 1 Bright
    Stop
 Death:
    CHFR HIJKLMOP 1 Bright
    Stop}}

ACTOR ChesBallA
{Radius 6
Height 8
Speed 15
FastSpeed 10
Damage 5
Projectile 
+RANDOMIZE +RIPPER +NOTIMEFREEZE
RenderStyle Add
Alpha 1
SeeSound "ChesFire"
DeathSound "ChesHit"
Decal "ChesScorch"
DamageType "CacoDamage"
States
{Spawn:
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-4,4),random(-4,4),random(-4,4),random(1,360))
    SHST A 2 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-4,4),random(-4,4),random(-4,4),random(1,360))
    SHST B 2 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-4,4),random(-4,4),random(-4,4),random(1,360))
    SHST C 2 BRIGHT
    Loop
 Death:
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-6,6),random(-6,6),random(-6,6),random(1,360))
    SHST G 3 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-5,5),random(-5,5),random(-5,5),random(1,360))
    SHST H 3 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-4,4),random(-4,4),random(-4,4),random(1,360))
    SHST I 3 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-3,3),random(-3,3),random(-3,3),random(1,360))
    SHST J 3 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-2,2),random(-2,2),random(-2,2),random(1,360))
    SHST K 3 BRIGHT
    TNT1 AA 0 A_SpawnItemEx("ChesSparky",0,0,0,random(-1,1),random(-1,1),random(-1,1),random(1,360))
    SHST L 3 BRIGHT
    Stop}}

ACTOR CBT
{+NOCLIP +NOINTERACTION +NOGRAVITY
renderstyle ADD
alpha 0.3
scale 1.1
States
{Spawn:
     TNT1 A 2
     OBTT ABCDEF 2 BRIGHT
     OBTT GHIJ 1 BRIGHT A_fadeout
     Stop}}

Actor ChesSparky
{+NOCLIP +NOGRAVITY +NOINTERACTION +NOTIMEFREEZE
renderstyle ADD
alpha 0.9
states
{Spawn:
    TNT1 A 2
    FALL ABCDEFG 1
 Fade:
    FALL HIJKLMNOPABCDEFG 1 BRIGHT A_Fadeout
    Loop}}

Actor ChesRing
{+NOCLIP +NOGRAVITY +NOINTERACTION +NOTIMEFREEZE
renderstyle ADD
alpha 0.5
states
{Spawn:
    BLST ABCDEFGHI 2  BRIGHT
    BLST JKLMNOP 2 BRIGHT A_Fadeout
    Stop}}

Actor ChesBlur
{+NOCLIP +NOGRAVITY +NOINTERACTION +NOTIMEFREEZE
renderstyle Translucent
alpha 0.5
states
{Spawn:
    SHSR A 2 A_Fadeout
    Loop}}

actor ChesCheck : Inventory
{Inventory.MaxAmount 1}