ACTOR MDemon : Demon 
{ Health 500 
  PainChance 180
  Speed 15 
  Radius 30
  Height 56
  Mass 400
  GibHealth -50 
  MeleeRange 60
  Meleedamage 10  
  Hitobituary "%o \ccCrushed by a \cfStoneDemon\cc."
  tag "Stone Demon"
  Species "Pinkie"
  MONSTER
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageType "DemonDamage"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "DemonDamage",0  
  States
  {Spawn:
    WARG A 10 A_Look
	WARG B 10 
    loop
  See:
    WARG AABBCCDD 2 A_Chase
	WARG D 1 A_JUMP(32,"JumpOn")
	loop	
  JumpOn:
	WARG E 1 A_FaceTarget
	WARG E 0 A_PlaySound("stoneDemon/sight")
	WARG EGF 1 A_MeleeAttack
	WARG E 1 ThrustThingZ(0,15,0,1)
	WARG E 0 A_Recoil (-10)
	WARG E 1 ThrustThingZ(0,15,0,1)
	WARG E 0 A_Recoil (-10)
	WARG E 1 ThrustThingZ(0,15,0,1)
	WARG E 0 A_Recoil (-10)
	WARG E 1 A_FaceTarget
	WARG E 1 A_JumpIfCloser (100,"Melee")
    Goto see
  Melee: 
	WARG E 0 A_PlaySound("stoneDemon/sight")
    WARG E 4 A_FaceTarget
    WARG GF 4 A_MeleeAttack
    Goto See 
  Pain: 
    WARG H 2
    WARG H 2 A_Pain
    Goto See
   Death:
    WARG I 8 A_GiveToTarget ("MarineExp",2)
    WARG J 8 A_Scream
    WARG K 4
    WARG L 4 A_NoBlocking
    WARG M 4
    WARG N 5 A_JumpIf(random(1,3) == 3,2)
	WARG N 500 
	Stop
	WARG N -1
	Stop 
   XDeath:
    WARG O 8 A_GiveToTarget ("MarineExp",2) 
    WARG P 8 A_XScream
    WARG Q 4 
    WARG R 4 A_NoBlocking
    WARG STU 4 
    WARG V 500
    stop
   Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",2)
    "----" A 1 A_FreezeDeathChunks
    Wait
	Raise:
    WARG NMLKJI 5
    Goto See}}

ACTOR MSpectre : MDemon
{ Health 250 
  PainChance 180
  Speed 15
  Radius 30
  Height 56
  Mass 400
  GibHealth -50 
  RenderStyle Shaded
  Stencilcolor "Green"
  BloodColor "Green"
  Alpha 0.4
  MeleeRange 60
  Meleedamage 10  
  Hitobituary "%o \ccwas Irradiated by a \cfGlowing Spectre\cc."
  tag "Spectre"
  Species "Pinkie"
  MONSTER
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageType "DemonDamage"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1 
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "DemonDamage",0 
  States
  {Spawn:
    SPCT A 10 A_Look
	SPCT B 10 
    loop
  See:
    SPCT AABBCCDD 2 A_Chase
	SPCT D 1 A_JUMP(32,"JumpOn")
	loop	
  JumpOn:
	SPCT E 1 A_FaceTarget
	SPCT E 0 A_PlaySound("blooddemon/melee")
	SPCT EGF 1 A_MeleeAttack
	SPCT E 1 ThrustThingZ(0,15,0,1)
	SPCT E 0 A_Recoil (-10)
	SPCT E 1 ThrustThingZ(0,15,0,1)
	SPCT E 0 A_Recoil (-10)
	SPCT E 1 ThrustThingZ(0,15,0,1)
	SPCT E 0 A_Recoil (-10)
	SPCT E 1 A_FaceTarget
	SPCT E 1 A_JumpIfCloser (100,"Melee")
    Goto see
  Melee: 
	SPCT E 0 A_PlaySound("blooddemon/melee")
    SPCT E 4 A_FaceTarget
    SPCT GF 4 A_MeleeAttack
    Goto See 
  Pain: 
    SPCT H 2
    SPCT H 2 A_Pain
    Goto See
  Death:
    SPCT I 8 A_GiveToTarget ("MarineExp",2)
    SPCT J 8 A_Scream
    SPCT K 4
    SPCT L 4 A_NoBlocking
    SPCT M 4
    SPCT N 5 A_JumpIf(random(1,3) == 3,2)
	SPCT N 500 
	Stop
	SPCT N -1
	Stop 
   XDeath:
    SPCT O 8 A_GiveToTarget ("MarineExp",2) 
    SPCT P 8 A_XScream
    SPCT Q 4 
    SPCT R 4 A_NoBlocking
    SPCT STU 4 
    SPCT V 500
    stop
   Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",2)
    "----" A 1 A_FreezeDeathChunks
    Wait
   Raise:
    SPCT NMLKJI 5
    Goto See}}

ACTOR MBloodDemon : MDemon
{   Health 400 
    Speed 20
    Height 56
    Radius 30
    Mass 400
    PainChance 180
    Meleedamage 10
    PainThreshold 200
	MeleeRange 60
    SeeSound "blooddemon/sight"
    PainSound "blooddemon/pain"
    DeathSound "blooddemon/death"
    ActiveSound "blooddemon/active"
	Hitobituary "%o \ccWas chewed up and spat out by a \cfBlood Demon\cc."	
	tag "Blood Demon"
	Species "Pinkie"
    MONSTER
	+NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
	DamageType "DemonDamage"
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
	DamageFactor "DemonDamage",0	
    States 
    {Spawn: 
       SRG2 A 10 A_Look
	   SRG2 B 10
       Loop 
    See: 
       SRG2 AABBCCDD 2 A_Chase
	   SRG2 D 1 A_JUMP(32,"JumpOn")   
	   loop	
	JumpOn:
	   SRG2 E 1 A_FaceTarget
	   SRG2 E 0 A_PlaySound("blooddemon/melee")
	   SRG2 EGF 1 A_MeleeAttack
	   SRG2 E 1 ThrustThingZ(0,15,0,1)
	   SRG2 E 0 A_Recoil (-10)
	   SRG2 E 1 ThrustThingZ(0,15,0,1)
	   SRG2 E 0 A_Recoil (-10)
	   SRG2 E 1 ThrustThingZ(0,15,0,1)
	   SRG2 E 0 A_Recoil (-10)
	   SRG2 E 1 A_FaceTarget
	   SRG2 E 1 A_JumpIfCloser (100,"Melee")
       Goto see
    Melee: 
	   SRG2 E 0 A_PlaySound("blooddemon/melee")
       SRG2 E 4 A_FaceTarget
       SRG2 GF 4 A_MeleeAttack
       Goto See 
    Pain: 
       SRG2 H 2
       SRG2 H 2 A_Pain
       Goto See
    Death: 
       SRG2 I 8 A_GiveToTarget ("MarineExp",4)
       SRG2 I 0 A_FaceTarget
       SRG2 J 8 A_Scream
       SRG2 K 4 
       SRG2 L 4 A_NoBlocking
       SRG2 M 4 
       SRG2 N 5 A_JumpIf(random(1,3) == 3,2)
	   SRG2 N 500 
	   Stop
	   SRG2 N -1
	   Stop
     XDeath: 
       SRG2 O 5 A_GiveToTarget ("MarineExp",4)
       SRG2 P 5 A_XScream
       SRG2 Q 5 A_NoBlocking
       SRG2 RSTUV 5
       SRG2 W 500
       Stop   
    Raise: 
       SRG2 NMLKJI 5 
       Goto See  
	Ice:
	   "####" "#" 1 A_GenericFreezeDeath
	   TNT1 A 0 A_GiveToTarget ("MarineExp",4)
       "----" A 1 A_FreezeDeathChunks
       Wait}}
	
Actor Trite
{ Health 300
  Radius 30
  Height 56
  Mass 100
  Speed 18
  Scale 1.0
  PainChance 192 
  MeleeThreshold 64
  MaxTargetRange 160
  MinMissileChance 10
  MeleeDamage 2
  Damage 2
  BloodColor DarkGreen
  PainSound "Trite/Pain"
  SeeSound "Trite/Sight"
  DeathSound "Trite/Death"
  ActiveSound "Trite/Active"
  MeleeSound "Trite/MeleeHit"  
  HitObituary "%o \ccwas nipped by a \cfTrite"
  Tag "Trite"
  Species "Pinkie"
  MONSTER
  +FLOORCLIP +NOTARGET +ALWAYSFAST
  DamageType "DemonDamage"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "DemonFactor",0 
  States
  {Spawn:
    TRIT A 1 A_Look
    Loop
  See:
    TRIT A 2 A_Chase("","",0)
    TRIT A 2 A_Chase
    TRIT A 0 A_PlaySoundEx("Trite/Step","SoundSlot7",0)
    TRIT BB 2 A_Chase("Melee","Missile",2)
    TRIT B 0 A_PlaySoundEx("Trite/Step","SoundSlot7",0)
    TRIT CC 2 A_Chase
    TRIT C 0 A_PlaySoundEx("Trite/Step","SoundSlot7",0)
    TRIT DD 2 A_Chase("Melee","Missile",2)
    TRIT D 0 A_PlaySoundEx("Trite/Step","SoundSlot7",0)
    Loop
  Melee:
    TRIT A 6 A_FaceTarget
    TRIT A 0 A_Jump(192,2)
    TRIT A 0 A_PlaySound("Trite/Attack")
    TRIT E 5 A_MeleeAttack
    Goto See
  Missile:
    TRIT A 0 A_Jump(128,"See")
    TRIT AAA 3 A_FaceTarget
    TRIT F 0 A_PlaySound("Trite/Attack")    
    TRIT F 5 ThrustThingZ(0,15,0,1)
	TRIT F 0 A_Recoil (-10)
	TRIT F 5 ThrustThingZ(0,15,0,1)
	TRIT F 0 A_Recoil (-10)
	TRIT F 0 A_SkullAttack
    TRIT E 8 A_Stop
    Goto See
  Web:
    TRIT F 0
    TRIT F 0 A_ChangeFlag("LowGravity",1)
    TRIT F 0 A_ChangeFlag("NoDamage",1)
    TRIT F 0 A_ChangeFlag("NoPain",1)
    TRIT F 0 A_PlaySound("Trite/WebStart")
    TRIT F 1 A_CheckFloor(1)
    Goto Web+5
    TRIT A 0 A_ChangeFlag("NoDamage",0)
    TRIT A 0 A_ChangeFlag("NoPain",0)
    TRIT A 0 A_ChangeFlag("LowGravity",0)
    TRIT A 12 A_PlaySound("Trite/WebEnd")
    Goto Spawn
  Pain:
    TRIT E 3
    TRIT E 3 A_Pain
    Goto See
  Death:
    TRIT G 0 A_GiveToTarget ("MarineExp",3)
    TRIT G 5 A_Scream
    TRIT H 0 A_PlaySoundEx("Trite/Splat","SoundSlot7",0)
    TRIT H 5 A_NoBlocking
    TRIT IJK 5    
    Stop
   Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",3)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

//==========Mapper Notes

//The Web state is activated through the ACS fuction SetActorState
//and is used to lower the Trite to the floor as though it was on a web.
//(Note that this only really helps if it's spawned above the floor.)