actor FMarineFist : MarineFist replaces MarineFist
{ health 200
  speed 20
  painchance 120 
  meleedamage 3
  meleerange 60
  meleesound "marine/fists"
  seesound    "Fallen/Sight"
  painsound   "Fallen/Pain"
  deathsound  "Fallen/Death"
  activesound "Fallen/Active"
  Tag "Fallen FistMarine"
  obituary "%o \ccgot battered by a \cfFallen FistMarine\cc."
  scale 0.50
  Translation 1 
  species "Zombie"
  MONSTER
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +NODROPOFF +COUNTKILL
  DamageFactor "MarineDamage",1
  DamageFactor "BFGSplash",0.2
  DamageFactor "MarineRLDamage",0.3
  DamageFactor "MarineRail",0.5
  DamageFactor "MarineSuperweapon",0.2  
  DamageFactor "PorkDamage",0  
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ZombieTankDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
  states
 {Spawn:
    PLA1 AB 10 A_Look  
	PLA1 A 0 HealThing(5)
    loop
  Idle:
    PLA1 AB 10 A_Look  
	PLA1 A 0 HealThing(5)
    loop
  Pain:
    PLA1 G 4
    PLA1 G 4 A_Pain
    Goto See
  See:
    PLA1 ABCD 2 A_Chase
	PLA1 A 0 HealThing(5)
    loop	
  Melee:
    PLA1 E 4 A_FaceTarget
    PLA1 F 4 A_CustomMeleeAttack(3,"marine/fists","none","FBulletPuff")
    PLA1 A 4
    Goto See
  Missile:
    Stop
  Death:
    PLA1 H 10 A_GiveToTarget ("MarineExp",1)
    PLA1 I 10 A_Scream
    PLA1 J 10 A_NoBlocking
    PLA1 KLM 10
    PLA1 N 1000
    Stop
  XDeath:
    PLAY O 5 A_GiveToTarget ("MarineExp",1)
    PLAY P 5 A_XScream
    PLAY Q 5 A_NoBlocking
    PLAY RSTUV 5
    PLAY W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",1)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA1 MLKJIH 5
    Goto See
  SkipAttack:
    Stop}}

ACTOR FMarineBerserk : FMarineFist replaces MarineBerserk
{Tag "Fallen BerserkMarine"
 obituary "\ccA \cfFallen BerserkMarine\cc went mental on \c- %o"
  states
  {See:
    PLA1 AB 2 A_Chase
    PLA1 B 0 A_SpawnItemEx ("FBersRun",-1,0,0,0,0,0,0,SXF_NOCHECKPOSITION,0)
    PLA1 CD 2 A_Chase
    PLA1 D 0 A_SpawnItemEx ("FBersRun",-1,0,0,0,0,0,0,SXF_NOCHECKPOSITION,0)
	PLA1 A 0 HealThing(5)
    loop	
  Melee:
    PLA1 E 4 A_FaceTarget
    PLA1 F 4 A_CustomMeleeAttack(23,"marine/fists","none","FBulletPuff")
    PLA1 A 4
    Goto See
  Death:
    PLA1 H 10 A_GiveToTarget ("MarineExp",4)
    PLA1 I 10 A_Scream
    PLA1 J 10 A_NoBlocking
    PLA1 J 0 A_SpawnItemEx ("FBersSplode",0,0,20,0,0,0,0,SXF_NOCHECKPOSITION,0)
    PLA1 KLM 10
    PLA1 N 1000
    Stop
  XDeath:
    PLAY O 5 A_GiveToTarget ("MarineExp",4)
    PLAY P 5 A_XScream
    PLAY Q 5 A_NoBlocking
    PLAY Q 0 A_SpawnItemEx ("FBersSplode",0,0,20,0,0,0,0,SXF_NOCHECKPOSITION,0)
    PLAY RSTUV 5
    PLAY W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor FBersSplode
{+NOBLOCKMAP +NOGRAVITY +NOTELEPORT +DEHEXPLOSION
  States
 {Spawn:
    MISL B 0 bright
    MISL B 0 bright A_Explode(70,128,0,0,0,10,"FNBulletPuff")
    MISL B 8 bright A_PlaySound ("weapons/rocklx")
    MISL C 6 bright
    MISL D 4 bright
    stop}}

actor FBersRun
{ +NOBLOCKMAP +NOGRAVITY +NOTELEPORT
  Scale 0.50
  Translation 1
  RenderStyle translucent
  Alpha 0.40
  States
  {Spawn:
    PLA1 ABCD 2
    stop}}

ACTOR FMarineChainsaw : FMarineFist replaces MarineChainsaw
{Tag "Fallen ChainSawMarine"
  dropitem "MChainsaw" 64 
  obituary "%o \ccwas carved up by a \cfFallen ChainSawMarine\cc."
  meleesound "none"
  states
 {Spawn:
    PLA0 AB 10 A_Look
	PLA0 A 0 HealThing(3)
    loop
  Idle:
    PLA0 AB 10 A_Look
	PLA0 A 0 HealThing(3)
    loop
  Pain:
    PLA0 G 4
    PLA0 G 4 A_Pain
    Goto See
  See:
    PLA0 AB 2 A_Chase
    PLA0 CD 2 A_Chase
    PLA0 A 0 A_PlaySound("weapons/sawidle")
	PLA0 A 0 HealThing(3)
    loop	
  Melee:
    PLA0 E 4 A_FaceTarget
    PLA0 F 4 BRIGHT A_CustomMeleeAttack(2,"weapons/sawhit","weapons/sawfull","FBulletPuff")
    PLA0 F 0 A_M_SawRefire
    goto Melee+1
    PLA0 A 0
    Goto See
  Death:
    PLA0 H 10 A_GiveToTarget ("MarineExp",2)
    PLA0 I 10 A_Scream
    PLA0 J 10 A_NoBlocking
    PLA0 KLM 10
    PLA0 N 1000
    Stop
  XDeath:
    PLA0 O 5 A_GiveToTarget ("MarineExp",2)
    PLA0 P 5 A_XScream
    PLA0 Q 5 A_NoBlocking
    PLA0 RSTUV 5
    PLA0 W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",2)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA8 MLKJIH 5
    Goto See}}

ACTOR FMarinePistol : FMarineFist replaces MarinePistol
{ Tag "Fallen PistolMarine"
  dropitem "MClip" 0 4 
  speed 16
  attackSound "weapons/pistol"
  obituary "\ccA \cfFallen PistolMarine\cc got a hole in one with\c- %o."
  meleesound "none"
  states
 {Spawn:
    PLA2 AB 10 A_Look
	PLA2 A 0 HealThing(4)
    loop
  Idle:
    PLA2 AB 10 A_Look
	PLA2 A 0 HealThing(4)
    loop
  Pain:
    PLA2 G 4
    PLA2 G 4 A_Pain
    Goto See
  See:
    PLA2 ABCD 3 A_Chase
	PLA2 A 0 HealThing(4)
    loop	
  Missile:
    PLA2 E 4 A_FaceTarget
    PLA2 F 6 BRIGHT A_CustomBulletAttack (5.5,2.2,1,6,"FBulletPuff")
    PLA2 E 4 A_FaceTarget
    PLA2 E 0 A_M_Refire
    PLA2 A 5
    Goto See
  Melee:
    Stop
  Death:
    PLA2 H 10 A_GiveToTarget ("MarineExp",2)
    PLA2 I 10 A_Scream
    PLA2 J 10 A_NoBlocking
    PLA2 KLM 10
    PLA2 N 1000
    Stop
  XDeath:
    PLA2 O 5 A_GiveToTarget ("MarineExp",2)
    PLA2 P 5 A_XScream
    PLA2 Q 5 A_NoBlocking
    PLA2 RSTUV 5
    PLA2 W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",2)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA2 MLKJIH 5
    Goto See}}

ACTOR FMarineShotgun : FMarineFist replaces MarineShotgun
{ Tag "Fallen ShotgunMarine"
  DropItem "MShotgun" 56
  Dropitem "MShell" 86 4
  speed 16
  obituary "%o \ccwas Blown apart by a \cfFallen ShotgunMarine\cc."
  attacksound "weapons/shotgf"
  meleesound "none"
  states
 {Spawn:
    PLA3 AB 10 A_Look
	PLA3 A 0 HealThing(2)
    loop
  Idle:
    PLA3 AB 10 A_Look
	PLA3 A 0 HealThing(2)
    loop
  Pain:
    PLA3 G 4
    PLA3 G 4 A_Pain
    Goto See
  See:
    PLA3 ABCD 3 A_Chase
	PLA3 A 0 HealThing(2)
    loop	
  Missile:
    PLA3 E 3 A_FaceTarget
    PLA3 F 7 BRIGHT A_CustomBulletAttack (7.6,2.8,8,5,"FBulletPuff")
    PLA3 E 7 A_FaceTarget
    PLA3 E 0 A_M_Refire
    PLA3 A 5
    Goto See
  Melee:
    Stop
  Death:
    PLA3 H 10 A_GiveToTarget ("MarineExp",3)
    PLA3 I 10 A_Scream
    PLA3 J 10 A_NoBlocking
    PLA3 KLM 10
    PLA3 N 1000
    Stop
  XDeath:
    PLA3 O 5 A_GiveToTarget ("MarineExp",3)
    PLA3 P 5 A_XScream
    PLA3 Q 5 A_NoBlocking
    PLA3 RSTUV 5
    PLA3 W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",3)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA3 MLKJIH 5
    Goto See }}

ACTOR FMarineSSG : FMarineFist replaces MarineSSG
{ Tag "Fallen SSGMarine"
  speed 16
  Dropitem "MShellBox" 86 1
  Dropitem "MSuperShotgun" 32
  attacksound "SSGUNER/SSG"
  obituary "%o \ccwas left in tatters by a \cfFallen SSGMarine\cc."
  meleesound "none"
  states
 {Spawn:
    PLA9 AB 10 A_Look
	PLA9 A 0 HealThing(2)
    loop
  Idle:
    PLA9 AB 10 A_Look
	PLA9 A 0 HealThing(2)
    loop
  Pain:
    PLA9 G 4
    PLA9 G 4 A_Pain
    Goto See
  See:
    PLA9 ABCD 3 A_Chase
	PLA9 A 0 HealThing(2)
    loop	
  Missile:
    PLA9 E 7 A_FaceTarget
    PLA9 F 14 BRIGHT A_CustomBulletAttack (13.2,8.1,20,5,"FBulletPuff")
    PLA9 E 21 A_FaceTarget
    PLA9 E 0 A_M_Refire
    PLA9 A 5
    Goto See
  Melee:
    Stop
  Death:
    PLA9 H 10 A_GiveToTarget ("MarineExp",4)
    PLA9 I 10 A_Scream
    PLA9 J 10 A_NoBlocking
    PLA9 KLM 10
    PLA9 N 1000
    Stop
  XDeath:
    PLA9 O 5 A_GiveToTarget ("MarineExp",4)
    PLA9 P 5 A_XScream
    PLA9 Q 5 A_NoBlocking
    PLA9 RSTUV 5
    PLA9 W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA5 MLKJIH 5
    Goto See}}

ACTOR FMarineChaingun : FMarineFist replaces MarineChaingun
{ Tag "Fallen ChainGunMarine"
  Dropitem "MHealthBonus" 86 16
  Dropitem "MClip" 86 4
  obituary "\ccA \cfFallen ChaingunMarine\cc left\c- %o \ccterminally leaking."
  speed 16
  attacksound "weapons/pistol"
  meleesound "none"
  states
 {Spawn:
    PLA4 AB 10 A_Look
	PLA4 A 0 HealThing(2)
    loop
  Idle:
    PLA4 AB 10 A_Look
	PLA4 A 0 HealThing(2)
    loop
  Pain:
    PLA4 G 4
    PLA4 G 4 A_Pain
    Goto See
  See:
    PLA4 ABCD 3 A_Chase
	PLA4 A 0 HealThing(2)
    loop	
  Missile:
    PLA4 E 2 A_FaceTarget
    PLA4 F 2 BRIGHT A_CustomBulletAttack (7.2,2.4,1,6,"FBulletPuff")
    PLA4 E 2 A_FaceTarget
    PLA4 F 2 BRIGHT A_CustomBulletAttack (7.2,2.4,1,6,"FBulletPuff")
    PLA4 E 2 A_FaceTarget
	PLA4 E 0 A_M_Refire
    Goto Missile+1
    PLA4 A 5
    Goto See
  Melee:
    Stop
  Death:
    PLA4 H 10 A_GiveToTarget ("MarineExp",4)
    PLA4 I 10 A_Scream
    PLA4 J 10 A_NoBlocking
    PLA4 KLM 10
    PLA4 N 1000
    Stop
  XDeath:
    PLAY O 5 A_GiveToTarget ("MarineExp",4)
    PLAY P 5 A_XScream
    PLAY Q 5 A_NoBlocking
    PLAY RSTUV 5
    PLAY W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA4 MLKJIH 5
    Goto See}}

ACTOR FMarineRocket : FMarineFist replaces MarineRocket
{ Tag "Fallen RocketMarine"
  speed 16
  MissileHeight 8
  MissileType FMRocket
  DropItem "MRocketLauncher" 56
  Dropitem "MRocketBox" 86 1
  obituary "\ccA \cfFallen RocketMarine\cc Blew\c- %o \ccto Kingdom Come."
  meleesound "none"
  states
  {Spawn:
    PLA5 AB 10 A_Look
	PLA5 A 0 HealThing(2)
    loop
  Idle:
    PLA5 AB 10 A_Look
	PLA5 A 0 HealThing(2)
    loop
  Pain:
    PLA5 G 4
    PLA5 G 4 A_Pain
    Goto See
  See:
    PLA5 ABCD 3 A_Chase
	PLA5 A 0 HealThing(2)
    loop	
  Missile:
    PLA5 E 0 A_JumpIfCloser (90,"See")
    PLA5 E 8
    PLA5 F 6 BRIGHT A_MissileAttack
    PLA5 A 6
    PLA5 A 1 A_Jump (100,1) 
    Goto Missile
    PLA5 A 0 
    Goto See
  Melee:
    Stop
  Death:
    PLA5 H 10 A_GiveToTarget ("MarineExp",6)
    PLA5 I 10 A_Scream
    PLA5 J 10 A_NoBlocking
    PLA5 KLM 10
    PLA5 N 1000
    Stop
  XDeath:
    PLA5 O 5 A_GiveToTarget ("MarineExp",6)
    PLA5 P 5 A_XScream
    PLA5 Q 5 A_NoBlocking
    PLA5 RSTUV 5
    PLA5 W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",6)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLAR MLKJIH 5
    Goto See}}

ACTOR FMRocket : PCybRocket 
{Scale 0.50
 DamageType "ZombiesDamage"}
 
ACTOR FMarinePlasma : FMarineFist replaces MarinePlasma
{ Tag "Fallen PlasmaMarine"
  speed 16
  Dropitem "MCell" 86 4
  Dropitem "MPlasmaRifle" 32 
  obituary "\ccA \cfFallen PlasmaMarine\cc Varpourised \c- %o \cc."
  MissileType FMPlasmaBall
  MissileHeight 8
  meleesound "none"
  states
  {Spawn:
    PLA6 AB 10 A_Look
	PLA6 A 0 HealThing(2)
    loop
  Idle:
    PLA6 AB 10 A_Look
	PLA6 A 0 HealThing(2)
    loop
  Pain:
    PLA6 G 4
    PLA6 G 4 A_Pain
    Goto See
  See:
    PLA6 ABCD 3 A_Chase
	PLA6 A 0 HealThing(2)
    loop	
  Missile:
    PLA6 E 2 A_FaceTarget
    PLA6 F 3 BRIGHT A_MissileAttack
    PLA6 E 0 A_M_Refire
  Goto Missile
    PLA6 A 20
    Goto See
  Melee:
    Stop
  Death:
    PLA6 H 10 A_GiveToTarget ("MarineExp",6)
    PLA6 I 10 A_Scream
    PLA6 J 10 A_NoBlocking
    PLA6 KLM 10
    PLA6 N 1000
    Stop
  XDeath:
    PLAY O 5 A_GiveToTarget ("MarineExp",6)
    PLAY P 5 A_XScream
    PLAY Q 5 A_NoBlocking
    PLAY RSTUV 5
    PLAY W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",6)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA6 MLKJIH 5
    Goto See}}

ACTOR FMPlasmaBall : PlasmaBall
{Scale 0.50
 DamageType "ZombiesDamage"
 States
	{Spawn:
		OLSS AB 6 Bright
		Loop
	Death:
		OLSE ABCDE 4 Bright
		Stop}}

ACTOR FMarineBFG : FMarineFist replaces MarineBFG
{ Tag "Fallen BFGMarine"
  speed 12
  obituary "\ccBam!!!! a \cfFallen BFGMarine\cc Completely Disintegrated\c- %o \cc."
  DropItem "MCell" 86 4
  meleesound "none"
  states
 {Spawn:
    PLA7 AB 10 A_Look
	PLA7 A 0 HealThing(1)
    loop
  Idle:
    PLA7 AB 10 A_Look
	PLA7 A 0 HealThing(1)
    loop
  Pain:
    PLA7 G 4
    PLA7 G 4 A_Pain
    Goto See
  See:
    PLA7 ABCD 4 A_Chase 
	PLA7 A 0 HealThing(1)
    loop	
  Missile:
    PLA7 E 5 A_M_BFGSound
    PLA7 EEEEE 5 A_FaceTarget
    PLA7 F 6 A_CustomMissile("FBFGBall",8)
    PLA7 A 6 A_FaceTarget
    PLA7 A 0 A_M_Refire
    Loop
    PLAY A 0
    Goto See
  Melee:
    Stop
  Death:
    PLA7 H 10 A_GiveToTarget ("MarineExp",9)
    PLA7 I 10 A_Scream
    PLA7 J 10 A_NoBlocking
    PLA7 KLM 10
    PLA7 N 1000
    Stop
  XDeath:
    PLA7 O 5 A_GiveToTarget ("MarineExp",9)
    PLA7 P 5 A_XScream
    PLA7 Q 5 A_NoBlocking
    PLA7 RSTUV 5
    PLAY W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",9)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    PLA7 MLKJIH 5
    Goto See}}

actor FBFGBall : BFGBall replaces BFGBall
{Scale 0.50
 DamageType "ZombiesDamage" 
  States
  {Death:
    BFE1 AB 8 bright
    BFE1 C 8 bright A_BFGSpray("FBFGExtra")
    BFE1 DEF 8 bright
    stop}}

actor FBFGExtra : BFGExtra
{Scale 0.50
 DamageType "ZombiesDamage"}

ACTOR FMarineRailgun : FMarineFist replaces MarineRailgun
{ Tag "Fallen RailgunMarine"
  obituary "\ccA \cfFallen RailgunMarine\cc Railed\c- %o \cca good un."
  speed 16
  meleesound "none"
  states
  {Spawn:
    SRPL AB 10 A_Look
	SRPL A 0 HealThing(2)
    loop
  Idle:
    SRPL AB 10 A_Look
	SRPL A 0 HealThing(2)
    loop
  Pain:
    SRPL G 4
    SRPL G 4 A_Pain
    Goto See
  See:
    SRPL ABCD 3 A_Chase
	SRPL A 0 HealThing(2)
    loop	
  Missile:
    SRPL E 2 A_FaceTarget
	SRPL E 50 A_PlaySound("WolfSS/Charge",CHAN_BODY,1,0,ATTN_NORM)
    SRPL F 0 bright A_PlaySound("weapons/RailAttackCyber",CHAN_BODY,1,0,ATTN_NORM)
    SRPL F 12 Bright A_CustomRailgun(random(75,100),0,"blue","white",RGF_FULLBRIGHT|RGF_SILENT,1,0,"FBulletPuff",0.001,0.001,0,0,1.0,0.1,"none",-16)
    SRPL E 0 A_M_Refire
  Goto Missile
    SRPL A 20
    Goto See
  Melee:
    Stop
  Death:
    SRPL H 10 A_GiveToTarget ("MarineExp",6)
    SRPL I 10 A_Scream
    SRPL J 10 A_NoBlocking
    SRPL KLM 10
    SRPL N 1000
    Stop
  XDeath:
    PLAY O 5 A_GiveToTarget ("MarineExp",6)
    PLAY P 5 A_XScream
    PLAY Q 5 A_NoBlocking
    PLAY RSTUV 5
    PLAY W 1000
    Stop
  Ice:
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",6)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    SRPL MLKJIH 5
    Goto See}}