ACTOR MLostSoul : LostSoul 
{ Health 200
  Radius 16
  Height 56
  Mass 50
  Speed 8
  Damage 3 
  Alpha 1.0
  RenderStyle Translucent 
  obituary "%o \ccwas Buzzed by a \cfLost Soul\cc."
  Tag "Lost Soul"  
  Species "Caco"
  -NOICEDEATH -DONTFALL +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageType "CacoDamage"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0
  DamageFactor "CacoDamage",0
  States
  {Spawn:
    SKUL A 10 BRIGHT A_Look
	SKUL B 10 BRIGHT 
	Loop
  See:
    SKUL AB 6 BRIGHT A_Chase 
	loop		 
  Death:
    SKUL F 6 BRIGHT A_GiveToTarget ("MarineExp",2)
    SKUL G 6 BRIGHT A_Scream
    SKUL H 6 BRIGHT
    SKUL I 6 BRIGHT A_NoBlocking
    SKUL J 6
    SKUL K 6
    Stop	
  Ice:
    "####" "#" 0 A_Changeflag("FLOAT",0)
	"####" "#" 0 A_Changeflag("NOGRAVITY",0)
	"####" "#" 0 A_Changeflag("DONTFALL",0)
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",2)
    "----" A 1 A_FreezeDeathChunks
    Wait}}
	
ACTOR PoisonSoul 25634 
{Health 150 
Radius 16 
Height 56 
Mass 50 
Speed 6 
Damage 4 
RENDERSTYLE SoulTrans 
PAINCHANCE 255 
Missiletype TorturedSoulPoison
AttackSound "skull/melee" 
PainSound "skull/pain" 
DeathSound "skull/death" 
ActiveSound "skull/active" 
obituary "%o \ccwas Gassed by a \cfPoison Soul\cc."
Tag "Poison Soul"
Species "Caco"
MONSTER
+NOGRAVITY +FLOAT +DONTFALL +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
DamageType "LostSerpDamage"
DamageFactor "MarineDamage",1
DamageFactor "ImpBallDamage",0.1
DamageFactor "DemonDamage",0.1
DamageFactor "ZombiesDamage",0.1
DamageFactor "ZombieTankDamage",0.1
DamageFactor "ZombiesFCDamage",0.1
DamageFactor "SkelDamage",0.1
DamageFactor "FatsoDamage",0.1
DamageFactor "KnightDamage",0.1
DamageFactor "ArachDamage",0.1
DamageFactor "viledamage",0.1
DamageFactor "CybYamato",0.01
DamageFactor "CybRLDamage",0.1
DamageFactor "CacoDamage",0
DamageFactor "LostSerpDamage",0
States 
   {Spawn: 
       SKLL A 10 A_Look 
       Loop 
   See: 
       SKLL AAAAA 4 A_Chase 
       Loop 
   Missile: 
       SKLL B 10 A_FaceTarget 
       SKLL B 0 A_PlaySound("torturedsoul/poison") 
       SKLL B 0 A_CustomMissile("PoisonSoulPoison",0,0,180)
       SKLL B 4 A_SkullAttack 
       SKLL BB 4 
       Goto Missile+1 
   Pain: 
       SKLL C 3
       SKLL C 3 A_Pain 
       Goto See 
   Death: 
       SKLL D 6 A_GiveToTarget ("MarineExp",3)
       SKLL E 6 A_Scream 
       SKLL F 6 
       SKLL F 0 A_PlaySound("torturedsoul/poison") 
       SKLL F 0 A_CustomMissile("PoisonSoulPoison",0,0,0)
       SKLL G 6 A_Noblocking 
       SKLL H 6 
       Stop
   Ice:
       "####" "#" 0 A_Changeflag("FLOAT",0)
	   "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	   "####" "#" 0 A_Changeflag("DONTFALL",0)
	   "####" "#" 1 A_GenericFreezeDeath
	   TNT1 A 0 A_GiveToTarget ("MarineExp",3)
       "----" A 1 A_FreezeDeathChunks
       Wait}}

actor PoisonSoulPoison 
{   Radius 24 
    Height 6 
    Speed 0 
    Damage 1 
    +STRIFEDAMAGE +RIPPER +NOGRAVITY
    +MISSILE
    RENDERSTYLE Translucent 
    ALPHA 0.67 
	Damagetype "LostSerpDamage"
    States 
    {Spawn: 
        TRPS ABCDEFGDEFGDEFGDEFGDEFGDCBA 4 
        Stop 
    Death: 
        TRPS DCBA 4 
        Stop}}

actor LSBulletPuff : FBulletPuff
{DamageType "LostSerpDamage"}