Actor Injured: Inventory
{Inventory.Amount 0
Inventory.MaxAmount 50}

actor MrScientist
{ health 500
  radius 20
  height 56
  mass 100
  speed 15
  SeeSound "wolfss/sight"
  PainSound "wolfss/pain"
  DeathSound "wolfss/death"
  ActiveSound "wolfss/active"
  dropitem "MQuadShotgun", 56
  dropitem "MrailGun", 74
  obituary "%o \ccwas blown away by the brilliant \cfMr Scientist\cc."
  hitobituary "%o \ccwas given a quick snip by \cfMr Scientist\cc."
  SPECIES "Zombie"
  Tag "Mr Scientist" 
  BloodColor "red"
  Decal "ADMScorch"
  MONSTER
  +FLOORCLIP +QUICKTORETALIATE +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES 
  +NORADIUSDMG
  Scale 1.12
  DamageFactor "MarineDamage",1
  DamageFactor "BFGSplash",0.6
  DamageFactor "MarineRLDamage",0.8
  DamageFactor "MarineRail",0.6
  DamageFactor "MarineSuperweapon",0.2 
  DamageFactor "PorkDamage",1 
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ZombiesDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombieTankDamage",0
  states
  {Spawn:
    DRDO A 10 A_Look
    DRDO A 0 HealThing(10)
  Idle:
    DRDO A 10 A_Lookex (0,0,0,0)
    DRDO A 0 HealThing(10)
    Loop
  See:
    DRDO AABBCCDDAABBCC 3 A_Chase("","Missile")
    DRDO DD 3 A_Chase
    DRDO D 0 HealThing(10)
    loop
  Missile:
    DRDO EF 10 A_FaceTarget
    DRDO G 8 BRIGHT  A_JUMP(256,"MissileHomingRocket","MissileMBFG10kShot","MissileBFGBall","MissileRailgun") 
    DRDO F 0 A_Jump(168,"See")
    DRDO F 6 A_FaceTarget
    DRDO G 8 BRIGHT  A_JUMP(256,"MissileHomingRocket","MissileMBFG10kShot","MissileBFGBall","MissileRailgun") 
    goto See
  MissileRailgun:
    DRDA G 5 A_FaceTarget
	DRDA G 50 A_PlaySound("WolfSS/Charge",CHAN_BODY,1,0,ATTN_NORM)
    DRDA G 0 bright A_PlaySound("weapons/RailAttackCyber",CHAN_BODY,1,0,ATTN_NORM)
    DRDA G 12 Bright A_CustomRailgun(random(75,100),0,"none","purple",RGF_FULLBRIGHT|RGF_SILENT,1,0,"MrScientistRailPuff")
    DRDO  F 10 bright
    DRDO  E 20
    DRDO E 0 HealThing(5)
    goto See
  MissileBFGBall:
    DRDA G 5 A_FaceTarget
    DRDA G 20 bright A_PlaySound("weapons/bfgf", CHAN_BODY,1,0,ATTN_NORM) 
    DRDA G 30 bright A_CustomMissile ("MrScientistBFGBall",32)
    DRDA G 20
    DRDO G 0 HealThing(5)
    goto See
  MissileHomingRocket:
    DRDO G 5 A_FaceTarget
    DRDO G 12 Bright A_CustomMissile("MrScientistHomeRock",32)
    DRDO G 12 Bright A_CustomMissile("MrScientistHomeRock",32)
    DRDO G 20
    DRDO G 0 HealThing(5)
    goto See
  MissileMBFG10kShot:
    DRDA G 5 A_FaceTarget
    DRDA G 5 Bright A_CustomMissile("MrScientistMBFG10k",32)
    DRDA G 3 A_FaceTarget
    DRDA G 5 Bright A_CustomMissile("MrScientistMBFG10k",32)
    DRDA G 3 A_FaceTarget
    DRDA G 5 Bright A_CustomMissile("MrScientistMBFG10k",32)
    DRDA G 3 A_FaceTarget
    DRDA G 5 Bright A_CustomMissile("MrScientistMBFG10k",32)
    DRDA G 3 A_FaceTarget
    DRDA G 5 Bright A_CustomMissile("MrScientistMBFG10k",32)
    DRDA G 3 A_FaceTarget
    DRDA G 5 Bright A_CustomMissile("MrScientistMBFG10k",32)
    DRDA G 20
    DRDO G 0 HealThing(5)
    goto See
  Pain:
    DRDO H 3
    DRDO H 3 A_Pain
    goto See
  Death:
    DRDO I 0
    DRDO I 5 A_Jump(16,"Death2")
	DRDO I 0 A_GiveToTarget ("MarineExp",10)
    DRDO J 5 A_Scream
    DRDO K 5 A_NoBlocking
    DRDO L 5
    DRDO M 3 
	DRDO M 3 A_JumpIf(random(1,3) == 3,2)
    DRDO N 500
    stop
    DRDO N -1
    Stop	
  Death2:
    DRDO I 5
    DRDO J 5 A_Pain
    DRDO K 5 A_NoBlocking
    DRDO LM 5
    DRDO N 15
    TNT1 A 10 A_SpawnItemEx("MrScientistImNotDeadYet",0,0,0,0,0,0,0,SXF_NOCHECKPOSITION|SXF_TRANSFERPOINTERS,0)
    stop	
  XDeath:
    POSS O 7 A_GiveToTarget ("MarineExp",10)
    POSS P 7 A_XScream
    POSS Q 7 A_NoBlocking
    POSS RST 6
    POSS U 1000
    stop
  Raise:
    DRDO N 0
    DRDO N 5 
    DRDO MLKJI 5
    goto See
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",10)
    "----" A 1 A_FreezeDeathChunks
    Wait}}
actor MrScientistRailPuff : FBulletPuff
{DamageType "ZombiesFCDamage"}

ACTOR MrScientistBFGBall
{ Radius 13
  Height 8
  Speed 25
  Damage 100
  Projectile
  +RANDOMIZE
  RenderStyle Add
  Alpha 0.75
  DeathSound "weapons/bfgx"
  DamageType "ZombiesFCDamage"
  States
  {Spawn:
    BBS1 AB 4 Bright
    Loop
  Death:
    BBE1 AB 8 Bright
    BBE1 C 8 Bright A_BFGSpray("BFGPExtra")
		BBE1 C 0 A_Explode(150,32)	
		BBE1 C 0 A_Explode(100,48)
		BBE1 C 0 A_Explode(75,64)
		BBE1 C 0 A_Explode(50,96)
		BBE1 C 0 A_Explode(25,128)
		BBE1 DEF 8 Bright
    Stop}}
ACTOR BFGPExtra
{   +NOBLOCKMAP +NOGRAVITY
	RenderStyle Add
	Alpha 0.75
	DamageType "ZombiesFCDamage"
	States
	{Spawn:
		BFP2 ABCD 8 Bright
		Stop}}
ACTOR MrScientistHomeRock
{  Radius 8
   Height 11
   Speed 12
   Damage 15   
   DeathSound "weapons/hrlexp"
   SeeSound "weapons/hrlfir"
   Decal Scorch  
   BounceCount 1 
   ExplosionDamage 96
   ExplosionRadius 96
   PROJECTILE
   +SEEKERMISSILE +ROCKETTRAIL +RANDOMIZE +DEHEXPLOSION +CANBOUNCEWATER 
   +DOOMBOUNCE +NOBOUNCESOUND +NOWALLBOUNCESND  
   Damagetype "ZombiesFCDamage"    
   States
   {Spawn:
      TMIS A 4 Bright A_SeekerMissile (5,10)
      TMIS A 4 Bright
      TMIS A 2 Bright A_SeekerMissile (5,10)
      TMIS A 2 Bright
      goto Spawn+2
   Death:
      MISL B 8 bright A_Explode(96,96,0,0,0,0,0,"PBBulletPuff")
      MISL C 6 bright
      MISL D 4 bright
      stop}}
actor MrScientistMBFG10k: MBFG10kShot
{Damage 10
  DamageType "ZombiesFCDamage"
  Speed 20 
  Projectile
  States
  {Spawn:
    BBE1 ABCB 1
	Loop
  Death:
    BBE1 A 3 Bright
    BBE1 BCDEF 3 Bright
    Stop}}
	
actor MrScientistImNotDeadYet
{ health 200
  radius 20
  height 32
  mass 200
  speed 0
  SeeSound "wolfss/pain"
  PainSound "wolfss/pain"
  DeathSound "wolfss/death"
  ActiveSound "wolfss/pain"
  dropitem "MSoulsphere" 56
  dropitem "YamatoNuke" 74
  BloodColor "red"
  Decal "ADMScorch"
  SPECIES "Zombie"
  Tag "Mr Scientist Im Not Dead Yet"
  obituary "%o \ccwas blown away by a \cfInjured Mr Scientist\cc."
  hitobituary "%o \ccwas given a quick snip by a\cfInjured Mr Scientist\cc." 
  MONSTER
  +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +NORADIUSDMG -SOLID
  Scale 1.12
  DamageFactor "MarineDamage",1
  DamageFactor "BFGSplash",0.6
  DamageFactor "MarineRLDamage",0.8
  DamageFactor "MarineRail",0.6
  DamageFactor "MarineSuperweapon",0.2 
  DamageFactor "PorkDamage",1 
  DamageFactor "ImpBallDamage",0.01
  DamageFactor "DemonDamage",0.01
  DamageFactor "CacoDamage",0.01
  DamageFactor "SkelDamage",0.01
  DamageFactor "FatsoDamage",0.01
  DamageFactor "KnightDamage",0.01
  DamageFactor "ArachDamage",0.01
  DamageFactor "viledamage",0.01  
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.01
  DamageFactor "ZombiesDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombieTankDamage",0
states
  {Spawn:
    LST5 B 6 A_Look
    LST5 B 0 A_JumpIfInventory("Injured",50,"Snuffit")
    LST5 B 0 A_GiveInventory("Injured",1)
    LST5 BA 6 A_Look
    LST5 A 0 A_JumpIfInventory("Injured",50,"Snuffit")
    LST5 A 0 A_GiveInventory("Injured",1)
    LST5 A 6 A_Look
    loop
  See2:
    LST5 A 8
  See:
    LST5 BB 3 A_Chase
    LST5 B 0 A_JumpIfInventory("Injured",50,"Snuffit")
    LST5 B 0 A_GiveInventory("Injured",1)
    LST5 BBAA 3 A_Chase
    LST5 A 0 A_JumpIfInventory("Injured",50,"Snuffit")
    LST5 A 0 A_GiveInventory("Injured",1)
    LST5 AA 3 A_Chase
    loop
  Snuffit:
    LST5 A 0 A_Die
    goto PointlessDeath
  Missile:
    LST5 AA 16 A_FaceTarget
    LST5 A 0 BRIGHT  A_JUMP(256,"WeakRocket","WeakRail")
    LST5 A 0 A_Jump(160,"See2")
    LST5 A 16 A_FaceTarget
    LST5 A 0 BRIGHT  A_JUMP(256,"WeakRocket","WeakRail")
    goto See2
  Pain:
    LST5 A 3
    LST5 A 3 A_Pain
    goto See
  Death:
    LST5 A 0 A_GiveToTarget ("MarineExp",10)  
  PointlessDeath:
    LST5 A 0 A_TakeInventory("Injured",50)
    LST5 A 5 A_Scream
    DRDO M 5 A_NoBlocking
    DRDO NN 3
    DRDO N 500
    stop
  XDeath:
    LST5 A 0 A_TakeInventory("Injured",50)
    POSS R 5 A_GiveToTarget ("MarineExp",10)
    POSS S 5 A_XScream
    POSS T 5 A_NoBlocking
    POSS U 500
    stop
  Ice:
   "####" "#" 5 A_GenericFreezeDeath
   TNT1 A 0 A_TakeInventory("Injured",40)
   TNT1 A 0 A_GiveToTarget ("MarineExp",10)
    "----" A 1 A_FreezeDeathChunks
    Wait
WeakRail:
    LST5 C 5 A_FaceTarget
    LOT5 C 50 A_PlaySound("WolfSS/Charge",CHAN_BODY,1,0,ATTN_NORM)
    LOT5 C 0 bright A_PlaySound("weapons/RailAttackCyber",CHAN_BODY,1,0,ATTN_NORM)
    LOT5 C 12 Bright A_CustomRailgun(random(25,50),0,"none","purple",RGF_FULLBRIGHT|RGF_SILENT,1,0,"MrScientistRailPuff",0,0,0,0,1.0,1.0,"none",-6)
    LST5 AB 10 bright
    LST5 AB 10
    goto See
WeakRocket:
    LST5 C 5 A_FaceTarget
    LST5 C 12 Bright A_CustomMissile("MrScientistWeakRocket",16)
    LST5 AB 10
    goto See}} 
	
ACTOR MrScientistWeakRocket
{  Radius 8
   Height 11
   Speed 24 
   Damage 15
   PROJECTILE
   DeathSound "weapons/hrlexp"
   ExplosionDamage 96
   ExplosionRadius 96
   +ROCKETTRAIL +RANDOMIZE +DEHEXPLOSION
   Damagetype "ZombiesFCDamage"
   SeeSound "weapons/hrlfir"
   Decal Scorch   
   States
   {Spawn:
      TMIS A 4 Bright 
      loop
   Death:
      MISL B 8 bright A_Explode(96,96,0,0,0,0,0,"PBBulletPuff")
      MISL C 6 bright
      MISL D 4 bright
      stop}}	