actor MRevenantGrenadier : MRevenant
{ health 450
  radius 20
  height 56
  mass 500
  speed 10
  Scale 0.85
  Bloodcolor "green" 
  PainThreshold 200  
  obituary "%o \ccblown apart by a \cfRevenant Grenadier\cc."
  hitobituary "%o \ccgiven a boney poke by a \cfRevenant Grenadier\cc." 
  tag "Revenant Grenadier"
  Species "Revenant"
  +ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES 
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "SkelDamage",0  
  states
  {Spawn:
    SKEG A 10 A_Look 
    SKEG B 10
   loop
  See:
    SKEG AABBCCDDEEFF 2 A_Chase 
    loop	
  Melee:
    SKEG G 1 A_FaceTarget
    SKEG G 6 A_SkelWhoosh
    SKEG H 6 A_FaceTarget
    SKEG I 6 A_SkelFist
    Goto See
  Missile:
    SKEG J 10 Bright A_FaceTarget
    SKEG J 0 A_JUMP(76,"TRACER")
    SKEG K 0 A_PlaySoundEx ("weapons/mgren","weapon")
    SKEG K 10 A_CustomMissile ("MRevenantGrenade",58)
    SKEG J 5 Bright A_FaceTarget
    SKEG K 10 A_CustomMissile ("MRevenantGrenade",58)
    Goto See
  TRACER:
    SKEG K 10 A_CustomMissile ("MRevenantTracer")
    SKEG K 10 A_FaceTarget
    Goto See
  Pain:
    SKEG L 5
    SKEG L 5 A_Pain
    Goto See
  Death:
    SKEG A 0 A_GiveToTarget ("MarineExp",4)
    SKEG LM 7
    SKEG N 7 A_Scream
    SKEG O 7 A_NoBlocking
    SKEG P 7 
    SKEG Q 1 A_JumpIf(random(1,3) == 3,2)
    SKEG Q 500
    stop
    SKEG Q -1
    stop
  Raise:
    SKEG Q 5
    SKEG PONML 5
    Goto See
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

ACTOR MRevenantGrenade : Grenade
{   Radius 8
	Height 8
	Speed 25
	Damage 20
	Projectile
	BounceCount 0
	Scale 1.5
	-NOGRAVITY -NOTELEPORT +TELESTOMP +DOOMBOUNCE +DEHEXPLOSION +ROCKETTRAIL
	+EXPLODEONDEATH +CANBOUNCEWATER 
	SeeSound "weapons/mgrenbounce"
	DeathSound "weapon/grenadeexplode" 
	Obituary "$MO_RevGren"
	DamageType "SkelDamage"
	States
	{Spawn:
		GRN2 ABCDEFGHIJK 3 bright A_CountDown
		loop
	Death:
	    MISL B 0 Bright A_ChangeFlag ("NoGravity",1)
		MISL B 8 bright A_Explode(-1,-1,0,0,0,0,0,"SkGBulletPuff")
		MISL C 6 bright
		MISL D 4 bright
		stop		
	Grenade:
		MISL A 1000 A_Die("SkelDamage")
		Wait
	Detonate:
		MISL B 4 A_Scream
		MISL C 6 A_Detonate
		MISL D 10
		Stop
	Mushroom:
		MISL B 8 A_Mushroom
		Goto Death+1}}
		
actor SkGBulletPuff : FBulletPuff
{DamageType "SkelDamage"}