actor MShotgunGuy : ShotGunGuy
{ health 60 
  radius 20
  height 56
  mass 100
  speed 8 
  DropItem "HeavyMachinegun" 86   
  obituary "%o \ccWas shot by a \cfShotgun Guy\cc."
  tag "ShotgunGuy"
  Species "Zombie"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES 
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ZombieTankDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
  states
  {Spawn:
    SPOS A 10 A_Look
    SPOS B 10 
    loop
  See:
    SPOS AABBCCDD 3 A_Chase
    loop	
  Missile:
    SPOS E 10 A_FaceTarget
    SPOS F 10 bright A_CustomBulletAttack (11.5,3.5,5,3,"FBulletPuff")
    SPOS E 10
    SPOS E 0 A_Jump(64,"Missile")
    goto See
  Pain:
	SPOS G 3
	SPOS G 3 A_Pain
	Goto See
  Death:
    SPOS H 5 A_GiveToTarget ("MarineExp",2)
    SPOS I 5 A_Scream
    SPOS J 5 A_NoBlocking
    SPOS K 5
    SPOS L 5 A_JumpIf(random(1,3) == 3,2)
	SPOS L 500 
	Stop
	SPOS L -1
	Stop
  XDeath:
    SPOS M 5 A_GiveToTarget ("MarineExp",2)
    SPOS N 5 A_XScream
    SPOS O 5 A_NoBlocking
    SPOS PQRST 5
    SPOS U 1000
    stop
  Raise:
	SPOS L 5
	SPOS KJIH 5
	Goto See
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",2)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

ACTOR MSSGZombie
{   Health 100
	Radius 20
	Height 56
	Mass 100
	Scale 1
	Speed 8
	PainChance 170
	dropitem "AssaultRifle" 86
	Decal Bulletchip	
	SeeSound "chainguy/sight"
	painsound "shotguy/pain"
    deathsound "shotguy/death"
    activesound "shotguy/active"
	AttackSound "ssgguy/attack" 		
	obituary "%o \ccWas Blown open by a \cfSuper ShotGunner\cc."
	Tag "Super ShotgunGuy"
	Species "Zombie"
    MONSTER 
	+FloorClip +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1   
	DamageFactor "LostSerpDamage",0.1
	DamageFactor "CybYamato", 0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "ZombieTankDamage",0
	DamageFactor "ZombiesFCDamage",0
	DamageFactor "ZombiesDamage",0
	states
	{Spawn:
		GPOS A 10 A_Look
		GPOS B 10
		Loop
	See:
		GPOS AABBCCDD 4 A_Chase
	    loop		
	Missile:
		GPOS E 10 A_FaceTarget
		GPOS F 10 BRIGHT A_CustomBulletAttack(11.2,7.1,16,3,"FBulletPuff")
		GPOS E 35 A_ChangeFlag("NoPain",1)
		GPOS E 0 A_ChangeFlag("NoPain",0)
		Goto See	
	Pain:
		GPOS G 3
		GPOS G 3 A_Pain
		Goto See	
	Death:
		GPOS H 8 A_GiveToTarget ("MarineExp",5)
		GPOS I 8 A_Scream
		GPOS J 8 A_NoBlocking
		GPOS K 8
		GPOS L 8
		GPOS M 8
		GPOS N 5 A_JumpIf(random(1,3) == 3,2)
	    GPOS N 500 
	    Stop
	    GPOS N -1
	    Stop
	XDeath:
		GPOS O 5 A_GiveToTarget ("MarineExp",5)
		GPOS P 5 A_XScream
		GPOS Q 5 A_NoBlocking
		GPOS RS 5
		GPOS T 1000
		Stop	
	Raise:
		GPOS NMLKJIH 5
		Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",5)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR MAShotgunGuy
{ Health 120 
  Radius 20
  Height 56
  Speed 8
  PainChance 170
  DropItem "AssaultShotgun" 86 
  Decal Bulletchip
  seesound "shotguy/sight"
  attacksound "weapons/Ashotgun/fire"
  painsound "shotguy/pain"
  deathsound "shotguy/death"
  activesound "shotguy/active"  	
  obituary "%o \ccgot peppered by an \cfAssault Shotgunner\cc."
  tag "Assault Shotgunner"
  Species "Zombie"
  MONSTER 
  +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "LostSerpDamage", 0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ZombieTankDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
  States
    {Spawn:
    ASGZ AB 10 A_Look
    Loop
  See:
    ASGZ AABBCCDD 3 A_Chase
    loop	
  Missile:
    ASGZ E 1 A_Jump (96, 2)
    ASGZ E 0 A_JumpIfCloser (128,"Missile2")
    ASGZ E 1 A_Jump (96, "Missile2")
    ASGZ E 8 A_FaceTarget
    ASGZ F 10 Bright A_CustomBulletAttack (6.2,4.6,4,4,"FBulletPuff")
    ASGZ E 0 A_ChangeFlag("NoPain",1)
    ASGZ E 4 A_PlaySoundEx("weapons/Ashotgun/cock/back","body")
    ASGZ A 6
    ASGZ E 2 A_PlaySoundEx("weapons/Ashotgun/cock/forward","body")
    ASGZ E 0 A_ChangeFlag("NoPain",0)
    ASGZ E 1 A_Jump (64,"Missile")
    Goto See
  Missile2:
    ASGZ E 8 A_FaceTarget
    ASGZ F 5 Bright A_CustomBulletAttack (11.2,7.1,5,4,"FBulletPuff")
    ASGZ E 4
    ASGZ F 10 Bright A_CustomBulletAttack (11.2,7.1,5,4,"FBulletPuff")
    ASGZ E 0 A_ChangeFlag("NoPain",1)
    ASGZ E 4 A_PlaySoundEx("weapons/Ashotgun/cock/back","body")
    ASGZ A 6
    ASGZ E 6 A_PlaySoundEx("weapons/Ashotgun/cock/forward","body")
    ASGZ E 4 A_PlaySoundEx("weapons/Ashotgun/cock/back","body")
    ASGZ A 6
    ASGZ E 2 A_PlaySoundEx("weapons/Ashotgun/cock/forward","body")
    ASGZ E 0 A_ChangeFlag("NoPain",0)
    ASGZ E 1 A_Jump (64,"Missile")
    Goto See
  Pain:
    ASGZ G 3
    ASGZ G 3 A_Pain
    Goto See
  Death:
    ASGZ H 5 A_GiveToTarget ("MarineExp",4)
    ASGZ I 5 A_Scream
    ASGZ J 5 A_Fall
    ASGZ KLM 5
	ASGZ N 1 A_JumpIf(random(1,3) == 3,2)
    ASGZ N 500
    Stop
	ASGZ N -1
	Stop
  XDeath:
    ASGZ O 5 A_GiveToTarget ("MarineExp",4)
    ASGZ P 5 A_XScream
    ASGZ Q 5 A_Fall
    ASGZ RSTUV 5
	ASGZ W 500
	Stop
  Raise:
    ASGZ NMLKJIH 5
    Goto See
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait}}