actor MSpiderMastermind : SpiderMastermind
{ health 5000 
  Radius 100
  height 100
  mass 1000
  speed 12   
  PainThreshold 200  
  Dropitem "GatLaserVarient" 86
  obituary "%o \ccwas riddled with holes by a \cfSpider Mastermind\cc."
  tag "Spider Mastermind"
  SPECIES "Spider"
  +NOINFIGHTING +QUICKTORETALIATE +DONTHARMSPECIES +ALWAYSFAST +NORADIUSDMG
  +QUICKTORETALIATE +NOTARGET 
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.9
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1  
  DamageFactor "viledamage",0.1
  DamageFactor "LostSerpDamage",0.1  
  DamageFactor "CybYamato",0.03
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ArachDamage",0
  states
  {Spawn:
    SPID A 10 A_Look 
    SPID B 10 
    loop
  See:
    SPID A 3 A_Metal
    SPID ABB 3 A_Chase
    SPID C 3 A_Metal
    SPID CDD 3 A_Chase
    SPID E 3 A_Metal
    SPID EFF 3 A_Chase 
    loop	
  Missile:
    SPID A 20 A_FaceTarget
		SPID G 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		SPID G 0 bright A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		SPID G 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2))
    SPID H 2
    	SPID G 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		SPID G 0 bright A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		SPID G 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2, 2))
    SPID H 2
    	SPID G 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		SPID G 0 bright A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		SPID G 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2, 2))
	SPID G 0 A_CheckSight ("See") //stop refire if no target in line of sight
    goto Missile+1
  Pain:
    SPID I 3
	SPID I 3 A_Pain
	Goto See
  Death:
    SPID J 20 A_Scream
    SPID K 10 A_NoBlocking
    SPID LMNOPQR 10
    SPID S 30 A_GiveToTarget ("MarineExp",20)
    SPID S -1 A_BossDeath
    stop
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",20)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor CyberMastermind 3115
{   Health 5000
    Radius 80
    Height 100
    Speed 12
    PainChance 30
    Mass 1000
	SeeSound "cyber/sight"
    PainSound "spider/pain"
    DeathSound "cyber/death"
    ActiveSound "spider/active"
	Obituary "%o \ccwas destroyed by a \cfCyber Mastermind\cc."
    Decal BulletChip
	Tag "Cyber Mastermind"
	SPECIES "Spider"  
    MONSTER 
    +NOINFIGHTING +QUICKTORETALIATE +DONTHARMSPECIES +FLOORCLIP +BOSS 
	+NORADIUSDMG +NOTARGET	
    DamageFactor "MarineDamage",1
    DamageFactor "MarineRail",0.9
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1   
    DamageFactor "viledamage",0.1   
	DamageFactor "LostSerpDamage",0.1	 
    DamageFactor "CybYamato",0.03
	DamageFactor "CybRLDamage",0.1
	DamageFactor "ArachDamage",0
    States
    {Spawn:
        CYMM AB 10 A_Look
        Loop
    See:
        CYMM AABB 3 A_Chase
        CYMM B 0 A_PlaySound("spider/walk")
        CYMM CCDD 3 A_Chase
        CYMM D 0 A_PlaySound("spider/walk")
        CYMM EEFF 3 A_Chase
        CYMM F 0 A_PlaySound("spider/walk")
        Loop
    Missile:
        CYMM A 20 A_FaceTarget
		CYMM G 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		CYMM G 0 bright A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		CYMM G 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2))
        CYMM H 2
    	CYMM G 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		CYMM G 0 bright A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		CYMM G 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2))
        CYMM H 2
    	CYMM G 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		CYMM G 0 bright A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		CYMM G 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2))
	    CYMM G 0 A_CheckSight ("See") //stop refire if no target in line of sight
        CYMM H 2 A_FaceTarget
		CYMM I 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		CYMM I 0  A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		CYMM I 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2))
        CYMM J 2 bright A_CustomMissile("PCybRocket",32,0,0)
		CYMM I 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		CYMM I 0 A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		CYMM I 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2)) 
        CYMM J 2 bright A_CustomMissile("PCybRocket",32,0,0)
		CYMM I 2 bright A_PlaySound("shotguy/attack",CHAN_WEAPON)
		CYMM I 0 A_CustomBulletAttack(22.5,0,3,random(8,12),"SpiderMastermindBulletRico",0,CBAF_NORANDOM)
		CYMM I 0 A_CustomMissile("SpiderMastermindBulletTracer",60,0,random(-7,7),1,random(-2,2))  
		CYMM J 2 bright A_CustomMissile("PCybRocket",32,0,0)
        CYMM A 1 A_SpidRefire
        Goto Missile+1
    Pain:
        CYMM K 4
        CYMM K 4 A_Pain
        Goto See
    Death:
        CYMM L 8 A_GiveToTarget ("MarineExp",25)
        CYMM M 8 A_Scream
        CYMM N 6
        CYMM O 6 A_Fall
        CYMM PQRST 6
        CYMM U -1
        Stop
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",25)
        "----" A 1 A_FreezeDeathChunks
        Wait}}
		
//Ricochet round splash on wall
ACTOR SpiderMastermindBulletRico
{ DamageType "ArachDamage"
  +NOEXTREMEDEATH +NOBLOCKMAP +NOGRAVITY +ALLOWPARTICLES +RANDOMIZE
  RenderStyle ADD //Translucent
  Alpha 1.5
  VSpeed 1
  Mass 5
  States
  {Spawn:
    SX58 ABCDEFGHJ 1
	Goto Death
  Death:
    TNT1 A 1 A_PlaySound("ricochet/hit",6) 
    Stop}}

//Vulcan bullet tracer with ricochet sound and visuals
Actor SpiderMastermindBulletTracer: FastProjectile
{   damagetype Cutless
	Projectile
	-DONTSPLASH +RANDOMIZE +FORCEXYBILLBOARD +DONTSPLASH +NOEXTREMEDEATH
	damage 0
	radius 2
	height 2
	speed 140
	renderstyle ADD
	alpha 0.9
	scale .15
states
{Spawn:
	TRAC A 1 BRIGHT
	Loop
Death:
	TNT1 A 0
    Stop
XDeath:
	TNT1 A 0
	Stop}}