ACTOR ZombieMissileTank 21014
{   Health 1575
    Painchance 40
    Speed 5
    Radius 24
    Height 64
    Mass 1100
    SeeSound "ZMTank/see"
    AttackSound "ZMTank/missile"
    PainSound "ZMTank/pain"
    DeathSound "ZMTank/death"
    DropItem MZombieMan
	DropItem "MRocketLauncher" 86
	obituary "%o \ccwas exploded by a \cfZombie MissleTank\cc."
	Tag "Zombie MissileTank"
	SPECIES "Zombie"
    MONSTER 
    +FLOORCLIP +NORADIUSDMG +NOBLOOD +MISSILEMORE +NOINFIGHTING +DONTHARMSPECIES 
    +DONTHURTSPECIES
    DamageFactor "BFGSplash",0.6
    DamageFactor "MarineRLDamage",1
    DamageFactor "MarineRail",0.6
    DamageFactor "MarineSuperweapon",0.2
    DamageFactor "PorkDamage",0
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1   
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
	DamageFactor "ZombiesDamage",0
	DamageFactor "ZombiesFCDamage",0
	DamageFactor "ZombieTankDamage",0
    States
    {Spawn:
        ZMTK A 8 A_Look
		ZMTK A 0 HealThing(10)
        Loop
    See:
        ZMTK A 0 A_PlaySound ("ZMTank/Run")
        ZMTK AABBCC 1 A_Chase
		ZMTK A 0 HealThing(2)
        Loop 
    Missile:
        ZMTK A 8 A_FaceTarget
        ZMTK E 3 Bright A_CustomMissile("ZombieTankMissile",55,32,359,0) 
		ZMTK A 8 A_FaceTarget
        ZMTK D 3 Bright A_CustomMissile("ZombieTankMissile",55,-29,359,0) 
        Goto See
    Pain:
        ZMTK F 4 A_Pain
        ZMTK F 4
        Goto See		
    Death:
        ZMTK G 4 A_GiveToTarget ("MarineExp",10)
        ZMTK G 4 A_Scream
        ZMTK H 8 A_SpawnItemEx("ZombieMissileTankGun",-40,0,30,12,0,0,64,128)
        ZMTK I 8 A_SpawnItemEx("ZombieMissileTankGun",40,0,30,12,0,0,192,128)
        ZMTK J 8 A_CustomMissile ("ZombieTankExplosion",48,0,0)
        ZMTK K 8 A_Fall
        ZMTK L 8
        ZMTK M 8 A_SpawnItemEx("ZTankSmoke",0,0,48,0,0,0,0,128)
        ZMTK N 8
		ZMTK O 1 A_JumpIf(random(1,3) == 3,2)
        ZMTK O 500
        Stop
		ZMTK O -1
	    Stop			  
	XDeath:
        ZMTK G 4 A_GiveToTarget ("MarineExp",10)
        ZMTK G 4 A_Scream
        ZMTK H 8 A_SpawnItemEx("ZombieMissileTankGun",-40,0,30,12,0,0,64,128)
        ZMTK I 8 A_SpawnItemEx("ZombieMissileTankGun",40,0,30,12,0,0,192,128)
        ZMTK J 8 A_CustomMissile ("ZombieTankExplosion",48,0,0)
        ZMTK K 8 A_Fall
        ZMTK L 8
        ZMTK M 8 A_SpawnItemEx("ZTankSmoke",0,0,48,0,0,0,0,128)
        ZMTK N 8
        ZMTK O 1000
	    Stop   
    Raise: 
        ZMTK NMLKJIHG 40 
        Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",10)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR ZombieTankMissile
{  Radius 8
   Height 11
   Speed 16
   Damage 5
   DamageType "ZombieTankDamage"
   DeathSound "ZMTank/missileX"
   SeeSound "ZMTank/missile"
   ExplosionDamage 27
   ExplosionRadius 38
   PROJECTILE
   Decal Scorch
   +ROCKETTRAIL +THRUGHOST
   +MISSILE
   States
   {Spawn:
      ZMIS A 2 Bright
      ZMIS A 5 Bright
      Goto Spawn
   Death:
      ZMIS C 0 Bright A_SetTranslucent (0.67,1)
      ZMIS B 8 Bright A_Explode (-1,-1,0,0,0,0,0,"TKBulletPuff")
      ZMIS CD 5 Bright
      stop}}

ACTOR ZombieMissileTankGun
{Radius 4
Height 4
Mass 5
Speed 12
DamageType "ZombieTankDamage"
+CLIENTSIDEONLY +NOBLOCKMAP +DROPOFF +NOTELEPORT +DOOMBOUNCE +NOTARGET 
+MOVEWITHSECTOR
+MISSILE
States
{Spawn:
ZTNM A 3
ZTNM B 3
ZTNM C 3
ZTNM D 3
ZTNM E 3
ZTNM F 3
ZTNM G 3
Loop
Death:
ZTNM G 1
ZTNM G -1
Stop}}

ACTOR ZombiePlasmaTank 21013
{   Health 1450
    Painchance 50
    Speed 6
    Radius 24
    Height 64
    Mass 1000
    SeeSound "ZPTank/see"
    AttackSound "ZPTank/attack"
    PainSound "ZPTank/pain"
    DeathSound "ZPTank/death"
    DropItem MPlasmaZombie
	DropItem "MPlasmaRifle" 86
	obituary "%o \ccwas melted by a \cfZombie PlasmaTank\cc."
	Tag "Zombie PlasmaTank"
    SPECIES "Zombie"
    MONSTER 
	+NOBLOOD +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "BFGSplash",0.6
    DamageFactor "MarineRLDamage",1
    DamageFactor "MarineRail",0.6
    DamageFactor "MarineSuperweapon",0.2 
    DamageFactor "PorkDamage",0
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1   
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
	DamageFactor "ZombiesDamage",0 
	DamageFactor "ZombiesFCDamage",0
	DamageFactor "ZombieTankDamage",0
    States
    {Spawn:
        ZPTK A 8 A_Look
		ZPTK A 0 HealThing(10)
        Loop
    See:
        ZPTK A 0 A_PlaySound ("ZPTank/Run")
        ZPTK AABBCC 1 A_Chase
		ZPTK A 0 HealThing(2)
        Loop
    Missile:
        ZPTK A 6 A_FaceTarget
		ZpTK E 3 BRIGHT
        ZPTK E 0 BRIGHT A_CustomMissile("ZTPlasmaBall",65,32,359,0)
        TNT1 A 0 BRIGHT A_CustomMissile("ZTPlasmaBall",55,32,359,0)
        ZPTK A 6 A_FaceTarget
		ZPTK D 3 BRIGHT
        ZPTK D 0 BRIGHT A_CustomMissile("ZTPlasmaBall",65,-29,359,0)
        TNT1 A 0 BRIGHT A_CustomMissile("ZTPlasmaBall",55,-29,359,0)
		ZPTK A 0 A_Jump(128,1)
        goto See 
        ZPTK A 0 A_CPosRefire
        goto Missile 
    Pain:
        ZPTK F 4 A_Pain
        ZPTK F 4
        Goto See	
    Death:
        ZPTK G 4 A_GiveToTarget ("MarineExp",10)
        ZPTK G 4 A_Scream
        ZPTK H 8 A_SpawnItemEx("ZombiePlasmaTankGun",-40,0,30,12,0,0,64,128)
        ZPTK I 8 A_SpawnItemEx("ZombiePlasmaTankGun",40,0,30,12,0,0,192,128)
        ZPTK J 8 A_CustomMissile ("ZombieTankExplosion",48,0,0)
        ZPTK K 8 A_Fall
        ZPTK L 8
        ZPTK M 8 A_SpawnItemEx("ZTankSmoke",0,0,48,0,0,0,0,128)
        ZPTK N 8
		ZPTK O 1 A_JumpIf(random(1,3) == 3,2)
        ZPTK O 500
        Stop
		ZPTK O -1
		Stop			 
	XDeath:
        ZPTK G 4 A_GiveToTarget ("MarineExp",10)
        ZPTK G 4 A_Scream
        ZPTK H 8 A_SpawnItemEx("ZombiePlasmaTankGun",-40,0,30,12,0,0,64,128)
        ZPTK I 8 A_SpawnItemEx("ZombiePlasmaTankGun",40,0,30,12,0,0,192,128)
        ZPTK J 8 A_CustomMissile ("ZombieTankExplosion",48,0,0)
        ZPTK K 8 A_Fall
        ZPTK L 8
        ZPTK M 8 A_SpawnItemEx("ZTankSmoke",0,0,48,0,0,0,0,128)
        ZPTK N 8
        ZPTK O 1000
        Stop   	
    Raise: 
        ZPTK NMLKJIHG 40 
        Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",10)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR ZombiePlasmaTankGun
{Radius 4
Height 4
Mass 5
Speed 12
DamageType "ZombieTankDamage"
+NOBLOCKMAP +DROPOFF +NOTELEPORT +DOOMBOUNCE +NoTarget +CLIENTSIDEONLY 
+MOVEWITHSECTOR
+MISSILE
States
{Spawn:
ZPTG A 3
ZPTG B 3
ZPTG C 3
ZPTG D 3
ZPTG E 3
ZPTG F 3
ZPTG G 3
Loop
Death:
ZPTG G 1
ZPTG G -1
Stop}}

ACTOR ZombieTankExplosion
{ RENDERSTYLE ADD
  ALPHA 0.7
  Radius 10
  Height 32
  Speed 0
  DamageType "ZombieTankDamage"
  SeeSound "ZTank/explode"
  PROJECTILE
  +FIREDAMAGE +NOCLIP
 States
   {Spawn:
      ZTXP ABCD 2 BRIGHT
      ZTXP E 2 BRIGHT A_Explode (32,128,0,0,0,0,0,"TKBulletPuff") 
      ZTXP FGH   2 BRIGHT 
      ZTXP IJKLM 2 BRIGHT
      ZTXP N 2 BRIGHT A_SetTranslucent(.7,1)
      ZTXP O 2 BRIGHT A_SetTranslucent(.65,1)
      ZTXP P 2 BRIGHT A_SetTranslucent(.6,1)
      ZTXP Q 2 BRIGHT A_SetTranslucent(.55,1)
      ZTXP R 2 BRIGHT A_SetTranslucent(.5,1)
      ZTXP S 2 BRIGHT A_SetTranslucent(.4,1)
      ZTXP T 2 BRIGHT A_SetTranslucent(.3,1)
      Stop}}

Actor ZTankSmoke //Temporary smoke puff
{   Height 4
    Radius 4
    +NOGRAVITY +CLIENTSIDEONLY
    Mass 5
    States
    {Spawn:
    TNT1 A 1 A_CustomMissile("ZTSmokeA",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeB",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeC",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeD",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeA",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeB",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeC",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeD",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeA",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeB",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeC",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeD",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeA",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeB",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeC",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeD",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeA",0,10,random(0,360),2,random(80,100))
	TNT1 A 1 A_CustomMissile("ZTSmokeB",0,10,random(0,360),2,random(80,100))
	Stop}}

Actor ZTSmokeA
{   Projectile
    RenderStyle Translucent
    Mass 5
    speed 1
    Alpha .5
    Scale .7
    +NOCLIP +DONTSPLASH -ACTIVATEIMPACT -ACTIVATEPCROSS +CLIENTSIDEONLY
    States
    {Spawn:
    	TSM1 I 4 
    	TSM1 H 4 
    	TSM1 G 4 
    	TSM1 F 4 
    	TSM1 E 2 A_SetTranslucent(.45,0)
    	TSM1 E 2 A_SetTranslucent(.4,0)
    	TSM1 D 2 A_SetTranslucent(.35,0)
    	TSM1 D 2 A_SetTranslucent(.3,0)
    	TSM1 C 2 A_SetTranslucent(.25,0)
    	TSM1 C 2 A_SetTranslucent(.2,0)
    	TSM1 B 1 A_SetTranslucent(.18,0)
    	TSM1 B 1 A_SetTranslucent(.16,0)
    	TSM1 B 1 A_SetTranslucent(.14,0)
    	TSM1 B 1 A_SetTranslucent(.12,0)
    	TSM1 A 1 A_SetTranslucent(.1,0)
    	TSM1 A 1 A_SetTranslucent(.08,0)
    	TSM1 A 1 A_SetTranslucent(.06,0)
    	TSM1 A 1 A_SetTranslucent(.04,0)
    Stop}}

Actor ZTSmokeB
{   Projectile
    RenderStyle Translucent
    Mass 5
    speed 2
    Alpha .5
    //Scale .35
    Scale .7
    +NOCLIP +DONTSPLASH -ACTIVATEIMPACT -ACTIVATEPCROSS +CLIENTSIDEONLY
    States
    {Spawn:
    	TSM2 I 4 
    	TSM2 H 4 
    	TSM2 G 4 
    	TSM2 F 4 
    	TSM2 E 2 A_SetTranslucent(.45,0)
    	TSM2 E 2 A_SetTranslucent(.4,0)
    	TSM2 D 2 A_SetTranslucent(.35,0)
    	TSM2 D 2 A_SetTranslucent(.3,0)
    	TSM2 C 2 A_SetTranslucent(.25,0)
    	TSM2 C 2 A_SetTranslucent(.2,0)
    	TSM2 B 1 A_SetTranslucent(.18,0)
    	TSM2 B 1 A_SetTranslucent(.16,0)
    	TSM2 B 1 A_SetTranslucent(.14,0)
    	TSM2 B 1 A_SetTranslucent(.12,0)
    	TSM2 A 1 A_SetTranslucent(.1,0)
    	TSM2 A 1 A_SetTranslucent(.08,0)
    	TSM2 A 1 A_SetTranslucent(.06,0)
    	TSM2 A 1 A_SetTranslucent(.04,0)
    Stop}}

Actor ZTSmokeC
{   Projectile
    RenderStyle Translucent
    Mass 5
    speed 3
    Alpha .5
    //Scale .35
    Scale .7
    +NOCLIP +DONTSPLASH -ACTIVATEIMPACT -ACTIVATEPCROSS +CLIENTSIDEONLY
    States
    {Spawn:
    	TSM3 I 4 
    	TSM3 H 4 
    	TSM3 G 4 
    	TSM3 F 4 
    	TSM3 E 2 A_SetTranslucent(.45,0)
    	TSM3 E 2 A_SetTranslucent(.4,0)
    	TSM3 D 2 A_SetTranslucent(.35,0)
    	TSM3 D 2 A_SetTranslucent(.3,0)
    	TSM3 C 2 A_SetTranslucent(.25,0)
    	TSM3 C 2 A_SetTranslucent(.2,0)
    	TSM3 B 1 A_SetTranslucent(.18,0)
    	TSM3 B 1 A_SetTranslucent(.16,0)
    	TSM3 B 1 A_SetTranslucent(.14,0)
    	TSM3 B 1 A_SetTranslucent(.12,0)
    	TSM3 A 1 A_SetTranslucent(.1,0)
    	TSM3 A 1 A_SetTranslucent(.08,0)
    	TSM3 A 1 A_SetTranslucent(.06,0)
    	TSM3 A 1 A_SetTranslucent(.04,0)
    Stop}}

Actor ZTSmokeD
{   Projectile
    RenderStyle Translucent
    Mass 5
    speed 1
    Alpha .5
    //Scale .35
    Scale .7
    +NOCLIP +DONTSPLASH -ACTIVATEIMPACT -ACTIVATEPCROSS +CLIENTSIDEONLY
    States
    {Spawn:
    	TSM4 I 4 
    	TSM4 H 4 
    	TSM4 G 4 
    	TSM4 F 4 
    	TSM4 E 2 A_SetTranslucent(.45,0)
    	TSM4 E 2 A_SetTranslucent(.4,0)
    	TSM4 D 2 A_SetTranslucent(.35,0)
    	TSM4 D 2 A_SetTranslucent(.3,0)
    	TSM4 C 2 A_SetTranslucent(.25,0)
    	TSM4 C 2 A_SetTranslucent(.2,0)
    	TSM4 B 1 A_SetTranslucent(.18,0)
    	TSM4 B 1 A_SetTranslucent(.16,0)
    	TSM4 B 1 A_SetTranslucent(.14,0)
    	TSM4 B 1 A_SetTranslucent(.12,0)
    	TSM4 A 1 A_SetTranslucent(.1,0)
    	TSM4 A 1 A_SetTranslucent(.08,0)
    	TSM4 A 1 A_SetTranslucent(.06,0)
    	TSM4 A 1 A_SetTranslucent(.04, 0)
    Stop}}

ACTOR ZTPlasmaBall : Ammo
{   Game Doom
	Radius 13
	Height 8
	Speed 40
	Damage 5
	Projectile
	+RANDOMIZE
	RenderStyle Add
	Alpha 0.75
	SeeSound "weapons/plasmaf"
	DeathSound "weapons/plasmax"
	Obituary "$OB_MPPLASMARIFLE"
	DamageType "ZombieTankDamage"
	States
	{Spawn:
		PLTS AB 6 Bright
		Loop
	Death:
		PLTE ABCDE 4 Bright
		Stop}}
		
actor TKBulletPuff : FBulletPuff
{DamageType "ZombieTankDamage"}