// Shotgun
actor MShotgun : weapon
{ Weapon.AmmoType "MShell"
  Weapon.AmmoUse 1
  Weapon.AmmoUse2 0
  Weapon.AmmoGive 16
  Weapon.Kickback 100
  Weapon.SelectionOrder 2
  Inventory.PickupMessage "\ccYou've got the \cfShotgun\cc!"
  Inventory.PickupSound "misc/w_pkup"
  Tag "Shotgun"
  attacksound ""
  +WEAPON.NOAUTOAIM
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL 
  +INVENTORY.ALWAYSPICKUP
  +THRUGHOST 
  States
  {Spawn:
    DHSP A 1
    DHSP A 0 A_SpawnItemEx("MShotgunPickup",56,0,28,6,0,6,0,1) 	
    stop
  Ready:
    DHSG A 1 A_WeaponReady
    DHSG A 0 A_jumpifinventory("kicking",1,"dokick")
    Loop
 Select:
    DHSG A 0
	DHSG A 0
    DHSG A 0 ACS_NamedExecuteAlways("Netsave",0,6)
	DHSG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	DHSG A 0 ACS_NamedExecuteAlways("InfAmmo",0,6)
	DHSG A 0 A_TakeInventory ("Cooloff",1)
	DHSG A 0 ACS_ExecuteAlways(585,0,2)	
 Sel:
    DHSG A 0
    DHSG A 1 A_Raise
	TNT1 AA 0 A_Raise
    Loop
 Deselect:
	DHSG A 0 A_TakeInventory ("PM_AltfireX", 1)
	DHSG A 0 A_TakeInventory ("PM_AltfireY", 1)
	DHSG A 0 A_TakeInventory ("PM_AltfireZ", 1)
  Del:
	DHSG A 1 A_Lower
	TNT1 AA 0 A_Lower
    Loop
  Fire: 
    DHSG A 0 A_jumpifinventory("kicking",1,"dokick")
    DHSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
	DHSF AAAAAAAAA 0 A_FireCustomMissile("AssShotTracer", random(-1,1),0,7,-1,0,random(-1,1))
    DHSF A 0 A_FireBullets (5.6, 1.8, 8, 5, "MBulletPuff")	
    DHSF A 0 A_GunFlash
	DHSF A 5
    DHSF A 0 A_PlaySound ("Weapons/HSHOT", CHAN_WEAPON)
	DHSF B 5
	DHSG A 4
	DHSF A 0 A_ReFire
	DHSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
    DHSG BCDEFG 2
    DHSG HIJKJ 2
	DHSG I 0 A_PlaySound("weapons/HCOCK")
    DHSG IHGFEDCBA 2   
    Goto Ready
  AltFire:
    TNT1 A 0 A_jumpifinventory("kicking",1,"dokick")
    MPNG P 4 A_Gunflash
    TNT1 A 0 A_JumpIfInventory("PowerStrength",1,8)
	MPNG B 0 A_Playsound("skeleton/swing",CHAN_WEAPON)
    MPNG CD 2     
    MPNG E 2 A_CustomPunch (4,0,0,"MFistPuff",60)
    MPNG FG 6
    MPNG Q 4 A_ReFire
    Goto Ready
	TNT1 A 0 A_jumpifinventory("kicking",1,"dokick")
	MPNG B 0 A_Playsound("skeleton/swing",CHAN_WEAPON)
    MPNG CD 2    
    MPNG E 2 A_CustomPunch (27,0,0,"MFistPuff",60)
    MPNG FG 6
    MPNG Q 4 A_ReFire
    Goto Ready
  Flash:
    TNT1 A 4 Bright A_Light1
    TNT1 B 3 Bright A_Light2
    TNT1 A 0 A_Light0
    Stop
  AltFlash:
    DHSG L 2
    DHSG M 2
    DHSG N 2
    DHSG O 10
    DHSG N 2
    DHSG M 2
    DHSG L 6
    Stop
  OuttaAmmo:
    TNT1 A 0 A_jumpifinventory("kicking",1,"dokick")
	DHSG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	Goto Ready
  DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
  BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready}}
  
actor PriMShotgun : MShotgun
{Weapon.SelectionOrder 1}

Actor MShotgunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfShotgun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
-INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	DHSP A 5040
    DHSP AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    DHSP A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",6)>0),"GiveShotgun")
	DHSP A 0 A_GiveInventory("MShell",16)
	Fail
	DHSP A 6 
	Goto Spawn
 GiveShotgun:
    DHSP A 1 A_JumpIf((ACS_NamedExecuteWithResult("CheckForDouble")>0),"ReallyGiveShotgun")
	DHSP A 0 A_GiveInventory("MShell",16)
	Fail	
	DHSP A 6 
	Goto Spawn
 ReallyGiveShotgun:	
	DHSP A 1 A_GiveInventory("MShotgun", 1)
	Stop}}	

Actor MshotgunSpawner : RandomSpawner replaces Shotgun
{Dropitem "MShotGunDrop"}

Actor MShotgunDrop : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfShotgun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	DHSP A -1
	Stop
 Pickup:
    DHSP A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",6)>0),"GiveShotgun")
	DHSP A 0 A_GiveInventory("MShell",16)
	Fail	
	DHSP A 6 
	Goto Spawn
 GiveShotgun:
    DHSP A 1 A_JumpIf((ACS_NamedExecuteWithResult("CheckForDouble")>0),"ReallyGiveShotgun")
	DHSP A 0 A_GiveInventory("MShell",16)
	Fail	
	DHSP A 6 
	Goto Spawn
 ReallyGiveShotgun:
	DHSP A 1 A_GiveInventory("MShotgun", 1)
	Stop}}