//CryoBow
ACTOR CryoBow : Weapon
{   Weapon.SelectionOrder 2
	Weapon.AmmoType "CryoBolts"
	Weapon.AmmoUse 1	
	Weapon.AmmoType2 "CryoBolts"
    Weapon.AmmoUse2 1
	Weapon.AmmoGive 10
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "\ccYou got the \cfCryobow\cc!"
	Tag "Cryobow"
	Obituary "%o was picked off by %k's Cryobow"
    +WEAPON.NOAUTOAIM
	+WEAPON.AMMO_OPTIONAL
	+WEAPON.ALT_AMMO_OPTIONAL
	+INVENTORY.ALWAYSPICKUP
	+THRUGHOST
	States
	{Spawn:
		WBOW A 1
        WBOW A 0 A_SpawnItemEx("MCryobowPickup",56,0,28,6,0,6,0,1)
        stop
	Deselect:
        BSTA A 0 A_TakeInventory ("PM_AltfireX", 1)
        BSTA A 0 A_TakeInventory ("PM_AltfireY", 1)
        BSTA A 0 A_TakeInventory ("PM_AltfireZ", 1)
	 Del:
		BSTA A 1 Bright A_Lower
		TNT1 AA 0 Bright A_Lower
		Loop
	Select:
	    BSTA A 0
	    BSTA A 0
        BSTA A 0 ACS_NamedExecuteAlways("NetSave",0,18)
		BSTA A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)       
		BSTA A 0 ACS_NamedExecuteAlways("InfAmmo",0,18)
	    BSTA A 0 A_TakeInventory ("Cooloff",1)
		BSTA A 0 ACS_ExecuteAlways(585,0,10)
       Sel:
        BSTA A 0
		BSTA A 1 Bright A_Raise
		TNT1 AA 0 Bright A_RAISE
		Loop
	Ready:
		BSTA AAA 1 Bright A_WeaponReady
		BSTA A 0 A_jumpifinventory("kicking",1,"dokick")
		BSTA BBB 1 Bright A_WeaponReady
		BSTA B 0 A_jumpifinventory("kicking",1,"dokick")
		BSTA CCC 1 Bright A_WeaponReady
		BSTA C 0 A_jumpifinventory("kicking",1,"dokick")
		BSTA DDD 1 Bright A_WeaponReady
		BSTA D 0 A_jumpifinventory("kicking",1,"dokick")
		BSTA BBB 1 Bright A_WeaponReady
		BSTA B 0 A_jumpifinventory("kicking",1,"dokick")
    	Loop
	AltReady:     
		RSTA AAA 1 Bright A_WeaponReady
		RSTA A 0 A_jumpifinventory("kicking",1,"dokick")
		RSTA BBB 1 Bright A_WeaponReady
		RSTA B 0 A_jumpifinventory("kicking",1,"dokick")
		RSTA CCC 1 Bright A_WeaponReady
		RSTA C 0 A_jumpifinventory("kicking",1,"dokick")
		RSTA DDD 1 Bright A_WeaponReady
		RSTA D 0 A_jumpifinventory("kicking",1,"dokick")
		RSTA BBB 1 Bright A_WeaponReady
		RSTA B 0 A_jumpifinventory("kicking",1,"dokick")
    	Loop
	Fire:
	    BSTA A 0 A_jumpifinventory("kicking",1,"dokick")
	    BSTA A 0 A_JumpIfNoAmmo("OuttaAmmo")
		BSTA A 0 Bright A_GunFlash
		BSTA A 0 Bright A_Recoil(4.0)
		BSTA A 0 Bright A_PlaySound("weapons/cryobowshot")
		BSTA A 0 Bright A_PlaySound("weapons/cryobowfire", CHAN_WEAPON)
		BSTA E 1 Bright A_FireCustomMissile("CryoShot",0,1)
		BSTA FGH 1 Bright
		BSTA I 4 A_PlaySound("weapons/cryobowreload")
		BSTA I 1
		BSTA I 1 Offset(0,31) 
		BSTA J 1 Offset(0,32)
		BSTA J 1 Offset(0,30)
		BSTA K 1 Offset(0,31)
		BSTA LM 1 Offset(0,32)
		BSTA CDB 2 Bright Offset(0,32) 
		BSTA A 0 A_ReFire
		Goto Ready 		
    AltFire:
	    RSTA A 0 A_jumpifinventory("kicking",1,"dokick")
	    RSTA A 0 A_JumpIfNoAmmo("AltOuttaAmmo")
        RSTA A 0 A_GunFlash
        RSTA A 0 A_Recoil(3.0)
        RSTA A 0 A_PlaySound("Weapons/BallistaShot")
        RSTA A 0 A_PlaySound("Weapons/BallistaFire", CHAN_WEAPON)
        RSTA E 1 Bright A_FireCustomMissile("BallistaShot",0,1)
        RSTA FGH 1 Bright
        RSTA I 4 A_PlaySound("Weapons/BallistaReload")
        RSTA I 1 
        RSTA I 1 Offset(0,31) 
        RSTA J 1 Offset(0,32)
        RSTA J 1 Offset(0,30)
        RSTA K 1 Offset(0,31) 
        RSTA LM  1 Offset(0,32)
        RSTA CDB 2 Bright Offset(0,32) 
        RSTA A 0 A_Refire ("Altfire")
        Goto AltReady
	OuttaAmmo:
	    BSTA A 0 A_jumpifinventory("kicking",1,"dokick")
	    BSTA A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	    Goto Ready
	AltOuttaAmmo:
	    RSTA A 0 A_jumpifinventory("kicking",1,"dokick")
	    RSTA A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	    Goto Ready
    DoKick:
	    TNT1 A 0
	    TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	    TNT1 A 0 A_PlaySound("KICK")
	    TNT1 A 0 SetPlayerProperty(0,1,0)
	    KICK BCD 1
	    TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	    KICK H 4
	    TNT1 A 0 A_Takeinventory("Kicking",1)
	    KICK IGFEDCBA 1 
	    TNT1 A 0 SetPlayerProperty(0,0,0)
	    Goto Ready
    BerserkerKick:
	    TNT1 A 0 A_PlaySound("KICK")
	    TNT1 A 0 SetPlayerProperty(0,1,0)
	    KICK ABCDEFG 1
	    TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	    KICK H 3
        TNT1 A 0 A_Takeinventory("Kicking",1)
	    KICK IGFEDCBA 1 
	    TNT1 A 0 SetPlayerProperty(0,0,0)
	    Goto Ready
	Flash:
		TNT1 A 2 Bright A_Light1
		TNT1 A 2 Bright A_Light2
		TNT1 A 1 Bright A_Light1
		Goto LightDone}}

ACTOR PriCryoBow : CryoBow
{   Weapon.SelectionOrder 1}

Actor MCryobowPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou got the \cfCryobow\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
    WBOW A 5040
    WBOW AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    WBOW A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",18)>0),"GiveCryoBow")
	WBOW A 0 A_GiveInventory("CryoBolts",10)
	Fail	
	WBOW A 6 
	Goto Spawn
 GiveCryoBow:
	WBOW A 1 A_GiveInventory("Cryobow", 1)
	stop}}	
		
ACTOR CryoShot : FastProjectile
{   Radius 4
	Height 8
	Speed 100
	Damage 1
	DamageType Ice
	Projectile
	RenderStyle Add
	Alpha 0.9
	+FORCERADIUSDMG
	+NODAMAGETHRUST
	+THRUGHOST
	DeathSound "weapons/cryobowhit"
	MissileType "CryoTrail"
	MissileHeight 8
	Decal "PlasmaScorchLower"
	States
	{Spawn:
		BSHT A 0 Bright
		BSHT A 0 Bright A_PlaySound("weapons/cryobowflyby", CHAN_BODY, 1.0, 1)
		BSHT A 1 Bright
		Loop
	Death:		
		BXPL A 0 Bright A_StopSound(CHAN_BODY)
		BXPL A 0 Bright A_Explode(1, 128, 0) // Break frozen things.
		BXPL A 0 Bright A_ChangeFlag("NODAMAGETHRUST", 0)
		BXPL A 0 Bright A_Explode(50*random(1,4), 16, 0) // Simulated impact damage
		BXPL A 0 Bright A_Explode(128, 128, 0) // Freezy radius damage.
		BXPL AAAAAAAA 0 Bright A_SpawnItemEx("CryoSmoke", 0, 0, 0, random(10, 30)*0.1, 0, random(0, 10)*0.1, random(1,360), SXF_CLIENTSIDE|SXF_NOCHECKPOSITION)
		BXPL AAAA 0 Bright A_SpawnItemEx("CryoSmoke2", 0, 0, 0, random(10, 30)*0.04, 0, random(0, 10)*0.04, random(1,360), SXF_CLIENTSIDE|SXF_NOCHECKPOSITION,64)
		BXPL ABCDEFGH 1 Bright
		BXPL IJKLLM 1 Bright A_FadeOut(0.1)
		Stop}}

ACTOR CryoTrail
{   +NOINTERACTION
	+CLIENTSIDEONLY
	Radius 4
	Height 8
	Renderstyle Add
	Alpha 0.5
	States
	{Spawn:
		BSHT AABBCDEFG 1 Bright
		Stop}}

ACTOR CryoSmoke
{   Radius 2
    Height 2
    +NOINTERACTION
    +FORCEXYBILLBOARD
	+CLIENTSIDEONLY
    RenderStyle Shaded
    StencilColor "A0 A0 A0"
    Alpha 1.0
    Scale 0.4
    States
    {Spawn:
		SMOK A 0
        SMOK A 2 A_FadeOut (0.05)
        Wait}}

Actor CryoSmoke2 : CryoSmoke 
{StencilColor "DD DD DD" Scale 0.7 Alpha 0.5 VSpeed 2.5
    +CLIENTSIDEONLY
	States 
	{Spawn:
		TNT1 A 0
		SMOK A 6 A_FadeOut(0.04)
		Wait}}

Actor BallistaShot : FastProjectile
{Radius 4
 Height 8
 Speed 160
 Damage 0
 DamageType "MarineDamage"
 PROJECTILE
 RenderStyle Add
 Alpha 0.9
 Scale 0.8
 +ForceRadiusDmg
 +NoDamageThrust
 +ForceXYBillboard
 +THRUGHOST
 DeathSound "Weapons/BallistaHit"
 MissileType "BallistaTrail"
 MissileHeight 8
 Decal "BallistaScorch"
 States
 {Spawn:
   RSHT A 0 Bright
   RSHT A 1 Bright A_PlaySound("Weapons/BallistaFlyby", CHAN_BODY, 1.0, 1)
   Loop
 Death:    
   RXPL A 0 Bright A_StopSound(CHAN_BODY)
   RXPL A 0 Bright A_ChangeFlag("NODAMAGETHRUST", 0)
   RXPL A 0 Bright A_Explode(Random(150, 180), 36, 0)
   RXPL ABCDEFGH 1 Bright
   RXPL IJKLM 1 Bright A_FadeOut(0.1)
   Stop}}
   
Actor BallistaTrail
  {+ForceXYBillBoard
   +NoInteraction
   +CLIENTSIDEONLY
   +THRUGHOST
   Radius 4
   Height 8
   Renderstyle Add
   Alpha 0.5
   States
  {Spawn:
   RSHT AABBCDEFG 1 Bright
   Stop}}