// Advanced RayGun
actor Raygun : Weapon 
{ Weapon.AmmoType "MCell"
  Weapon.AmmoType2 "MCell"
  Weapon.AmmoUse 1
  Weapon.AmmoUse2 1
  Weapon.AmmoGive 100
  Weapon.Kickback 100
  Weapon.SelectionOrder 2
  Inventory.PickupSound "misc/w_pkup"
  Inventory.PickupMessage "\ccYou've got the \cfRaygun\cc!"
  Obituary "%o was Zapped by %k's Raygun." 
  Tag "RayGun"
  +WEAPON.WIMPY_WEAPON
  +WEAPON.NOAUTOAIM
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL 
  +INVENTORY.UNDROPPABLE
  +THRUGHOST
  States
  {Ready:
    RAYG A 0 A_JumpifInventory("RayGCool",1,2)
	RAYG A 0 A_TakeInventory("Cooloff",1)
    RAYG A 1 A_WeaponReady
    RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
    Loop
  Deselect:
    RAYG A 0 A_TakeInventory ("Cooloff",1)
	RAYG A 0 A_TakeInventory("shootingR",1)
	RAYG A 0 A_TakeInventory ("PM_AltfireX", 1)
	RAYG A 0 A_TakeInventory ("PM_AltfireY", 1)
	RAYG A 0 A_TakeInventory ("PM_AltfireZ", 1)
  Del:
    RAYG A 1 A_Lower
	TNT1 AA 0 A_Lower
    Loop
Select:
    RAYG A 0
    RAYG A 0
    RAYG A 0 ACS_NamedExecuteAlways("NetSave",0,13)
	RAYG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,6)	
	RAYG A 0 A_JumpifInventory("RayGGot",1,3)
	RAYG A 0 ACS_NamedExecuteAlways("GiveRayGAmmo",0)
    RAYG A 0 A_GiveInVentory("RayGGot",1)
    RAYG A 0 ACS_NamedExecuteAlways("RayGAmmos",0,13)
    RAYG A 0 A_TakeInventory ("Cooloff",1)
	RAYG A 0 ACS_ExecuteAlways(585,0,7)
Sel:
    RAYG A 0
    RAYG A 1 A_Raise
	TNT1 AA 0 A_Raise
    LOOP
  Fire:
    RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
    RAYG A 0 A_JumpIfNoAmmo("OuttaAmmo")
    RAYG A 0 A_JumpIfInventory ("PM_AltFireX",1,"AltFireX")	
    RAYG A 0 A_JumpIfInventory ("PM_AltFireY",1,"AltFireY")
    RAYG A 0 A_JumpIfInventory ("PM_AltFireZ",1,"AltFireZ")
	RAYG A 0 A_JumpIfInventory ("shootingR",1,2)
	RAYG A 0 A_GiveInventory ("shootingR",1)
	RAYG A 0 A_JumpIfInventory("RayGCool",1,"RaygunPrimaryDepleted")
	RAYG A 0 A_TakeInventory ("Cooloff",1)
    RAYG A 1
    RAYG B 0 A_RailAttack(80*3,0,1,"Green","Green",RGF_FULLBRIGHT,0,"Rayrailpuff",0.001,0.001,0,6,1.0,0.1,"none",0)
    RAYG B 0 bright A_FireCustomMissile ("RaygunShotPrime",0,0,0,0,0,1)
	RAYG B 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	RAYG B 0 A_TakeInventory ("RayGunPrimary_counter",1)
    RAYG B 1 bright A_GunFlash
    RAYG CD 1 bright
    RAYG EF 1
    RAYG A 0 A_ReFire
	RAYG A 0 A_TakeInventory ("shootingR",1)
    Goto Ready
  RaygunPrimaryDepleted:
       RAYG A 0 A_JumpIfInventory("Cooloff",1,2)   
	   RAYG A 0 ACS_Executealways(408)
       RAYG A 0 A_GiveInventory("Cooloff",1)
	   RAYG A 3 A_TakeInventory("shootingR",1)
	   Goto Ready
  AltFire:
    RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
    RAYG A 0 A_JumpIfNoAmmo("OuttaAmmo")
    RAYG A 1
	RAYG B 0 bright A_FireCustomMissile ("RaygunShot",0,1,0,0,0,1)
	RAYG B 1 bright A_GunFlash
    RAYG CD 1 bright
    RAYG EF 1
	RAYG B 0 bright A_FireCustomMissile ("RaygunShot",0,1,0,0,0,1)
	RAYG B 1 bright A_GunFlash
    RAYG CD 1 bright
    RAYG EF 1
	RAYG B 0 bright A_FireCustomMissile ("RaygunShot",0,1,0,0,0,1)
	RAYG B 1 bright A_GunFlash
    RAYG CD 1 bright
	RAYG A 5 
	RAYG A 0 A_Refire
    Goto Ready	
AltFireX:
    RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
    RAYG A 0 A_JumpIfNoAmmo("OuttaAmmo")
    RAYG A 1
    RAYG B 1 bright A_FireCustomMissile ("FastRaygunShot",0,1,0,0,0,1)
    RAYG B 0 bright A_GunFlash
    RAYG CD 1 bright
    RAYG EF 1
    RAYG A 0 A_ReFire 
	Goto Ready
AltFireY:
    RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
    RAYG A 0 A_JumpIfNoAmmo("OuttaAmmo")
	RAYG A 1
	RAYG B 0 bright A_FireCustomMissile ("RaygunShot",10,1,0,0,0,1)
	RAYG B 0 bright A_FireCustomMissile ("RaygunShot",0,1,0,0,0,1)
	RAYG B 0 bright A_FireCustomMissile ("RaygunShot",-10,1,0,0,0,1)
    RAYG B 0 bright A_GunFlash
    RAYG CD 2 bright
    RAYG EF 10
    RAYG A 0 A_ReFire 
	Goto Ready	
AltFireZ:
    RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
    RAYG A 0 A_JumpIfNoAmmo("OuttaAmmo")
    RAYG A 1
    RAYG B 1 bright A_FireCustomMissile ("RaygunHoming",0,1,0,0,0,1)
    RAYG B 0 bright A_GunFlash
    RAYG CD 1 bright
    RAYG EF 1
    RAYG A 1
    RAYG A 0 A_ReFire 
    Goto Ready	
  Flash:
    TNT1 A 2 bright A_Light1
    TNT1 B 3 bright A_Light2
    TNT1 A 0 bright A_Light0
    stop
  AltFlash:
	TNT1 A 2 bright A_Light1
    TNT1 B 2 bright A_Light2
    TNT1 A 0 bright A_Light0
	Stop
  OuttaAmmo:
    RAYG A 0 A_TakeInventory("shootingR",1)
	RAYG A 0 A_jumpifinventory("kicking",1,"dokick")
	RAYG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	Goto Ready
  Spawn:
    RAYP A 1
    RAYP A 0 A_SpawnItemEx("MRaygunPickup",56,0,28,6,0,6,0,1)
    stop
 DoKick:
	TNT1 A 0
	TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	TNT1 A 0 A_PlaySound("KICK")
	TNT1 A 0 SetPlayerProperty(0,1,0)
	KICK BCD 1
	TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	KICK H 4
	TNT1 A 0 A_Takeinventory("Kicking",1)
	KICK IGFEDCBA 1 
	TNT1 A 0 SetPlayerProperty(0,0,0)
	Goto Ready
 BerserkerKick:
	TNT1 A 0 A_PlaySound("KICK")
	TNT1 A 0 SetPlayerProperty(0,1,0)
	KICK ABCDEFG 1
	TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	KICK H 3
    TNT1 A 0 A_Takeinventory("Kicking",1)
	KICK IGFEDCBA 1 
	TNT1 A 0 SetPlayerProperty(0,0,0)
	Goto Ready}}

actor PriRaygun : Raygun
{Weapon.SelectionOrder 1}

Actor MRaygunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.Pickupmessage "\cfRaygun \cca pick upth."
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	RAYP A 5040
    RAYP AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    RAYP A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",13)>0),"GiveRayGun")
	RAYP A 0 A_GiveInventory("MCell",100)
	Fail	
	RAYP A 6 
	Goto Spawn
 GiveRayGun:
	RAYP A 1 A_GiveInventory("Raygun", 1)
	stop}}	

actor Rayrailpuff : MBulletPuff
{
 DamageType "MarineRail"
 -NOEXTREMEDEATH
 +ALWAYSPUFF
 +THRUGHOST
}

actor RaygunShotPrime
{ 
  Radius 6
  Height 8
  Speed 70
  Damage 8
  Scale 0.06
  DamageType Disintegrate
  PROJECTILE
  SeeSound "Raygun/Fire"
  +RIPPER
  +BLOODLESSIMPACT
  +NODAMAGETHRUST
  +NOEXTREMEDEATH
  +ALWAYSPUFF
  +THRUGHOST
  States
  {
  Spawn:
    TNT1 A 0
    TNT1 A 1 A_SpawnItem ("RaygunTrailPrime")
    loop
  Death:
    TNT1 A 1
    stop
	}
}

actor RaygunTrailPrime
{
  Radius 2
  Height 2
  Renderstyle Add
  Scale 0.08
  +NOINTERACTION
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {
  Spawn:
    RAYL A 1 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrailPrime2")
    stop
	}
}
actor RaygunTrailPrime2 : RaygunTrailPrime
{
  Scale 0.06
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {
  Spawn:
    RAYL A 2 bright
    TNT1 B 0 bright A_SpawnItem ("RaygunTrailPrime3")
    stop
	}
}
actor RaygunTrailPrime3 : RaygunTrailPrime
{
  Scale 0.08
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {
  Spawn:
    RAYL A 2 bright
    TNT1 B 0 bright A_SpawnItem ("RaygunTrailPrime4")
    stop
	}
}
actor RaygunTrailPrime4 : RaygunTrailPrime
{
  Scale 0.06
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {
  Spawn:
    RAYL A 2 bright
    TNT1 B 0 bright A_SpawnItem ("RaygunTrailPrime5")
    stop
	}
}
actor RaygunTrailPrime5 : RaygunTrailPrime
{
  Scale 0.08
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {
  Spawn:
    RAYL A 2 bright
    TNT1 B 0 bright A_SpawnItem ("RaygunTrailPrime6")
    stop
	}
}
actor RaygunTrailPrime6 : RaygunTrailPrime
{
  Scale 0.06
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {
  Spawn:
    RAYL A 2 bright
    stop
	}
}

actor RaygunShot
{ Radius 6
  Height 8
  Speed 30
  Damage 8
  DamageType Disintegrate
  Projectile
  SeeSound "Raygun/Fire"
  +RIPPER
  +BLOODLESSIMPACT
  +NODAMAGETHRUST
  +NOEXTREMEDEATH
  +ALWAYSPUFF
  +THRUGHOST
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1 A_SpawnItem ("RaygunTrail")
    loop
  Death:
    TNT1 A 1
    stop}}

actor FastRaygunShot
{ Radius 6
  Height 8
  Speed 100
  Damage 3
  DamageType Disintegrate
  Projectile
  SeeSound "Raygun/Fire"
  +BLOODLESSIMPACT
  +NODAMAGETHRUST
  +NOEXTREMEDEATH
  +ALWAYSPUFF
  +THRUGHOST
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1 A_SpawnItem ("RaygunTrailFast")
    loop
  Death:
    TNT1 A 1
    stop}}	
	
actor RaygunHoming
{ Radius 6
  Height 8
  Speed 10 //25
  Damage 5 //5
  Scale 0.3
  Projectile
  SeeSound "Raygun/Fire" 
  DamageType Disintegrate 
  Obituary "%o was Zapped by %k's Raygun."
  BounceCount 3 
  +SEEKERMISSILE 
  +SCREENSEEKER 
  -NOTELEPORT 
  +TELESTOMP 
  +RANDOMIZE
  +DEHEXPLOSION
  +BLOODLESSIMPACT
  +NODAMAGETHRUST
  +NOEXTREMEDEATH
  +ALWAYSPUFF
  +CANBOUNCEWATER 
  +DOOMBOUNCE 
  +NOBOUNCESOUND 
  +NOWALLBOUNCESND 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 0 bright A_SpawnItem("RaygunTrail")
    RAYL A 3 bright A_SeekerMissile(30,60,SMF_PRECISE||SMF_LOOK,256,10) //45,90 
    goto Spawn
  Death:
    TNT1 A 1
    stop}}	

actor RaygunTrail
{ Radius 2
  Height 2
  Renderstyle Add
  Scale 0.3
  +NOINTERACTION
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrail2")
    stop}}
actor RaygunTrail2 : RaygunTrail
{Scale 0.2
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrail3")
    stop}}
actor RaygunTrail3 : RaygunTrail
{ Scale 0.1
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrail4")
    stop}}
actor RaygunTrail4 : RaygunTrail
{ Scale 0.08
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrail5")
    stop}}
actor RaygunTrail5 : RaygunTrail
{Scale 0.06
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrail6")
    stop}}
actor RaygunTrail6 : RaygunTrail
{Scale 0.04
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    stop}}

actor RaygunTrailFast
{Radius 2
  Height 2
  Renderstyle Add
  Scale 0.3
  +NOINTERACTION
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrailFast2")
    stop}}
actor RaygunTrailFast2 : RaygunTrailFast
{ Scale 0.2
  +CLIENTSIDEONLY 
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrailFast3")
    stop}}
actor RaygunTrailFast3 : RaygunTrailFast
{ Scale 0.1
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrailFast4")
    stop}}
actor RaygunTrailFast4 : RaygunTrailFast
{ Scale 0.08
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrailFast5")
    stop}}
actor RaygunTrailFast5 : RaygunTrailFast
{ Scale 0.06
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    TNT1 A 1 bright A_SpawnItem ("RaygunTrailFast6")
    stop}}
actor RaygunTrailFast6 : RaygunTrailFast
{ Scale 0.04
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    RAYL A 3 bright
    stop}}