Actor UTNTFlamethrower : Weapon
{ Inventory.PickupSound "misc/w_pkup"
  Inventory.PickupMessage "\ccYou got the \cfflamethrower\cc! Time for a BBQ!"
  Obituary "%o was BBQed by %k's flamethrower."
  Weapon.SelectionOrder 2
  Weapon.AmmoType "Gas"
  Weapon.AmmoType2 "Gas"  
  Weapon.AmmoUse 1
  Weapon.AmmoUse2 1
  Weapon.AmmoGive 48
  +Weapon.Explosive
  Tag "FlameThrower"
  +WEAPON.NOAUTOAIM
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL
  +INVENTORY.ALWAYSPICKUP
  +THRUGHOST
  States
  {
  Spawn:
    WFLM A 1
	WFLM A 0 A_SpawnItemEx("FlameThrowerPickup",56,0,28,6,0,6,0,1)
    stop
  Ready:
    FLMG B 0 A_JumpifInventory("FlameCool",1,2)
	FLMG B 0 A_TakeInventory("Cooloff",1)
    FLMG B 3 A_WeaponReady
	FLMG B 0 A_jumpifinventory("kicking",1,"dokick")
	FLMG C 3 A_WeaponReady
	FLMG C 0 A_jumpifinventory("kicking",1,"dokick")
	FLMG D 3 A_WeaponReady
	FLMG D 0 A_jumpifinventory("kicking",1,"dokick")
    Loop
  Deselect:
    FLMG A 0 A_TakeInventory ("Cooloff",1)
	FLMG A 0 A_TakeInventory ("shootingF",1)
    FLMG A 0 A_TakeInventory ("PM_AltfireX", 1)
    FLMG A 0 A_TakeInventory ("PM_AltfireY", 1)
    FLMG A 0 A_TakeInventory ("PM_AltfireZ", 1)
   Del:
    FLMG A 0
    FLMG A 1 A_Lower
	TNT1 AA 0 A_Lower
    loop
  Select:
    FLMG A 0
    FLMG A 0
    FLMG A 0 ACS_NamedExecuteAlways("NetSave",0,29)
	FLMG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,6)
	FLMG A 0 A_JumpifInventory("FlameGot",1,3)
	FLMG A 0 ACS_NamedExecuteAlways("GiveFlameAmmo",0)
    FLMG A 0 A_GiveInVentory("FlameGot",1)	
	FLMG A 0 ACS_NamedExecuteAlways("FlameAmmos",0,29)
	FLMG A 0 A_TakeInventory ("Cooloff",1)
	FLMG A 0 ACS_ExecuteAlways(585,0,12)
  Sel:
    FLMG A 0 
    FLMG A 1 A_Raise
	TNT1 AA 0 A_Raise
	Loop
  Fire:
    FLMG E 0 A_jumpifinventory("kicking",1,"dokick")
    FLMG E 0 A_JumpIfNoAmmo("OuttaAmmo")
    FLMG E 0 A_JumpIfInventory ("shootingF",1,2)
	FLMG E 0 A_GiveInventory ("shootingF",1)
	FLMG E 0 A_JumpIfInventory("FlameCool",1,"FlamePrimaryDepleted")
	FLMG E 0 A_TakeInventory ("Cooloff",1)
    FLMG E 0 bright A_GunFlash
    FLMG E 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-3, 4))
	FLMG E 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG E 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG E 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG F 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-4, 3))
	FLMG F 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG F 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG F 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG G 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-3, 4))
	FLMG G 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG G 0 A_TakeInventory("FlamePrimary_counter",1)
	FLMG E 0 A_JumpIfInventory("FlameCool",1,"FlamePrimaryDepleted")
    FLMG E 0 bright A_GunFlash
    FLMG E 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-4, 3))
	FLMG E 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG E 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG E 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG F 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-3, 4))
	FLMG F 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG F 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG F 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG G 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-4, 3))
	FLMG G 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG G 0 A_TakeInventory("FlamePrimary_counter",1)
	FLMG E 0 A_JumpIfInventory("FlameCool",1,"FlamePrimaryDepleted")
    FLMG E 0 bright A_GunFlash
    FLMG E 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-2, 2))
	FLMG E 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG E 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG E 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG F 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-2, 2))
	FLMG F 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG F 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG F 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG G 1 bright A_FireCustomMissile("FTFire",0,1,0,0,0,Random(-2, 2))
	FLMG G 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG G 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG H 2 bright A_ReFire
	FLMG H 0 A_TakeInventory ("shootingF",1)
    Goto Ready
  AltFire:
    FLMG E 0 A_jumpifinventory("kicking",1,"dokick")
    FLMG E 0 A_JumpIfNoAmmo("OuttaAmmo")
    FLMG E 0 A_JumpIfInventory ("shootingF",1,2)
	FLMG E 0 A_GiveInventory ("shootingF",1)
	FLMG E 0 A_JumpIfInventory("FlameCool",1,"FlamePrimaryDepleted")
	FLMG E 0 A_TakeInventory ("Cooloff",1)
    FLMG E 0 bright A_GunFlash
    FLMG E 1 bright A_FireCustomMissile("FTFire",Random(-6, 10),1,0,0,0,Random(-6, 4))
	FLMG E 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG E 0 A_JumpifInventory("AmmoPickupsEnabled",1,6)
	FLMG E 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG F 1 bright A_FireCustomMissile("FTFire",Random(-2, 6),1,0,0,0,Random(-2, 6))
	FLMG F 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG F 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG F 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG G 1 bright A_FireCustomMissile("FTFire",Random(-8, 2),1,0,0,Random(-6, 10))
	FLMG G 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG G 0 A_TakeInventory("FlamePrimary_counter",1)
	FLMG E 0 A_JumpIfInventory("FlameCool",1,"FlamePrimaryDepleted")
    FLMG E 0 bright A_GunFlash
    FLMG E 1 bright A_FireCustomMissile("FTFire",Random(-10, 2),1,0,0,0,Random(-6, 4))
	FLMG E 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG E 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG E 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG F 1 bright A_FireCustomMissile("FTFire",Random(-4, 4),1,0,0,0,Random(-8, 2))
	FLMG F 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG F 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG F 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG G 1 bright A_FireCustomMissile("FTFire",Random(-2, 10),1,0,0,0,Random(-4, 4))
	FLMG G 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG G 0 A_TakeInventory("FlamePrimary_counter",1)
	FLMG E 0 A_JumpIfInventory("FlameCool",1,"FlamePrimaryDepleted")
    FLMG E 0 bright A_GunFlash
    FLMG E 1 bright A_FireCustomMissile("FTFire",Random(-6, 4),1,0,0,0,Random(-10, 2))
	FLMG E 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG E 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG E 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG F 1 bright A_FireCustomMissile("FTFire",Random(-4, 4),1,0,0,0,Random(-2, 10))
	FLMG F 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG F 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG F 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG G 1 bright A_FireCustomMissile("FTFire",Random(-2, 6),1,0,0,0,Random(-10, 4))
	FLMG G 0 Radius_Quake (1, 2, 0, 1, 0)
	FLMG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,2)
	FLMG G 0 A_TakeInventory("FlamePrimary_counter",1)
    FLMG H 2 bright A_ReFire
	FLMG H 0 A_TakeInventory ("shootingF",1)
    Goto Ready
  Flash:
    TNT1 A 2 A_Light1
    TNT1 A 2 A_Light2
    TNT1 A 1 A_Light1
    TNT1 A 1 A_Light0
    Stop
  FlamePrimaryDepleted:
    FLMG A 0 A_JumpIfInventory("Cooloff",1,2)   
	FLMG A 0 ACS_Executealways(408)
    FLMG A 0 A_GiveInventory("Cooloff",1)
	FLMG A 0 A_TakeInventory("shootingF",1)
	FLMG A 0 A_jumpifinventory("kicking",1,"dokick")
	FLMG A 2 
    Goto Ready
  OuttaAmmo:
    FLMG A 0 A_TakeInventory("shootingF",1)
    FLMG B 0 A_jumpifinventory("kicking",1,"dokick")
	FLMG B 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	Goto Ready
  DoKick:
	TNT1 A 0
    TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	TNT1 A 0 A_PlaySound("KICK")
	TNT1 A 0 SetPlayerProperty(0,1,0)
	KICK BCD 1
	TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	KICK H 4
	TNT1 A 0 A_Takeinventory("Kicking",1)
	KICK IGFEDCBA 1 
	TNT1 A 0 SetPlayerProperty(0,0,0)
	Goto Ready
  BerserkerKick:
	TNT1 A 0 A_PlaySound("KICK")
	TNT1 A 0 SetPlayerProperty(0,1,0)
	KICK ABCDEFG 1
	TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	KICK H 3
    TNT1 A 0 A_Takeinventory("Kicking",1)
	KICK IGFEDCBA 1 
	TNT1 A 0 SetPlayerProperty(0,0,0)
	Goto Ready}}

Actor PriUTNTFlamethrower : UTNTFlamethrower
{   Weapon.SelectionOrder 1}

Actor FTFire
{ Radius 2
  Height 4
  Speed 16
  Damage 3
  Projectile
  RenderStyle Add
  DamageType "MarineRLDamage"
  Alpha 0.67
  Scale 0.67
  SeeSound "Flamethrower/Fire"
  DeathSound "Flamethrower/Hit"
  Decal "Scorch"
  +THRUGHOST
  States
  {Spawn:
    TNT1 A 2
    FRFX ABCD 2 bright A_Explode(5, 8, 0)
    TNT1 A 0 A_LowGravity
    FRFX EFG 2 bright A_Explode(5, 16, 0)
    FRFX HIJ 2 bright A_Explode(5, 32, 0)
    FRFX KLM 2 bright A_Explode(5, 64, 0)
    FRFX NO 2 bright
    Stop
  Death:
    FRFX HIJ 2 bright A_Explode(5, 32, 0)
    TNT1 A 0 A_CustomMissile("DropFire", 0, 0, 0, 4)
    FRFX KLM 2 bright A_Explode(5, 64, 0)
    FRFX NO 2 bright
    Stop}}

Actor DropFire
{ Radius 8
  Height 40
  Projectile
  RenderStyle Add
  Damage 3
  DamageType "MarineRLDamage"
  Alpha 0.90
  -NoGravity
  +LowGravity
  +NoExplodeFloor
  +NoDamageThrust
  Decal "Scorch"
  States
  {Spawn:
    TNT1 A 0 A_PlaySound("Flamethrower/Flame")
    FLME A 1 bright A_Explode(5, 32, 0)
    FLME BCDEFGHIJKLMN 1 bright A_Explode(5, 16, 0)
    TNT1 A 0 A_PlaySound("Flamethrower/Flame")
    FLME A 1 bright A_Explode(5, 32, 0)
    FLME BCDEFGHIJKLMN 1 bright A_Explode(5, 16, 0)
    TNT1 A 0 A_PlaySound("Flamethrower/Flame")
    FLME A 1 bright A_Explode(5, 32, 0)
    FLME BCDEFGHIJKLMN 1 bright A_Explode(5, 16, 0)
    TNT1 A 0 A_PlaySound("Flamethrower/Flame")
    FLME A 1 bright A_Explode(5, 32, 0)
    FLME BCDEFGHIJKLMN 1 bright A_Explode(5, 16, 0)
    TNT1 A 0 A_PlaySound("Flamethrower/Flame")
    FLME A 1 bright A_Explode(5, 32, 0)
    FLME BCDEFGHIJKLMN 1 bright A_Explode(5, 16, 0)
    TNT1 A 0 A_Jump(192, "Death")
    Loop
  Death:
    TNT1 A 1
    Stop}}

Actor FlameThrowerPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou got the \cfFlamethrower\cc! Time for a BBQ!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	WFLM A 5040
    WFLM AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    WFLM A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",29)>0),"GiveFlameThrower")
	WFLM A 0 A_GiveInventory("Gas",48)
	Fail	
	WFLM A 6 
	Goto Spawn
 GiveFlameThrower:
	WFLM A 1 A_GiveInventory("UTNTFlamethrower",1)
	stop}}