ACTOR YamatoNuke : Weapon
{  Inventory.PickupSound "misc/w_pkup"
   Inventory.PickupMessage "\ccYou acquired the \cfYamatoNuke\cc!!!"
   Obituary "%o was battlecruiser operationed by %k's ''Yamato'' cannon."
   Tag "Yamato Nuke"
   Weapon.SelectionOrder 2
   Weapon.AmmoType "Plutonium"
   Weapon.AmmoGive 1
   Weapon.AmmoUse 0
   Weapon.AmmoType2 "Plutonium"
   Weapon.AmmoUse2 0
   Weapon.Kickback 100
   +NOAUTOFIRE
   +NOALERT
   +WEAPON.NOAUTOAIM 
   +WEAPON.AMMO_OPTIONAL
   +WEAPON.ALT_AMMO_OPTIONAL
   +EXTREMEDEATH 
   +INVENTORY.ALWAYSPICKUP
   Scale 0.8  
   States
   {Select:
      YAMA A 0
      YAMA A 0
      YAMA A 0 ACS_NamedExecuteAlways("NetSave",0,26)
	  YAMU A 0 ACS_NamedExecuteAlways("NukeAmmos",0,26)
	  YAMA A 0 A_PlaySoundEx("Weapons/YamatoGun","Weapon")
	  YAMA A 0 A_PlaySoundEx("m_yamato_taunt","Weapon")	  
	  YAMA A 0 A_TakeInventory ("Cooloff",1)
   sel:
	  YAMA A 0
	  YAMA A 1 A_Raise
	  TNT1 AA 0 A_Raise
	  LOOP
   Deselect:
	  YAMG A 0 A_TakeInventory ("PM_AltFireX",1)	
	  YAMG A 0 A_TakeInventory ("PM_AltFireY",1)
	  YAMG A 0 A_TakeInventory ("PM_AltFireZ",1)
    Del:
      YAMA Y 1 A_Lower
	  TNT1 YY 0 A_Lower
      Loop
  Ready:
	  YAMG A 2 A_WeaponReady
	  YAMG A 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG B 2 A_WeaponReady
	  YAMG B 0 A_jumpifinventory("kicking",1,"dokick")	  
	  YAMG C 2 A_WeaponReady
	  YAMG C 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG D 2 A_WeaponReady
	  YAMG D 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG E 2 A_WeaponReady
	  YAMG E 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG F 2 A_WeaponReady
	  YAMG F 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG G 2 A_WeaponReady
	  YAMG G 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG H 2 A_WeaponReady
	  YAMG H 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG I 2 A_WeaponReady
	  YAMG I 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG J 2 A_WeaponReady
	  YAMG J 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG K 2 A_WeaponReady
	  YAMG K 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG L 2 A_WeaponReady
	  YAMG L 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG M 2 A_WeaponReady
	  YAMG M 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG N 2 A_WeaponReady
	  YAMG N 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG O 2 A_WeaponReady
	  YAMG O 0 A_jumpifinventory("kicking",1,"dokick")
	  Loop
   Fire:
   	  YAMG A 0 A_JumpIfInventory ("PM_AltFireX",1,"AltFireX")	
	  YAMG A 0 A_JumpIfInventory ("PM_AltFireY",1,"AltFireY")
	  YAMG A 0 A_JumpIfInventory ("PM_AltFireZ",1,"AltFireZ")
	  YAMG A 0 A_JumpIfInventory("Yamato_Nuke_Use",1,"NukeOveruse")
      YAMG A 0 A_JumpIfInventory("Yamato_SecLevelStart",1,"NotChargedOnLevel")
      YAMG A 30 A_PlayWeaponSound("Weapons/YamatoCharge")	  
      YAMG HIJKLMNO 1
      YAMG P 2 Bright
      YAMG Q 2 Bright  	  
      YAMG A 0 A_SetBlend("Red",0.6,60)
      YAMG A 0 A_GunFlash
      YAMG A 0 A_PlaySound("Weapons/YamatoFire",6)
      YAMG A 0 A_FireCustomMissile("YamatoFakeFade",0,0,20,0)
      YAMG A 0 A_FireCustomMissile("YamatoFaky1",0,0,20,0)
      YAMG A 0 A_FireCustomMissile("YamatoFaky2",0,0,20,0)
      YAMG A 0 A_FireCustomMissile("YamatoBomb",0,0,20,0)
	  YAMG A 0 A_GiveInventory("Yamato_Nuke_Used", 1)
	  YAMG A 0 A_Recoil(25)
      YAMG R 2 Bright
      YAMG S 2 Bright
      YAMG T 2 Bright
      YAMG ABCABC 2
	  YAMG A 0 ACS_NamedExecuteAlways("Yamatofire",0)
      Goto Ready 
    NukeOveruse:
	  YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,1)
	  Goto Ready
   AltFire:
	  YAMG A 0 A_JumpIfInventory("Yamato_AltNuke_Use",1,"AltNukeOveruse")
	  YAMG A 0 A_JumpIfInventory("Yamato_SecLevelStart",1,"NotChargedOnLevel")  
      YAMG HIJKLMNO 1
      YAMG P 2 Bright
      YAMG Q 2 Bright 
	  YAMG A 0 A_SetBlend("Red",0.6,60)
      YAMG A 0 A_GunFlash
      YAMG A 0 A_PlaySound("Weapons/YamatoFire",6)
      YAMG A 0 A_FireCustomMissile("XYamatoBomb",0,0,20,0)
	  YAMG A 0 A_GiveInventory("Yamato_AltNuke_Used", 1)
	  YAMG A 0 A_Recoil (10)
      YAMG R 1 Bright
      YAMG S 1 Bright
      YAMG T 1 Bright
      YAMG ABCABC 1
	  YAMG A 0 ACS_NamedExecuteAlways("Yamatoaltfire",0)
	  YANG A 0 A_ReFire
      Goto Ready 
   AltNukeOveruse:
	  YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,2)
	  Goto Ready			
   AltFireX:
      YAMG A 0 A_jumpifinventory("kicking",1,"dokick")
      YAMG A 0 A_JumpIfInventory("Yamato_AltFireX_Use",1,"AltFireXOveruse")
	  YAMG A 0 A_JumpIfInventory("Yamato_SecLevelStart",1,"NotChargedOnLevel")  
      YAMG A 0 A_GunFlash
      YAMG A 0 A_PlaySound("Weapons/YamatoHizz",6)
	  YAMG A 1 Bright A_FireCustomMissile("YamatoAltFireX",0,0,20,0)
	  YAMG A 0 A_GiveInventory("Yamato_AltFireX_Used", 1)
	  YAMG EFG 1 Bright 
	  YAMG A 0 ACS_NamedExecuteAlways("YamatoaltX",0)
	  YANG A 0 A_ReFire
      Goto Ready 
   AltFireXOveruse:
	  YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,3)
	  Goto Ready
   AltFireY:
      YAMG A 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG A 0 A_JumpIfInventory("Yamato_AltFireY_Use",1,"AltFireYOveruse")
	  YAMG A 0 A_JumpIfInventory("Yamato_SecLevelStart",1,"NotChargedOnLevel")  
      YAMG P 2 Bright
	  YAMG Q 0 A_SetBlend("Red",0.6,60)
      YAMG Q 0 A_GunFlash
      YAMG Q 0 A_PlaySound("Weapons/YamatoHizz",6)
      YAMG Q 2 Bright A_FireCustomMissile("YamatoAltFireY",random(-5,5),0,20,0)
	  YAMG R 0 A_GiveInventory("Yamato_AltFireY_Used", 1) 
      YAMG R 1 Bright
	  YAMG A 0 ACS_NamedExecuteAlways("YamatoaltY",0)
	  YANG A 0 A_ReFire
      Goto Ready 
   AltFireYOveruse:
	  YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,4)
	  Goto Ready
	AltFireZ:
	  YAMG A 0 A_jumpifinventory("kicking",1,"dokick")
	  YAMG A 0 A_JumpIfInventory("Yamato_AltFireZ_Use",1,"AltFireZOveruse")
	  YAMG A 0 A_JumpIfInventory("Yamato_SecLevelStart",1,"NotChargedOnLevel")  
      YAMG HIJKLMNO 1
      YAMG P 2 Bright
      YAMG Q 2 Bright 		
	  YAMG A 0 A_SetBlend("Red",0.6,60)
      YAMG A 0 A_GunFlash
      YAMG A 0 A_PlaySound("Weapons/YamatoFire",6)
      YAMG A 0 A_FireCustomMissile("YamatoAltFireZ",0,0,20,0)
	  YAMG A 0 A_GiveInventory("Yamato_AltFireZ_Used", 1) 
	  YAMG A 0 A_Recoil (1)
      YAMG R 1 Bright
      YAMG S 1 Bright
      YAMG T 1 Bright
      YAMG ABCABC 1
	  YAMG A 0 ACS_NamedExecuteAlways("YamatoaltZ",0)
	  YANG A 0 A_ReFire
      Goto Ready 
    AltFireZOveruse:
	  YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,5)
	  Goto Ready
    //RankTooLow:
	  //YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,6)
	  //Goto Ready
    NotChargedOnLevel:
   	  YAMG A 1 ACS_NamedExecutealways("NukeMessages",0,7)
	  Goto Ready
	DoKick:
	   TNT1 A 0
	   TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	   TNT1 A 0 A_PlaySound("KICK")
	   TNT1 A 0 SetPlayerProperty(0,1,0)
	   KICK BCD 1
	   TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	   KICK H 4
	   TNT1 A 0 A_Takeinventory("Kicking",1)
	   KICK IGFEDCBA 1 
	   TNT1 A 0 SetPlayerProperty(0,0,0)
	   Goto Ready
    BerserkerKick:
	   TNT1 A 0 A_PlaySound("KICK")
	   TNT1 A 0 SetPlayerProperty(0,1,0)
	   KICK ABCDEFG 1
	   TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	   KICK H 3
       TNT1 A 0 A_Takeinventory("Kicking",1)
	   KICK IGFEDCBA 1 
	   TNT1 A 0 SetPlayerProperty(0,0,0)
	   Goto Ready
   Spawn:
      YANA X 1
      YANA X 0 A_SpawnItemEx("MYamatoNukePickup",56,0,28,6,0,6,0,1)
      stop}}

ACTOR PriYamatoNuke : YamatoNuke
{  Weapon.SelectionOrder 1}

Actor MYamatoNukePickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou aquired the \cfYamatoNuke\cc!!!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
    YANA X 0 A_JumpIfInventory("NukeDisabled",1,"NoNuke")
    YANA X 5040
    YANA XXXXXXXXXXXXXXXXX 70 A_FadeOut(0.05)
	Stop
 Pickup:
    YANA X 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",26)>0),"GiveYamatoNuke")
	Fail
	YANA X 6 
	Goto Spawn
 GiveYamatoNuke:
	YANA X 1 A_GiveInventory("YamatoNuke", 1)
	stop
 NoNuke:
     TNT1 A 1
	 Stop}}

ACTOR YamatoBomb
{   Radius 12
	Height 8
	Speed 150
	Damage 0
	PROJECTILE
	+EXPLODEONWATER +EXTREMEDEATH  -NOTELEPORT +TELESTOMP +SKYEXPLODE
	Renderstyle Add
	Scale 2.5
	Alpha 0.9
	DamageType "MarineSuperweapon"
	States
	{Spawn:
		YAS3 ABCD 2 bright A_Explode(100,128,0,0,0,0,0,"YNBulletPuff")
		Loop
	Death:
		YAS3 A 0 A_AlertMonsters
		YAS3 AB 2 Bright
        TNT1 A 0 A_PlaySound("Weapons/YamatoHizz",6)
		YAS3 CD 2 Bright
        TNT1 A 0 A_SpawnItemEx("YamatoShockInverse",0,0,0,0,0,0,0,128,0)
		YAS3 ABCDAB 2 bright A_FadeOut(0.1)
		TNT1 A 1 A_SpawnItemEx("YamatoHit",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
        stop}}

ACTOR YamatoHit
{   +NOGRAVITY +NOINTERACTION
	States
	{Spawn:
		TNT1 A 0 Radius_Quake(99999,100,0,100,0)
        TNT1 A 0 A_PlaySound("Weapons/YamatoBlast",6)
		TNT1 A 0 A_SpawnItemEx("YamatoIllumination",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoShockwave",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoDamageAbuse",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoDamageLethal",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoSpinalCord",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoGroundSpin",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoShocker",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoExploder",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		//TNT1 A 0 A_SpawnItemEx("YamatoShroom",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoBasis",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoShroomer",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoAfterBoomEffect",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
        TNT1 A 1
        stop}}

ACTOR YamatoFakeFade
{   Radius 12
	Height 8
	PROJECTILE
	Renderstyle Add
	+EXPLODEONWATER +CLIENTSIDEONLY
	Scale 1
	Speed 150
	States
	{Spawn:
		TNT1 A 0 A_SpawnItemEx("YamatoBombTrail2",random(-4,4),random(-4,4),random(-4,4),0,0,0,0,128,0)
        TNT1 A 1 Bright A_SpawnItemEx("YamatoBombTrail",random(-4,4),random(-4,4),random(-4,4),0,0,0,0,128,0)
		TNT1 B 0 A_SpawnItemEx("YamatoBombTrail2",random(-4,4),random(-4,4),random(-4,4),0,0,0,0,128,0)
        TNT1 B 1 Bright A_SpawnItemEx("YamatoBombTrail",random(-4,4),random(-4,4),random(-4,4),0,0,0,0,128,0)
		Loop
	Death:
		TNT1 AB 1 A_FadeOut(0.1)
		Wait}}

ACTOR YamatoFaky1 : YamatoFakeFade
{   Scale 3
	Alpha 0.3
	States
	{Spawn:
        YAS3 ABCD 3 Bright
		Loop
	Death:
		YAS3 ABCD 3 Bright A_FadeOut(0.025)
		Wait}}

ACTOR YamatoFaky2 : YamatoFakeFade
{   Scale 4
	Alpha 0.25
	States
	{Spawn:
        YAS3 DCBA 4 Bright
		Loop
	Death:
		YAS3 DCBA 4 Bright A_FadeOut(0.015)
		Wait}}

ACTOR YamatoBombTrail : YamatoFakeFade
{   Speed 0
	Scale 3
	Alpha 0.15
	States
	{Spawn:
        YAS1 AB 1 Bright A_FadeOut(0.02)
		Loop}}

ACTOR YamatoBombTrail2 : YamatoFakeFade
{   Speed 0
	Scale 1.5
	Alpha 0.35
	States
	{Spawn:
        YAE1 ABCBA 1 Bright
        YAS2 ABCDEF 1 Bright
		Stop}}

ACTOR YamatoShockInverse
{   +NOGRAVITY +NOINTERACTION +CLIENTSIDEONLY
	Renderstyle Add
	Scale 2
	States
	{Spawn:
        YAE3 SRQPONMLKJIHGFEDCBA 1 Bright
		Stop}}

ACTOR YamatoIllumination
{   +NOGRAVITY +NOINTERACTION +CLIENTSIDEONLY
	Renderstyle Add
	Alpha 1
	Scale 5.5
	States
	{Spawn:
        YAE4 A 1 Bright A_FadeOut(0.0075)
		Wait}}

ACTOR YamatoShockwave
{   +NOINTERACTION +NOCLIP +NOGRAVITY
	States
	{Spawn:
			TNT1 A 0
			TNT1 AAAAA 0 A_SpawnItemEx("YamatoShock4",0.1*random(10,-10),0.1*random(10,-10),0.1*random(10,-10),2*random(4.25,3.25),0.1*random(6,-6),0.1*random(6,-6),random(0,359),128,0)
			TNT1 AAAAAAAAAAAAAAAAAAAAAAAA 0 A_SpawnItemEx("YamatoExploder",0.1*random(10,-10),0.1*random(10,-10),0.1*random(10,-10),5*random(4.25,3.25),0.1*random(6,-6),0.1*random(6,-6),random(0,359),SXF_TRANSFERPOINTERS,0)
			TNT1 AAAAAAAA 0 A_SpawnItemEx("YamatoAfterBoomEffect",0.1*random(10,-10),0.1*random(10,-10),0.1*random(10,-10),2.5*random(4.25,3.25),0.1*random(6,-6),0.1*random(6,-6),random(0,359),128,0)
			TNT1 A 1
			Stop}}

ACTOR YamatoDamageAbuse
{   +NOGRAVITY +NOINTERACTION +FORCERADIUSDMG +EXTREMEDEATH 
	DamageType "MarineSuperweapon"
	States
	{Spawn:
        	TNT1 A 0
        	TNT1 A 0 A_Explode(10000,2048,0,1,0,0,0,"YNBulletPuff")
        	TNT1 A 0 A_Explode(5000,4096,0,1,0,0,0,"YNBulletPuff")
        	TNT1 A 1
			Stop}}

ACTOR YamatoDamageLethal
{   +NOGRAVITY +NOINTERACTION +EXTREMEDEATH
	DamageType "MarineSuperweapon"
   	Obituary "%o was battlecruiser operationed by %k's ''Yamato'' cannon."
	States
	{Spawn:
        	TNT1 A 0
        	TNT1 A 0 A_Explode(1000,512,0,0,0,0,0,"YNBulletPuff")
        	TNT1 A 0 A_Explode(100,3072,0,0,0,0,0,"YNBulletPuff")
        	TNT1 A 1
			Stop}}

ACTOR YamatoShocker
{   +NOGRAVITY +CLIENTSIDEONLY +NOINTERACTION
	States
	{Spawn:
		TNT1 A 20 A_SpawnItemEx("YamatoShock1",0,0,0,0,0,0,0,128,0)
		TNT1 A 20 A_SpawnItemEx("YamatoShock2",0,0,0,0,0,0,0,128,0)
		TNT1 A 20 A_SpawnItemEx("YamatoShock3",0,0,0,0,0,0,0,128,0)
		TNT1 A 20 A_SpawnItemEx("YamatoShock4",0,0,0,0,0,0,0,128,0)
		TNT1 A 20 A_SpawnItemEx("YamatoShock5",0,0,0,0,0,0,0,128,0)
		Stop}}

ACTOR YamatoShock1
{   +NOGRAVITY +CLIENTSIDEONLY +NOINTERACTION
	Renderstyle Add
	Scale 12
	States
	{Spawn:
        YAE3 ABCDEFGHIJKLMNOPQRS 3 Bright
		Stop}}
ACTOR YamatoShock2 : YamatoShock1{Scale 10}
ACTOR YamatoShock3 : YamatoShock1{Scale 8}
ACTOR YamatoShock4 : YamatoShock1{Scale 6}
ACTOR YamatoShock5 : YamatoShock1{Scale 4}

ACTOR YamatoExploder
{   +NOGRAVITY +NOINTERACTION
	Renderstyle Add
	ReactionTime 25
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 4 A_SpawnItemEx("YamatoExplode",random(-700,700),random(-700,700),15+random(-150,150),0,0,2+random(-2,2),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 1
		Stop}}

ACTOR YamatoExplode
{   +NOGRAVITY +NOINTERACTION +CLIENTSIDEONLY
	Renderstyle Add	
	SeeSound ""
	Scale 2
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 A_PlaySound("Weapons/YamatoExp")
        TNT1 A 16 Bright A_SpawnItemEx("YamatoExplodeFade",random(-65,65),random(-65,65),random(-65,65),0,0,2+random(-1,0),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 6
		Stop}}

ACTOR YamatoExplodeFade
{   +NOGRAVITY +NOINTERACTION +FORCERADIUSDMG +EXTREMEDEATH
	DamageType "MarineSuperweapon"
	Renderstyle Add
	Alpha 0.75
	Scale 2
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 A_Explode(150,192,0,0,0,0,0,"YNBulletPuff")
		TNT1 A 15 Bright
        //YAE2 ABCDEFGHIJKLMNO 1 Bright
		TNT1 A 12//YAE2 PQRSTU 2
		Stop}}

ACTOR YamatoSpinalCord
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 80
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0, 2, 0, 1)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(8 + angle)
		TNT1 A 0 A_Countdown
		TNT1 A 0 ThrustThingZ(0, 2, 0, 1)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(8 + angle)
		TNT1 A 0 A_Countdown
		TNT1 A 0 ThrustThingZ(0, 2, 0, 1)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(8 + angle)
		TNT1 A 0 A_Countdown
		TNT1 A 0 ThrustThingZ(0, 2, 0, 1)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeCord",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(8 + angle)
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 1
		Stop}}
ACTOR YamatoExplodeCord : YamatoExplode{Speed 45}

ACTOR YamatoGroundSpin
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 120
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(6 + angle)
		TNT1 A 0 A_Countdown
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(6 + angle)
		TNT1 A 0 A_Countdown
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(6 + angle)
		TNT1 A 0 A_Countdown
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,270,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,180,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,90,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 0 A_CustomMissile("YamatoExplodeSpin",0,0,0,CMF_AIMDIRECTION|CMF_TRACKOWNER)
		TNT1 A 1 A_SetAngle(6 + angle)
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 1
		Stop}}
ACTOR YamatoExplodeSpin : YamatoExplode{Speed 55}

ACTOR YamatoShroom
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 80
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0, 2, 0, 1)
		TNT1 A 0 A_SpawnItemEx("YamatoExplode",random(-200,200),random(-200,200),15+random(-70,70),0,0,2+random(-2,2),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 1 A_SpawnItemEx("YamatoExplode",random(-200,200),random(-200,200),15+random(-70,70),0,0,2+random(-2,2),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 0 A_SpawnItemEx("YamatoAirplode",0,0,0,0,0,0,0,128,0)
		TNT1 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 0 A_SpawnItemEx("YamatoExplode",frandom(-1000,1000),frandom(-1000,1000),15+frandom(-400,400),0,0,2+random(-2,2),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("YamatoShock3",0,0,0,0,0,0,0,128,0)
		TNT1 A 0 A_SpawnItemEx("YamatoExploder",0,0,0,0,0,0,0,128,0)
		TNT1 A 0 A_SpawnItemEx("YamatoAfterboomEffectAir",0,0,0,0,0,0,0,128,0)
		TNT1 A 1
		Stop}}

ACTOR YamatoAirplode
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 95
	States
	{Spawn:
		TNT1 A 0
		TNT1 AAAA 0 A_SpawnItemEx("YamatoExplode",0.1*frandom(-10000,10000),0.1*frandom(-10000,10000),15+frandom(-400,400),0,0,2+random(-2,2),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 1 A_Countdown
		Loop
	Death:
		TNT1 A 1
		Stop}}

ACTOR YamatoShroomer
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 8
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0, 16, 0, 1)
		TNT1 A 0 A_SpawnItemEx("YamatoMidplode",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 10
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 1
		Stop}}

ACTOR YamatoMidplode
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 25
	States
	{Spawn:
		TNT1 A 0
		//TNT1 AAA 0 A_SpawnItemEx("YamatoAfterFade",0.1*frandom(-2000,2000),0.1*frandom(-2000,2000),15+frandom(-90,90),random(-20,20),random(-20,20),0,random(0,359),SXF_TRANSFERPOINTERS,0)
		TNT1 A 4 A_SpawnItemEx("YamatoExplode",0.1*frandom(-2000,2000),0.1*frandom(-2000,2000),15+frandom(-90,90),0,0,2+random(-2,2),0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 1
		Stop}}

ACTOR YamatoBasis
{   +NOGRAVITY +NOINTERACTION
	ReactionTime 4
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0,8,0,1)
		TNT1 A 10 A_SpawnItemEx("YamatoExploder",frandom(-300,300),frandom(-300,300),frandom(-150,150),0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_Countdown
		Loop
	Death:
		TNT1 A 0 A_SpawnItemEx("YamatoAfterboomEffect",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 1
		Stop}}

ACTOR YamatoAfterBoomEffect
{   +NOGRAVITY +NOINTERACTION +CLIENTSIDEONLY
	ReactionTime 120
	States
	{Spawn:
        TNT1 A 0
        TNT1 A 0 A_Countdown
        //TNT1 A 1 A_SpawnItemEx("YamatoAfterFade",0.1*random(-7000,7000),0.1*random(-7000,7000),15+random(-150,150),random(-20,20),random(-20,20),0,random(0,359),SXF_TRANSFERPOINTERS,0)
		Loop
	Death:
		TNT1 A 1
		Stop}}

ACTOR YamatoAfterBoomEffectAir : YamatoAfterBoomEffect{ReactionTime 100}

ACTOR YamatoAfterFade //Removed to improve FPS
{   +NOGRAVITY +CLIENTSIDEONLY +NOINTERACTION
	Renderstyle Add
	Scale 0.5
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 0 ThrustThingZ(0, 6, 0, 1)
		YAS2 AAA 1 Bright A_SpawnItemEx("YamatoAfterFadeTrail",0,0,random(-5,5),random(-5,5),0,0,0,128,0)
		TNT1 A 0 ThrustThingZ(0, 4, 0, 1)
		YAS2 BBB 1 Bright A_SpawnItemEx("YamatoAfterFadeTrail",0,0,random(-5,5),random(-5,5),0,0,0,128,0)
		TNT1 A 0 ThrustThingZ(0, 6, 0, 1)
        YAS2 CCC 1 Bright A_SpawnItemEx("YamatoAfterFadeTrail",0,0,random(-5,5),random(-5,5),0,0,0,128,0)       
		TNT1 A 0 ThrustThingZ(0, 4, 0, 1)
        YAS2 DDD 1 Bright A_SpawnItemEx("YamatoAfterFadeTrail",0,0,random(-5,5),random(-5,5),0,0,0,128,0)     
		TNT1 A 0 ThrustThingZ(0, 6, 0, 1)
        YAS2 EEE 1 Bright A_SpawnItemEx("YamatoAfterFadeTrail",0,0,random(-5,5),random(-5,5),0,0,0,128,0)       
		TNT1 A 0 ThrustThingZ(0, 4, 0, 1)
		YAS2 FFF 1 Bright A_SpawnItemEx("YamatoAfterFadeTrail",0,0,random(-5,5),random(-5,5),0,0,0,128,0)
		Stop}}

ACTOR YamatoAfterFadeTrail //Removed to improve FPS
{   +NOGRAVITY +NOINTERACTION +CLIENTSIDEONLY
	Renderstyle Add
	Alpha 1
	Scale 0.5
	States
	{Spawn:
		TNT1 A 0
		TNT1 A 6 Bright
        //YAS2 ABCDEF 1 Bright A_FadeOut(0.1)
		Stop}}

//AltFire Z
Actor YamatoAltFireX
{PROJECTILE
+BLOODSPLATTER -DONTSPLASH +FORCERADIUSDMG +EXTREMEDEATH +TELESTOMP -NOTELEPORT
+NODAMAGETHRUST
speed 200
damage 6
scale .8
RenderStyle Add
Alpha 1
radius 8
Decal Scorch
height 8
Decal "Scorch"
DamageType "MarineSuperweapon"
States
{  Spawn:
		YAS2 A 1 BRIGHT A_SeekerMissile(4,10,SMF_PRECISE||SMF_LOOK,256,10) //100% chance seeker
		Loop
	Death:
	    TNT1 A 0 A_SpawnItemEx("YamatoAltFireXExplode")
		TNT1 A 0 A_Explode(random(15,20),200,0,0,0,0,0,"YNBulletPuff")
		TNT1 A 30 A_PlaySound("Weapons/YamatoExp",5)
		Stop}}

actor YamatoAltFireXExplode
{   Scale 0.3
    RenderStyle Add
    Alpha 0.8
	+NOGRAVITY
	damage 0
	DamageType "MarineSuperweapon"
    States
    {Spawn:
        YAE1 ABCBA 3
        stop}}

//AltFire Y
Actor YamatoAltFireY
{PROJECTILE
+BLOODSPLATTER -DONTSPLASH +FORCERADIUSDMG +EXTREMEDEATH +TELESTOMP -NOTELEPORT
+NODAMAGETHRUST
speed 60
damage 50
scale 1
RenderStyle Add
Alpha 1
radius 8
Decal Scorch
height 8
DamageType "MarineSuperweapon"
States
{   Spawn:
		YAS3 ABCD 2 BRIGHT A_SeekerMissile(8,16,SMF_PRECISE||SMF_LOOK,0,10)
		Loop
	Death:
		TNT1 A 0 A_SpawnItemEx("YamatoAltFireYExplode")
		TNT1 A 0 A_Explode(random(70,120),300,0,0,0,0,0,"YNBulletPuff")
		TNT1 A 30 A_PlaySound("Weapons/YamatoExp",5)
		Stop}}

actor YamatoAltFireYExplode
{   Scale 0.5
    RenderStyle Add
    Alpha 0.8
	+NOGRAVITY
	damage 0
	DamageType "MarineSuperweapon"
    States
    {Spawn:
        YAE3 ABCDEFGHIJKLMNOPQRS 2
        stop}}

//AltFire Z
Actor YamatoAltFireZ
{PROJECTILE
+BLOODSPLATTER -DONTSPLASH +RIPPER +FORCERADIUSDMG +EXTREMEDEATH +TELESTOMP
-NOTELEPORT +NODAMAGETHRUST +SeekerMissile +SCREENSEEKER +CANBOUNCEWATER
+DOOMBOUNCE +NOBOUNCESOUND +NOWALLBOUNCESND
BounceCount 25
speed 15
radius 8
height 8
damage (random(40,50))
scale .7
RenderStyle Add
Alpha 1
DamageType "MarineSuperweapon"
States
{   Spawn:
		YAS1 AB 1 BRIGHT A_SeekerMissile(8,16,SMF_PRECISE||SMF_LOOK,256,10) //100% chance seeker
        TNT1 A 0 A_SpawnItemEx("YamatoAltFireZTrail2", (2 *momx)/-35.0, -(2 *momy)/-35.0, 2+(2 *momz)/-35.0, 0,0,0, 0, SXF_ABSOLUTEANGLE)
        TNT1 A 0 A_SpawnItemEx("YamatoAltFireZTrail3", (4 *momx)/-35.0, -(4 *momy)/-35.0, 2+(4 *momz)/-35.0, 0,0,0, 0, SXF_ABSOLUTEANGLE)
        TNT1 A 0 A_SpawnItemEx("YamatoAltFireZTrail4", (6 *momx)/-35.0, -(6 *momy)/-35.0, 2+(6 *momz)/-35.0, 0,0,0, 0, SXF_ABSOLUTEANGLE)
        TNT1 A 0 A_SpawnItemEx("YamatoAltFireZTrail5", (8 *momx)/-35.0, -(8 *momy)/-35.0, 2+(8 *momz)/-35.0, 0,0,0, 0, SXF_ABSOLUTEANGLE)
        TNT1 A 0 A_SpawnItemEx("YamatoAltFireZTrail6", (10*momx)/-35.0, -(10*momy)/-35.0, 2+(10*momz)/-35.0, 0,0,0, 0, SXF_ABSOLUTEANGLE)
        TNT1 A 0 A_SpawnItemEx("YamatoAltFireZTrail7", (12*momx)/-35.0, -(12*momy)/-35.0, 2+(12*momz)/-35.0, 0,0,0, 0, SXF_ABSOLUTEANGLE)
		Loop
	Death:
		Stop}}

actor YamatoAltFireZTrail
{   Scale 0.35
    RenderStyle Add
    Alpha 0.8
	+NOGRAVITY +RIPPER
	damage 1
	DamageType "MarineSuperweapon"
    States
    {Spawn:
        YAS2 A 10
		YAS2 B 9
		YAS2 C 7
		YAS2 D 5
		YAS2 E 3
		YAS2 F 1
        stop}}

actor YamatoAltFireZTrail2: YamatoAltFireZTrail {    Alpha 0.85 damage 0 +CLIENTSIDEONLY}
actor YamatoAltFireZTrail3: YamatoAltFireZTrail {    Alpha 0.80 damage 0 +CLIENTSIDEONLY}
actor YamatoAltFireZTrail4: YamatoAltFireZTrail {    Alpha 0.75 damage 0 +CLIENTSIDEONLY}
actor YamatoAltFireZTrail5: YamatoAltFireZTrail {    Alpha 0.70 damage 0 +CLIENTSIDEONLY}
actor YamatoAltFireZTrail6: YamatoAltFireZTrail {    Alpha 0.65 damage 0 +CLIENTSIDEONLY}
actor YamatoAltFireZTrail7: YamatoAltFireZTrail {    Alpha 0.60 damage 0 +CLIENTSIDEONLY}

ACTOR XYamatoBomb
{   Radius 12
	Height 8
	Speed 30 
	Damage 0
	PROJECTILE
	+EXPLODEONWATER +EXTREMEDEATH -NOTELEPORT +TELESTOMP +SKYEXPLODE
	Renderstyle Add
	Scale 2.5
	Alpha 0.9
	DamageType "MarineSuperweapon"
	States
	{Spawn:
		YAS3 ABCD 2 bright A_Explode(100,128,0,0,0,0,0,"YNBulletPuff")
		Loop
	Death:
			YAS3 A 0 A_AlertMonsters
			YAS3 AB 2 Bright
			YAS3 CD 2 Bright
			YAS3 ABCDAB 2 bright A_FadeOut(0.1)
			TNT1 A 1 A_SpawnItemEx("XYamatoHit",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
        	stop}}

ACTOR XYamatoHit
{   +NOGRAVITY +NOINTERACTION
	States
	{Spawn:
		TNT1 A 0 Radius_Quake(99999,100,0,100,0)
        TNT1 A 0 A_PlaySound("Weapons/YamatoExp", CHAN_AUTO, 1, 0, ATTN_NONE)
		TNT1 A 0 A_SpawnItemEx("XYamatoIllumination",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
		TNT1 A 0 A_SpawnItemEx("XYamatoDamageLethal",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
        TNT1 A 1
        stop}}
ACTOR XYamatoIllumination
{   +NOGRAVITY +NOINTERACTION +CLIENTSIDEONLY
	Renderstyle Add
	Alpha 1
	Scale 5.5
	States
	{Spawn:
        YAE4 A 1 Bright A_FadeOut(0.0075)
		Wait}}
ACTOR XYamatoDamageLethal
{   +NOGRAVITY +NOINTERACTION +EXTREMEDEATH +FORCERADIUSDMG 
	DamageType "MarineSuperweapon"
   	Obituary "%o was battlecruiser operationed by %k's ''Yamato'' cannon."
	States
	{Spawn:
        	TNT1 A 0
        	TNT1 A 0 A_Explode(1000,256,0,0,0,0,0,"YNBulletPuff")
			TNT1 A 0 A_Explode(500,512,0,0,0,0,0,"YNBulletPuff")
			TNT1 A 0 A_Explode(100,728,0,0,0,0,0,"YNBulletPuff") 
        	TNT1 A 0 A_Explode(50,1024,0,0,0,0,0,"YNBulletPuff")
			TNT1 A 0 A_Explode(25,2048,0,0,0,0,0,"YNBulletPuff")
        	TNT1 A 1
			Stop}}
			
ACTOR YNBulletPuff
{   DamageType "MarineSuperweapon"
    +CLIENTSIDEONLY +NOBLOCKMAP +NOGRAVITY +NONETID
	States
	{Spawn:
		TNT1 A 1
     Melee:
		TNT1 A 1
		Stop}}