ACTOR PortShCount : Inventory
{
  Inventory.MaxAmount 3200
  Inventory.Amount 1
}

actor PShieldPart
{ Radius 10
  Height 16
  Scale 0.5
  RenderStyle None
  Alpha 0.25
  Tag "Deployable Shield"
  Bloodtype "PShieldHit"
  +SHOOTABLE
  +NOGRAVITY
  +NOTELEPORT
  +NODAMAGE
  +NORADIUSDMG
  +DONTRIP
  +NOBLOODDECALS
  +FLOORCLIP
  //+REFLECTIVE
  +GHOST	//Give projectiles that you wish to pass through the shield THRUGHOST flag
  States
  {Spawn:
    HEXA A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor PShieldPartVisual
{ Radius 8
  Height 8
  Scale 0.5
  RenderStyle Add	//Fuzzy looks great in software mode
  Tag "Deployable Shield"
  Alpha 0.25
  +NOINTERACTION
  +CLIENTSIDEONLY
  +FLOORCLIP
  States
  {Spawn:
    HEXA A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor PShieldSpawner5up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 64, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 64, 0, 0, 0, 0, 32)
    stop}}

actor PShieldSpawner4up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 56, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 56, 0, 0, 0, 0, 32)
    stop}}

actor PShieldSpawner3up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("PShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    stop}}

actor PShieldHit
{ Radius 1
  Height 1
  Scale 0.5
  Renderstyle Add
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    FHIT A 0 bright
    FHIT A 1 bright A_Stop
    FHIT A 0 bright A_PlaySound ("ForceBarrier/Hit")
    FHIT BCDEFGH 1 bright
    stop}}

//33% red part//
actor RedAPShieldPart
{ Radius 10
  Height 16
  Scale 0.5
  RenderStyle None
  Alpha 0.25
  Tag "Deployable Shield"
  Bloodtype "RedAPShieldHit"
  +SHOOTABLE
  +NOGRAVITY
  +NOTELEPORT
  +NODAMAGE
  +NORADIUSDMG
  +DONTRIP
  +NOBLOODDECALS
  +FLOORCLIP
  //+REFLECTIVE
  +GHOST	//Give projectiles that you wish to pass through the shield THRUGHOST flag
  States
  {Spawn:
    HEXP A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor RedAPShieldPartVisual
{ Radius 8
  Height 8
  Scale 0.5
  RenderStyle Add	//Fuzzy looks great in software mode
  Tag "Deployable Shield"
  Alpha 0.25
  +NOINTERACTION
  +CLIENTSIDEONLY
  +FLOORCLIP
  States
  {Spawn:
    HEXP A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor RedAPShieldSpawner5up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 64, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 64, 0, 0, 0, 0, 32)
    stop}}

actor RedAPShieldSpawner4up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 56, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 56, 0, 0, 0, 0, 32)
    stop}}

actor RedAPShieldSpawner3up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    stop}}

actor RedAPShieldHit
{ Radius 1
  Height 1
  Scale 0.5
  Renderstyle Add
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    FHIP A 0 bright
    FHIP A 1 bright A_Stop
    FHIP A 0 bright A_PlaySound ("ForceBarrier/Hit")
    FHIP BCDEFGH 1 bright
    stop}}

//66% red part//
actor RedBPShieldPart
{ Radius 10
  Height 16
  Scale 0.5
  RenderStyle None
  Alpha 0.25
  Tag "Deployable Shield"
  Bloodtype "RedBPShieldHit"
  +SHOOTABLE
  +NOGRAVITY
  +NOTELEPORT
  +NODAMAGE
  +NORADIUSDMG
  +DONTRIP
  +NOBLOODDECALS
  +FLOORCLIP
  //+REFLECTIVE
  +GHOST	//Give projectiles that you wish to pass through the shield THRUGHOST flag
  States
  {Spawn:
    HEXQ A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor RedBPShieldPartVisual
{ Radius 8
  Height 8
  Scale 0.5
  RenderStyle Add	//Fuzzy looks great in software mode
  Tag "Deployable Shield"
  Alpha 0.25
  +NOINTERACTION
  +CLIENTSIDEONLY
  +FLOORCLIP
  States
  {Spawn:
    HEXQ A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor RedBPShieldSpawner5up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 64, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 64, 0, 0, 0, 0, 32)
    stop}}

actor RedBPShieldSpawner4up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 56, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 56, 0, 0, 0, 0, 32)
    stop}}

actor RedBPShieldSpawner3up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    stop}}

actor RedBPShieldHit
{ Radius 1
  Height 1
  Scale 0.5
  Renderstyle Add
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    FHIQ A 0 bright
    FHIQ A 1 bright A_Stop
    FHIQ A 0 bright A_PlaySound ("ForceBarrier/Hit")
    FHIQ BCDEFGH 1 bright
    stop}}

//100% red part//
actor RedPShieldPart
{ Radius 10
  Height 16
  Scale 0.5
  RenderStyle None
  Alpha 0.25
  Tag "Deployable Shield"
  Bloodtype "RedPShieldHit"
  +SHOOTABLE
  +NOGRAVITY
  +NOTELEPORT
  +NODAMAGE
  +NORADIUSDMG
  +DONTRIP
  +NOBLOODDECALS
  +FLOORCLIP
  //+REFLECTIVE
  +GHOST	//Give projectiles that you wish to pass through the shield THRUGHOST flag
  States
  {Spawn:
    HEXR A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor RedPShieldPartVisual
{ Radius 8
  Height 8
  Scale 0.5
  RenderStyle Add	//Fuzzy looks great in software mode
  Tag "Deployable Shield"
  Alpha 0.25
  +NOINTERACTION
  +CLIENTSIDEONLY
  +FLOORCLIP
  States
  {Spawn:
    HEXR A 4 bright
    stop
  Death:
    TNT1 A 2
    stop}}

actor RedPShieldSpawner5up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 64, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 0, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 64, 0, 0, 0, 0, 32)
    stop}}

actor RedPShieldSpawner4up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 56, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 8, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 24, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 40, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 56, 0, 0, 0, 0, 32)
    stop}}

actor RedPShieldSpawner3up
{ Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 0
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPart", 0, 0, 48, 0, 0, 0, 0, 32)
    //TNT1 A 0 A_SpawnItemEx ("ShieldPartVisual", 0, 0, 16, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 32, 0, 0, 0, 0, 32)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldPartVisual", 0, 0, 48, 0, 0, 0, 0, 32)
    stop}}

actor RedPShieldHit
{ Radius 1
  Height 1
  Scale 0.5
  Renderstyle Add
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    FHIR A 0 bright
    FHIR A 1 bright A_Stop
    FHIR A 0 bright A_PlaySound ("ForceBarrier/Hit")
    FHIR BCDEFGH 1 bright
    stop}}

ACTOR DeployableShield : Inventory
{
  //+COUNTITEM
  //+INVENTORY.INVBAR
  //Inventory.Icon "DEPSA0"
  Inventory.Amount 0
  inventory.maxamount 9999
  +Inventory.Undroppable
  //Inventory.PickupMessage "You picked up a deployable shield!"
  //States
  //{
 // Spawn:
  //  DEPS A -1
  //  Stop
  //Use:
    //DEPS A -1
    //TNT1 A 0 A_SpawnItemEx ("ActiveShield", 56, 0, 8, 0, 0, 0, 0, 1)
    //Stop
  //}
}

actor DeployShield
{   Radius 1
    Height 1
	States
	{Spawn:
	  TNT1 A 1
	  TNT1 A 0 A_SpawnItemEx ("ActiveShield", 56, 0, 8, 0, 0, 0, 0, 1)
	  stop
	  }}
	  	  
actor ActiveShield
{ -SOLID
  -SHOOTABLE
  States
  {Spawn:
    TNT1 A 1
	TNT1 A 0 A_PlaySound ("ForceBarrier/On")
	DEPS A 26
	DEPS E 3
	DEPS D 3
	DEPS C 3
	goto See
  See:
    DEPS B 1
	TNT1 A 0 A_PlaySound ("ForceBarrier/Loop")
	TNT1 A 0 A_SpawnItemEx ("ShieldSpawner2")
    DEPS B 2
	TNT1 A 0 A_GiveInventory("PortShCount", 1)
	TNT1 A 0 A_JumpIfInventory ("PortShCount", 800, "See2")
    Loop
  See2:
    DEPS C 1
	TNT1 A 0 A_PlaySound ("ForceBarrier/Loop")
	TNT1 A 0 A_SpawnItemEx ("RedAShieldSpawner2")
    DEPS C 2
	TNT1 A 0 A_GiveInventory("PortShCount", 1)
	TNT1 A 0 A_JumpIfInventory ("PortShCount", 1600, "See3")
    Loop
  See3:
    DEPS D 1
	TNT1 A 0 A_PlaySound ("ForceBarrier/Loop")
	TNT1 A 0 A_SpawnItemEx ("RedBShieldSpawner2")
    DEPS D 2
	TNT1 A 0 A_GiveInventory("PortShCount", 1)
	TNT1 A 0 A_JumpIfInventory ("PortShCount", 2400, "See4")
    Loop
  See4:
    DEPS E 1
	TNT1 A 0 A_PlaySound ("ForceBarrier/Loop")
	TNT1 A 0 A_SpawnItemEx ("RedShieldSpawner2")
    DEPS E 2
	TNT1 A 0 A_GiveInventory("PortShCount", 1)
	TNT1 A 0 A_JumpIfInventory ("PortShCount", 3200, "Death")
    Loop
  Death:
    DESP A 0 A_PlaySound ("ForceBarrier/Off")
	DEPS A 70
	DEPS A 3 A_FadeOut (0.05)
    goto Death+2}}

actor ShieldSpawner2
{Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("PShieldSpawner5up", 8, 0, 0)
    TNT1 A 0 A_SpawnItemEx ("PShieldSpawner4up", 8, 24, 0)
    TNT1 A 0 A_SpawnItemEx ("PShieldSpawner4up", 8, -24, 0)
    TNT1 A 0 A_SpawnItemEx ("PShieldSpawner3up", 8, 48, 0)
    TNT1 A 0 A_SpawnItemEx ("PShieldSpawner3up", 8, -48, 0)
    stop}}

actor RedShieldSpawner2
{Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedPShieldSpawner5up", 8, 0, 0)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldSpawner4up", 8, 24, 0)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldSpawner4up", 8, -24, 0)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldSpawner3up", 8, 48, 0)
    TNT1 A 0 A_SpawnItemEx ("RedPShieldSpawner3up", 8, -48, 0)
    stop}}

actor RedAShieldSpawner2
{Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldSpawner5up", 8, 0, 0)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldSpawner4up", 8, 24, 0)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldSpawner4up", 8, -24, 0)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldSpawner3up", 8, 48, 0)
    TNT1 A 0 A_SpawnItemEx ("RedAPShieldSpawner3up", 8, -48, 0)
    stop}}

actor RedBShieldSpawner2
{Radius 1
  Height 1
  +NOGRAVITY
  +NOINTERACTION
  States
  {Spawn:
    TNT1 A 1
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldSpawner5up", 8, 0, 0)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldSpawner4up", 8, 24, 0)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldSpawner4up", 8, -24, 0)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldSpawner3up", 8, 48, 0)
    TNT1 A 0 A_SpawnItemEx ("RedBPShieldSpawner3up", 8, -48, 0)
    stop}}