actor SentryGun
{obituary "%o was ventilated by an auto-sentry."
  health 5000
  radius 20
  height 56
  mass 100000
  speed 0
  MaxTargetRange 2048
  attacksound "sentry/attack"
  DamageFactor "MarineKickBasic", 0
  DamageFactor "MarineKickPowered", 0
  DamageFactor "MarineDamage", 0
  DamageFactor "BFGSplash", 0
  DamageFactor "MarineRLDamage", 0
  DamageFactor "MarineRail", 0
  DamageFactor "MarineSuperweapon", 0 
  DamageFactor "PorkDamage", 0
  DamageFactor Disintegrate, 0
  DamageFactor Sawshot, 0
  DamageFactor "Electric", 0
  DamageFactor Ice, 0 
  DamageFactor "KPLASMA", 1
  DamageFactor "ImpBallDamage", 1
  DamageFactor "CacoDamage", 1
  DamageFactor "SkelDamage", 1
  DamageFactor "FatsoDamage", 1
  DamageFactor "KnightDamage", 1
  DamageFactor "ArachDamage", 1
  DamageFactor "ZombiesDamage", 1
  DamageFactor "viledamage", 1
  DamageFactor "Slime", 0.25 //1
  DamageFactor "ZombieTankDamage", 1
  DamageFactor "KirGrenDamage", 0.33 
  DamageFactor "SkelDamageGren", 0.33
  DamageFactor "AbaddonGrenDamage", 0.5
  DamageFactor "RevenantGrenDamage", 0.5
  MONSTER
  -ISMONSTER
  +FLOORCLIP
  +FRIENDLY
  +NOBLOOD
  +LOOKALLAROUND
  +NEVERRESPAWN
  +STANDSTILL
  +THRUGHOST
  states
  {
  Spawn:
    SENT A 0
	SENT A 0
	SENT A 0
    SENT A 0 Thing_changeTid(0,9765)
  SpawnLoop:
    SENT AAAAAAAAAAAAAAAA 4 A_Look
    SENT A 0 A_PlaySound ("Sentry/Active")
    Goto Spawnloop
  See:
    SENT AAAAAAAAAAAAAAAA 4 A_Chase
    SENT A 0 A_PlaySound ("Sentry/Active")
    loop
  Missile:
    SENT A 16 A_FaceTarget
	SENT B 0 A_CustomMissile("SentryTracer",38, 0, random(-7, 7), 1, random(-2, 2))
    SENT B 2 bright A_CPosAttack
	SENT B 0 A_CustomMissile("SentryTracer",38, 0, random(-7, 7), 1, random(-2, 2))
	SENT B 0 A_CPosAttack
    SENT A 2 A_CposRefire
    goto Missile+1
  Death:
    SENT C 1 A_PlaySoundEx ("Sentry/Death", "SoundSlot5")
    SENT C 0 A_PlaySoundEx ("weapons/rocklx", "SoundSlot6")
    SENT C 0 A_SpawnItem ("SentryBoom", 0, 48)
    SENT C 512
  FadeOut:
    SENT C 2 A_FadeOut (0.1)
    loop}}

actor SentryBoom
{radius 2
  height 2
  renderstyle Add
  +NOINTERACTION
  +CLIENTSIDEONLY
  states
  {Spawn:
    XPL1 ABCDEF 3 bright
    stop}}

ACTOR SentryBox : inventory
{ Inventory.Amount 0
  inventory.maxamount 9999
  +Inventory.Undroppable}
  
actor DeploySentry
{   Radius 1
    Height 1
	States
	{Spawn:
	  TNT1 A 4
	  TNT1 A 0 A_SpawnItemEx ("Sentrygun",56,0,8,0,0,0,0)
	  stop}}
	  
Actor SentryTracer: FastProjectile
{  -DONTSPLASH
	damagetype Cutless
	Projectile
	+RANDOMIZE
	+FORCEXYBILLBOARD
	+DONTSPLASH 
    +NOEXTREMEDEATH
	+THRUGHOST
	damage 0
	radius 2
	height 2
	speed 70
	renderstyle ADD
	alpha 0.9
	scale .07
states
{ Spawn:
	TRAC A 1 BRIGHT
	loop
  Death:
	TNT1 A 0 A_PlaySound("ricochet/hit")
    Stop
  XDeath:
	TNT1 A 0 A_PlaySound("ricochet/hit")
	Stop}}	  