actor MArachnotron : Arachnotron
{ tag "Arachnotron"
  obituary "%o \ccwas electrified by an \cfArachnotron\cc."
  health 500
  radius 56
  height 56
  mass 600
  speed 12  
  Dropitem "CryoBow" 86
  DropItem "ElectroGun" 64
  Species "Spider"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ArachDamage",0  
  states
  {Spawn:
    BSPI A 10 A_Look 
    BSPI B 10 
    loop
  See:
    BSPI A 20
    BSPI A 3 A_BabyMetal
    BSPI ABBCC 3 A_Chase
    BSPI D 3 A_BabyMetal
    BSPI DEEFF 3 A_Chase 
    goto See+1	
  Missile:
    BSPI A 20 A_FaceTarget
    BSPI H 4 bright A_BspiAttack
    BSPI G 4
    BSPI G 1 A_SpidRefire
    goto Missile+1
  Pain:
    BSPI I 3
    BSPI I 3 A_Pain
    goto See+1
  Death:
    BSPI A 0 A_GiveToTarget ("MarineExp",5)
    BSPI J 20 A_Scream
    BSPI K 7 A_NoBlocking
    BSPI LMNO 7 
    BSPI P 7 A_JumpIf(random(1,3) == 3,2)
    BSPI P 500 A_Bossdeath
	Stop
	BSPI P -1 A_Bossdeath
	Stop	
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
	BSPI P 5
	BSPI ONMLKJ 5
	Goto See+1}}

actor MArachnotronPlasma : ArachnotronPlasma replaces ArachnotronPlasma
{DamageType "ArachDamage"}

actor MArachGunner
{ health 500
  radius 56
  height 56
  mass 600
  speed 12
  painchance 128
  tag "ArachGunner"
  obituary "%o \ccwas filled full of lead by an \cfArachno-Gunner\cc."
  seesound "CSPI/Sight"
  painsound "baby/pain"
  deathsound "CSPI/Death"
  activesound "baby/active"
  attackSound "weapons/pistol"
  decal "bulletchip"
  Dropitem "CryoBow" 86
  DropItem "GatlaserVarient" 64
  MONSTER
  +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  Species "Spider"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ArachDamage",0
  states
  {Spawn:
    CSPI A 10 A_Look
    CSPI B 10 
    loop
  See:
    CSPI A 20
    CSPI A 3 A_BabyMetal
    CSPI ABBCC 3 A_Chase
    CSPI D 3 A_BabyMetal
    CSPI DEEFF 3 A_Chase
    goto see+1
  Missile:
    CSPI A 20 A_FaceTarget
    CSPI H 2 bright A_CustomBulletAttack (15,5,2,4,"FArachPuff")
    CSPI G 2
    CSPI H 2 bright A_CustomBulletAttack (15,5,2,4,"FArachPuff")
    CSPI G 2
    CSPI G 1 bright A_SpidRefire
    goto Missile+1
  Pain:
    CSPI I 3
    CSPI I 3 A_Pain
    goto See+1
  Death:
    CSPI J 0 A_GiveToTarget ("MarineExp",5)
    CSPI J 20 A_Scream
    CSPI K 7 A_NoBlocking
    CSPI LMNO 7 
    CSPI P 7 A_JumpIf(random(1,3) == 3,2)
    CSPI P 500 A_Bossdeath
	Stop
	CSPI P -1 A_Bossdeath
	Stop
  Raise:
    CSPI PONMLKJ 5
    goto See+1
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

ACTOR Arachnophyte 3104
{   Health 800
    Radius 64
    Height 64
    Speed 12
    PainChance 15
    Mass 5000
	Scale 0.7
	OBITUARY "%o \ccwas perforated by an \cfArachnophyte\cc."
    ExplosionDamage 128
    ExplosionRadius 255
    Decal "Bulletchip"
	DropItem "Gatlinggun" 64   
	Tag "Arachnophyte"
	MONSTER
    +NOGRAVITY +FLOATBOB +FLOAT +NORADIUSDMG +FIRERESIST +ALWAYSFAST 
	+NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
	Species "Spider"
    SEESOUND "arachnophyte/sight"
    PAINSOUND "arachnophyte/pain"
    DEATHSOUND "arachnophyte/death"
    ATTACKSOUND "spider/attack"
	DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "ZombiesDamage",0.1
    DamageFactor "ZombiesFCDamage",0.1
    DamageFactor "ZombieTankDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "viledamage",0.1
    DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
    DamageFactor "ArachDamage",0 
    states
    {Spawn:
        APYT A 0 A_PlaySound("arachnophyte/engine")
        APYT ABABAB 4 A_Look
        Loop
    See:
        APYT A 0 A_PlaySound("arachnophyte/engine")
        APYT AABBAABBAABB 2 A_Chase
        Loop
    Missile:
        APYT A 0 A_PlaySound("arachnophyte/engine")
        APYT BABAB 4 A_FaceTarget
        APYT A 0 A_PlaySound("arachnophyte/engine")
        APYT A 4 A_FaceTarget
        APYT C 2 bright A_CustomBulletAttack (15,5,2,4,"FArachPuff")
        APYT D 2
        APYT C 2 bright A_CustomBulletAttack (15,5,2,4,"FArachPuff")
        APYT D 2
        APYT C 1 bright A_SpidRefire
        Goto Missile+6
    Pain:
        APYT A 1 A_Pain
        Goto See
    Death:
        APYT A 0 A_PlaySound("spider/death")
		APYT A 0 A_GiveToTarget ("MarineExp",5)
        APYT A 4 A_Scream
        APYT B 4 
        APYT E 8 
        APYT F 8
        APYT G 6 A_Explode(-1,-1,0,0,0,0,0,"FArachPuff")
        APYT H 6 A_Fall
        APYT I 6
		APYT J 7 
        APYT J 6 A_Bossdeath
	    Stop	    
	Ice:
	    "####" "#" 0 A_Changeflag("FLOAT",0)
		"####" "#" 0 A_Changeflag("FLOATBOB",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	    "####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",5)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

actor FArachPuff : FBulletPuff
{DamageType "ArachDamage"}
		
actor Aracnorb
{ Health 170
  Radius 34
  Height 56
  Mass 400
  Speed 16
  PainChance 150
  scale 1.35
  Tag "Aracnorb"
  MeleeDamage 6
  MissileHeight 36
  MissileType AracnorbBall
  Obituary "%o \ccsuffered psychic trauma from an \cfaracnorb's \ccbrainwaves."
  HitObituary "%o \cchad\c- %p \ccskull chewed by an \cfaracnorb\cc."
  DropItem "Gatlinglaser" 64
  Species "Spider"
  MONSTER
  +NOGRAVITY +FLOAT +FLOATBOB +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  SeeSound "aracnorb/sight"
  ActiveSound "baby/active"
  PainSound "baby/pain"
  DeathSound "aracnorb/death"
  MeleeSound "aracnorb/melee"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ArachDamage",0 
  States
  {Spawn:
    ACNB A 1 A_Look
    Loop
  See:
    ACNB A 2 A_Chase
    Loop
  Melee:
    ACNB AB 5
    ACNB C 6 A_MeleeAttack
    Goto See
  Missile:
    ACNB B 12 Bright A_FaceTarget
    ACNB C 2 Bright A_MissileAttack
    ACNB B 2 Bright
    ACNB D 0 A_Jump(32,"See")
    ACNB D 0 A_SpidRefire
    Goto Missile+1
  Pain:
    ACNF I 2
    ACNF I 2 A_Pain
    Goto See
  Death:
    ACNB D 0 A_ChangeFlag("FLOATBOB",0)
	ACNB D 0 A_GiveToTarget ("MarineExp",5)
    ACNB D 0 A_Scream
	ACNB D 6 A_Fall
    ACNB D 1
    Wait
  Crash:
    ACNB EFG 6
	ACNB H 7 A_JumpIf(random(1,3) == 3,2)
    ACNB H 500 A_Bossdeath
	Stop
	ACNB H -1 A_Bossdeath
	Stop
  Ice:
    "####" "#" 0 A_Changeflag("FLOAT",0)
	"####" "#" 0 A_Changeflag("FLOATBOB",0)
	"####" "#" 0 A_Changeflag("NOGRAVITY",0)
	"####" "#" 0 A_Changeflag("DONTFALL",0)
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
    ACNB HGFEDA 8
    ACNB A 0 A_ChangeFlag("FLOATBOB",1)
	Goto See}}

actor AracnorbBall
{ Radius 13
  Height 8
  Speed 8
  Damage 3
  RenderStyle Add
  Alpha 0.75
  SeeSound "baby/attack"
  DeathSound "baby/shotx"
  DamageType "ArachDamage"
  PROJECTILE
  +STRIFEDAMAGE +SEEKERMISSILE +RANDOMIZE
  States
  {Spawn:
    ACNF AABB 1 Bright A_BishopMissileWeave
    Loop
  Death:
    ACNF CDEFG 5 Bright
    Stop}}