//BlackOps
actor BlackOpsMale
{ health 1000
  radius 20
  height 56
  mass 200
  speed 10
  decal bulletchip
  seesound    "BlackOpsM/Sight"
  painsound   "BlackOpsM/Pain"
  deathsound  "BlackOpsM/Death"
  activesound "BlackOpsM/Active"
  BloodColor "Red"
  Dropitem "BlackOpsVest" 20
  Dropitem "MRailgun" 86
  obituary "%o \ccgot Roughed up by a \cfBlackOps Male\cc."
  tag "Black Ops Male"
  SPECIES "Zombie"
  MONSTER
  +NOINFIGHTING +QUICKTORETALIATE +DONTHARMSPECIES +DONTHURTSPECIES +FLOORCLIP
  +NORADIUSDMG +DONTMORPH
  DamageFactor "MarineDamage",1
  DamageFactor "BFGSplash",0.6
  DamageFactor "MarineRLDamage",0.8
  DamageFactor "MarineRail",0.6
  DamageFactor "MarineSuperweapon",0.2  
  DamageFactor "PorkDamage",0   
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "LostSerpDamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombieTankDamage",0 
  DamageFactor "ZombiesDamage",0
  states
  {spawn:
    REEL E 1 A_Look
	REEL E 0 HealThing(10)
    loop
  See:
	REEL AABBCCDD 2 A_Chase
	REEL A 0 HealThing(1)
    loop	
  Missile:
    REEL E 0 A_JumpIfCloser (525,"Missile2") 
    REEL E 5 A_FaceTarget
    REEL F 0 A_PlaySound("BlackOps/Attack",CHAN_BODY,1,0,ATTN_NORM)
    REEL F 2 bright A_CustomBulletAttack(3,3,1,1,"PBBulletPuff")
    REEL E 2
	REEL F 0 A_PlaySound("BlackOps/Attack",CHAN_BODY,1,0,ATTN_NORM)
    REEL F 2 bright A_CustomBulletAttack(3,3,1,1,"PBBulletPuff")
    REEL E 2
    REEL F 0 A_PlaySound("BlackOps/Attack",CHAN_BODY,1,0,ATTN_NORM)
    REEL F 2 bright A_CustomBulletAttack(3,3,1,1,"PBBulletPuff")
    REEL E 2
    REEL E 1 A_MonsterRefire(130,"See")
	REEL A 0 HealThing(1)
	Goto see
	DecideaShot:
	REEL E 6 A_FaceTarget
    REEL F 8 BRIGHT  A_JUMP(256,"Grenade1","BRailAttack") 
	REEL F 0 A_Jump(168,"See")
	REEL A 0 HealThing(1)
	Grenade1:
	REEL F 2 A_FaceTarget
	REEL F 0 A_PlaySound("weapons/rocklf",CHAN_BODY,1,0,ATTN_NORM)
    REEL F 2 bright A_CustomMissile("BlackOpsGrenade",28,5,0)
	REEL E 1 A_MonsterRefire(130, "See")
    REEL E 6 
    Goto See
	BRailAttack: 
	REEL E 5 A_FaceTarget
	REEL F 50 A_PlaySound("BlackOps/Charge",CHAN_BODY,1,0,ATTN_NORM)
	REEL F 0 A_PlaySound("weapons/RailAttackCyber",CHAN_BODY,1,0,ATTN_NORM)
    REEL F 12 Bright A_CustomRailgun(random(70,100),0,"none","Green",RGF_FULLBRIGHT|RGF_SILENT,1,0,"PBRailPuff")
    REEL E 10 bright
	REEL E 1 A_MonsterRefire(130,"See")
    REEL E 10
	Goto See
  Missile2:
    REEL E 5 A_FaceTarget
    REEL F 0 A_PlaySound("BlackOps/Attack2",CHAN_BODY,1,0,ATTN_STATIC)
    REEL F 3 bright A_CustomBulletAttack(5,5,5,2,"PBBulletPuff")
	REEL E 0 A_JumpIfCloser (400,"DecideaShot")
    REEL E 1 A_MonsterRefire(130,"See")
	REEL A 0 HealThing(1)
    REEL E 14 A_FaceTarget 
    Goto Missile
    REEL E 0
    Goto See
  Pain:
    REEL G 3 /*A_ChangeFlag("Frightened", 1)*/
    REEL G 3 A_Pain
   goto See
  Death:
    REED A 5 A_GiveToTarget ("MarineExp",10)
    REED B 5 A_Scream
    REED C 5 A_NoBlocking
    REED DEF 5
    REED G 5 A_JumpIf(random(1,3) == 3,2)
	REED G 500
	Stop
	REED G -1
	Stop
  XDeath:
    REED H 5 A_GiveToTarget ("MarineExp",10)
    REED H 5 A_Scream
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib1",1,0,9,1,0,0,-130,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib2",6,0,7,8,0,0,-90,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib3",5,0,6,3,0,0,-80,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib4",1,0,9,1,0,0,130,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib5",6,0,7,8,0,0,90,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib6",5,0,6,3,0,0,80,128)
    REED I 5
    REED J 5 A_NoBlocking
    REED L 5
    REED M 5
    REED N 1000 
   stop
  Death.MarineRLDamage:
    REED A 3 A_GiveToTarget ("MarineExp",10)
    REEB A 3 A_PlaySound("BlackOpsM/Burn")
    REEB B 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB C 3 A_NoBlocking
    REEB D 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB E 3
    REEB F 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB G 3
    REEB H 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB I 3
    REEB J 3 A_CustomMissile("SpawnFire",0,0,0) 
    REEB K 3
    REEB L 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB M 3
    REEB N 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB O 3
    REEB P 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB Q 3
    REEB R 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB S 3
    REEB T 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB W 3
    REEB V 1000 
   stop
  Raise:
    REED GFEDCBA 3
   goto See
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",10)
    "----" A 1 A_FreezeDeathChunks
    Wait }}
actor BlackOpsFemale : BlackOpsMale
{ health 1000
  radius 20
  height 56
  mass 150
  speed 15
  decal bulletchip
  seesound    "BlackOpsF/Sight"
  painsound   "BlackOpsF/Pain"
  deathsound  "BlackOpsF/Death"
  activesound "BlackOpsF/Active"
  BloodColor "Red"
  Dropitem "BlackOpsVest" 20
  Dropitem "MBFG10k" 86
  obituary "%o \ccgot slap from a \cfBlackOps Female\cc."
  Tag "Black Ops Female"
  SPECIES "Zombie"
  MONSTER
  +NOINFIGHTING +QUICKTORETALIATE +DONTHARMSPECIES +DONTHURTSPECIES +FLOORCLIP
  +NORADIUSDMG +DONTMORPH 
  DamageFactor "MarineDamage",1
  DamageFactor "BFGSplash",0.6
  DamageFactor "MarineRLDamage",0.8
  DamageFactor "MarineRail",0.6
  DamageFactor "MarineSuperweapon",0.2 
  DamageFactor "PorkDamage",0 
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "LostSerpDamage",0.1  
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "ZombieTankDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
  states
{spawn:
    REEL E 1 A_Look
	REEL E 0 HealThing(10)
    loop
	See:
	REEL AABBCCDD 2 A_Chase
	REEL A 0 HealThing(1)
    loop	
  Death:
    REED A 5 A_GiveToTarget ("MarineExp",10)
    REED B 5 A_Scream
    REED C 5 A_NoBlocking
    REED DEF 5
    REED G 5 A_JumpIf(random(1,3) == 3,2)
	REED G 500 
	Stop
	REED G -1
	Stop
  XDeath:
    REED H 5 A_GiveToTarget ("MarineExp",10)
    REED H 5 A_Scream
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib1",1,0,9,1,0,0,-130,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib2",6,0,7,8,0,0,-90,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib3",5,0,6,3,0,0,-80,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib4",1,0,9,1,0,0,130,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib5",6,0,7,8,0,0,90,128)
    REED K 0 Bright A_SpawnItemEx("BlackOpsGib6",5,0,6,3,0,0,80,128)
    REED I 5
    REED J 5 A_NoBlocking
    REED L 5
    REED M 5
    REED N 1000 
   stop
  Death.MarineRLDamage:
    REED A 3 A_GiveToTarget ("MarineExp",10)
    REEB A 3 A_PlaySound("BlackOpsF/Burn")
    REEB B 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB C 3 A_NoBlocking
    REEB D 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB E 3
    REEB F 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB G 3
    REEB H 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB I 3
    REEB J 3 A_CustomMissile("SpawnFire",0,0,0) 
    REEB K 3
    REEB L 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB M 3
    REEB N 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB O 3
    REEB P 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB Q 3
    REEB R 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB S 3
    REEB T 3 A_CustomMissile("SpawnFire",0,0,0)
    REEB W 3
    REEB V 1000 
   stop
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",10)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

Actor BlackOpsGrenade
{
  obituary "%o ate a BlackOps's grenade."
  radius 6
  height 8
  speed 30
  damage 10
  seesound "ZSec/bounce"
  PROJECTILE
  +HEXENBOUNCE -NOGRAVITY +GRENADETRAIL +DONTFALL
  DontHurtShooter
  bouncefactor 0.5
  DontHurtShooter
  bouncecount 10
  states
  {
  Spawn:
    REEG AAA 35 bright
  Death:
    MISL C 0 bright A_PlaySound("weapons/rocklx")
    MISL C 0 bright A_ChangeFlag(NoGravity, 1)
    MISL C 5 bright A_Explode(40,128,1,0,0,0,0,"PBBulletPuff")
    MISL D 4 bright
    MISL E 3 bright
   stop}}

ACTOR BlackOpsGib1
{   Radius 6
    Height 8
    Speed 10
    Mass 8000
    +DOOMBOUNCE +DROPOFF
    +Missile
    scale 1  
    States
    {Spawn:
    	REEM B 2
       loop
    Death:
    	REEM B -1
       loop}}

actor BlackOpsGib2
{   Radius 6
    Height 8
    Speed 10
    Mass 8000
    +DOOMBOUNCE +DROPOFF
    +Missile
    scale 1
    States
    {Spawn:
    	REEM C 2
       loop
    Death:
    	REEM C -1
       loop}}

actor BlackOpsGib3
{   Radius 6
    Height 8
    Speed 10
    Mass 8000
    +DOOMBOUNCE +DROPOFF
    +Missile
    scale 1
    States
    {Spawn:
    	REEM D 2
       loop
    Death:
    	REEM D -1
       loop}}

actor BlackOpsGib4
{   Radius 6
    Height 8
    Speed 10
    Mass 8000
    +DOOMBOUNCE +DROPOFF
    +Missile
    scale 1  
    States
    {Spawn:
    	REEM A 2
       loop
    Death:
    	REEM A -1
       loop}}

actor BlackOpsGib5
{   Radius 6
    Height 8
    Speed 10
    Mass 8000
    +DOOMBOUNCE +DROPOFF
    +Missile
    scale 1
    States
    {Spawn:
    	REEM G 2
       loop
    Death:
    	REEM G -1
       loop}}	

actor BlackOpsGib6
{   Radius 6
    Height 8
    Speed 10
    Mass 8000
    +DOOMBOUNCE +DROPOFF
    +Missile
    scale 1   
    States
    {Spawn:
    	REEM F 2
       loop
    Death:
    	REEM F -1
       loop}}
	   
actor PBBulletPuff :FBulletPuff
{Damagetype "ZombiesDamage"
 +NOEXTREMEDEATH}

actor PBRailPuff :BulletPuff
{ Damagetype "ZombiesDamage"
  Decal "Blackopsraildecal"
 +NOEXTREMEDEATH}