actor MChaingunGuy : ChainGunGuy 
{ health 100
  radius 20
  height 56
  mass 100
  speed 8
  painchance 170  
  dropitem "Vulcan" 86
  dropitem "Gatlinggun" 32
  dropitem "Gatlinglaser" 64
  tag "ChaingunGuy"
  obituary "%o \ccwas filled with bullets by a \cfChaingun Guy\cc."
  Species "Zombie"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ZombiesDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombieTankDamage",0  
  states
  {Spawn:
    CPOS A 10 A_Look 
	CPOS B 10
	loop
  See:
    CPOS AABBCCDD 3 A_Chase
	loop	
  Missile:
    CPOS E 10 A_FaceTarget
    CPOS F 3 bright A_CustomBulletAttack (19.5,4,1,5,"FBulletPuff")
    CPOS E 2
    CPOS F 3 bright A_CustomBulletAttack (19.5,4,1,5,"FBulletPuff")
    CPOS E 2
    CPOS F 1 A_CPosRefire
    goto Missile+1	
  Pain:
    CPOS G 3
    CPOS G 3 A_Pain
    goto See
  Death:
    CPOS H 5 A_GiveToTarget ("MarineExp",3)
    CPOS I 5 A_Scream
    CPOS J 5 A_NoBlocking
    CPOS KLM 5
    CPOS N 5 A_JumpIf(random(1,3) == 3,2)
	CPOS N 500 
	Stop
	CPOS N -1
	Stop
  XDeath:
    CPOS O 5 A_GiveToTarget ("MarineExp",3)
    CPOS P 5 A_XScream
    CPOS Q 5 A_NoBlocking
    CPOS RS 5
    CPOS T 1000
    stop	
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",3)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
	CPOS N 5
	CPOS MLKJIH 5
	Goto See}}

actor MChaingunGuy2
{ health 200
  radius 20
  height 56
  mass 100
  speed 8
  painchance 150
  dropitem "Vulcan" 86
  dropitem "Gatlinggun" 32
  dropitem "Gatlinglaser" 64 
  obituary "%o \ccwas ripped to bloody shreds by a \cfDouble Chaingunner\cc."
  tag "Double ChaingunGuy"
  Species "Zombie"
  MONSTER
  +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  seesound "chainguy/sight"
  attacksound "chainguy/attack"
  painsound "chainguy/pain"
  deathsound "chainguy/death"
  activesound "chainguy/active"
  Decal Bulletchip
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ZombiesDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombieTankDamage",0 
  states
  {Spawn:
    DPOS A 10 A_Look
	DPOS B 10
    loop
  See:
    DPOS AABBCCDD 3 A_Chase
	loop	
  Missile:
    DPOS E 10 A_FaceTarget
    DPOS F 0 bright A_CustomBulletAttack (19.5,4,1,5,"FBulletPuff")
    DPOS F 3 bright A_CustomBulletAttack (19.5,4,1,5,"FBulletPuff")
    DPOS E 2
    DPOS F 0 bright A_CustomBulletAttack (19.5,4,1,5,"FBulletPuff")
    DPOS F 3 bright A_CustomBulletAttack (19.5,4,1,5,"FBulletPuff")
    DPOS E 2
    DPOS F 1 A_CPosRefire
    goto Missile+1
  Pain:
    DPOS G 3
    DPOS G 3 A_Pain
    goto See
  Death:
    DPOS H 5 A_GiveToTarget ("MarineExp",5)
    DPOS I 5 A_Scream
    DPOS J 5 A_NoBlocking
    DPOS KLM 5
    DPOS N 5 A_JumpIf(random(1,3) == 3,2)
	DPOS N 500
	Stop
	DPOS N -1
	Stop
  XDeath:
    DPOS O 5 A_GiveToTarget ("MarineExp",5)
    DPOS P 5 A_XScream
    DPOS Q 5 A_NoBlocking
    DPOS RS 5
    DPOS T 1000
    stop
  Raise:
    DPOS NMLKJIH 5
    goto See	
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait}}