actor MCyberdemon : Cyberdemon
{ health 4000
  radius 40
  height 110
  mass 1000
  speed 16     
  PainThreshold 200    
  dropitem "MSoulSphere" 96 
  Dropitem "MBFG10k" 86
  obituary "%o \ccwas gibbed by a \cfCyberDemon\cc." 
  tag "CyberDemon"
  Species "Cyber"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +QUICKTORETALIATE +NOTARGET
  +NORADIUSDMG +FLOORCLIP 
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.9 
  DamageFactor "ImpBallDamage",1
  DamageFactor "DemonDamage",1
  DamageFactor "CacoDamage",1
  DamageFactor "SkelDamage",1
  DamageFactor "FatsoDamage",1
  DamageFactor "KnightDamage",1
  DamageFactor "ArachDamage",1
  DamageFactor "viledamage",1
  DamageFactor "ZombiesDamage",1
  DamageFactor "ZombiesFCDamage",1
  DamageFactor "ZombieTankDamage",1
  DamageFactor "LostSerpDamage",1
  DamageFactor "CybYamato",0.03
  DamageFactor "CybRLDamage",0  
  states
  {Spawn:
    CYBR A 10 A_Look
	CYBR B 10 
    loop
  See:
    CYBR A 3 A_Hoof
    CYBR ABBCC 3 A_Chase
    CYBR D 3 A_Metal
    CYBR D 3 
	loop
  Missile:
	CYBR E 6 A_FaceTarget
	CYBR F 12 A_CyberAttack
	CYBR E 12 A_FaceTarget
	CYBR F 12 A_CyberAttack
	CYBR E 12 A_FaceTarget
	CYBR F 12 A_CyberAttack
	Goto See
  Pain:
	CYBR G 10 A_Pain
	Goto See
  Death:
    CYBR H 10 Bright A_GiveToTarget ("MarineExp",30)
    CYBR I 10 Bright A_Scream
    CYBR JKL 10 Bright
    CYBR M 10 Bright A_NoBlocking
    CYBR NO 10 Bright
    CYBR P 30
    CYBR P -1 A_BossDeath
	stop
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",30)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

ACTOR MAnnihilator
{ Health 5000 
  Radius 40 
  Height 110 
  Mass 1000 
  Speed 12 
  PainChance 20
  PainThreshold 200 
  dropitem "MMegaSphere" 96  
  obituary "%o \ccwas Annihilated by a \cfAnnihilator\cc."
  tag "Cyber Annihilator"
  Species "Cyber"
  MONSTER
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +BOSS +FLOORCLIP 
  +NORADIUSDMG +DONTMORPH +MISSILEMORE +ALWAYSFAST +NOTARGET 
  SeeSound "monster/annsit" 
  PainSound "cyber/pain" 
  DeathSound "monster/anndth" 
  ActiveSound "cyber/active"   
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.9
  DamageFactor "MarineSuperweapon",0.12 
  DamageFactor "ImpBallDamage",1
  DamageFactor "DemonDamage",1
  DamageFactor "ZombiesDamage",1
  DamageFactor "ZombiesFCDamage",1
  DamageFactor "ZombieTankDamage",1
  DamageFactor "CacoDamage",1
  DamageFactor "SkelDamage",1
  DamageFactor "FatsoDamage",1
  DamageFactor "KnightDamage",1
  DamageFactor "ArachDamage",1
  DamageFactor "viledamage",1  
  DamageFactor "LostSerpDamage",1  
  DamageFactor "CybYamato",0.05
  DamageFactor "CybRLDamage",0
States 
   {Spawn: 
       ANNI A 10 A_Look 
       ANNI B 10 
       Loop 
   See: 
       ANNI A 2 A_Playsound ("monster/anhoof")
       ANNI A 2 A_Chase
       ANNI ABB 4 A_Chase 
       ANNI C 2 A_Playsound ("monster/anhoof")
       ANNI C 2 A_Chase
       ANNI CDD 4 A_Chase
       loop	 
   Missile:
	   ANNI E 0 A_JumpIf(random(1,3) == 3,"Grenadem")
       ANNI E 6 A_FaceTarget
       ANNI F 0 Bright A_CustomMissile ("PCybRocket",40,22,3)
       ANNI F 12 Bright A_CustomMissile ("PCybRocket",40,-22,-3)
       ANNI E 12 A_FaceTarget 
       ANNI F 0 Bright A_CustomMissile ("PCybRocket",40,22,-2)
       ANNI F 12 Bright A_CustomMissile ("PCybRocket",40,-22,2)    
       Goto see
   Grenadem:   
       ANNI E 6 A_FaceTarget
	   ANNI F 0 A_PlaySoundEx ("weapons/mgren","weapon")
       ANNI F 0 Bright A_CustomMissile ("MAnniGrenade",40,22,1)
       ANNI F 12 Bright A_CustomMissile ("MAnniGrenade",40,-22,-1)
       ANNI E 12 A_FaceTarget 
       ANNI F 0 Bright A_CustomMissile ("MAnniGrenade",40,22,0)
       ANNI F 12 Bright A_CustomMissile ("MAnniGrenade",40,-22,0)
       Goto See  
   Pain: 
       ANNI G 10 A_Pain 
       Goto See 
   Death: 
       ANNI H 10 Bright A_GiveToTarget ("MarineExp",30)
       ANNI I 10 Bright A_Scream 
       ANNI JKL 10 Bright
       ANNI M 10 Bright A_NoBlocking 
       ANNI NO 10 Bright
       ANNI P 30 
       ANNI P -1 A_BossDeath
	   stop
    Ice:
	   "####" "#" 5 A_GenericFreezeDeath
	   TNT1 A 0 A_GiveToTarget ("MarineExp",30)
       "----" A 1 A_FreezeDeathChunks
       Wait}}

actor PCybRocket : Rocket replaces Rocket
{DamageType "CybRLDamage"
 Speed 20}

ACTOR PCybRocket2
{  Radius 8
   Height 11
   Speed 12 
   Damage 15  
   DeathSound "weapons/hrlexp"
   SeeSound "weapons/hrlfir"
   ExplosionDamage 96
   ExplosionRadius 96
   BounceCount 1
   PROJECTILE
   +SEEKERMISSILE +ROCKETTRAIL +RANDOMIZE +DEHEXPLOSION +CANBOUNCEWATER 
   +DOOMBOUNCE +NOBOUNCESOUND +NOWALLBOUNCESND 
   Damagetype "CybRLDamage"  
   Decal Scorch     
   States
   {Spawn:
      HMIS A 4 Bright A_SeekerMissile(5,10)
      HMIS A 4 Bright
      HMIS A 2 Bright A_SeekerMissile(5,10)
      HMIS A 2 Bright
      goto Spawn+2
   Death:
      MISL B 8 bright A_Explode(96,96,0,0,0,0,0,"Cybulletpuff")
      MISL C 6 bright
      MISL D 4 bright
      stop}}

ACTOR PCybRocket3 : PCybRocket2
{States
   {Spawn:
      HMIS A 2 Bright A_SeekerMissile(5,10) 
      HMIS A 2 Bright
      goto Spawn}}
   
ACTOR MAnniGrenade : Grenade
{   Radius 8
	Height 8
	Speed 25
	Damage 20
	Projectile
	BounceCount 6
	Scale 1.5
	-NOGRAVITY -NOTELEPORT +TELESTOMP +DOOMBOUNCE +DEHEXPLOSION +ROCKETTRAIL 
	+EXPLODEONDEATH +CANBOUNCEWATER
	SeeSound "weapons/mgrenbounce"
	DeathSound "weapon/grenadeexplode"
	DamageType "CybRLDamage"
	States
	{Spawn:
		GRN2 ABCDEFGHIJK 3 bright A_CountDown
		loop
	Death:
	    MISL B 0 Bright A_ChangeFlag("NoGravity",1)
		MISL B 8 bright A_Explode(-1,-1,0,0,0,0,0,"Cybulletpuff")
		MISL C 6 bright
		MISL D 4 bright
		stop		
	Grenade:
		MISL A 1000 A_Die("CybRLDamage")
		Wait
	Detonate:
		MISL B 4 A_Scream
		MISL C 6 A_Detonate
		MISL D 10
		Stop
	Mushroom:
		MISL B 8 A_Mushroom
		Goto Death+1}}	

actor CyBulletPuff : FNBulletPuff
{DamageType "CybRLDamage"}