actor MDoomImp : DoomImp
{ health 60
  radius 20
  height 56
  mass 100
  speed 8  
  obituary "%o \ccwas bitch slapped by a \cfImp\cc."
  hitobituary "%o \ccwas clawed by a \cfImp\cc."
  tag "DoomImp"
  Species "Impish"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ImpBallDamage",0
  states
  {Spawn:
    TROO A 10 A_Look
	TROO B 10 
    loop
  See:
    TROO AABBCCDD 3 A_Chase
	loop
  Melee:
  Missile:
	TROO EF 8 A_FaceTarget
	TROO G 6 A_TroopAttack 
	Goto See
  Pain:
	TROO H 2
	TROO H 2 A_Pain
	Goto See
  Death:
    TROO I 8 A_GiveToTarget ("MarineExp",1)
    TROO J 8 A_Scream
    TROO K 6
    TROO L 6 A_NoBlocking
    TROO M 5 A_JumpIf(random(1,3) == 3,2)
	TROO M 500 
	Stop
	TROO M -1
	Stop
  XDeath:
    TROO N 5 A_GiveToTarget ("MarineExp",1)
    TROO O 5 A_XScream
    TROO P 5
    TROO Q 5 A_NoBlocking
    TROO RST 5   
	TROO U 500
	Stop
  Raise:
	TROO MLKJI 8
	Goto See
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",1)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor MDoomImpBall : DoomImpBall replaces DoomImpBall
{ Radius 6
  Height 8
  Speed 10
  FastSpeed 20
  DamageType "ImpBallDamage"
  Damage 4
  Projectile
  +RANDOMIZE
  RenderStyle Add
  Alpha 1
  SeeSound "imp/attack"
  DeathSound "imp/shotx"
	States
	{Spawn:
		BAL1 AB 4 BRIGHT
		Loop
	Death:
		BAL1 CDE 6 BRIGHT
		Stop}}

ACTOR ImpRed : MDoomImp
{ tag "Red Imp"
  health 70
  obituary "%o \ccsaw red because of a \cfRed Imp\cc."
  hitobituary "%o \ccwas diced by a \cfRed Imp\cc."
  Translation "64:79=176:191"
  states
  {Melee:
  missile:
  TROO EF 8 A_FaceTarget
  TROO G 6 A_CustomComboAttack("RedImpBall",32,3 * random(1,8),"imp/melee")
  goto see}}

actor RedImpBall : MDoomImpBall
{ Radius 6
  Height 8
  Speed 15
  FastSpeed 22
  DamageType "ImpBallDamage"
  Damage 6
  Projectile
  +RANDOMIZE
  RenderStyle Add
  Alpha 1
  SeeSound "imp/attack"
  DeathSound "imp/shotx"
	States
	{Spawn:
		BRL1 AB 4 BRIGHT
		Loop
	Death:
		BAL1 CDE 6 BRIGHT
		Stop}}

ACTOR ImpGreen : MDoomImp
{ tag "Green Imp"
  health 80
  obituary "%o \ccwas left feeling rather off colour by a \cfGreen Imp\cc."
  hitobituary "%o \ccwas sliced by a \cfGreen Imp\cc."
  Translation "64:79=112:127"
  states
  {Melee:
   missile:
  TROO EF 8 A_FaceTarget
  TROO G 6 A_CustomComboAttack("GreenImpBall",32,3 * random(1,8),"imp/melee")
  goto see}}

actor GreenImpBall : MDoomImpBall
{ Radius 6
  Height 8
  Speed 12
  FastSpeed 20
  DamageType "ImpBallDamage"
  Damage 5
  Projectile
  +RANDOMIZE
  RenderStyle Add
  Alpha 1
  SeeSound "imp/attack"
  DeathSound "imp/shotx"
	States
	{Spawn:
		BGL1 AB 4 BRIGHT
		Loop
	Death:
		BGL1 CDE 6 BRIGHT
		Stop}}

ACTOR ImpBlue : MDoomImp
{ tag "Blue Imp"
  health 90
  obituary "%o \ccwas left rather pale by a \cfBlue Imp\cc."
  hitobituary "%o \ccwas slashed by a \cfBlue Imp\cc."
  Translation "64:79=192:207"
  states
  {Melee:
   missile:
  TROO EF 8 A_FaceTarget
  TROO G 6 A_CustomComboAttack("BlueImpBall",32,3 * random(1,8),"imp/melee")
  goto see}}

actor BlueImpBall : MDoomImpBall
{ Radius 6
  Height 8
  Speed 16
  FastSpeed 24
  DamageType "ImpBallDamage"
  Damage 6
  Projectile
  +RANDOMIZE
  RenderStyle Add
  Alpha 1
  SeeSound "imp/attack"
  DeathSound "imp/shotx"
	States
	{Spawn:
		BBL1 AB 4 BRIGHT
		Loop
	Death:
		BBL1 CDE 6 BRIGHT
		Stop}}

ACTOR ImpBlood : MDoomImp
{ tag "Blood Imp"
  health 120
  obituary "%o \ccwas puked on by a \cfBlood Imp\cc."
  hitobituary "%o \ccwas nicked by a \cfBlood Imp\cc."
  Translation "64:79=16:47"
  states
  {Melee:
   missile:
  TROO EF 8 A_FaceTarget
  TROO G 0 A_PlaySound("BloodImp/vomit")
  TROO G 1 A_CustomComboAttack("ImpBloodPuke",60, 3 * random(1,8),"imp/melee")
  TROO G 1 A_CustomComboAttack("ImpBloodPuke",60, 3 * random(1,8),"imp/melee")
  TROO G 1 A_CustomComboAttack("ImpBloodPuke",60, 3 * random(1,8),"imp/melee")
  TROO G 1 A_CustomComboAttack("ImpBloodPuke",60, 3 * random(1,8),"imp/melee")
  TROO G 1 A_CustomComboAttack("ImpBloodPuke",60, 3 * random(1,8),"imp/melee")
  TROO G 1 A_CustomComboAttack("ImpBloodPuke",60, 3 * random(1,8),"imp/melee")
  goto see}}

actor ImpBloodPuke
{radius 4
height 4
damage 7
speed 20
Scale 0.80
deathsound "BloodImp/blood"
DamageType "ImpBallDamage"
PROJECTILE
+EXTREMEDEATH -NOGRAVITY
states
{
Spawn:
FGOR ABCDEF 3 bright A_SpawnItemEx ("Blood",0,0,0,0,0,0,0,0,10)
loop
Death:
FGOR GHIJ 5 bright
stop}}

ACTOR ImpGold : MDoomImp
{ tag "Golden Imp"
  health 200
  obituary "%o \ccwas out shined by a \cfGolden Imp\cc."
  hitobituary "%o \ccwas freshly squished by a \cfGolden Imp\cc."
  Translation "64:71=224:231", "72:79=160:167"
  states
  {Melee:
   missile:
  TROO EF 8 A_FaceTarget
  TROO G 6 A_CustomComboAttack("GoldImpBall",32,3 * random(1,8),"imp/melee")
  goto see}}

ACTOR GoldImpBall
{   Speed 20
    Radius 6
    Height 8
    Damage 8
    SeeSound "imp/attack"
    DeathSound "imp/shotx"
	DamageType "ImpBallDamage"
    PROJECTILE
    RENDERSTYLE ADD
    Decal RevenantScorch
    States
    {Spawn: 	    
        RELL ABCDEF 4 A_SpawnItemEx("GoldImpBallTrail",0,0,0,0,0,0,0,128)
        Loop
    Death:
        RELL GHI 4
        Stop}}

ACTOR GoldImpBallTrail
{       Speed 0
        Damage 0
        Height 8
        Radius 5
        SeeSound "NULL"
        DeathSound "NULL"
        PROJECTILE
        RENDERSTYLE ADD
        States
        {Spawn:
           FPRK ABCDE 4
           Stop}}

ACTOR ImpOrange : MDoomImp
{ tag "Flame Imp"
  health 150
  obituary "%o \ccwas shinged by a \cfFlame Imp\cc."
  hitobituary "%o \ccwas melted by a \cfFlame Imp\cc."
  Translation "64:79=208:223"
  states
  {Melee:
   missile:
  TROO EF 8 A_FaceTarget
  TROO G 6 A_CustomComboAttack("ImpFlameshot",32,3 * random(1,8),"imp/melee")
  goto see}}

Actor ImpFlameshot
{ Radius 2
  Height 4
  Speed 16
  Damage 2
  Projectile
  RenderStyle Add
  +BLOODLESSIMPACT
  DamageType "ImpBallDamage"
  Alpha 0.67
  Scale 0.67
  SeeSound "FlameImp/Fire"
  DeathSound "FlameImp/Hit"
  decal Scorch
  States
  {Spawn:
    TNT1 A 2
    FRFX ABCD 2 bright A_Explode(4,8)
    TNT1 A 0 A_LowGravity
    FRFX EFG 2 bright A_Explode(4,16)
    FRFX HHIIJJ 2 bright A_Explode(4,32)
    FRFX KKLLMM 2 bright A_Explode(4,64)
    FRFX NNOO 2 bright
    Stop
  Death:
    FRFX HHIIJJ 2 bright A_Explode(4,32)
    FRFX KKLLMM 2 bright A_Explode(4,64)
    FRFX NNOO 2 bright
    Stop}}

Actor SnakeImp 3108
{   Health 200
	Radius 20
	Height 60
	Speed 12	
	SeeSound "imp/sight"
	ActiveSound "imp/active"
	PainSound "imp/pain"
	DeathSound "imp/death"
	Obituary "%o \cctasted the venom of the \cfSnake Imp\cc."
	HitObituary "%o \ccwas shredded by a \cfSnake Imp\cc."
	Tag "Snake Imp"
	Species "Impish"
	MONSTER
	+FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
	DamageFactor "MarineDamage",1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1    
    DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1  
	DamageFactor "ImpBallDamage",0	
	States
	{Spawn:
		SIMP AB 8 A_Look
		Loop
	See:
		SIMP AABBCCDD 4 A_Chase
		Loop
	Melee:
	Missile:
		SIMP EF 8 A_FaceTarget 
		SIMP G 8 A_CustomComboAttack("SnakeImpFireball",40,4,"imp/melee")
		Goto See
	Pain:
		SIMP H 4 A_Pain
		SIMP H 4
		Goto See
	Death:
		SIMP I 6 A_GiveToTarget ("MarineExp",2)
		SIMP J 6 A_Scream
		SIMP KL 6
		SIMP M 6 A_Fall
		SIMP M 5 A_JumpIf(random(1,3) == 3,2)
	    SIMP M 500 
	    Stop
	    SIMP M -1
	    Stop
	XDeath:
		SIMP N 6 A_GiveToTarget ("MarineExp",2)
		SIMP O 6 A_XScream
		SIMP P 6 
		SIMP Q 6 A_Fall
        SIMP RST 6
        SIMP U 500
		Stop
	Raise:
		SIMP LKJI 5
		Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",2)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

Actor SnakeImpFireball
{   Radius 8
	Height 16
	Speed 20
	Damage 4
	SeeSound "imp/attack"
	DeathSound "imp/shotx"
	Decal PlasmaScorchLower
	DamageType "ImpBallDamage"
	PROJECTILE
	States
	{Spawn:
		SIBA AB 8
		Loop
	Death:
		SIBA CDE 5
		Stop}}

// DarkImp Nami
actor MDarkImp : MDoomImp
{   Health 300 
    Radius 20
    Height 56
    Speed 15 
    PainChance 48
 	MeleeDamage 4
	MissileType MDarkSeeker
    seesound "darkimp/see"
    painsound "darkimp/pain"
    deathsound "darkimp/death"
    activesound "darkimp/active"	
    MeleeSound "imp/melee"
    obituary "%o \ccdidn't see a \cfDark Imp\cc."
    HitObituary "%o \ccwas touched by a \cfDark Imp\cc."   	
	Tag "Dark Imp"
	Species "Impish"
	MONSTER
	+ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "MarineDamage",1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1	
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.5
    DamageFactor "SkelDamage",0.5
    DamageFactor "FatsoDamage",0.5
    DamageFactor "KnightDamage",0.5
    DamageFactor "ArachDamage",0.5
    DamageFactor "viledamage",0.5   
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
	DamageFactor "ImpBallDamage",0
    States
    {Spawn:
        DRKI A 10 A_Look
		DRKI B 10
        Loop
    See:
        DRKI AABBCCDD 3 A_Chase 
	    loop
	Pain:
        DRKI H 2
        DRKI H 2 A_Pain
        Goto See
    Melee:
    Missile:
        DRKI E 4 A_FaceTarget
		DRKI F 4 A_FaceTarget
        DRKI G 4 bright A_ComboAttack
		DRKI G 0 A_Jump(127,1)
		Goto See
		DRKI G 1 A_SpidRefire
		Goto Missile+1     
    Death:
        DRKI I 8 A_GiveToTarget ("MarineExp",3)
        DRKI J 8 A_Scream
        DRKI K 6
        DRKI L 6 A_Fall
		DRKI M 1 A_JumpIf(random(1,3) == 3,2)
        DRKI M 500
        Stop
		DRKI M -1
		Stop	
    XDeath:
        DRKI N 5 A_GiveToTarget ("MarineExp",3)
        DRKI O 5 A_XScream
        DRKI P 5
        DRKI Q 5 A_Fall
        DRKI RST 5
		DRKI U 500
		Stop
    Raise:
        DRKI ML 8
        DRKI KJI 6
        Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",3)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

actor MDarkSeeker
{   Radius 6
    Height 6
    Speed 15
    Damage 4
	scale 0.65
    +SEEKERMISSILE
    PROJECTILE
    RENDERSTYLE ADD
    ALPHA 0.90
    SeeSound "imp/attack"
    DeathSound "imp/shotx"
	DamageType "ImpBallDamage"
    States
    {Spawn:
        DKB1 ABAB 1 Bright A_CStaffMissileSlither
		DKB1 B 0 Bright A_SeekerMissile(4,6)
        Loop
    Death:
        DKB1 CDE 3 Bright
        Stop}}

//Shadow
ACTOR MShadow
{   Health 300 
	Radius 20
	Height 56
	Mass 100
	Speed 40 
	PainChance 127
	RenderStyle "Translucent"
	Alpha 0.7
	MissileType ShadowBall
	PainSound "Shadow/pain"
	DeathSound "Shadow/death"
	ActiveSound "Shadow/active"	
	obituary "%o \ccwas overcome by a \cfShadow\cc."
	Tag "Shadow"
	Species "Impish"
	MONSTER
	+ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "MarineDamage",1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1  
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1	
	DamageFactor "ImpBallDamage",0
	States
	{Spawn:
	    SHDW E 10 A_look
		loop
	See:
		SHDW A 3 A_FaceTarget
		SHDW A 3 A_FastChase
		//SHDW A 0 A_SpawnItemEx("ShadowGhostA",0,0,0,0,0,0,0,128)
		SHDW B 3 A_Chase
		//SHDW B 0 A_SpawnItemEx("ShadowGhostB",0,0,0,0,0,0,0,128)
		SHDW C 3 A_Chase
		//SHDW C 0 A_SpawnItemEx("ShadowGhostC",0,0,0,0,0,0,0,128)
		SHDW D 3 A_Chase
		//SHDW D 0 A_SpawnItemEx("ShadowGhostD",0,0,0,0,0,0,0,128)
	    loop	
	Missile:
		SHDW E 8 A_FaceTarget
		SHDW F 5 
		SHDW G 5 BRIGHT A_MissileAttack
		SHDW F 5 A_JumpIf (health < 60,3)
		SHDW F 0 A_Jump(127,2)
		SHDW E 6
		Goto See
		SHDW E 6 
		SHDW E 1 A_SpidRefire
		Goto Missile+1  
	Pain:
		SHDW H 4
		SHDW H 4 A_Pain
		Goto See+1
	Death:
		SHDW I 6 A_Scream
		SHDW J 5 A_GiveToTarget ("MarineExp",6)
		SHDW K 5 A_SpawnItemEx("Shadowtorso",0,0,0,1,0,0,0,128)
		SHDW L 5 A_Fall
		SHDW MNO 6 
		SHDW P 6 A_JumpIf(random(1,3) == 3,2)
		SHDW P 500 
		Stop
		SHDW P -1
		Stop
	XDeath:
		SHDX A 8 A_GiveToTarget ("MarineExp",6)
		SHDX B 6 A_XScream
		SHDX C 6 
		SHDX D 6 A_Fall
 		SHDX E 6
 		SHDX F 6
		SHDX G 1000
		Stop
	Raise:
		SHDW M 8
		SHDW KLJI 8
		Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",6)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR ShadowBall
{   Radius 6
	Height 8
	Speed 17
	Damage 4
	Projectile
	+RANDOMIZE
	RenderStyle "ADD"
	Alpha 0.75
	SeeSound "Shadow/attack"
	DeathSound "imp/shotx"
	DamageType "ImpBallDamage"
	Decal DoomImpScorch
	States
	{Spawn: 
		SBAL ABC 3 BRIGHT A_SpawnItemEx("ShadowTrail",0,0,0,0,0,0,0,128)
		Loop
	Death:
		SBAL C 5 Bright
		SBAL DEFGH 4 BRIGHT
		Stop}}

ACTOR ShadowGhostA
{   Radius 4
	Height 8
	Speed 0
	Damage 0
	Mass 75
	RenderStyle "Translucent"
	Alpha 0.3
	PROJECTILE
	States
	{Spawn:
		TROX A 5
		Stop}}

ACTOR ShadowGhostB : ShadowGhostA
{States
	{Spawn:
		SHDX B 10
		Stop}}

ACTOR ShadowGhostC : ShadowGhostA
{States
	{Spawn:
		SHDX C 10
		Stop}}

ACTOR ShadowGhostD : ShadowGhostA
{States
	{Spawn:
		SHDX D 10
		Stop}}

ACTOR Shadowtorso
{   Radius 12
	Height 15
	Speed 1
	Mass 100
	RenderStyle "Translucent"
	Alpha 0.7
	+Doombounce
      States
	{Spawn:
         SHDW QRS 5
         SHDW T 5 A_Fall
         SHDW U 5
	RemoveLoop:	 
         SHDW V 1 A_CheckSight("Remove")
         loop
	Remove:	 
		 TNT1 A 0 Thing_Remove (0)
	     stop}}

actor ShadowTrail
{   Radius 1
    Height 1
    Speed 0
    PROJECTILE
    RENDERSTYLE ADD
    ALPHA 0.6
    +NOCLIP
    States
    {Spawn:
     SHTR ABCDEF 4 Bright
        Stop}}

// SoulHarvester
actor MSoulHarvester
{   Health 100
    Radius 20
    Height 56
    Speed 10
    PainChance 160    
    SeeSound "harvester/sight"
    PainSound "imp/pain"
    DeathSound "harvester/death"
    ActiveSound "imp/active"
    MeleeSound "imp/melee"
    obituary "%o \ccwas harvested by a \cfSoul Harvestor\cc."
	hitobituary "%o \ccwas spooked by a \cfSoul Harvestor\cc."
    MissileType SoulHarvesterBall
    MeleeDamage 3	
	Tag "Soul Harvester"
	Species "Impish"
	MONSTER
	+FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "MarineDamage",1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage", 0.1   
	DamageFactor "CybYamato", 0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1		
	DamageFactor "ImpBallDamage",0
    States
    {Spawn:
        SLHV AB 10 A_Look
        Loop
    See:
        SLHV AABBCCDD 3 A_Chase
	    loop		
    Melee:
    Missile:
        SLHV EFG 3 A_FaceTarget
        SLHV HIJK 4 Bright A_FaceTarget
        SLHV L 6 Bright A_MissileAttack
        SLHV M 8
        Goto See
    Pain:
    	SLHV N 3
    	SLHV N 3 A_Pain
    	Goto See
    Death:
        SLHV O 7 A_Scream
        SLHV P 7 A_GiveToTarget ("MarineExp",5)
		SLHV QR 7 
        SLHV S 6 A_CustomMissile("SoulHarvesterGhost",32,0,0)
        SLHV T 5 A_Fall
        SLHV UV 5
        SLHV W 6 A_JumpIf(random(1,3) == 3,2)
		SLHV W 500
		Stop
		SLHV W -1
		Stop
    XDeath:
        SLHV X 6 A_Xscream
        SLHV Y 6 A_CustomMissile("SoulHarvesterGhost",32,0,0)
        SLHV Z 6 A_GiveToTarget ("MarineExp",5)
        SLHV [ 6 A_Fall
        SLHV ] 6
        SLHX A 1000
        Stop
    Raise:
        SLHV WVUTSRQPO 5
        Goto See
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",5)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

actor SoulHarvesterBall
{   Radius 8
    Height 6
    Scale 0.4
    Speed 10
    Damage 9
    +SEEKERMISSILE
    PROJECTILE
    Renderstyle ADD
    SeeSound "harvester/scream"
    DeathSound "imp/shotx"
	DamageType "ImpBallDamage"
	Decal DoomImpScorch
    States
    {Spawn:
    	SHBA A 0 Bright A_CustomMissile("SoulBallTrail",0,0,180)
        SHBA AB 2 Bright A_SeekerMissile (10,20)
        Loop
    Death:
        SHBA CDEFGHIJKL 4 Bright
        Stop}}
	
actor SoulHarvesterGhost
{   Radius 1
    Height 1
    Speed 0
    PROJECTILE
    RENDERSTYLE ADD
    ALPHA 0.7
    +NOCLIP
    SeeSound "harvester/ghost"
    States
    {Spawn:
    Death:
        SHGH ABCDEFG 4 Bright
        Stop}}

actor SoulBallTrail
{   Radius 1
    Height 1
    Speed 0
    PROJECTILE
    RENDERSTYLE ADD
    ALPHA 0.5
    +NOCLIP
    States
   {Spawn:
    Death:
    	SBTR H 6 
        SBTR ABCDEFG 3 Bright
        Stop}}