actor MFatso : Fatso 
{ health 600
  radius 48
  height 64
  mass 1000
  speed 8   
  Dropitem "TeslaCannon" 78
  obituary "%o \ccwas flattened by a \cfMancubus\cc."
  tag "Mancubus"
  Species "Fatso"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.8
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "FatsoDamage", 0  
  states
  {Spawn:
    FATT A 15 A_Look
	FATT B 15 
    loop
  See:
    FATT AABBCCDDEEFF 4 A_Chase
	loop	
  Missile:
	FATT G 20 A_FatRaise
	FATT H 10 BRIGHT A_FatAttack1
	FATT IG 5
	FATT H 10 BRIGHT A_FatAttack2
	FATT IG 5
	FATT H 10 BRIGHT A_FatAttack3
	FATT IG 5
	Goto See
  Pain:
	FATT J 3
	FATT J 3 A_Pain
	Goto See
  Death:
    FATT K 6 A_GiveToTarget ("MarineExp",5)
    FATT L 6 A_Scream
    FATT M 6 A_NoBlocking
    FATT NOPQRS 6
    FATT T 1 A_JumpIf(random(1,3) == 3,2)
	FATT T 500 A_BossDeath
	Stop
	FATT T -1 A_BossDeath
	Stop
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
	FATT R 5
	FATT QPONMLK 5
	Goto See}}

// Hectebus
ACTOR MHectebus : MFatso
{  Health 1100
   PainChance 20  
   seesound "hecto/sight"
   painsound "hecto/pain"
   deathsound "hecto/death"
   activesound "hecto/active" 
   Dropitem "TeslaCannon" 78
   obituary "%o \ccwas squished by a \cfHectebus\cc."
   Tag "Hectebus"
   Species "Fatso"
   +ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
   DamageFactor "MarineDamage",1
   DamageFactor "MarineRail",0.9
   DamageFactor "ImpBallDamage",0.1
   DamageFactor "DemonDamage",0.1
   DamageFactor "ZombiesDamage",0.1
   DamageFactor "ZombiesFCDamage",0.1
   DamageFactor "ZombieTankDamage",0.1
   DamageFactor "CacoDamage",0.1
   DamageFactor "SkelDamage",0.1
   DamageFactor "KnightDamage",0.1
   DamageFactor "ArachDamage",0.1
   DamageFactor "viledamage",0.1   
   DamageFactor "CybYamato",0.01
   DamageFactor "CybRLDamage",0.1
   DamageFactor "LostSerpDamage",0.1
   DamageFactor "FatsoDamage",0   
   States
   {Spawn:
      HECT A 15 A_Look
      HECT B 15 
      loop
   See:
      HECT AABBCCDDEEFF 4 A_Chase
      loop	  
   Missile:
      HECT G 0 A_PlaySound("hecto/raiseguns")
      HECT G 20 A_FaceTarget
      HECT H 0 A_CustomMissile("MHectShot",28,0,0,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,5.625,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,11.25,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,16.875,1)
      HECT H 10 BRIGHT
      HECT IG 5 A_FaceTarget
      HECT H 0 A_CustomMissile("MHectShot",28,0,0,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,-5.625,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,-11.25,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,-16.875,1)
      HECT H 10 BRIGHT
      HECT IG 5 A_FaceTarget
      HECT H 0 A_CustomMissile("MHectShot",28,0,-11.25,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,-5.625,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,0,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,5.625,1)
      HECT H 0 A_CustomMissile("MHectShot",28,0,11.25,1)
      HECT H 10 BRIGHT
      HECT IG 5 A_FaceTarget
      Goto See
    Pain:
      HECT J 3
      HECT J 3 A_Pain
      Goto See 
   Death:
      HECT K 6 A_GiveToTarget ("MarineExp",8)
      HECT L 6 A_Scream
      HECT M 6 A_NoBlocking
      HECT NOPQRS 6
	  HECT T 1 A_JumpIf(random(1,3) == 3,2)
      HECT T 500
      Stop
	  HECT T -1
	  Stop
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",8)
    "----" A 1 A_FreezeDeathChunks
    Wait
   Raise:
      HECT RQPONMLK 5
      Goto See}}

ACTOR Volacubus : Fatso 3397
{  Radius 44
   Height 76
   Mass 600
   Speed 16
   Dropitem "TeslaCannon" 78
   Obituary "%o \ccwas roasted by a \cfVolacubus\cc."
   Tag "Volacubus"
   Species "Fatso"
   +ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +NOGRAVITY +FLOAT
   +FLOATBOB +MISSILEMORE -FLOORCLIP
   DamageFactor "MarineDamage",1
   DamageFactor "MarineRail",0.9
   DamageFactor "ImpBallDamage",0.1
   DamageFactor "DemonDamage",0.1
   DamageFactor "ZombiesDamage",0.1
   DamageFactor "ZombiesFCDamage",0.1
   DamageFactor "ZombieTankDamage",0.1
   DamageFactor "CacoDamage",0.1
   DamageFactor "SkelDamage",0.1
   DamageFactor "KnightDamage",0.1
   DamageFactor "ArachDamage",0.1
   DamageFactor "viledamage",0.1   
   DamageFactor "CybYamato",0.01
   DamageFactor "CybRLDamage",0.1
   DamageFactor "LostSerpDamage",0.1
   DamageFactor "FatsoDamage",0  
	States
	{Spawn:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAT ABCD 8 A_Look
		Loop
	See:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAT AABBCCDD 4 A_Chase
		Loop
	Missile:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAT F 6 A_FatRaise
		FFAT FG 6 A_FaceTarget 
		FFAT H 0 BRIGHT A_CustomMissile("MFatShot",34,32,random(-7,4))
		FFAT H 6 BRIGHT A_CustomMissile("MFatShot",34,-32,random(-4,7))
		FFAT FG 6 A_FaceTarget
		FFAT H 0 BRIGHT A_CustomMissile("MFatShot",34,32,random(-7,4))
		FFAT H 6 BRIGHT A_CustomMissile("MFatShot",34,-32,random(-4,7))
		FFAT FG 6 A_FaceTarget
		FFAT H 0 BRIGHT A_CustomMissile("MFatShot",34,32,random(-7,4))
		FFAT H 6 BRIGHT A_CustomMissile("MFatShot",34,-32,random(-4,7))
		FFAT FG 6 A_FaceTarget
		Goto See
	Pain:
		FFAT J 3
		FFAT J 3 A_Pain
		Goto See
	Death:
	    TNT1 A 0 A_GiveToTarget ("MarineExp",8)
		TNT1 A 0 A_ChangeFlag(FLOATBOB, 0)
		FFAT K 6 A_SetFloorClip
		FFAT L 6 A_Scream
		FFAT M 6 A_NoBlocking
		TNT1 A 0 A_PlaySound("flyingfatso/jetoff")
		FFAT NOPQRS 6 
	    FFAT T 1 A_JumpIf(random(1,3) == 3,2)
        FFAT T 500 A_BossDeath
        Stop
	    FFAT T -1 A_BossDeath
	    Stop
	Raise:
	 	TNT1 A 0 A_PlaySound("flyingfatso/jeton")
		FFAT R 5 A_UnSetFloorClip
		FFAT QPONMLK 5
		TNT1 A 0 A_ChangeFlag(FLOATBOB, 1)
		Goto See
	Ice:
	    "####" "#" 0 A_Changeflag("FLOAT",0)
		"####" "#" 0 A_Changeflag("FLOATBOB",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	    "####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",8)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

actor MFatShot : FatShot replaces FatShot
{DamageType "FatsoDamage"}
 
ACTOR MHectShot : MFatShot
{  DamageType "FatsoDamage"
   Damage 10
   SeeSound "hecto/attack"
   decal Scorch
   Speed 22
   Damage 12
   States
   {Spawn:
      HECF AB 4 BRIGHT
      Loop
   Death:
      HECF C 8 BRIGHT
      HECF D 6 BRIGHT
      HECF E 4 BRIGHT
      Stop}}

ACTOR Plasmubus : Volacubus 3398
{  	Health 600
    Tag "Plasmubus"
    Dropitem "TeslaCannon" 78
	Obituary "%o \ccwas electro-welded by a \cfPlasmubus\cc."
	States
	{Spawn:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAB ABCD 8 A_Look
		Loop
	See:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAB AABBCCDD 4 A_Chase
		Loop
	Missile:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAB F 6 A_FatRaise
		FFAB FG 6 A_FaceTarget 
		FFAB H 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32, random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32, random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32, random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32, random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32, random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32, random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB FG 6 A_FaceTarget
		FFAB I 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32,random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB I 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32,random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB I 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32,random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB I 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32,random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB I 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32,random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB I 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32,random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB FG 6 A_FaceTarget
		FFAB H 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32,random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32,random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32,random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32,random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 0 BRIGHT A_CustomMissile("FTPlasmaBall",34,32,random(-4,2),CMF_OFFSETPITCH,random(-1,1))
		FFAB H 2 BRIGHT A_CustomMissile("FTPlasmaBall",34,-32,random(-2,4),CMF_OFFSETPITCH,random(-1,1))
		FFAB FG 6 A_FaceTarget
		Goto See
	Pain:
		FFAB J 3
		FFAB J 3 A_Pain
		Goto See
	Death:
	    TNT1 A 0 A_GiveToTarget ("MarineExp",8)
		TNT1 A 0 A_ChangeFlag(FLOATBOB, 0)
		FFAB K 6 A_SetFloorClip
		FFAB L 6 A_Scream
		FFAB M 6 A_NoBlocking
		TNT1 A 0 A_PlaySound("flyingfatso/jetoff")
		FFAB NOPQRS 6 
	    FFAB T 1 A_JumpIf(random(1,3) == 3,2)
        FFAB T 500 A_BossDeath
        Stop
	    FFAB T -1 A_BossDeath
	    Stop
	Raise:
	 	TNT1 A 0 A_PlaySound("flyingfatso/jeton")
		FFAB R 5 A_UnSetFloorClip
		FFAB QPONMLK 5
		TNT1 A 0 A_ChangeFlag(FLOATBOB, 1)
		Goto See
	Ice:
	    "####" "#" 0 A_Changeflag("FLOAT",0)
		"####" "#" 0 A_Changeflag("FLOATBOB",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	    "####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",8)
        "----" A 1 A_FreezeDeathChunks
        Wait}}
		
ACTOR FTPlasmaBall : Ammo
{	Radius 13
	Height 8
	Speed 40
	Damage 5
	Projectile
	+RANDOMIZE
	RenderStyle Add
	Alpha 0.75
	SeeSound "weapons/plasmaf"
	DeathSound "weapons/plasmax"
	Obituary "$OB_MPPLASMARIFLE"
	DamageType "FatsoDamage"
	States
	{Spawn:
		PLTS AB 6 Bright
		Loop
	Death:
		PLTE ABCDE 4 Bright
		Stop}}
	
ACTOR Slimeubus : Volacubus 3399
{	Health 700
    Tag "Slimeubus"
    Dropitem "BioLauncher" 68
	MaxTargetRange 1000
	Obituary "%o was irradiated by a Slimeubus."
	States
	{Spawn:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAG ABCD 8 A_Look
		Loop
	See:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAG AABBCCDD 4 A_Chase
		Loop
	Missile:
		TNT1 A 0 A_PlaySound("flyingfatso/jetloop")
		FFAG F 6 A_FatRaise
		FFAG FG 6 A_FaceTarget
		FFAG H 0 BRIGHT A_CustomMissile("FFslimeball1",34,32,random(-3,3),CMF_OFFSETPITCH,random(4,8))
		FFAG H 3 BRIGHT A_CustomMissile("FFslimeball2",34,-32,random(-3,3),CMF_OFFSETPITCH,random(4,7))
		FFAG H 0 BRIGHT A_CustomMissile("FFslimeball3",34,32,random(-3,3),CMF_OFFSETPITCH,random(3,7))
		FFAG H 3 BRIGHT A_CustomMissile("FFslimeball4",34,-32,random(-3,3),CMF_OFFSETPITCH,random(3,6))
		FFAG I 0 A_FaceTarget
		FFAG I 0 BRIGHT A_CustomMissile("FFslimeball5",34,32,random(-3,3),CMF_OFFSETPITCH,random(2,6))
		FFAG I 3 BRIGHT A_CustomMissile("FFslimeball6",34,-32,random(-3,3),CMF_OFFSETPITCH,random(2,5))
		FFAG I 0 BRIGHT A_CustomMissile("FFslimeball7",34,32,random(-3,3),CMF_OFFSETPITCH,random(1,5))
		FFAG I 3 BRIGHT A_CustomMissile("FFslimeball8",34,-32,random(-3,3),CMF_OFFSETPITCH,random(1,4))
		FFAG H 0 A_FaceTarget
		FFAG H 0 BRIGHT A_CustomMissile("FFslimeball9",34,32,random(-3,3),CMF_OFFSETPITCH,random(0,4))
		FFAG H 3 BRIGHT A_CustomMissile("FFslimeball8",34,-32,random(-3,3),CMF_OFFSETPITCH,random(1,4))
		FFAG H 0 BRIGHT A_CustomMissile("FFslimeball7",34,32,random(-3,3),CMF_OFFSETPITCH,random(1,5))
		FFAG H 3 BRIGHT A_CustomMissile("FFslimeball6",34,-32,random(-3,3),CMF_OFFSETPITCH,random(2,5))
		FFAG I 0 A_FaceTarget
		FFAG I 0 BRIGHT A_CustomMissile("FFslimeball5",34,32,random(-3,3),CMF_OFFSETPITCH,random(2,6))
		FFAG I 3 BRIGHT A_CustomMissile("FFslimeball4",34,-32,random(-3,3),CMF_OFFSETPITCH,random(3,6))
		FFAG I 0 BRIGHT A_CustomMissile("FFslimeball3",34,32,random(-3,3),CMF_OFFSETPITCH,random(3,7))
		FFAG I 3 BRIGHT A_CustomMissile("FFslimeball2",34,-32,random(-3,3),CMF_OFFSETPITCH,random(4,7))
		FFAG H 0 A_FaceTarget
		FFAG H 0 BRIGHT A_CustomMissile("FFslimeball1",34,32,random(-3,3),CMF_OFFSETPITCH,random(4,8))
		FFAG H 3 BRIGHT A_CustomMissile("FFslimeball2",34,-32,random(-3,3),CMF_OFFSETPITCH,random(4,7))
		FFAG H 0 BRIGHT A_CustomMissile("FFslimeball3",34,32,random(-3,3),CMF_OFFSETPITCH,random(3,7))
		FFAG H 3 BRIGHT A_CustomMissile("FFslimeball4",34,-32,random(-3,3),CMF_OFFSETPITCH,random(3,6))
		FFAG I 0 A_FaceTarget
		FFAG I 0 BRIGHT A_CustomMissile("FFslimeball5",34,32,random(-3,3),CMF_OFFSETPITCH,random(2,6))
		FFAG I 3 BRIGHT A_CustomMissile("FFslimeball6",34,-32,random(-3,3),CMF_OFFSETPITCH,random(2,5))
		FFAG I 0 BRIGHT A_CustomMissile("FFslimeball7",34,32,random(-3,3),CMF_OFFSETPITCH,random(1,5))
		FFAG I 3 BRIGHT A_CustomMissile("FFslimeball8",34,-32,random(-3,3),CMF_OFFSETPITCH,random(1,4))
		FFAG FG 6 A_FaceTarget
		Goto See
	Pain:
		FFAG J 3
		FFAG J 3 A_Pain
		Goto See
	Death:
	    TNT1 A 0 A_GiveToTarget ("MarineExp",8)
		TNT1 A 0 A_ChangeFlag(FLOATBOB, 0)
		FFAG K 6 A_SetFloorClip
		FFAG L 6 A_Scream
		FFAG M 6 A_NoBlocking
		TNT1 A 0 A_PlaySound("flyingfatso/jetoff")
		FFAG NOPQRS 6 
	    FFAG T 1 A_JumpIf(random(1,3) == 3,2)
        FFAG T 500 A_BossDeath
        Stop
	    FFAG T -1 A_BossDeath
	    Stop
	Raise:
	 	TNT1 A 0 A_PlaySound("flyingfatso/jeton")
		FFAG R 5 A_UnSetFloorClip
		FFAG QPONMLK 5
		TNT1 A 0 A_ChangeFlag(FLOATBOB, 1)
		Goto See
	Ice:
	    "####" "#" 0 A_Changeflag("FLOAT",0)
		"####" "#" 0 A_Changeflag("FLOATBOB",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	    "####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",8)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

actor FFslimeball1
{   Radius 4
	Height 4
	Speed 34
	Gravity 0.38
	Damage 3
	PoisonDamage 20
	Projectile
	+RANDOMIZE -NOGRAVITY
	DamageType "FatsoDamage"
	SeeSound "FFslimeball/shoot"
	DeathSound "FFslimeball/splat"
	Decal FFslimeScorch
	States
	{Spawn:
		FFSL ABC 2 bright
		loop
	Death:
		FFSL D 0 bright A_NoGravity
		FFSL DEF 4 bright
		stop}}

Actor FFslimeball2 : FFslimeball1
{   Speed 36
	DeathSound none}
Actor FFslimeball3 : FFslimeball2 {Speed 38}
Actor FFslimeball4 : FFslimeball2 {Speed 40}
Actor FFslimeball5 : FFslimeball2 {Speed 42}
Actor FFslimeball6 : FFslimeball2 {Speed 44}
Actor FFslimeball7 : FFslimeball2 {Speed 46}
Actor FFslimeball8 : FFslimeball2 {Speed 48}
Actor FFslimeball9 : FFslimeball2 {Speed 50}
Actor FFslimeball0 : FFslimeball2 {Speed 52}