ACTOR FireSerpent
{ health 200
  radius 34
  height 56
  mass 99999
  speed 8
  painchance 200
  Scale 1.0
  bloodcolor "red"
  seesound "Serp/FireSI"
  activesound "Serp/FireID"
  painsound "Serp/Pain"
  Obituary "%o \ccwas burned by a \cfFire Serpent\cc." 
  Tag "Fire Serpent"
  Species "Caco"
  MONSTER
  +FLOAT +DROPOFF +DONTFALL +NOTARGET +NOGRAVITY +NOINFIGHTING +DONTHARMSPECIES 
  +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0
  DamageFactor "CacoDamage",0 
 States
	{Spawn:
		SERP A 1 A_Look
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI1A",-10,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI2A",-20,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI3A",-30,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI4A",-30,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI5A",-30,0,5,0,0,0,0,0,0)
		loop
	See:
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI1B",-10,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI2B",-20,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI3B",-30,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI4B",-30,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentBarebodyI5B",-30,0,5,0,0,0,0,0,0)
		Goto TrueSee
	TrueSee:
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_SpawnItemEx("SerpentBarebody",-10,0,5,0,0,0,0,0,0)
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_SpawnItemEx("SerpentBarebody",-10,0,5,0,0,0,0,0,0)
		loop
	Missile:
		TNT1 A 0 A_Jump(128,"Pass","FireCheck")
		Goto TrueSee
	Pass:
		TNT1 A 0
		Goto TrueSee
	FireCheck:
		TNT1 A 0 A_JumpIfCloser(300,"Firebreath")
		Goto TrueSee
	FireBreath:
		SERP A 1 A_Facetarget
		SERP AAAAAABBB 1 Bright
		TNT1 A 0 A_PlaySound("Serp/Flame")
		TNT1 A 0 A_CustomMissile("SerpentFirespawner",5,0,0,0,0)
		TNT1 A 0 A_CustomMissile("SerpentFirespawner",5,0,2,0,0)
		TNT1 A 0 A_CustomMissile("SerpentFirespawner",5,0,-2,0,0)
		SERP BBBBBBAAA 1 Bright
		Goto TrueSee
    Pain:
    	SERP B 1 A_Pain
		SERP A 0 A_SpawnItemEx("SerpentBarebody",-10,0,5,0,0,0,0,0,0)
    	Goto TrueSee
    Death:
		SERP B 0 A_GiveToTarget ("MarineExp",3)
		SERP B 0 A_PlaySound("Serp/Pain")
		SERP BBBBB 3 Bright
		SERP B 0 A_PlaySound("Serp/Death")
		SERP B 0 A_SpawnItemEx("SerpentHead1",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
		SERP B 0 A_SpawnItemEx("SerpentHead2",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
		SERP B 0 A_SpawnItemEx("SerpentHead3",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
		SERP B 0 A_SpawnItemEx("SerpentHead4",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
        Stop
	Ice: 
		"####" "#" 0 A_Changeflag("FLOAT",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	    "####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 1 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",3)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR FlameSerpent
{ health 250
  radius 34
  height 56
  mass 99999
  speed 8
  painchance 200
  bloodcolor "red"
  seesound "Serp/FlameSI"
  activesound "Serp/FlameID"
  painsound "Serp/Pain"
  Scale 1.0
  Obituary "%o \ccwas burned by a \cfFlame Serpent\cc."
  Tag "Flame Serpent" 
  Species "Caco"
  MONSTER
  +FLOAT +DROPOFF +DONTFALL +NOTARGET +NOGRAVITY +NOINFIGHTING +DONTHARMSPECIES 
  +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0
  DamageFactor "CacoDamage",0  
	States
	{Spawn:
		SERP A 1 A_Look
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI1A",-10,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI2A",-20,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI3A",-30,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI4A",-40,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI5A",-50,0,5,0,0,0,0,0,0)
		loop
	See:
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI1B",-10,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI2B",-20,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI3B",-30,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI4B",-40,0,5,0,0,0,0,0,0)
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyI5B",-50,0,5,0,0,0,0,0,0)
		Goto TrueSee
	TrueSee:
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyN",-10,0,5,0,0,0,0,0,0)
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_Weave(0,1.5,0,random(1,5))
		SERP A 1 A_Chase
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyF",-10,0,5,0,0,0,0,0,0)
		loop
	Missile:
		TNT1 A 0 A_Jump(128,"Pass","FireCheck")
		Goto TrueSee
	Pass:
		TNT1 A 0
		Goto TrueSee
	FireCheck:
		TNT1 A 0 A_JumpIfCloser(300,"Firebreath")
		Goto TrueSee
	FireBreath:
		SERP A 1 A_Facetarget
		SERP AAAAAABBBB 1 Bright
		TNT1 A 0 A_PlaySound("Serp/Flame")
		TNT1 A 0 A_CustomMissile("SerpentFirespawner2",5,0,0,0,0)
		TNT1 A 0 A_CustomMissile("SerpentFirespawner2",5,0,2,0,0)
		TNT1 A 0 A_CustomMissile("SerpentFirespawner2",5,0,-2,0,0)
		TNT1 A 0 A_CustomMissile("SerpentFirespawner2",5,0,5,0,0)
		TNT1 A 0 A_CustomMissile("SerpentFirespawner2",5,0,-5,0,0)
		SERP BBBBBBBAAA 1 Bright
		Goto TrueSee
    Pain:
    	SERP B 1 A_Pain
		SERP A 0 A_SpawnItemEx("SerpentSpikedbodyN",-10,0,5,0,0,0,0,0,0)
    	Goto TrueSee
    Death:
		SERP B 0 A_GiveToTarget ("MarineExp",3)
		SERP B 0 A_PlaySound("Serp/Pain")
		SERP BBBBB 3 Bright
		SERP B 0 A_PlaySound("Serp/Death")
		SERP B 0 A_SpawnItemEx("SerpentHead1",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
		SERP B 0 A_SpawnItemEx("SerpentHead2",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
		SERP B 0 A_SpawnItemEx("SerpentHead3",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
		SERP B 0 A_SpawnItemEx("SerpentHead4",0,0,20,random(-5,5),random(-5,5),random(-5,5),Random(0,360),0)
        Stop
    Ice:
		"####" "#" 0 A_Changeflag("FLOAT",0)
	    "####" "#" 0 A_Changeflag("NOGRAVITY",0)
	    "####" "#" 0 A_Changeflag("DONTFALL",0)
	    "####" "#" 1 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",3)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

actor SerpentHead1
{   PROJECTILE
    -NOGRAVITY -NOBLOCKMAP -NOTELEPORT +RANDOMIZE
    Radius 2
    Speed 5
	Scale 1.0
    States
    {Spawn:
        FSAD A 0 A_SetGravity (0.5)
        FSAD A 0 ThrustThingZ (0,random(15,30),0,1)
        goto See 
    See:
        FSAD A 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_CheckFloor ("Death")
        loop
    Death:
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)		
    Stop}}

actor SerpentHead2
{   PROJECTILE
    -NOGRAVITY -NOBLOCKMAP -NOTELEPORT +RANDOMIZE
    Radius 2
    Speed 5
	Scale 1.0
    States
    {Spawn:
        FSAD B 0 A_SetGravity (0.5)
        FSAD B 0 ThrustThingZ (0,random(15,30),0,1)
        goto See 
    See:
        FSAD B 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_CheckFloor ("Death")
        loop
    Death:
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)		
    Stop}}

actor SerpentHead3
{   PROJECTILE
    -NOGRAVITY -NOBLOCKMAP -NOTELEPORT +RANDOMIZE
    Radius 2
    Speed 5
	Scale 1.0
    States
    {Spawn:
        FSAD C 0 A_SetGravity (0.5)
        FSAD C 0 ThrustThingZ (0,random(15,30),0,1)
        goto See 
    See:
        FSAD C 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_CheckFloor ("Death")
        loop
    Death:
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)		
    Stop}}

actor SerpentHead4
{   PROJECTILE
    -NOGRAVITY -NOBLOCKMAP -NOTELEPORT +RANDOMIZE
    Radius 2
    Speed 5
	Scale 1.0
    States
    {Spawn:
        FSAD D 0 A_SetGravity (0.5)
        FSAD D 0 ThrustThingZ (0,random(15,30),0,1)
        goto See 
    See:
        FSAD D 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_CheckFloor ("Death")
        loop
    Death:
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
		TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)		
	Stop}}
	
actor SerpentFirespawner
{ Damage 0
  Speed 5
  Radius 3
  Height 3
  RenderStyle Add
  Alpha 0
  Projectile
  +BLOODLESSIMPACT +NODAMAGETHRUST +Ripper
  states
  {Spawn:
    FSFI AAAAAAAAAA 1 A_SpawnItemEx("SerpentFlames",random(-10,10),random(-10,10),random(-10,10),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
    FSFI AAAAAAAAAA 1 A_SpawnItemEx("SerpentFlames",random(-10,10),random(-10,10),random(-10,10),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
    FSFI AAAAAAAAAA 1 A_SpawnItemEx("SerpentFlames",random(-10,10),random(-10,10),random(-10,10),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)   
  Death:
	TNT1 A 1
    Stop}}

actor SerpentFirespawner2
{ Damage 0
  Speed 10
  Radius 3
  Height 3
  RenderStyle Add
  Alpha 0
  Projectile
  +BLOODLESSIMPACT +NODAMAGETHRUST +RIPPER
  states
  {Spawn:
    FSFI AAAAAAAAAA 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
	FSFI AAAAAAAAAA 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
	FSFI AAAAAAAAAA 1 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)	
  Death:
	TNT1 A 1
    Stop}}

actor SerpentFlames
{ Speed 0
  Radius 2
  Height 2
  RenderStyle Add
  Damagetype "LostSerpDamage"
  Alpha 0.25
  Scale 1.0
  Gravity 0.25
  Projectile
  +BLOODLESSIMPACT +NODAMAGETHRUST +RIPPER
  states
  {Spawn:
    FSFI AAAAA 1 Bright
	TNT1 A 0 A_Explode (random(0,1),1,0,0,0,0,0,"LSBulletPuff")
	FSFI AAAAA 1 Bright
	TNT1 A 0 A_Explode (random(0,1),1,0,0,0,0,0,"LSBulletPuff")
	FSFI AAAAA 1 Bright
	TNT1 A 0 A_Explode (random(0,1),1,0,0,0,0,0,"LSBulletPuff")
	FSFI AAAAA 1 Bright
	TNT1 A 0 A_Explode (random(0,1),1,0,0,0,0,0,"LSBulletPuff")
    goto Death
  Death:
	FSFI AAABBBCCCDDDEEEFFF 1 A_Fadeout
	TNT1 A 1
    Stop}}
	
Actor SerpentBareBodyI1A
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 1
    Goto Death
  Death:
	BBOD A 1
	Stop}}

Actor SerpentBareBodyI2A
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 1
    Goto Death
  Death:
	BBOD A 1
	Stop}}

Actor SerpentBareBodyI3A
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 1
    Goto Death
  Death:
	BBOD A 1
	Stop}}
	
Actor SerpentBareBodyI4A
{Scale 0.75
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 1
    Goto Death
  Death:
	BBOD A 1
	Stop}}
	
Actor SerpentBareBodyI5A
{Scale 0.50
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 1
    Goto Death
  Death:
	BBOD A 1
	Stop}}

////BareBodyI1B is for when the monster enters See after spotting the enemy
Actor SerpentBareBodyI1B
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 20
    Goto Death
  Death:
	BBOD A 0
	Stop}}

Actor SerpentBareBodyI2B
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 17
    Goto Death
  Death:
	BBOD A 0
	Stop}}

Actor SerpentBareBodyI3B
{ Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 17
    Goto Death
  Death:
	BBOD A 0
	Stop}}
	
Actor SerpentBareBodyI4B
{ Scale 0.75
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 18
    Goto Death
  Death:
	BBOD A 0
	Stop}}

Actor SerpentBareBodyI5B
{ Scale 0.50
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 19
    Goto Death
  Death:
	BBOD A 0
	Stop}}

////BareBody is used for the tail when chasing the enemy
Actor SerpentBareBody
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    BBOD A 20
    Goto Death
  Death:
	BBOD A 0 A_SpawnItemEx("SerpentFlames",random(-6,6),random(-6,6),10,(0.1)*random(-6,6),(0.1)*random(-6,6),(0.1)*random(-6,6),0)
    BBOD A 0 A_SpawnItemEx("SerpentFlames",random(-6,6),random(-6,6),10,(0.1)*random(-6,6),(0.1)*random(-6,6),(0.1)*random(-6,6),0)
	BBOD A 0 A_SpawnItemEx("SerpentFlames",random(-6,6),random(-6,6),10,(0.1)*random(-6,6),(0.1)*random(-6,6),(0.1)*random(-6,6),0)
	Stop}}

////SpikeBodyI1A is for when it is not chasing.
Actor SerpentSpikedBodyI1A
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 1
	Goto Death
  Death:
	SBOD A 1
	Stop}}

Actor SerpentSpikedBodyI2A
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 1
	Goto Death
  Death:
	SBOD A 1
	Stop}}

Actor SerpentSpikedBodyI3A
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 1
	Goto Death
  Death:
	SBOD A 1
	Stop}}

Actor SerpentSpikedBodyI4A
{Scale 0.75
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 1
	Goto Death
  Death:
	SBOD A 1
	Stop}}

Actor SerpentSpikedBodyI5A
{Scale 0.50
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 1
	Goto Death
  Death:
	SBOD A 1
	Stop}}

////SpikeBodyI1B
Actor SerpentSpikedBodyI1B
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 20
	Goto Death
  Death:
	SBOD A 0
	Stop}}

Actor SerpentSpikedBodyI2B
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 17
	Goto Death
  Death:
	SBOD A 0
	Stop}}

Actor SerpentSpikedBodyI3B
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 17
	Goto Death
  Death:
	SBOD A 0
	Stop}}

Actor SerpentSpikedBodyI4B
{Scale 0.75
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 18
	Goto Death
  Death:
	SBOD A 0
	Stop}}

Actor SerpentSpikedBodyI5B
{Scale 0.50
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 19
	Goto Death
  Death:
	SBOD A 0
	Stop}}

////SpikeBodyN is used for the tail when chasing the enemy
Actor SerpentSpikedBodyN
{Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
    SBOD A 20
	Goto Death
  Death:
	SBOD A 0 A_SpawnItemEx("SerpentFlames",random(-8,8),random(-8,8),10,(0.1)*random(-8,8),(0.1)*random(-8,8),(0.1)*random(-8,8),0)
    SBOD A 0 A_SpawnItemEx("SerpentFlames",random(-8,8),random(-8,8),10,(0.1)*random(-8,8),(0.1)*random(-8,8),(0.1)*random(-8,8),0)
	SBOD A 0 A_SpawnItemEx("SerpentFlames",random(-8,8),random(-8,8),10,(0.1)*random(-8,8),(0.1)*random(-8,8),(0.1)*random(-8,8),0)
  Stop}}

Actor SerpentSpikedBodyF
{ Scale 1.0
  +NOGRAVITY
  States
  {Spawn:
	SBOD A 0 A_SpawnItemEx("SerpentFiredrip",0,0,-5,0,0,0,0,0,0)
    SBOD A 10
	Goto Death
  Death:
	SBOD A 0 A_SpawnItemEx("SerpentFlames",random(-8,8),random(-8,8),10,(0.1)*random(-8,8),(0.1)*random(-8,8),(0.1)*random(-8,8),0)
    SBOD A 0 A_SpawnItemEx("SerpentFlames",random(-8,8),random(-8,8),10,(0.1)*random(-8,8),(0.1)*random(-8,8),(0.1)*random(-8,8),0)
	SBOD A 0 A_SpawnItemEx("SerpentFlames",random(-8,8),random(-8,8),10,(0.1)*random(-8,8),(0.1)*random(-8,8),(0.1)*random(-8,8),0)
  Stop}}

actor SerpentFiredrip
{ Speed 5
  Radius 2
  Height 2
  Scale 1.0
  RenderStyle Add
  Alpha 0.75
  damagetype "LostSerpDamage"
  Projectile
  -NOGRAVITY +RIPPER +BLOODLESSIMPACT
  states
  {Spawn:
    FDRI AABBCCDD 2 Bright A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
	TNT1 A 0 A_CheckFloor ("Death")
	loop
  Death:
	TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
	TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
	TNT1 A 0 A_SpawnItemEx("SerpentFlames",random(-3,3),random(-3,3),random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),(0.1)*random(-3,3),0)
    Stop}}