actor MHellKnight : HellKnight
{ health 500
  radius 24
  height 64
  mass 1000
  speed 8
  BloodColor "darkgreen"
  SeeSound "baron/sight"
  PainSound "baron/pain"
  DeathSound "baron/death"
  ActiveSound "baron/active"  
  Dropitem "Sawthrower" 74
  obituary "%o \ccWas sent to hell by a \cfHell Knight\cc."
  hitobituary "%o \ccWas ripped in half by a \cfHell Knight\cc."
  tag "Hell Knight"   
  Species "Baron"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.8
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "KnightDamage",0 
  states
  {Spawn:
    BOS2 A 10 A_Look 
	BOS2 B 10 
    loop
  See:
    BOS2 AABBCCDD 3 A_Chase
	loop	
  Melee:
  Missile:
	BOS2 EF 8 A_FaceTarget
	BOS2 G 8 A_CustomComboAttack("MBaronBall",32,10*random(1,8),"baron/melee")
	Goto See
  Pain:
	BOS2 H 2
	BOS2 H 2 A_Pain
	Goto See
  Death:
    BOS2 I 8 A_GiveToTarget ("MarineExp",5)
    BOS2 J 8 A_Scream
    BOS2 K 8
    BOS2 L 8 A_NoBlocking
    BOS2 MN 8
    BOS2 O 1 A_JumpIf(random(1,3) == 3,2)
	BOS2 O 500 A_BossDeath
	Stop
	BOS2 O -1 A_BossDeath
	Stop
  Raise:
	BOS2 O 8
	BOS2 NMLKJI  8
	Goto See
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor MBaronBall : BaronBall replaces BaronBall 
{DamageType "KnightDamage"}

// Belphegor
ACTOR MBelphegor : MHellKnight
{   BloodColor "darkgreen"
	PainChance 25   
	SeeSound "baron/sight"
	PainSound "baron/pain"
	DeathSound "baron/death"
	ActiveSound "baron/active"	
	obituary "%o \ccwas blasted by an \cfBelphegor\cc."
	hitobituary "%o \ccwas torn to shreds by a \cfBelphegor\cc."
	tag "Belphegor"
	Species "Baron"
    +ALWAYSFAST +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES	 
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "ZombiesDamage",0.1
	DamageFactor "ZombiesFCDamage",0.1
	DamageFactor "ZombieTankDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1	
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
    DamageFactor "KnightDamage",0
  	States
	{Spawn:
		BOS3 A 10 A_Look
		BOS3 B 10 
        loop
	See:
		BOS3 AABBCCDD 3 A_Chase 
	    loop	
	Melee:
	Missile:
		BOS3 EF 6 A_FaceTarget
		BOS3 G 6 A_BasicAttack (10,"baron/melee","MBelphegorBall",32)
		BOS3 EF 6 A_FaceTarget
		BOS3 G 6 A_BasicAttack (10,"baron/melee","MBelphegorBall",32)
		BOS3 EF 6 A_FaceTarget
		BOS3 G 6 A_BasicAttack (10,"baron/melee","MBelphegorBall",32)
		Goto See
	Pain:
		BOS3 H 2
		BOS3 H 2 A_Pain
		Goto See
	Death:
		BOS3 I 8 A_GiveToTarget ("MarineExp",7)
		BOS3 J 8 A_Scream
		BOS3 K 8
		BOS3 L 8 A_NoBlocking
		BOS3 MN 8
		BOS3 O 1 A_JumpIf(random(1,3) == 3,2)
		BOS3 O 500 A_BossDeath
		Stop
		BOS3 O -1 A_BossDeath
		Stop	
	Raise:
		BOS3 ONMLKJI 8
		Goto See
   Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",7)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR MBelphegorBall : MBaronBall
{   DamageType "KnightDamage"
	Decal BaronScorch
	Speed 20}

Actor PyroDemon 30105
{ Health 1800
  Radius 24
  Height 64
  Mass 1000
  Speed 12
  PainChance 20  
  MeleeDamage 10  
  Bloodcolor "75 25 00"  
  SeeSound "pyro/see"
  PainSound "pyro/pain"
  DeathSound "pyro/death"
  ActiveSound "pyro/idle"
  Dropitem "Sawthrower" 74
  Dropitem "UTNTFlameThrower" 84
  Obituary "%o \ccwas burnt to a crisp by a \cfPyroDemon"
  HitObituary "%o \ccwas melted my a \cfPyroDemon"
  Tag "PyroDemon"
  Species "Baron"
  Monster
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +NOTARGET +FLOORCLIP 
  +MISSILEMORE +NORADIUSDMG +BOSS
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.8
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "KnightDamage",0
  States
  {Spawn:
    PYRO AB 10 A_Look
    Loop
  See:
    PYRO AA 3 A_Chase
    PYRO A 0 A_SpawnItemEx("WalkFire",0,0,0,1,0,0,0,128)
    PYRO BB 3 A_Chase
    PYRO B 0 
    PYRO CC 3 A_Chase
    PYRO C 0 A_SpawnItemEx("WalkFire",0,0,0,1,0,0,0,128)
    PYRO DD 3 A_Chase
    PYRO D 0 
    Loop
  Missile:
    PYRO B 0 A_Jump(8,29)
    PYRO B 0 A_Jump(8,20)
    PYRO EF 8 Bright A_FaceTarget
    PYRO G 0 Bright A_CustomMissile ("FireShot",28,0,0,0)
    PYRO G 0 Bright A_CustomMissile ("FireShot",28,0,-4,0)
    PYRO G 3 Bright A_CustomMissile ("FireShot",28,0,4,0)
    PYRO H 3 Bright
    PYRO H 0 A_Jump(16,8)
    PYRO IJ 8 Bright A_FaceTarget 
    PYRO K 0 Bright A_CustomMissile ("FireShot",28,0,0,0)
    PYRO K 0 Bright A_CustomMissile ("FireShot",28,0,-4,0)
    PYRO K 3 Bright A_CustomMissile ("FireShot",28,0,4,0)
    PYRO L 3 Bright
    PYRO L 0 A_Jump(8,1)
    Goto See
    PYRO MN 8 Bright A_FaceTarget
    PYRO O 4 Bright A_CustomMissile ("PyroBlast",28,0,0,0)
    PYRO P 4 Bright
    Goto See
    PYRO MN 8 Bright A_FaceTarget
    PYRO O 4 Bright A_CustomMissile ("RainCometNull",28,0,0,0)
    PYRO O 4 Bright A_CustomMissile ("RainCometNull",28,0,90,0)
    PYRO O 4 Bright A_CustomMissile ("RainCometNull",28,0,180,0)
    PYRO O 4 Bright A_CustomMissile ("RainCometNull",28,0,270,0)
    PYRO P 4 Bright
    Goto See
	PYRO O 1 A_FaceTarget
    PYRO O 0 A_CustomMissile ("EscapeExplosion",28,10,0,0)
    PYRO O 0 A_Mushroom ("Pyroball",16)
    PYRO O 3
    PYRO P 3 Bright
    PYRO A 1 A_PlaySound("pyro/tele")
    PYRO A 1 A_SetTranslucent(0.90)
    PYRO A 1 A_SetTranslucent(0.80)
    PYRO A 1 A_SetTranslucent(0.70)
    PYRO A 1 A_SetTranslucent(0.60)
    PYRO A 1 A_SetTranslucent(0.50)
    PYRO A 1 A_SetTranslucent(0.40)
    PYRO A 1 A_SetTranslucent(0.30)
    TNT1 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 0 A_Wander
    TNT1 A 0 A_Jump(128,25)
    TNT1 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 0 A_ExtChase(0,0,1,1)
    PYRO A 1 A_PlaySound("pyro/tele")
    PYRO A 1 A_SetTranslucent(0.30)
    PYRO A 1 A_SetTranslucent(0.40)
    PYRO A 1 A_SetTranslucent(0.50)
    PYRO A 1 A_SetTranslucent(0.60)
    PYRO A 1 A_SetTranslucent(0.70)
    PYRO A 1 A_SetTranslucent(0.80)
    PYRO A 1 A_SetTranslucent(0.90)
    PYRO A 1 A_SetTranslucent(1.0)
    PYRO A 0 A_CustomMissile ("EscapeExplosion",28,10,0,0)
    PYRO O 0 A_Mushroom ("Pyroball",16)
    Goto See
  Pain:
    PYRO Q 2
    PYRO Q 2 A_Pain
    Goto See
  Death:
    PYRO R 0 A_GiveToTarget ("MarineExp",7)
    PYRO R 20 Bright A_Scream
    PYRO S 20 Bright
    PYRO T 20 Bright 
    PYRO U 20 Bright A_NoBlocking
    PYRO VW 6 Bright
    PYRO X 6 Bright
    PYRO Y 3 Bright
    PYRO Z 1 A_JumpIf(random(1,3) == 3,2)
	PYRO Z 500 A_BossDeath
	Stop
	PYRO Z -1 A_BossDeath
	Stop
  Raise:
	PYRO Z 8
	PYRO YXWVUTSR 8
	Goto See
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",7)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

Actor FireShot
{ Radius 3
  Height 3
  Speed 15
  Damage 3
  Projectile
  RenderStyle Add
  Alpha 0.67
  DamageType "KnightDamage"
  SeeSound "pyro/flame"
  DeathSound "pyro/flamepoof"
  Decal RevenantScorch
  States
  {Spawn:
    FSHT A 1 Bright A_SpawnItemEx("FireTail",0,0,0,0,0,0,0,128)
    FSHT A 1 Bright A_SpawnItemEx("FireTail",0,0,0,0,0,0,0,128)
    FSHT A 1 Bright A_SpawnItemEx("FireTail",0,0,0,0,0,0,0,128)
    Loop
  Death:
    FSHT A 0 Bright A_Explode(-1,-1,0,0,0,0,0,"KnBulletPuff")
    FSHT B 0 Bright
    FSHT B 3 Bright
    FSHT C 3 Bright
    FSHT D 3 Bright
    FSHT E 3 Bright
    Stop}}

Actor FireTail
{ Projectile
  RenderStyle Add
  +NoClip
  Alpha 0.4
  States
  {Spawn:
    FRTB ABCDEFGHI 1 Bright
    Stop}}

Actor EscapeExplosion 
{ SeeSound "pyro/explosion"
  Radius 8
  Height 56
  Speed 0
  States
  {Spawn:
    NKXP B 3 Bright
    NKXP C 3 Bright
    NKXP D 3 Bright A_Explode(50,192,0,0,0,0,0,"KnBulletPuff")
    NKXP EFGHIJKLMNOPQRSTUV 3 Bright
    Stop}}

Actor PyroBall
{ Radius 10
  Height 8
  Speed 15
  SeeSound "pyro/bomb"
  DeathSound "pyro/bombhit"
  DamageType "KnightDamage"
  Projectile  
  RenderStyle Add
  Alpha 0.7
  -NOGRAVITY +DOOMBOUNCE +LOWGRAVITY +FIREDAMAGE +SEEKERMISSILE  
  Decal RevenantScorch
  States
  {Spawn:
    RBAL A 0 Bright
    RBAL A 0 Bright A_AlertMonsters
    RBAL AAAABBBB 1 Bright 
    Goto Spawn +2
  Death:
    RBAL DEFGHI 4 Bright 
    Stop}}

Actor FirebombExplosion1
{ Radius 11
  Height 8
  Speed 18
  Damage 6
  +NOBLOCKMAP +DROPOFF +ACTIVATEIMPACT +ACTIVATEPCROSS
  +Missile  
  DamageType "KnightDamage"
  Obituary "%o was killed by a firebomb explosion."
  States
  {Spawn:
     FRME A 1 Bright
     Loop
  Death:
     FRME A 0
     FRME A 0 A_PlaySound("pyro/blastexplosion")
     FRME A 3 Bright A_Explode(128,144,0,0,0,0,0,"KnBulletPuff")
     FRME B 1 Bright A_Mushroom("Pyroball",8)
     FRME B 2 Bright A_CustomMissile("FirebombExplosion2",25,0,180)
     FRME CDEFGHIJKLMNOPQRS 3 Bright
     Stop}}

Actor FirebombExplosion2 : FirebombExplosion1
{States
  {Death:
    FRME A 0
    FRME A 0 A_PlaySound("pyro/blastexplosion")
    FRME A 3 Bright A_Explode(128,136,0,0,0,0,0,"KnBulletPuff")
    FRME B 1 Bright
    FRME B 2 Bright A_CustomMissile("FirebombExplosion3",20,0,180)
    FRME CDEFGHIJKLMNOPQRS 3 Bright
    Stop}}

Actor FirebombExplosion3 : FirebombExplosion1
{ Speed 14
  Damage 5
  States
  {Death:
    FRME A 0
    FRME A 0 A_PlaySound("pyro/blastexplosion")
    FRME A 3 Bright A_Explode(128,128,0,0,0,0,0,"KnBulletPuff")
    FRME BCDEFGHIJKLMNOPQRS 3 Bright
    Stop}}

Actor PyroBlast
{ Projectile
  +SEEKERMISSILE +NOGRAVITY
  RenderStyle Add
  Alpha 0.4
  SeeSound "pyro/blast"
  DeathSound "pyro/flamepoof"
  DamageType "KnightDamage"
  Speed 17
  Height 10
  Radius 10
  Decal Scorch
  states
  {Spawn:
    SBLL ABCDEFGHIJ 1 Bright A_SpawnItemEx("FireTail",0,0,0,0,0,0,0,128)
    SBLL A 0 Bright A_SeekerMissile(0,2)
    Goto Spawn+1
  Death:
    SBLL K 0 A_CustomMissile("FirebombExplosion1",1,0,45)
    SBLL K 0 A_CustomMissile("FirebombExplosion1",1,0,135)
    SBLL K 0 A_CustomMissile("FirebombExplosion1",1,0,225)
    SBLL K 0 A_CustomMissile("FirebombExplosion1",1,0,315)
    SBLL LMNOPQRSTUVW 1 Bright
    Stop}}

Actor WalkFire
{ +NOCLIP +DROPOFF +RANDOMIZE
  +Missile 
  Scale 1.5
  Speed 1
  RenderStyle Add
  Alpha 0.67
  States
  {Spawn:
    TNT1 A 8
    FRTF A 1 Bright
    FRTF A 0 
    FRTF B 1 Bright
    FRTF B 0 
    FRTF C 1 Bright
    FRTF C 0 
    FRTF C 0 
    FRTF C 0 A_Jump(191,4)
    FRTF C 0 A_CustomMissile("WalkFire",0,24,0)
    FRTF C 0 A_CustomMissile("WalkFire",0,0,0)
    FRTF C 0 A_CustomMissile("WalkFire",0,-24,0)
    FRTF DEFGHIJKLMNO 1 Bright
    Stop}}

Actor RainCometNull
{ Radius 0
  Height 0
  Speed 8
  Projectile
  +FLOORCLIP +RIPPER +DOOMBOUNCE +CEILINGHUGGER +DONTHURTSPECIES
  States
  {Spawn:
    ZAP5 A 0 A_Jump(5,8)
    ZAP5 AAAAAA 1 A_Wander
    ZAP5 A 8 A_CustomMissile("FallingComet",-24,random(0,128),random(0,360),2,random(1,89))
    Loop
  Death:
    ZAP5 A 0
    Stop}}

Actor FallingComet
{ Radius 6
  Height 8
  Speed 5
  Damage 5
  ExplosionDamage 40
  ExplosionRadius 80
  Scale 0.55
  Projectile
  SeeSound "pyro/comet"
  DeathSound "pyro/cometdeath"
  DamageType "KnightDamage"
  -NOGRAVITY -FLOAT +FLOORCLIP +DONTHURTSPECIES +SPAWNCEILING
  Decal RevenantScorch
  States
  {Spawn:
    COMT AAAABBBBCCCC 1 Bright A_SpawnItemEx("FireTail",0,0,0,0,0,0,0,128)
    Loop
  Death:
    COMT D 3 Bright A_SpawnItemEx("CometDeathGlow",0,0,0,0,0,0,0,128)
    COMT E 3 Bright A_Explode(20,128,0,0,0,0,0,"KnBulletPuff")
    COMT E 0 A_SpawnItemEx("CometDeath",0,0,0,0,0,0,0,128)
    Stop}}

Actor CometDeathGlow : FireTail
{Scale 2.0
  Alpha 0.6
  States
  {Spawn:
    FRTB ABCDEFGHI 3 Bright
    Stop}}

Actor CometDeath
{Projectile
  RenderStyle Add
  +NoClip
  Alpha 0.7
  States
  {Spawn:
    COMT FGHI 3 Bright
    Stop}}

actor DeepOne 11300
{ health 1200
  radius 24
  height 64
  mass 1000
  speed 12
  BloodColor "purple"
  painchance 50
  meleedamage 20
  meleerange 64
  renderstyle Translucent
  alpha 1.0
  Dropitem "BioLauncher" 74
  seesound "deepone/sight"
  painsound "deepone/pain"
  deathsound "deepone/death"
  activesound "deepone/active"
  meleesound "deepone/melee"
  obituary "%o \ccwas driven mad by a \cfDeep One\cc."
  hitobituary "%o \ccgot whiplashed by a \cfDeep One\cc."
  Tag "Deep One"
  Species "Baron"
  Monster
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +FLOORCLIP +BOSSDEATH 
  +MISSILEEVENMORE
  DamageFactor "MarineDamage",1
  DamageFactor "MarineRail",0.8
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1 
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "KnightDamage",0
  states
  {Spawn:
    CUTH DD 6 A_Look
    loop
See:
    CUTH ABCD 6 A_Chase
    loop
Melee:
	CUTH E 0 A_FaceTarget 
	CUTH E 6 A_PlaySound ("deepone/meleegrowl") 
    CUTH F 6 A_FaceTarget
	CUTH G 2 A_MeleeAttack
	CUTH HI 2
	goto See
Missile:
    CUTH J 0 A_JumpIfCloser (32,"Melee") 
    CUTH J 0 A_Jump (20, "Hide") 
    CUTH J 8 A_FaceTarget
    CUTH K 0 A_CustomMissile("DeepOneBall",42,15)
    CUTH K 8  bright A_CPosRefire
	Goto Missile+1
Pain:
    CUTH L 0 A_TakeInventory("squidinviso",255)
    CUTH L 2 A_SetTranslucent(1.0)
    CUTH L 2 A_Pain
    goto See
Hide:
    CUTH I 1 A_JumpIfInventory("squidinviso",1,"Unhide")
    CUTH I 0 A_GiveInventory("squidinviso", 1)
    CUTH I 2 A_PlaySound ("deepone/stealth")
    CUTH I 10 A_SetTranslucent(0.20)
    goto See
Unhide:
    CUTH D 0 A_TakeInventory("squidinviso",255)
	CUTH D 2 A_SetTranslucent(1.0)
	CUTH D 2 A_PlaySound ("deepone/stealth")
    goto See	
Death:
    CUTH M 0 A_GiveToTarget ("MarineExp",6)
	CUTH M 0 A_SetTranslucent(1.0)
	CUTH M 0 A_Jump(128,"AltDeath")
    CUTH M 10
    CUTH N 10 A_Scream
    CUTH O 10
    CUTH P 10 A_NoBlocking
	CUTH Q 1 A_JumpIf(random(1,3) == 3,2)
	CUTH Q 500 A_BossDeath
	Stop
	CUTH Q -1 A_BossDeath
	Stop
AltDeath:
    CUTH R 5 A_SetTranslucent(1.0)
    CUTH S 5 A_Scream
    CUTH T 5
    CUTH U 5 A_NoBlocking
    CUTH V 5
	CUTH W 500
    stop	
Raise:
    CUTH PONM 8
    goto See
Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",6)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor DeepOneBall
{ Radius 13
  Height 8
  Speed 25
  Damage 5
  Projectile
  +RANDOMIZE +ROCKETTRAIL +SEEKERMISSILE
  RenderStyle Add
  Alpha 0.75
  DamageType "KnightDamage"
  SeeSound "deepone/fire"
  DeathSound "deepone/firehit"
  States
  {Spawn:
    OLDP A 0 A_Tracer
    OLDP A 0 bright A_BishopMissileWeave
    OLDP A 2 bright A_BishopMissileWeave
	OLDP B 0 A_Tracer
	OLDP B 0 bright A_BishopMissileWeave
    OLDP B 2 bright A_BishopMissileWeave
    loop
	//OLDP A 2 bright A_Weave(-2,2,2.0,1.0)
    //OLDP B 2 bright A_Weave(-2,2,2.0,1.0)
    //goto spawn+3
  Death:
    OLDP C 0 A_Scream
    OLDP CDEF 4 bright 
    stop}}

ACTOR squidinviso : Inventory
{ Inventory.amount 0
  Inventory.maxamount 1}