actor MPainElemental : PainElemental replaces PainElemental
{ health 400
  radius 31
  height 56
  mass 400
  speed 8
  tag "Pain Elemental"
  Species "Caco"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageType "CacoDamage"
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1 
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0
  DamageFactor "CacoDamage",0
  states
  {Spawn:
    PAIN A 5 A_Look 
    PAIN A 5 
    loop
  See:
    PAIN AABBCC 3 A_Chase 
	loop	
  Missile:
	PAIN D 5 A_FaceTarget
	PAIN E 5 A_FaceTarget
	PAIN F 4 BRIGHT A_FaceTarget
	PAIN F 0 A_Jump(32, "MPoisonSoul","MFireSerpent","MFlameSerpent")
	PAIN F 1 BRIGHT A_PainAttack("MLostSoul")
	Goto See
  Pain:
	PAIN G 6
	PAIN G 6 A_Pain
	Goto See
  MPoisonSoul:
	PAIN F 1 BRIGHT A_PainAttack("PoisonSoul")
	Goto See
  MFireSerpent:
	PAIN F 1 BRIGHT A_PainAttack("FireSerpent")
	Goto See
  MFlameSerpent:
	PAIN F 1 BRIGHT A_PainAttack("FlameSerpent")
	Goto See
  Death:
    PAIN H 8 bright A_GiveToTarget ("MarineExp",5)
    PAIN I 8 bright A_Scream
    PAIN JK 8 bright
	PAIN L 0 A_Jump(32, "PoisonSoul","FireSerpent","FlameSerpent")
    PAIN L 8 bright A_PainDie("MLostSoul") 
    PAIN M 8 bright
    stop
   PoisonSoul:
	PAIN L 8 bright A_PainDie("PoisonSoul") 
    PAIN M 8 bright
    stop
   FireSerpent:
	PAIN L 8 bright A_PainDie("FireSerpent") 
    PAIN M 8 bright
	stop
   FlameSerpent:
	PAIN L 8 bright A_PainDie("FlameSerpent") 
    PAIN M 8 bright
    stop
  Ice: 
    "####" "#" 0 A_Changeflag("FLOAT",0)
	"####" "#" 0 A_Changeflag("NOGRAVITY",0)
	"####" "#" 0 A_Changeflag("DONTFALL",0)
	"####" "#" 1 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",5)
    "----" A 1 A_FreezeDeathChunks
    Wait}}