actor MRevenant : Revenant
{ health 300
  radius 20
  height 56
  mass 500
  speed 10
  Scale 0.85  
  obituary "%o \ccwas flamed by a \cfRevenant\cc."
  hitobituary "%o \ccwas boned by a \cfRevenant\cc."
  tag "Revenant"
  Species "Revenant"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "SkelDamage",0 
  states
  {Spawn:
    SKEL A 10 A_Look 
	SKEL B 10
   loop
  See:
    SKEL AABBCCDDEEFF 2 A_Chase
	loop	
  Missile:
    SKEL J 10 Bright A_FaceTarget
    SKEL J 0 A_JUMP(76,"TRACER")
    SKEL K 10 A_CustomMissile("RevMissile",58)
    GOTO SEE
  TRACER:
    SKEL K 10 A_SkelMissile
    SKEL K 10 A_FaceTarget
    Goto See
  Pain:
	SKEL L 5
	SKEL L 5 A_Pain
	Goto See
  Death:
    SKEL A 0 A_GiveToTarget ("MarineExp",4)
    SKEL LM 7
    SKEL N 7 A_Scream
    SKEL O 7 A_NoBlocking
    SKEL P 7 
    SKEL Q 1 A_JumpIf(random(1,3) == 3,2)
    SKEL Q 500
    stop
    SKEL Q -1
    stop
   Raise:
    SKEL Q 5
    SKEL PONML 5
    Goto See	
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

actor MRevenantTracer : RevenantTracer
{DamageType "SkelDamage"}

actor RevMissile
{ radius 12
  height 8
  speed 16
  damage 11
  renderstyle "Add"
  scale 1
  seesound "skeleton/attack"
  deathsound "skeleton/tracex"
  DamageType "SkelDamage"
  PROJECTILE
  states
  {Spawn:
    FATB AB 2 bright
    //FATB A 0 A_SpawnItem("TracerSmoke",0)
    loop
  Death:
    FBXP A 8 bright
    FBXP B 6 bright 
    FBXP C 4 bright 
    stop}}

ACTOR MRevenantTracerSmoke replaces RevenantTracerSmoke
{ +CLIENTSIDEONLY +NOBLOCKMAP +NOGRAVITY +NOTELEPORT
  RenderStyle Translucent 
  Alpha 0.5
  States
  {Spawn:
	TNT1 A 1
    //PUFF ABABC 4
    Stop}}