actor MRevenantCommando : MRevenant
{ health 300
  radius 20
  height 56
  mass 500
  speed 10
  Scale 0.85
  Bloodcolor "blue" 
  obituary "%o \ccwas Rocketed by a \cfRevenant Commando\cc." 
  hitobituary "%o \ccgot a right good boning by a \cfRevenant Commando\cc."
  tag "Revenant Commando"
  Species "Revenant"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "ZombiesDamage",0.1
  DamageFactor "ZombiesFCDamage",0.1
  DamageFactor "ZombieTankDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "SkelDamage",0  
  states
  {Spawn:
    SKEB A 10 A_Look 
	SKEB B 10
   loop
  See:
    SKEB AABBCCDDEEFF 2 A_Chase
    loop	
  Melee:
    SKEB G 1 A_FaceTarget
    SKEB G 6 A_SkelWhoosh
    SKEB H 6 A_FaceTarget
    SKEB I 6 A_SkelFist
    Goto See
  Missile:
    SKEB J 10 Bright A_FaceTarget
    SKEB J 0 A_JUMP(76,"TRACER")
    SKEB K 10 A_CustomMissile("RevMissileCommando",58)
    GOTO SEE
  TRACER:
    SKEB K 10 A_CustomMissile("MRevenantTracer")
    SKEB K 10 A_FaceTarget
    Goto See
  Pain:
     SKEB L 5
     SKEB L 5 A_Pain
     Goto See
  Death:
    SKEB A 0 A_GiveToTarget ("MarineExp",4)
    SKEB LM 7
    SKEB N 7 A_Scream
    SKEB O 7 A_NoBlocking
    SKEB P 7 
    SKEB Q 1 A_JumpIf(random(1,3) == 3,2)
    SKEB Q 500
    stop
    SKEB Q -1
    stop
   Raise:
    SKEB Q 5
    SKEB PONML 5
    Goto See
   Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait}}

ACTOR RevMissileCommando
{  Radius 8
   Height 11
   Speed 6 
   Damage 15
   PROJECTILE
   DeathSound "weapons/hrlexp"
   Damagetype "SkelDamage"
   SeeSound "weapons/hrlfir"
   ExplosionDamage 96
   ExplosionRadius 96
   BounceCount 1 
   Decal Scorch
   +SeekerMissile +Rockettrail +RANDOMIZE +DEHEXPLOSION +CANBOUNCEWATER 
   +DOOMBOUNCE +NOBOUNCESOUND +NOWALLBOUNCESND           
   States
   {Spawn:
      HMIS A 4 Bright A_SeekerMissile (5,10)
      HMIS A 4 Bright
      HMIS A 2 Bright A_SeekerMissile (5,10) 
      HMIS A 2 Bright
      goto Spawn+2
   Death:
      MISL B 8 bright A_Explode(96,96,0,0,0,0,0,"SkBulletPuff")
      MISL C 6 bright
      MISL D 4 bright
      stop}}
	  
actor SkBulletPuff : FBulletPuff
{DamageType "SkelDamage"}