actor MZombieMan : ZombieMan 
{ health 50
  radius 20
  height 56
  mass 100
  speed 8
  dropitem "LightMachinegun" 86
  obituary "%o \ccwas erm!! killed by a \cfZombieMan\cc."
  tag "ZombieMan"
  Species "Zombie"
  +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
  DamageFactor "MarineDamage", 1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ZombieTankDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
  states
  {Spawn:
    POSS A 10 A_Look
	POSS B 10 
	loop	
  See:
    POSS AABBCCDD 4 A_Chase
	loop		
  Missile:
    POSS E 10 A_FaceTarget
    POSS F 8 bright A_CustomBulletAttack (11.5,7.5,1,4,"FBulletPuff")
    POSS E 8
    POSS E 0 A_Jump(96,"Missile")
    goto See
  Pain:
    POSS G 3
	POSS G 3 A_Pain
    Goto See
  Death:
    POSS H 5 A_GiveToTarget ("MarineExp",1)
    POSS I 5 A_Scream
    POSS J 5 A_NoBlocking
    POSS K 5
    POSS L 5 A_JumpIf(random(1,3) == 3,2)
	POSS L 500 
	Stop
	POSS L -1
	Stop
  XDeath:
    POSS M 5 A_GiveToTarget ("MarineExp",1)
    POSS N 5 A_XScream
    POSS O 5 A_NoBlocking
    POSS PQRST 5
    POSS U 1000
    stop
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",1)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise:
	POSS K 5
	POSS JIH 5
	Goto See}}

// ChainSawZombie
ACTOR MChainsawZombie 
{   Health 120 
    Radius 20 
    Height 56 
    Speed 40 
    MeleeDamage 12
    PainChance 20	
	dropitem "SawThrower" 86     
	obituary "%o \ccwas sliced by a mad \cfChainsaw Zombie\cc."
    SeeSound "grunt/sight" 
    MeleeSound "weapons/sawhit" 
    PainSound "grunt/pain" 
    DeathSound "grunt/death" 
    ActiveSound "grunt/active"  
	tag "Chainsaw Zombie"
	Species "Zombie"
	MONSTER 
    +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES
    DamageFactor "MarineDamage",1
    DamageFactor "ImpBallDamage",0.1
	DamageFactor "DemonDamage",0.1
    DamageFactor "CacoDamage",0.1
    DamageFactor "SkelDamage",0.1
    DamageFactor "FatsoDamage",0.1
    DamageFactor "KnightDamage",0.1
    DamageFactor "ArachDamage",0.1
    DamageFactor "viledamage",0.1   
	DamageFactor "CybYamato",0.01
	DamageFactor "CybRLDamage",0.1
	DamageFactor "LostSerpDamage",0.1
	DamageFactor "ZombieTankDamage",0
	DamageFactor "ZombiesFCDamage",0
	DamageFactor "ZombiesDamage",0
    States 
    {Spawn: 
        CHAN AB 10 A_Look 
        Loop 
    See: 
        CHAN A 4 A_Chase 
        CHAN B 4 A_Chase 
        CHAN B 0 A_PlayWeaponSound("weapons/sawidle") 
        CHAN C 4 A_Chase 
        CHAN D 4 A_Chase 
        CHAN D 0 A_PlayWeaponSound("weapons/sawidle") 
        CHAN A 4 A_Chase 
        CHAN B 4 A_Chase 
        CHAN B 0 A_PlayWeaponSound("weapons/sawidle") 
        CHAN C 4 A_Chase 
        CHAN D 4 A_Chase 
        CHAN D 0 A_PlayWeaponSound("weapons/sawidle") 
	    loop	
    Melee: 
        CHAN E 1 A_FaceTarget 
        CHAN E 2
		CHAN F 3 A_M_Saw
        Goto See 
    Pain: 
        CHAN G 5 
        CHAN G 3 A_Pain 
        Goto See 
    Death: 
        CHAN H 5 A_GiveToTarget ("MarineExp",2) 
        CHAN I 5 A_Scream 
        CHAN J 5 A_Fall 
        CHAN KLM 5 	
        CHAN N 5 A_JumpIf(random(1,3) == 3,2)
	    CHAN N 500
	    Stop
	    CHAN N -1
	    Stop	
    XDeath:
        CHAN O 5 A_GiveToTarget ("MarineExp",2)
        CHAN P 5 A_XScream
        CHAN Q 5 A_Fall
        CHAN RSTUV 5
        CHAN W 1000
        Stop
    Raise: 
        CHAN NMLKJIH 5 
        Goto See 
	Ice:
	    "####" "#" 5 A_GenericFreezeDeath
	    TNT1 A 0 A_GiveToTarget ("MarineExp",2)
        "----" A 1 A_FreezeDeathChunks
        Wait}}

ACTOR MPlasmaZombie
{ Health 120
  Radius 20
  Height 56
  Speed 8
  PainChance 100
  MissileType ZTPlasmaBall
  DropItem "MCell" 86
  dropitem "MPlasmaRifle" 86
  SeeSound "grunt/sight"
  AttackSound "grunt/attack"
  PainSound "grunt/pain"
  DeathSound "grunt/death"
  ActiveSound "grunt/active"
  obituary "%o \ccgot slightly toasted by a \cfPlasma Zombie\cc."
  tag "Plasma Zombie"
  Species "Zombie"
  MONSTER 
  +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES  
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1  
  DamageFactor "CybYamato",0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ZombieTankDamage",0
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
    States
    {Spawn:
     ZMAY AB 10 A_Look
     Loop
    See:
    ZMAY AABBCCDD 4 A_Chase
	loop		
    Missile:
        ZMAY E 5 A_FaceTarget
        ZMAY F 2 bright A_MissileAttack
        ZMAY E 1 A_FaceTarget
        ZMAY F 2 bright A_MissileAttack
        ZMAY E 1 A_FaceTarget
        ZMAY F 2 bright A_MissileAttack
        ZMAY E 15
        Goto See
    Pain:
        ZMAY G 3
        ZMAY G 3 A_Pain
        Goto See
    Death:
        ZMAY H 5 A_GiveToTarget ("MarineExp",3)
        ZMAY I 5 A_Scream
        ZMAY J 5 A_Fall
        ZMAY K 5
		ZMAY L 1 A_JumpIf(random(1,3) == 3,2)
        ZMAY L 500
        Stop
		ZMAY L -1
		Stop
    XDeath:
        ZMAY O 5 A_GiveToTarget ("MarineExp",3)
        ZMAY P 5 A_XScream
        ZMAY Q 5 A_Fall
        ZMAY RSTU 5
		ZMAY V 500
		Stop
    Raise:
        ZMAY KJIH 5
        Goto See
	Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",3)
    "----" A 1 A_FreezeDeathChunks
    Wait}}
	
actor KamikaziGuy 10300
{ health 200
  radius 16
  height 56
  mass 100
  speed 20
  obituary "%o \ccfell victim to a \cfbeheaded kamikazi\cc!"
  Tag "Kamikazi Guy"
  Species "Zombie"
  MONSTER 
  +FLOORCLIP +NOINFIGHTING +DONTHARMSPECIES +DONTHURTSPECIES +QUICKTORETALIATE
  +ALWAYSFAST +NOTARGET
  DamageFactor "MarineDamage",1
  DamageFactor "ImpBallDamage",0.1
  DamageFactor "DemonDamage",0.1
  DamageFactor "CacoDamage",0.1
  DamageFactor "SkelDamage",0.1
  DamageFactor "FatsoDamage",0.1
  DamageFactor "KnightDamage",0.1
  DamageFactor "ArachDamage",0.1
  DamageFactor "viledamage",0.1
  DamageFactor "CybYamato", 0.01
  DamageFactor "CybRLDamage",0.1
  DamageFactor "LostSerpDamage",0.1
  DamageFactor "ZombieTankDamage",0 
  DamageFactor "ZombiesFCDamage",0
  DamageFactor "ZombiesDamage",0
  states
  {Spawn:
    BKAM A 0 A_StopSoundEx ("soundslot5")
    BKAM AB 10 A_LookEx (0,0,0,0) 
    loop
  Idle:
    BKAM A 0 A_StopSoundEx ("soundslot5")
    BKAM AB 10 A_LookEx (0,0,0,0) 
    BKAM A 0 A_Jump (8,"IdleNoise")
    loop
  IdleNoise:
    BKAM A 0 A_PlaySound ("kamikazi/idle")
    goto Idle
  See:
    BKAM A 0 A_PlaySoundEx ("kamikazi/scream","soundslot5",1)
    BKAM A 2 A_FaceTarget
    BKAM A 0 A_JumpIfCloser(56,"Melee")
    BKAM A 2 A_Recoil (-5)
	BKAM B 1 A_Chase
    BKAM B 1 A_FaceTarget
    BKAM B 0 A_JumpIfCloser(56,"Melee")
    BKAM B 2 A_Recoil (-5)
	BKAM C 1 A_Chase
    BKAM C 1 A_FaceTarget
    BKAM C 0 A_JumpIfCloser(56, "Melee")
    BKAM C 2 A_Recoil (-5)
	BKAM D 1 A_Chase
    BKAM D 1 A_FaceTarget
    BKAM D 0 A_JumpIfCloser(56, "Melee")
    BKAM D 2 A_Recoil (-5)
  CheckSee:
    BKAM D 0 A_CheckSight ("Navigate")
    goto See
  Navigate:
    BKAM ABBCCDDAABBCCDDAABBCCDD 2 A_Chase
    goto CheckSee
  Melee:   
    BMBE U 0 A_Explode (200,6)
	goto See
  Death.MarineKickBasic:
  Death.MarineKickPowered:
  Death.BFGSplash:
  Death.MarineRLDamage:
  Death.MarineRail:
  Death.MarineSuperweapon: 
  Death.PorkDamage:
  Death.Disintegrate:
  Death.Sawshot:
  Death.Electric:
  Death.MarineDamage:
    BMBE M 0 A_GiveToTarget ("MarineExp",4)
  Death:
	BMBE M 0 bright A_SpawnItem ("KamikaziDamage",0,40)
    BMBE M 0 bright A_Stop
    BMBE M 0 bright A_StopSoundEx ("soundslot5")
    BMBE M 5 bright A_PlaySound ("weapons/rocklx")
    BMBE N 5 bright
    BMBE O 5 A_NoBlocking
    BMBE PQRSTU 5 
    BMBE U 5 A_JumpIf(random(1,3) == 3,2)
	BMBE U 500
	Stop
	BMBE U -1
	Stop
  Ice:
	"####" "#" 5 A_GenericFreezeDeath
	TNT1 A 0 A_GiveToTarget ("MarineExp",4)
    "----" A 1 A_FreezeDeathChunks
    Wait
  Raise: 
    BMBE UTSRQPONM 5 
    Goto See}}

actor KamikaziDamage
{Radius 2
  Height 2
  Speed 0
  Projectile
  Damagetype "ZombiesDamage"
  States
  {Spawn:
    TNT1 A 1
    TNT1 A 1 A_Explode (100,96,0,0,0,0,0,"Fbulletpuff")
    stop}}