// ChainGun
actor MChaingun : Weapon
{  Weapon.AmmoType "MClip"
   Weapon.AmmoUse2 1 
   Weapon.AmmoType2 "MClip"
   Weapon.AmmoUse 1 
   Weapon.AmmoGive 40
   Weapon.SelectionOrder 2
   Inventory.PickupSound "misc/w_pkup"
   Inventory.PickupMessage "\ccYou've got the \cfChaingun\cc!"
   attacksound "weapon/VulcanFire"  
   Tag "Chaingun"  
   +WEAPON.NOAUTOAIM
   +WEAPON.AMMO_OPTIONAL
   +WEAPON.ALT_AMMO_OPTIONAL
   +INVENTORY.ALWAYSPICKUP
   +THRUGHOST
   States
   {spawn:
    MGUN A 1
    MGUN A 0 A_SpawnItemEx("MChaingunPickup",56,0,28,6,0,6,0,1)
    STOP
   Ready:
     CHGG A 1 A_WeaponReady
     CHGG A 0 A_jumpifinventory("kicking",1,"dokick")
     Loop
   Select: 
     CHGG A 0
     CHGG A 0
     CHGG A 0 ACS_NamedExecuteAlways("Netsave",0,9)
	 CHGG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	 CHGG A 0 ACS_NamedExecuteAlways("InfAmmo",0,9)
	 CHGG A 0 A_TakeInventory ("Cooloff",1)
	 CHGG A 0 ACS_ExecuteAlways(585,0,9)	 
   Sel:
     CHGG A 0 
     CHGG A 1 A_Raise
	 TNT1 AA 0 A_Raise
     Loop
   Deselect:
	 CHGG A 0 A_TakeInventory ("PM_AltfireX", 1)
	 CHGG A 0 A_TakeInventory ("PM_AltfireY", 1)
	 CHGG A 0 A_TakeInventory ("PM_AltfireZ", 1)
	 CHGG A 0 A_TakeInventory("Mspinch3",5)
   Del:
	 CHGG A 1 A_Lower
	 TNT1 AA 0 A_Lower
	 Loop
   Fire:
     CHGG A 0 A_jumpifinventory("kicking",1,"dokick")
     CHGG A 0 A_JumpIfNoAmmo("OuttaAmmo")
	 CHGG A 0 A_Gunflash
	 CHGG A 2
	 CHGG B 0 A_FireCustomMissile("ChainGunTracer", random(-2,2),0,12,-6,0,random(-1,1))
	 CHGG B 2 A_FireBullets (3, 3, 1, 6, "BulletPuff")
	 CHGG C 2
	 CHGG D 0 A_FireCustomMissile("ChainGunTracer", random(-2,2),0,12,-6,0,random(-1,1))
	 CHGG D 2 A_FireBullets (3, 3, 1, 6, "BulletPuff")
	 CHGG A 0 A_ReFire
	 CHGG ABCD 2
     Goto Ready
   AltFire:
     CHGG A 0 A_jumpifinventory("kicking",1,"dokick")
     CHGG A 0 A_JumpIfNoAmmo("OuttaAmmo")
	 CHGG A 0 A_JumpIfInventory("Mspinch3",5,10)
	 CHGG AB 3
	 CHGG CD 3
	 CHGG AB 2
	 CHGG CD 1
	 CHGG A 0 A_GiveInventory("Mspinch3",5)
	 CHGG A 0 A_Gunflash
	 CHGG A 1
	 CHGG B 0 A_FireCustomMissile("ChainGunTracer", random(-2,2),0,12,-6,0,random(-1,1))
	 CHGG B 1 A_FireBullets (6,6,1,6,"BulletPuff") //spread 8.2
	 CHGG C 1
	 CHGG D 0 A_FireCustomMissile("ChainGunTracer", random(-2,2),0,12,-6,0,random(-1,1))
	 CHGG D 1 A_FireBullets (6,6,1,6,"BulletPuff") //spread 8.2
	 CHGG A 0 A_ReFire
	 CHGG A 0 A_TakeInventory("Mspinch3",5)
	 CHGG ABCD 2
	 CHGG ABCD 3
     Goto Ready
 OuttaAmmo:
     CHGG A 0 A_jumpifinventory("kicking",1,"dokick")
	 CHGG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	 Goto Ready
 DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
 BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
   Flash: 
	 CHGF A 2 bright A_Light1
	 TNT1 A 2 A_Light2
	 CHGF B 2 bright A_Light1
	 TNT1 A 2 A_Light2
	 TNT1 A 0 A_Light0
	 Stop
   AltFlash: 
	 CHGF A 1 bright A_Light1
	 CHGF A 1 bright A_Light2
	 CHGF B 1 bright A_Light1
	 TNT1 A 1 A_Light2
	 TNT1 A 0 A_Light0
	 Stop}}

actor PriMChaingun : MChaingun
{Weapon.SelectionOrder 1}
	 
Actor MChaingunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfChaingun\cc!"//Chaingun
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	MGUN A 5040
    MGUN AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    MGUN A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",9)>0),"GiveChaingun")
	MGUN A 0 A_GiveInventory("MClip",40)
	Fail
	MGUN A 6 
	Goto Spawn
 GiveChainGun:
	MGUN A 1 A_GiveInventory("MChaingun", 1)
	Stop}}	

Actor MChainGunSpawner : RandomSpawner replaces Chaingun
{Dropitem "MChaingunDrop"}

Actor MChaingunDrop : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfVulcan\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
    MNGN A -1
	Stop
 Pickup:
    MNGN A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",23)>0),"GiveChaingun")
	MNGN A 0 A_GiveInventory("MClip",100)
	Fail
	MNGN A 6 
	Goto Spawn
 GiveChainGun:
	MNGN A 1 A_GiveInventory("Vulcan", 1)
	Stop}}		
 
ACTOR Mspinch3 : Inventory
 {Inventory.Amount 0
  Inventory.MaxAmount 5
  States
   {Spawn:
    TNT1 A -1
    Loop}}

Actor ChainGunTracer: FastProjectile
{   -DONTSPLASH
	damagetype Cutless
	Projectile
	+RANDOMIZE
	+FORCEXYBILLBOARD
	+DONTSPLASH 
    +NOEXTREMEDEATH
	+CLIENTSIDEONLY 
	damage 0
	radius 2
	height 2
	speed 140
	renderstyle ADD
	alpha 0.9
	scale .15
states
{Spawn:
	TRAC A 1 BRIGHT
	Loop
Death:
	TNT1 A 0
    Stop
XDeath:
	TNT1 A 0
	Stop}}	