// ChainSaw
actor MChainsaw : Weapon
{ Weapon.Kickback 0
  Weapon.SelectionOrder 2  
  Weapon.UpSound "weapons/sawup"
  Weapon.ReadySound "weapons/sawidle"
  Inventory.PickupSound "misc/w_pkup"
  Inventory.PickupMessage "\ccYou've got the \cfChainSaw\cc!"
  Tag "ChainSaw"
  Obituary "$MA_ChainSaw"
  +WEAPON.MELEEWEAPON	
  +WEAPON.NOAUTOAIM
  +INVENTORY.ALWAYSPICKUP
  +THRUGHOST  
  States
  {Spawn:
	CHSW A 1
    CHSW A 0 A_SpawnItemEx("MChainSawPickup",56,0,28,6,0,6,0,1)
    stop
  Select:
    SAWG A 0
    SAWG A 0
	SAWG A 0 ACS_NamedExecuteAlways("Netsave",0,3)
	SAWG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	SAWG A 0 ACS_NamedExecuteAlways("NoAmmo",0,3)
	SAWG A 0 A_TakeInventory ("Cooloff",1)
 Sel:
     SAWG A 0
	 SAWG A 1 A_Raise
	 TNT1 AA 0 A_Raise
     Loop
 Deselect:
	SAWG C 0 A_TakeInventory ("PM_AltfireX", 1)
	SAWG C 0 A_TakeInventory ("PM_AltfireY", 1)
	SAWG C 0 A_TakeInventory ("PM_AltfireZ", 1)
  Del:
    SAWG C 1 A_Lower
	TNT1 CC 0 A_Lower
    Loop
 Ready:
    SAWG CD 4 A_WeaponReady
    SAWG A 0 A_jumpifinventory("kicking",1,"doKick")
    Loop
  Fire:
    SAWG A 0 A_jumpifinventory("kicking",1,"doKick")
    SAWG AB 4 A_Saw ("weapons/sawfull","weapons/sawhit",10,"MBulletPuff") //sprite 4, damage 2
    SAWG B 0 A_ReFire
    goto Ready
 DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
  BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready}}

actor PriMChainsaw : MChainsaw
{Weapon.SelectionOrder 1}
	
Actor MChainSawPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfChainSaw\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	CHSW A 5040
    CHSW AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    CHSW A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",3)>0),"GiveChainSaw")
	Fail
	CHSW A 6 
	Goto Spawn
 GiveChainSaw:
	CHSW A 0 A_GiveInventory("MChainSaw", 1)
	Stop}}	

Actor MChainSawSpawner : RandomSpawner replaces Chainsaw
{Dropitem "MChainSawDrop"}

Actor MChainSawDrop : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfChainSaw\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	CHSW A -1
	Stop
 Pickup:
    CHSW A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",3)>0),"GiveChainSaw")
	Fail
	CHSW A 6 
	Goto Spawn
 GiveChainSaw:
	CHSW A 0 A_GiveInventory("MChainSaw", 1)
	Stop}}		