// Pistol
actor MPistol : Weapon
{ Weapon.AmmoUse2 1
  Weapon.AmmoUse 1
  Weapon.AmmoType "MClip"
  Weapon.AmmoType2 "MClip"
  Weapon.AmmoGive 50
  Weapon.SelectionOrder 2
  attacksound "weapons/adpistol" 
  Tag "Derank Pistol"
  +WEAPON.NOAUTOAIM 
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL
  +WEAPON.CHEATNOTWEAPON
  +INVENTORY.ALWAYSPICKUP
  +INVENTORY.UNDROPPABLE 
  +THRUGHOST
  States
  {Spawn:
       PIST A 1
       PIST A 0 A_SpawnItemEx("MPistolPickup",56,0,28,6,0,6,0,1) 
	   Stop
  Ready:
    PISG A 1 A_WeaponReady
    PISG A 0 A_jumpifinventory("kicking",1,"dokick")
    Loop
  Select:
    PISG B 0
    PISG B 0
    PISG B 0 ACS_NamedExecuteAlways("Netsave",0,4)
	PISG B 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	PISG B 0 ACS_NamedExecuteAlways("InfAmmo",0,4)
	PISG B 0 A_TakeInventory ("Cooloff",1)
	PISG B 0 ACS_ExecuteAlways(585,0,1)	
  Sel:
    PISG B 0
    PISG B 1 A_Raise
	TNT1 BB 0 A_Raise
    LOOP
  Deselect:
	PISG A 0 A_TakeInventory ("PM_AltfireX", 1)
	PISG A 0 A_TakeInventory ("PM_AltfireY", 1)
	PISG A 0 A_TakeInventory ("PM_AltfireZ", 1)
  Del:
    PISG A 1 A_Lower
	TNT1 AA 0 A_Lower
    Loop
  Fire:
    PISG A 0 A_jumpifinventory("kicking",1,"dokick")
    PISG A 0 A_JumpIfNoAmmo("OuttaAmmo")
    PISG A 4
    PISG B 0 A_FireBullets (3.2, 1.2, 1, 6, "MBulletPuff")
	PISG B 0 A_FireCustomMissile("VulcanTracer",0,0,0,2,0)
    PISG B 5 A_GunFlash
    PISG C 4
    PISG B 5 A_ReFire
    Goto Ready
  AltFire:
    PISG A 0 A_jumpifinventory("kicking",1,"dokick")
    PISG A 0 A_JumpIfNoAmmo("OuttaAmmo")
    PISG A 3
    PISG B 0 A_FireBullets (5.6, 2.4, -1, 6, "MBulletPuff")
	PISG B 0 A_FireCustomMissile("VulcanTracer",0,0,0,2,0)
    PISG B 3 A_GunFlash
    PISG C 2
    PISG B 3 A_FireBullets (5.6, 2.4, -1, 6, "MBulletPuff")
	PISG B 0 A_FireCustomMissile("VulcanTracer",0,0,0,2,0)
    PISG C 2
    PISG B 5
    Goto Ready
  Flash:
    PISF A 6 Bright A_Light1
    PISF A 0 A_Light0
    Stop
  AltFlash:
    PISF A 3 Bright A_Light1
    TNT1 A 2 A_Light0
    PISF A 4 Bright A_Light1
    TNT1 A 0 A_Light0
    Stop
  OuttaAmmo:
    PISG A 0 A_jumpifinventory("kicking",1,"dokick")
	PISG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	Goto Ready
  DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
  BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready}}

actor PriMPistol : MPistol
{Weapon.SelectionOrder 1}

actor MBulletPuff : BulletPuff
{DamageType "MarineDamage"
 +THRUGHOST
 +NOEXTREMEDEATH}

Actor MPistolPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.Pickupmessage "\ccYou got the \cfPistol\cc!" 
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	PIST A 5040
    PIST AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    PIST A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",4)>0),"GivePistol")
	PIST A 0 A_GiveInventory("MClip",50)
	Fail	
	PIST A 6 
	Goto Spawn
 GivePistol:
	PIST A 1 A_GiveInventory ("MPistol",1)
	stop}}	
	
Actor AmmoCounts
{    damagetype Cutless
	Projectile
	+DONTSPLASH 
    +NOEXTREMEDEATH
	+CLIENTSIDEONLY
	damage 0
	radius 2
	height 2
	speed 1
states
{ Spawn:
	TNT1 A 1
  Death:
	TNT1 A 0
    Stop
  XDeath:
	TNT1 A 0
	Stop}}