// PlasmaRifle
actor MPlasmaRifle : weapon
{ Weapon.AmmoType "MCell"
  Weapon.AmmoType2 "MCell"
  Weapon.AmmoUse 1
  Weapon.AmmoUse2 1
  Weapon.AmmoGive 50
  Weapon.SelectionOrder 2 
  Tag "Plasma Rifle"
  Inventory.PickupSound "misc/w_pkup"
  Inventory.PickupMessage "\ccYou've got the \cfPlasma Rifle\cc!"
  +WEAPON.NOAUTOAIM
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL
  +INVENTORY.ALWAYSPICKUP
  +THRUGHOST
  States
  {Ready:   
       PLSG A 6 A_WeaponReady
	   PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
	   PLSG B 6 A_WeaponReady
	   PLSG B 0 A_jumpifinventory("kicking",1,"dokick")
	   PLSG C 6 A_WeaponReady
	   PLSG C 0 A_jumpifinventory("kicking",1,"dokick")
       Loop
  Select:
       PLSG A 0
       PLSG A 0
	   PLSG A 0 ACS_NamedExecuteAlways("Netsave",0,21)
	   PLSG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	   PLSG A 0 ACS_NamedExecuteAlways("InfAmmo",0,21)
	   PLSG A 0 A_TakeInventory ("Cooloff",1)
	   PLSG A 0 ACS_ExecuteAlways(585,0,7)	
  Sel:
       PLSG A 0 
       PLSG A 1 A_Raise
	   TNT1 AA 0 A_Raise
       LOOP
  Deselect:
	   PLSG A 0 A_TakeInventory ("PM_AltfireX", 1)
	   PLSG A 0 A_TakeInventory ("PM_AltfireY", 1)
	   PLSG A 0 A_TakeInventory ("PM_AltfireZ", 1)
   Del:
       PLSG A 1 A_Lower
	   TNT1 AA 0 A_Lower
       Loop
  Fire:	
       PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
       PLSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
       PLSF A 0 A_JumpIfInventory ("PM_AltFireX",1,"AltFireX")	
	   PLSF A 0 A_JumpIfInventory ("PM_AltFireY",1,"AltFireY")
	   PLSF A 0 A_JumpIfInventory ("PM_AltFireZ",1,"AltFireZ")
  	   PLSF A 1 A_GunFlash
	   PLSF B 1 A_FireCustomMissile ("MPlasmaBall",random(-1,1),1,0,0,0) //2	
	   PLSF C 1
	   PLSF C 0 A_ReFire
	   PLSG D 4
	   Goto Ready	 
  AltFire:
       PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
       PLSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
       PLSG D 6
       PLSF A 1 A_GunFlash	
	   PLSF B 1 A_FireCustomMissile ("MPlasmaBall",0,1,0,0,0)
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",-2,1,0,0,0)      
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",2,1,0,0,0)  
	   PLSF ABC 1 	   
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",-4,1,0,0,0)  
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",4,1,0,0,0)
	   PLSF ABC 1 
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",-5,1,0,0,0)      
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",5,1,0,0,0)      
	   PLSF ABC 1 
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",-8,1,0,0,0)	      
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",8,1,0,0,0)     
	   PLSF ABC 1 
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",-10,1,0,0,0)
	   PLSF A 0 A_FireCustomMissile ("MPlasmaBall",10,1,0,0,0)   
       PLSF C 0 A_ReFire
	   PLSG D 8
       Goto Ready	
 AltFireX:
       PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
       PLSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
   	   PLSF A 1 A_GunFlash
	   PLSF B 2 A_FireCustomMissile ("MPlasmaBallFast",random(-1,1),1,0,0,0) //2
       PLSF C 0 A_ReFire
	   PLSG C 4
	   PLSG D 8
	   Goto Ready
 AltFireY: 
       PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
       PLSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
	   PLSF A 1 A_GunFlash
	   PLSF B 3 A_FireCustomMissile ("MPlasmaBallHoming",random(-1,1),1,0,0,0) //2
	   PLSF C 0 A_ReFire
	   PLSG C 4
       PLSG D 8
	   Goto Ready	
 AltFireZ: 
       PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
       PLSF A 0 A_JumpIfNoAmmo("OuttaAmmo")
	   PLSF A 1 A_GunFlash
	   PLSG A 35 A_PlaySound("weapons/PlasmaAltZFire", CHAN_WEAPON, 1, 0, ATTN_NORM)
	   PLSF A 1 A_GunFlash
	   PLSF A 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2        
	   PLSF B 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2             
	   PLSF C 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2          
	   PLSF A 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2         
	   PLSF B 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2
	   PLSF C 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2            
	   PLSF A 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2
	   PLSF B 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2      
	   PLSF C 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2           
	   PLSF A 1 A_FireCustomMissile ("MPlasmaBallRipper",0,1,0,0,0) //2
	   PLSF A 1 A_GunFlash
	   PLSG D 40 
       PLSG C 0 A_ReFire
	   Goto Ready
   DoKick:
	   TNT1 A 0
	   TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	   TNT1 A 0 A_PlaySound("KICK")
	   TNT1 A 0 SetPlayerProperty(0,1,0)
	   KICK BCD 1
	   TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	   KICK H 4
	   TNT1 A 0 A_Takeinventory("Kicking",1)
	   KICK IGFEDCBA 1 
	   TNT1 A 0 SetPlayerProperty(0,0,0)
	   Goto Ready
   BerserkerKick:
	   TNT1 A 0 A_PlaySound("KICK")
	   TNT1 A 0 SetPlayerProperty(0,1,0)
	   KICK ABCDEFG 1
	   TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	   KICK H 3
	   TNT1 A 0 A_Takeinventory("Kicking",1)
	   KICK IGFEDCBA 1 
	   TNT1 A 0 SetPlayerProperty(0,0,0)
	   Goto Ready
   Flash:
       PLSF A 1 Bright A_Light1
       PLSF B 1 Bright A_Light2
       PLSF C 0 A_Light0
       Stop
   AltFlash:
       PLSF A 2 Bright A_Light1
       PLSF B 2 Bright A_Light2
       PLSF C 2 Bright A_Light1
       PLSF A 0 A_Light0
       Stop
   OuttaAmmo:
       PLSG A 0 A_jumpifinventory("kicking",1,"dokick")
	   PLSG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	   Goto Ready
   Spawn:
	  PLAS A 1
      PLAS A 0 A_SpawnItemEx("MPlasmaRiflePickup",56,0,28,6,0,6,0,1)
	  Stop}}

actor PriMPlasmaRifle : MPlasmaRifle
{Weapon.SelectionOrder 1}

Actor MPlasmaRiflePickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfPlasma Rifle\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	PLAS A 5040
    PLAS AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    PLAS A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",21)>0),"GivePlasmaRifle")
	PLAS A 0 A_GiveInventory("MCell",50)
	Fail	
	PLAS A 6 
	Goto Spawn
 GivePlasmaRifle:
	PLAS A 1 A_GiveInventory("MPlasmaRifle", 1) 
	stop}}	

Actor MPlasmaRifleSpawner : RandomSpawner replaces PlasmaRifle
{Dropitem "MPlasmaRifleDrop"}

Actor MPlasmaRifleDrop : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfPlasma Rifle\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	PLAS A -1
	Stop
 Pickup:
    PLAS A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",21)>0),"GivePlasmaRifle")
	PLAS A 0 A_GiveInventory("MCell",50)
	Fail
	PLAS A 6 
	Goto Spawn
 GivePlasmaRifle:
	PLAS A 1 A_GiveInventory("MPlasmaRifle", 1)
	stop}}
	
actor MPlasmaBall : PlasmaBall //PlasmaBall replaces PlasmaBall 
{DamageType "MarineDamage"
decal "PlasmaScorch"
 -NOTELEPORT
 +THRUGHOST
 +TELESTOMP }
 
actor MPlasmaBallFast : PlasmaBall //PlasmaBall replaces PlasmaBall 
{DamageType "MarineDamage"
decal "PlasmaScorch"
 -NOTELEPORT
 +TELESTOMP //added
 +THRUGHOST
 Speed 150 //25 //125
 SeeSound "weapons/PlasmaQ3"}
 
actor MPlasmaBallHoming
{ Radius 13
  Height 8
  Speed 10 //25
  Damage 8 //5
  Projectile
  SeeSound "weapons/plasmaf"
  DeathSound "weapons/plasmax"
  Decal "PlasmaScorch"
  ExplosionDamage 6
  ExplosionRadius 24 
  +SeekerMissile //added
  +SCREENSEEKER //added
  //+Rockettrail
  DamageType "MarineDamage" //added
  -NOTELEPORT //added
  +TELESTOMP //added
  +RANDOMIZE
  +DEHEXPLOSION
  Obituary "$OB_MPPLASMARIFLE" // "%o was melted by %k's plasma gun."
  RenderStyle Add
  Alpha 0.75 
  BounceCount 3 //added 3.0.1
  +CANBOUNCEWATER //added 3.0.1
  +DOOMBOUNCE //added 3.0.1
  +NOBOUNCESOUND //added 3.0.1
  +NOWALLBOUNCESND //added 3.0.1  
  +THRUGHOST
  States
  {Spawn:
    PLSS AB 6 Bright A_SeekerMissile(30,60,SMF_PRECISE||SMF_LOOK,256,10) //45,90 //SMF_LOOK removed added 3.0.1
    goto Spawn
  Death:
    PLSE ABCDE 4 Bright A_Explode(6,24)
    Stop}}
	
actor MPlasmaBallRipper : PlasmaBall //PlasmaBall replaces PlasmaBall 
{DamageType "MarineDamage"
 Decal "PlasmaScorch"
 -NOTELEPORT
 +TELESTOMP //added
 +RIPPER
 +EXTREMEDEATH
 +THRUGHOST
 Speed 15
 Damage 4
 SeeSound "weapons/PlasmaQ3"
 BounceCount 2
 +CANBOUNCEWATER
 +DOOMBOUNCE
 +NOBOUNCESOUND
 +NOWALLBOUNCESND}