//Quad Shotgun
ACTOR MQuadShotgun : Weapon
{   Weapon.AmmoType "MShell"
	Weapon.AmmoUse 4
	Weapon.AmmoType2 "MShell"
	Weapon.AmmoUse2 1
	Weapon.AmmoGive 40
	Weapon.Kickback 900
	Weapon.SelectionOrder 2
	Inventory.PickupSound "misc/w_pkup"
    Inventory.PickupMessage "\ccYou've got the \cfQuad Shotgun\cc!"
	Obituary "%o was blown away and smeared on wall by %k's Quad shotgun."
	attacksound ""
	Tag "Quad Shotgun"
	Decal "Bulletchip"
	+WEAPON.NOAUTOAIM
	+WEAPON.AMMO_OPTIONAL
	+WEAPON.ALT_AMMO_OPTIONAL
	+INVENTORY.ALWAYSPICKUP
	+THRUGHOST	
	States 
	   {Spawn:
            SSHG X 1
            SSHG X 0 A_SpawnItemEx("MQuadShotgunPickup",56,0,28,6,0,6,0,1)
            stop
		Ready:
			SSHG A 1 A_WeaponReady
			SSHG A 0 A_jumpifinventory("kicking",1,"dokick")
			Loop
		Select:
		    SHTG A 0
		    SHTG A 0
			SHTG A 0 ACS_NamedExecuteAlways("Netsave",0,12)
			SSHG A 0 A_TakeInventory ("QuadSingleShotUsed",4)
			SHTG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
			SHTG A 0 ACS_NamedExecuteAlways("InfAmmo",0,12)
			SHTG A 0 A_TakeInventory ("Cooloff",1)
			SHTG A 0 ACS_ExecuteAlways(585,0,3)											
		 Sel:
			SSHG A 0
			SSHG A 1 A_Raise
			TNT1 AA 0 A_Raise
			Loop
		Deselect:
			SSHG A 0 A_ZoomFactor(1.0)
			SSHG A 0 A_TakeInventory ("QuadSingleShotUsed",4)
			SSHG A 0 A_TakeInventory ("PM_AltfireX", 1)
			SSHG A 0 A_TakeInventory ("PM_AltfireY", 1)
			SSHG A 0 A_TakeInventory ("PM_AltfireZ", 1)
		 Del:
			SSHG A 1 A_Lower
			TNT1 AA 0 A_Lower
			Loop
		Fire:
		    SSHG A 0  
			SSHG A 0 A_jumpifinventory("kicking",1,"dokick")
			SSHG A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHG A 0 A_jumpifinventory("QuadSingleShotUsed",1,"AltFireReload")
			SSHG A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHG A 0 A_jumpifinventory("QuadSingleShotUsed",2,"AltFireReload")
			SSHG A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHG A 0 A_jumpifinventory("QuadSingleShotUsed",3,"AltFireReload")
			SSHG A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHG A 0 A_jumpifinventory("QuadSingleShotUsed",4,"AltFireReload")
			SSHG A 0 A_AlertMonsters
			SSHG A 0 A_PlaySound("Quadshot/Fire",1,0.6)       
			SSHG A 0 A_FireBullets(6, 6, random(65,75), 15, "MQSSG_Puff")
			SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,6,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,7,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,3,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,5,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,7,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,6,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,3,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,5,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,5,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,8,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,3,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,6,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,2,0,random(-1,1))	
			SSHG A 0 A_Recoil (5) 
			SSHG A 0 A_Quake(6,12,0,32,none)			
			SSHF A 1 Bright A_GunFlash			
			SSHF BCDCB 1 Bright //Gun Fire
			SSHG A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHO ABCDEFGHIJK 1 //Start of Gun Open
			SSHO K 0 A_PlaySound("Quadshot/Open",5,0.7)
			SSHO LMNOQRTUWX 1//Finish Gun Open
			SSHL ABCDEF 1 //Start load
			SSHL F 0 A_PlaySound("Quadshot/Load",6,0.6)
			SSHL GHIJV 1 //Finish load
			SSHC ABCDEF 1 //Start Gun Close
			SSHO A 0 A_PlaySound("Quadshot/Close",6,0.7)
			SSHO ABCDEFGH 1
			SSHN GFDCB 1//Finish Gun Close
			SSHG A 12//Gun Ready
			SSHG A 0 A_ReFire
			Goto Ready							
		Altfire:
		    SSHG A 0
			SSHG A 0 A_jumpifinventory("kicking",1,"dokick")
			SSHG A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHG A 0 A_jumpifinventory("QuadSingleShotUsed",4,"AltFireReload")
			SSHG A 0 A_AlertMonsters
			SSHG A 0 A_PlaySound("Quadshot/Fire",1,0.6)
			SSHG A 0 A_FireBullets(2, 2, random(30,50), 10, "MQSSG_Puff")
			SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,6,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,7,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,3,0,random(-1,1))
	        SSHG A 0 A_FireCustomMissile("AssShotTracer", random(-2,2),0,6,5,0,random(-1,1))
			SSHG A 0 A_GiveInventory("QuadSingleShotUsed",1)
			SSHG A 0 A_Recoil (1)
			SSHG A 0 A_Quake(2,16,0,32,none)
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,5,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,7,0,random(-1,1))
			SSHG A 0 A_FireCustomMissile("MQSSG_Ricochet", random(-2,2),0,4,3,0,random(-1,1))
			SSHF A 1 Bright A_GunFlash
			SSHF BCB 1 Bright
			SSHG A 4 
			SSHG A 0 A_jumpifinventory("QuadSingleShotUsed",4,"AltFireReload")
			SSHG A 0 A_Refire
			Goto Ready
		AltFireReload:	 
		    SSHO A 0 A_JumpIfNoAmmo("OuttaAmmo")
			SSHO ABCDEFGHIJK 1//Gun Start Open
			SSHO K 0 A_PlaySound("Quadshot/Open",5,0.7)
			SSHO LMNOQRTUWX 1//Gun Finish Open
			SSHL ABCDEF 1 //Start load
			SSHL F 0 A_PlaySound("Quadshot/Load",6,0.6)
			SSHL GHIJV 1 //Finish load
			SSHC ABCDEF 1 //Start Gun Close
			SSHO A 0 A_PlaySound("Quadshot/Close",6,0.7)
			SSHO ABCDEFGH 1
			SSHN GFDCB 1//Finish Gun Close
			SSHG A 0 A_TakeInventory("QuadSingleShotUsed",4)
			Goto Ready
		OuttaAmmo:
		    SSHG A 0 A_TakeInventory ("QuadSingleShotUsed",4)
		    SSHG A 0 A_jumpifinventory("kicking",1,"dokick")
	        SSHG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	        Goto Ready
		Flash:
			GFSE A 1 Bright A_Light2
			GFSE B 1 Bright A_light1
			Goto LightDone
		AltFlash:
			GFSF AB 1 Bright A_Light2
			Goto LightDone	
		DoKick:
	        TNT1 A 0
	        TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	        TNT1 A 0 A_PlaySound("KICK")
	        TNT1 A 0 SetPlayerProperty(0,1,0)
	        KICK BCD 1
	        TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	        KICK H 4
	        TNT1 A 0 A_Takeinventory("Kicking",1)
	        KICK IGFEDCBA 1 
	        TNT1 A 0 SetPlayerProperty(0,0,0)
	        Goto Ready
        BerserkerKick:
	        TNT1 A 0 A_PlaySound("KICK")
	        TNT1 A 0 SetPlayerProperty(0,1,0)
	        KICK ABCDEFG 1
	        TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	        KICK H 3
            TNT1 A 0 A_Takeinventory("Kicking",1)
	        KICK IGFEDCBA 1 
	        TNT1 A 0 SetPlayerProperty(0,0,0)
	        Goto Ready}}

ACTOR PriMQuadShotgun : MQuadShotgun
{Weapon.SelectionOrder 1}

Actor MQuadshotgunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfQuad Shotgun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	SSHG X 5040
    SSHG XXXXXXXXXXXXXXXXXX 70 A_FadeOut(0.05)
	Stop
 Pickup:
    SSHG X 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",12)>0),"GiveQuadShot")
	SSHG X 0 A_GiveInventory("MShell",40)
	Fail	
	SSHG X 6 
	Goto Spawn
 GiveQuadShot:
	SSHG X 1 A_GiveInventory("MQuadShotgun", 1)
	stop}}	

Actor MQSSG_Ricochet: FastProjectile
{   damagetype Cutless
	Projectile
	+RANDOMIZE
	+FORCEXYBILLBOARD
	+DONTSPLASH 
    +NOEXTREMEDEATH
	+CLIENTSIDEONLY
	+THRUGHOST
	-DONTSPLASH
	damage 0
	radius 2
	height 2
	speed 140
	renderstyle ADD
	alpha 0.9
	scale .15
states
{Spawn:
	TNT1 A 1 BRIGHT
	Loop
Death:
	TNT1 A 0 A_PlaySound("ricochet/hit")
    Stop
XDeath:
	TNT1 A 0 A_PlaySound("ricochet/hit")
	Stop
}}

//QSSG visual ricochet on walls
ACTOR MQSSG_Puff
{ DamageType "MarineDamage" 
  RenderStyle ADD //Translucent
  Alpha 1.5
  VSpeed 1
  Mass 7 //5
  +NOBLOCKMAP
  +NOGRAVITY
  +ALLOWPARTICLES
  +RANDOMIZE
  +CLIENTSIDEONLY
  +THRUGHOST
  States
  {Spawn:
    SX58 ABCDEFGHJ 1
    Stop}}