// Rocket Launcher
actor MRocketLauncher : Weapon
{ Weapon.Selectionorder 2
  Weapon.AmmoType "MRocketAmmo"
  Weapon.AmmoType2 "MRocketAmmo"
  Weapon.Kickback 150 //added
  Weapon.AmmoUse 1
  Weapon.AmmoUse2 1
  Weapon.AmmoGive 10
  Tag "Rocket Launcher" 
  Inventory.PickupSound "misc/w_pkup"
  Inventory.PickupMessage "\ccYou've got the \cfRocket Launcher\cc!"
  +WEAPON.NOAUTOAIM
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL
  +INVENTORY.ALWAYSPICKUP
  +THRUGHOST
  States
 {Ready:
    RLNG A 1 A_WeaponReady
    RLNG A 0 A_jumpifinventory("kicking",1,"dokick")
    Loop
  Select:
    RLNG A 0
    RLNG A 0
    RLNG A 0 ACS_NamedExecuteAlways("Netsave",0,10)
	RLNG A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	RLNG A 0 ACS_NamedExecuteAlways("InfAmmo",0,10)
	RLNG A 0 A_TakeInventory ("CoolOff",1)
	RLNG A 0 ACS_ExecuteAlways(585,0,12)				
  Sel:
    RLNG A 0 
    RLNG A 1 A_Raise
	TNT1 AA 0 A_Raise
    LOOP
  Deselect:
    RLNG A 0 A_TakeInventory ("PM_AltfireX", 1)
	RLNG A 0 A_TakeInventory ("PM_AltfireY", 1)
	RLNG A 0 A_TakeInventory ("PM_AltfireZ", 1)
  Del:
    RLNG A 1 A_Lower
	TNT1 AA 0 A_Lower
    Loop
  Fire:
    RLUF A 0 A_jumpifinventory("kicking",1,"dokick")
    RLUF A 0 A_JumpIfNoAmmo("OuttaAmmo")
    RLUF A 0 A_JumpIfInventory ("PM_AltFireX",1,"AltFireX")	
	RLUF A 0 A_JumpIfInventory ("PM_AltFireY",1,"AltFireY")
	RLUF A 0 A_JumpIfInventory ("PM_AltFireZ",1,"AltFireZ")
    RLUF AB 2 A_GunFlash
    RLUF C 2 bright A_FireCustomMissile ("MMarineRocket")
	RLUF D 2 bright
	RLNG BCDE 5  
    RLNG A 0 A_ReFire
	Goto Ready
  AltFire:
    RLUF A 0 A_jumpifinventory("kicking",1,"dokick")
    RLUF A 0 A_JumpIfNoAmmo("OuttaAmmo")
    RLUF AB 3 A_GunFlash
	RLUF C 2 
    RLUF B 0 A_PlaySoundEx ("weapons/mgren","weapon")
    RLUF D 2 A_FireCustomMissile ("MGrenade",0,1,0,0,0,9) //12
	RLNG BCDE 2 	
    RLNG A 0 A_ReFire
    Goto Ready	
  AltFireX:
    RLUF A 0 A_jumpifinventory("kicking",1,"dokick")
    RLUF A 0 A_JumpIfNoAmmo("OuttaAmmo")
	RLUF A 8 A_GunFlash
    RLUF B 3 bright A_FireCustomMissile ("MMarineFastRocketX",random(-3,3),1,random(-3,3),random(-3,3),0,0)
	RLUF B 2 
	RLUF C 3 bright A_FireCustomMissile ("MMarineFastRocketX",random(-3,3),1,random(-3,3),random(-3,3),0,0)
	RLUF C 2 
	RLUF D 3 bright A_FireCustomMissile ("MMarineFastRocketX",random(-3,3),1,random(-3,3),random(-3,3),0,0)
	RLNG BCDE 5  //7
    RLNG A 0 A_ReFire
    Goto Ready	
  AltFireY:
    RLUF A 0 A_jumpifinventory("kicking",1,"dokick")
    RLUF A 0 A_JumpIfNoAmmo("OuttaAmmo")
	RLUF AB 2 A_GunFlash
	RLUF C 2 
    RLUF D 2 bright A_FireCustomMissile ("MMarineHomingRocketY")
	RLUF D 2 bright
	RLNG BCDE 6 
    RLNG A 0 A_ReFire
    Goto Ready
  AltFireZ:
    RLUF A 0 A_jumpifinventory("kicking",1,"dokick")
    RLUF A 0 A_JumpIfNoAmmo("OuttaAmmo")
	RLUF AB 2 A_GunFlash
	RLUF C 2 
    RLUF D 2 bright A_FireCustomMissile ("MMarineBlastRocketZ")
	RLUF D 2 bright
	RLNG BCDE 16 
    RLNG A 0 A_ReFire
    Goto Ready
  OuttaAmmo:
    RLUF A 0 A_jumpifinventory("kicking",1,"dokick")
	RLNG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	Goto Ready
  DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
 BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
  Flash:
    TNT1 A 2 Bright A_Light1
    TNT1 B 2 Bright
    TNT1 CD 4 Bright A_Light2
    TNT1 A 0 A_Light0
    Stop
  AltFlash:
    TNT1 A 3 Bright A_Light1
    TNT1 B 4 Bright
    TNT1 CD 4 Bright A_Light2
    TNT1 A 0 A_Light0
    Stop
  Spawn:
	RLAU A 1
    RLAU A 0 A_SpawnItemEx("MRocketLauncherPickup",56,0,28,6,0,6,0,1)
	Stop}}

actor PriMRocketLauncher : MRocketLauncher
{Weapon.Selectionorder 1}

Actor MRocketLauncherPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfRocket Launcher\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	RLAU A 5040
    RLAU AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    RLAU A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",10)>0),"GiveRocketLauncher")
	RLAU A 0 A_GiveInventory("MRocketAmmo",10)
	Fail
	RLAU A 6 
	Goto Spawn
 GiveRocketLauncher:
	RLAU A 1 A_GiveInventory("MRocketLauncher", 1)
	Stop}}	

Actor MRocketLauncherSpawner : RandomSpawner replaces RocketLauncher
{Dropitem "MRocketLauncherDrop"}

Actor MRocketLauncherDrop : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfRocket Launcher\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	RLAU A -1
	Stop
 Pickup:
    RLAU A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",10)>0),"GiveRocketLauncher")
	RLAU A 0 A_GiveInventory("MRocketAmmo",10)
	Fail	
	RLAU A 6 
	Goto Spawn
 GiveRocketLauncher:
	RLAU A 1 A_GiveInventory("MRocketLauncher", 1)
    Stop}}	
	
ACTOR MMarineFastRocketX
{  Radius 8
   Height 11
   Speed 85 //18
   Damage 15
   PROJECTILE
   DeathSound "weapons/hrlexp"
   ExplosionDamage 64 //96 //56
   ExplosionRadius 192
   Damagetype "MarineRLDamage"   
   SeeSound "weapons/hrlfir"
   Decal Scorch
   +Rockettrail
   +RANDOMIZE
   +DEHEXPLOSION
   +THRUGHOST
   -NOTELEPORT //added
   +TELESTOMP //added  
   States
   {Spawn:
      HMIS A 4 Bright A_SeekerMissile(0,0,0,0)
      HMIS A 4 Bright
      goto Spawn
   Death:
      MISL B 8 bright A_Explode(64,192,0)
      MISL C 6 bright
      MISL D 4 bright
      stop}}

ACTOR MMarineHomingRocketY
{  Radius 8
   Height 11
   Speed 12 //18
   Damage 15
   PROJECTILE
   DeathSound "weapons/hrlexp"
   ExplosionDamage 160
   ExplosionRadius 160
   Damagetype "MarineRLDamage"   
   SeeSound "weapons/hrlfir"
   Decal Scorch   
   BounceCount 3
   +SeekerMissile
   +SCREENSEEKER
   +Rockettrail
   +RANDOMIZE
   +DEHEXPLOSION
   +THRUGHOST
   +CANBOUNCEWATER
   +DOOMBOUNCE
   +NOBOUNCESOUND
   +NOWALLBOUNCESND
   -NOTELEPORT
   +TELESTOMP   
   States
   {Spawn:
      HMIS A 4 Bright A_SeekerMissile(30,60,SMF_PRECISE||SMF_LOOK,256,10) //45,90 //SMF_LOOK removed // range 10-20 3.0.1
      HMIS A 4 Bright
      goto Spawn
   Death:
      MISL B 8 bright A_Explode(160,160,0)
      MISL C 6 bright
      MISL D 4 bright
      stop}}

actor FlameLoop : Inventory           
{Inventory.Amount 0
Inventory.MaxAmount 20}	 

ACTOR MMarineBlastRocketZ
{  Radius 8
   Height 11
   Speed 15 //18
   Damage 30
   PROJECTILE
   DeathSound "weapons/hrlexp"
   ExplosionDamage 50
   ExplosionRadius 50  
   Damagetype "MarineRLDamage"   
   SeeSound "weapons/hrlfir"
   Decal Scorch
   +ROCKETTRAIL
   +RANDOMIZE
   +DEHEXPLOSION
   -NOTELEPORT 
   +TELESTOMP
   +THRUGHOST
   States
   {
   Spawn:
      HMIS A 4 Bright A_SeekerMissile(30,60) //45,90 //SMF_LOOK removed // range 10-20 3.0.1
      HMIS A 3 Bright
      goto Spawn
   Death:
      TNT1 A 1 A_SpawnItemEx("BFGGravityWaveShieldIluminate",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
	  TNT1 A 1 bright A_Explode(50,50,0)
	  TNT1 A 1 A_SpawnItemEx ("MMarineBlastRocketZCracker",0,0,0,0,0,0,0,SXF_TRANSFERPOINTERS,0)
	Deathloop:
	  TNT1 A 0 A_JumpIfInventory("FlameLoop",20,"StopFlame")
      TNT1 A 1 A_SpawnItemEx ("MMarineBlastRocketZCracker",Random(0,96),0,0,0,0,0,Random(0, 360.0),SXF_TRANSFERPOINTERS,0)
	  TNT1 A 0 A_GiveInventory("FlameLoop",1)
	  Goto Deathloop
	StopFlame:
	  TNT1 A 0 A_TakeInventory("FlameLoop")
      stop}}
	    
actor MMarineBlastRocketZCracker
{ radius 4
  height 1
  speed 0
  damage 1
  alpha 0.5
  DamageType "MarineRLDamage"
  renderstyle Translucent
  PROJECTILE
  +NOBLOCKMAP
  +NOGRAVITY
  +FLOORCLIP 
  -BLOODLESSIMPACT
  +THRUGHOST
  +RIPPER
  states
  {Spawn:
    TNT1 A 1 A_Fire 
	GoTo Death
  Death:
    FIRE A 1 bright A_StartFire
    FIRE BAB 1 bright A_Fire
    FIRE C 1 bright A_FireCrackle
    FIRE BCBCDCDCDEDED 1 bright A_Fire  
	FIRE A 1 bright A_StartFire
    FIRE BAB 1 bright A_Fire
    FIRE C 1 bright A_FireCrackle
    FIRE BCBCDCDCDEDED 1 bright A_Fire
	FIRE A 1 bright A_StartFire
    FIRE BAB 1 bright A_Fire
    FIRE C 1 bright A_FireCrackle
    FIRE BCBCDCDCDEDED 1 bright A_Fire                       
	FIRE A 1 bright A_StartFire
    FIRE BAB 1 bright A_Fire
    FIRE C 1 bright A_FireCrackle
    FIRE BCBCDCDCDEDED 1 bright A_Fire
    FIRE E 1 bright A_FireCrackle
    FIRE FEFEFGHGHGH 1 bright A_Fire
    stop}}

actor MMarineRocket : Rocket
{DamageType "MarineRLDamage"
 -NOTELEPORT //added
 +THRUGHOST
 +TELESTOMP}

ACTOR MGrenade : Grenade
{   Radius 8
	Height 8
	Speed 25
	Damage 20
	Projectile
	BounceCount 9
	Scale 1.5
	//+GRENADETRAIL
	+EXPLODEONDEATH
	SeeSound "weapons/mgrenbounce"
	DeathSound "weapon/grenadeexplode"
	Obituary "$OB_GRENADE"
	DamageType "MarineRLDamage"
	-NOGRAVITY
	-NOTELEPORT
	+TELESTOMP
	+CANBOUNCEWATER
	+DOOMBOUNCE
	+DEHEXPLOSION
	+ROCKETTRAIL
	+THRUGHOST	
	States
	{Spawn:
		GRN2 ABCDEFGHIJK 3  
		loop
	Death:
		MISL B 8 bright A_Explode
		MISL C 6 bright
		MISL D 4 bright
		stop}}	