// SuperShotGun
actor MSuperShotgun : Weapon
{ Weapon.AmmoType "MShell"
  Weapon.AmmoUse 1
  Weapon.AmmoUse2 0
  Weapon.AmmoGive 16
  Weapon.Kickback 700
  Weapon.SelectionOrder 2
  Inventory.PickupSound "misc/w_pkup"
  Inventory.PickupMessage "\ccYou've got the \cfSuper Shotgun\cc!"
  attacksound ""
  Tag "Super Shotgun"
  +WEAPON.NOAUTOAIM
  +WEAPON.AMMO_OPTIONAL
  +WEAPON.ALT_AMMO_OPTIONAL  
  +INVENTORY.ALWAYSPICKUP
  -NOEXTREMEDEATH
  +THRUGHOST
  States
  {Spawn:
	SGN2 A 1
    SGN2 A 0 A_SpawnItemEx("MSuperShotgunPickup",56,0,28,6,0,6,0,1) 
    stop
  Select:
    SSG3 A 0
    SSG3 A 0
    SSG3 A 0 ACS_NamedExecuteAlways("Netsave",0,7)
	SSG3 A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)
	SSG3 A 0 ACS_NamedExecuteAlways("InfAmmo",0,7)
	SSG3 A 0 A_TakeInventory ("Cooloff",1)
	SSG3 A 0 ACS_ExecuteAlways(585,0,3)	
 Sel:
    SSG3 A 0
    SSG3 A 1 A_Raise
	TNT1 AA 0 A_Raise
    Loop
  Deselect:
	SSG3 A 0 A_TakeInventory ("PM_AltfireX", 1)
	SSG3 A 0 A_TakeInventory ("PM_AltfireY", 1)
	SSG3 A 0 A_TakeInventory ("PM_AltfireZ", 1)
   Del:
    SSG3 A 1 A_Lower
	TNT1 AA 0 A_Lower
    Loop
  Ready:
    SSG3 A 1 A_WeaponReady
    SSG3 A 0 A_jumpifinventory("kicking",1,"dokick")
    Loop
  Fire:
    SSG3 A 0 A_jumpifinventory("kicking",1,"dokick")
    SSG3 A 0 A_JumpIfNoAmmo("OuttaAmmo")
    SSG3 A 0 A_JumpIfInventory ("PM_AltFireX",1,"AltFireX")
	SSG3 A 0 A_FireBullets (5, 5, 32, 6, "MBulletPuff")
	SSG3 A 0 A_FireBullets (5.6, 1.8, 8, 5, "MBulletPuff")
	SSG3 AAAAAAAAAAAA 0 A_FireCustomMissile("AssShotTracer", random(-3,3),0,7,-1,0,random(-3,3))	
    SSG3 A 0 A_GunFlash
    SSG3 A 0 A_PlaySound ("weapons/SSGDSHOT", CHAN_WEAPON)
	SSG3 K 7 Bright
	SSG3 L 1 A_SetPitch(-3.0 + pitch)
	SSG3 L 3 
	SSG3 A 1 A_SetPitch(+3.0 + pitch)
	SSG3 A 8
	SSG3 A 0 A_ReFire
	SSG3 A 0 A_JumpIfNoAmmo("OuttaAmmo")
	SSG3 B 4
    SSG3 C 4 A_PlaySound ("weapons/SSGDOPEN", CHAN_BODY)
    SSG3 D 16
    SSG3 EFG 2
    SSG3 H 4 A_PlaySound ("weapons/SSGDLOAD", CHAN_BODY)
    SSG3 D 5
    SSG3 I 4 A_PlaySound ("weapons/SSGDSHUT", CHAN_BODY)
    SSG3 A 5
    Goto Ready
  AltFire:
	TNT1 A 0 A_jumpifinventory("kicking",1,"dokick")
    MPNG P 4 A_Gunflash
    TNT1 A 0 A_JumpIfInventory("PowerStrength",1,8)
	MPNG B 0 A_Playsound("skeleton/swing",CHAN_WEAPON)
    MPNG CD 2     
    MPNG E 2 A_CustomPunch (4,0,0,"MFistPuff",60)
    MPNG FG 6
    MPNG Q 4 A_ReFire
    Goto Ready
	TNT1 A 0 A_jumpifinventory("kicking",1,"dokick")
	MPNG B 0 A_Playsound("skeleton/swing",CHAN_WEAPON)
    MPNG CD 2    
    MPNG E 2 A_CustomPunch (27,0,0,"MFistPuff",60)
    MPNG FG 6
    MPNG Q 4 A_ReFire
    Goto Ready
  AltFireX:
    SSG3 A 0 A_jumpifinventory("kicking",1,"dokick")
    SSG3 A 0 A_JumpIfNoAmmo("OuttaAmmo")
	SSG3 A 0 A_FireBullets (3.5, 3.5, 16, 6, "MBulletPuff")
	SSG3 AAAAA 0 A_FireCustomMissile("AssShotTracer", random(-1,1),0,5,-1,0,random(-1,1))
    SSG3 A 0 A_GunFlash
	SSG3 Q 0 A_PlaySound ("weapons/SSGDSHOM", CHAN_WEAPON)
    SSG3 Q 7 Bright
	SSG3 L 1 A_SetPitch(-1.0 + pitch)
	SSG3 L 3 
	SSG3 A 1 A_SetPitch(+1.0 + pitch)
	SSG3 A 0 A_JumpIfNoAmmo("OuttaAmmo")
    SSG3 A 6
	SSG3 A 0 A_FireBullets (3.5, 3.5, 16, 6, "MBulletPuff")
	SSG3 AAAAA 0 A_FireCustomMissile("AssShotTracer", random(-1,1),0,9,2,0,random(-1,1))
    SSG3 A 0 A_GunFlash
    SSG3 R 0 A_PlaySound ("weapons/SSGDSHOM", CHAN_WEAPON)
    SSG3 R 7 Bright
	SSG3 L 1 A_SetPitch(-1.0 + pitch)
	SSG3 L 3 
	SSG3 A 1 A_SetPitch(+1.0 + pitch)
	SSG3 A 6
    SSG3 A 0 A_ReFire
	SSG3 A 0 A_JumpIfNoAmmo("OuttaAmmo")
	SSG3 B 4
    SSG3 C 4 A_PlaySound ("weapons/SSGDOPEN", CHAN_BODY)
    SSG3 D 16
    SSG3 EFG 2
    SSG3 H 4 A_PlaySound ("weapons/SSGDLOAD", CHAN_BODY)
    SSG3 D 5
    SSG3 I 4 A_PlaySound ("weapons/SSGDSHUT", CHAN_BODY)
    SSG3 A 5
    Goto Ready	
  Flash:
    TNT1 I 4 Bright A_Light1
    TNT1 J 3 Bright A_Light2
    TNT1 I 0 A_Light0
    Stop
  AltFlash:
    SSG3 M 2
    SSG3 N 2
    SSG3 O 2
    SSG3 P 10
    SSG3 O 2
    SSG3 N 2
    SSG3 M 6
    Stop
  OuttaAmmo:
    SSG3 A 0 A_jumpifinventory("kicking",1,"dokick")
	SSG3 A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	Goto Ready
  DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
  BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready}}
	
actor PriMSuperShotgun : MSuperShotgun
{ Weapon.SelectionOrder 1}

Actor MSuperShotgunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfSuper Shotgun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	SGN2 A 5040
    SGN2 AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    SGN2 A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",7)>0),"GiveSuperShotgun")
	SGN2 A 0 A_GiveInventory("MShell",16)
	Fail
	SGN2 A 6 
	Goto Spawn
 GiveSuperShotgun:
	SGN2 A 0 A_GiveInventory("MSuperShotgun", 1)
	SGN2 A 1 ACS_NamedExecuteAlways("CheckForSingle",0)
	Stop}}	

Actor MSupershotgunSpawner : RandomSpawner replaces SuperShotgun
{Dropitem "MSuperShotGunDrop"}

Actor MSuperShotgunDrop : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou've got the \cfSuper Shotgun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	SGN2 A -1
	Stop
 Pickup:
    SGN2 A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",7)>0),"GiveSuperShotgun")
	SGN2 A 0 A_GiveInventory("MShell",16)
	Fail	
	SGN2 A 6 
	Goto Spawn
 GiveSuperShotgun:
	SGN2 A 0 A_GiveInventory("MSuperShotgun", 1)
	SGN2 A 1 ACS_NamedExecuteAlways("CheckForSingle",0)
	Stop}}			