//LightMachineGun 
ACTOR LightMachinegun : Weapon
{   Weapon.Kickback 5
	Weapon.AmmoType "MClip" 
	Weapon.AmmoType2 "MClip" 	
	Weapon.AmmoUse 1
	Weapon.AmmoUse2 5
	Weapon.AmmoGive 100
	Inventory.PickupSound "misc/w_pkup" 
	Inventory.PickupMessage "\ccPicked up a \cfLight Machinegun\cc!"
	Obituary "%o was Lit up by %k's Machinegun."
	AttackSound "weapons/Machinegun"
	weapon.selectionorder 2
    DamageType "MarineDamage"
	Tag "Light Machinegun"
 	Decal BulletChip
    +WEAPON.NOAUTOAIM
	+WEAPON.AMMO_OPTIONAL
	+WEAPON.ALT_AMMO_OPTIONAL
	+INVENTORY.ALWAYSPICKUP
	+THRUGHOST
	States 
	{Ready: 
		MCGN A 1 A_WeaponReady 
        MCGN A 0 A_jumpifinventory("kicking",1,"dokick")
		Loop 
	Deselect: 
        MCGN A 0 A_TakeInventory ("PM_AltfireX", 1)
		MCGN A 0 A_TakeInventory ("PM_AltfireY", 1)
		MCGN A 0 A_TakeInventory ("PM_AltfireZ", 1)
    Del:
		MCGN A 1 A_Lower 
        TNT1 AA 0 A_Lower
		Loop 
    Select:
	    MCGN A 0
	    MCGN A 0
        MCGN A 0 ACS_NamedExecuteAlways("NetSave",0,19)
		MCGN A 0 A_JumpifInventory("AmmoPickupsEnabled",1,3)		
		MCGN A 0 ACS_NamedExecuteAlways("InfAmmo",0,19)
	    MCGN A 0 A_TakeInventory ("Cooloff",1)
		MCGN A 0 ACS_ExecuteAlways(585,0,8)
    Sel:
		MCGN A 0 
		MCGN A 1 A_Raise 
        TNT1 AA 0 A_Raise
		Loop 
	Fire: 
	    MCGN A 0 A_jumpifinventory("kicking",1,"dokick")
	    MCGN A 0 A_JumpIfNoAmmo("OuttaAmmo")
		MCGN A 1 A_GunFlash
		MCGN B 1 A_FireBullets(3, 4, 1, 21, "MBulletPuff", 1)
		MCGN B 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,0,-1,0,random(-2,2))
		MCGN C 1 
        MCGN A 0 A_Refire
		MCGN AAAAAA 1 A_FireCustomMissile("SmallGunSmokeSpawner",0,0,0,0)
		goto Ready 		
	AltFire:
	    MCGN A 0 A_jumpifinventory("kicking",1,"dokick")
	    MCGN A 0 A_JumpIfNoAmmo("OuttaAmmo")
		MCGN A 0 A_PlaySoundEx ("weapons/mgren","weapon")
		MCGN E 1 A_FireCustomMissile ("MGrenade",0,1,0,0,0,9) //12
		MCGN A 1 A_SetPitch(-8.0 + pitch)
		MCGN A 3
		MCGN A 1 A_SetPitch(+8.0 + pitch)
		MCGN A 8
		MCGN D 8 A_PlaySound("weapons/Ashotgun/cock/back")
		MCGN C 4
		MCGN D 4 A_PlaySound("weapons/Ashotgun/cock/forward")
		MCGN A 14
		MCGN A 0 A_Refire
		Goto Ready
	OuttaAmmo:
	    MCGN A 0 A_jumpifinventory("kicking",1,"dokick")
	    MCGN A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	    Goto Ready
    DoKick:
	    TNT1 A 0
	    TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	    TNT1 A 0 A_PlaySound("KICK")
	    TNT1 A 0 SetPlayerProperty(0,1,0)
	    KICK BCD 1
	    TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	    KICK H 4
	    TNT1 A 0 A_Takeinventory("Kicking",1)
	    KICK IGFEDCBA 1 
	    TNT1 A 0 SetPlayerProperty(0,0,0)
	    Goto Ready
    BerserkerKick:
	    TNT1 A 0 A_PlaySound("KICK")
	    TNT1 A 0 SetPlayerProperty(0,1,0)
	    KICK ABCDEFG 1
	    TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	    KICK H 3
        TNT1 A 0 A_Takeinventory("Kicking",1)
	    KICK IGFEDCBA 1 
	    TNT1 A 0 SetPlayerProperty(0,0,0)
	    Goto Ready
    Flash:
		MCGN A 1 Bright
		MCGN B 1 Bright A_Light1
        Goto LightDone
	Spawn:
        MCGN W 1
        MCGN W 0 A_SpawnItemEx("MLightMachineGunPickup",56,0,28,6,0,6,0,1)
	    Stop}} 

ACTOR PriLightMachinegun : LightMachinegun
{   weapon.selectionorder 1}
		
Actor MLightMachinegunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccPicked up a \cfLight Machinegun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
    MCGN W 5040
    MCGN WWWWWWWWWWWWWWWWWW 70 A_FadeOut(0.05)
	Stop
 Pickup:
    MCGN W 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",19)>0),"GiveLightMachinegun")
	MCGN W 0 A_GiveInventory("MClip",100)
	Fail	
	MCGN W 6 
	Goto Spawn
 GiveLightMachinegun:
    MCGN W 1 A_JumpIf((ACS_NamedExecuteWithResult("CheckForHeavy")>0),"ReallyGiveLightMachinegun")
	Fail
	MCGN W 6 
	Goto Spawn
 ReallyGiveLightMachinegun:	
	MCGN W 1 A_GiveInventory("LightMachinegun", 1)
	stop}}	
	
ACTOR SmallSmokeCloud
{+NOGRAVITY
+NOBLOCKMAP
+FLOORCLIP
+FORCEXYBILLBOARD
+NOINTERACTION
+FORCEXYBILLBOARD
+MISSILE
Speed 2
RenderStyle Add
Alpha 0.2
+CLIENTSIDEONLY
Radius		0
Height		0
Scale		0.1
States
 {Spawn:
         TNT1 A 1
         SMUK AABBCCDDEEFFGGHHIIJJKK 1 A_FadeOut(0.001)
        Stop}}

Actor SmallGunSmokeSpawner
{Speed 20
    +NOCLIP
    States
    {Spawn:
      TNT1 A 1
      TNT1 A 0 A_CustomMissile ("SmallSmokeCloud", 0, 0, 0, 2, random (0, 180))
        Stop}}				