//SawThrower
ACTOR SawThrower : Weapon
{  Weapon.SelectionOrder 2
   Inventory.PickupSound "misc/w_pkup"
   Inventory.PickupMessage "\ccYou got the \cfSaw Thrower\cc!"
   Obituary "%o was gutted by %k's saw."
   AttackSound "weapons/throwsawcut"
   Tag "SawThrower"
   Weapon.AmmoType "Saws"
   Weapon.AmmoType2 "Saws"  
   Weapon.AmmoUse 1
   Weapon.AmmoUse2 1
   Weapon.AmmoGive 30
   Scale 0.9
   +WEAPON.NOAUTOAIM
   +WEAPON.AMMO_OPTIONAL
   +WEAPON.ALT_AMMO_OPTIONAL
   +INVENTORY.ALWAYSPICKUP
   +THRUGHOST
   States
   {Spawn:
       THRS A 1
       THRS A 0 A_SpawnItemEx("MSawThrowerPickup",56,0,28,6,0,6,0,1)
       stop
   Ready:      
	  TSWG A 1 A_WeaponReady
	  TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
      Goto Ready
   Deselect:
      TSWG G 0 A_TakeInventory ("PM_AltfireX", 1)
      TSWG G 0 A_TakeInventory ("PM_AltfireY", 1)
      TSWG G 0 A_TakeInventory ("PM_AltfireZ", 1)
   Del:
      TSWG G 0
      TSWG G 1 A_Lower
	  TNT1 G 0 A_Lower
      loop
   Select:
       TSWG G 0
       TSWG G 0
       TSWG G 0 ACS_NamedExecuteAlways("NetSave",0,16)
	   TSWG G 0 A_JumpifInventory("AmmoPickupsEnabled",1,3) 	   
	   TSWG G 0 ACS_NamedExecuteAlways("InfAmmo",0,16)
	   TSWG G 0 A_TakeInventory ("Cooloff",1)
	   TSWG G 0 ACS_ExecuteAlways(585,0,10)
   Sel:
      TSWG G 0 
      TSWG G 1 A_Raise
	  TNT1 G 0 A_Raise
      Loop     
   Fire:
      TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
      TSWG A 0 A_JumpIfNoAmmo("OuttaAmmo")
      TSWG D 0 A_JumpIfInventory ("PM_AltFireX",1,"AltFireX")
      TSWG D 0 A_JumpIfInventory ("PM_AltFireY",1,"AltFireY")
	  TSWG D 0 A_JumpIfInventory ("PM_AltFireZ",1,"AltFireZ")
      TSWG D 0 A_PlayWeaponSound("weapons/throwsawlaunch")
      TSWG D 0 A_Recoil(1.5)
      TSWG D 4 A_FireCustomMissile("SawShot",0,1,0,3)
      TSWG D 5 A_Recoil(-1.5)
      TSWG E 4
      TSWG F 3
      TSWG A 3
      TSWG A 0 A_ReFire
      Goto Ready
   AltFire:
      TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
      TSWG A 8 A_PlayWeaponSound("weapons/throwsawup")
      TSWG B 6
      TSWG C 3
      TSWG BB 1 A_CustomPunch(1,0,0,"MBulletPuff",48,2)
      TSWG C 0 A_ReFire
      Goto AltHold+6
   AltHold:
      TSWG B 0 A_jumpifinventory("kicking",1,"dokick")
      TSWG B 0 A_PlayWeaponSound("weapons/throwsawready")
      TSWG BB 1 A_CustomPunch(1,0,0,"MBulletPuff",48,2)
      TSWG CC 1 A_CustomPunch(1,0,0,"MBulletPuff",48,2)
      TSWG C 0 A_ReFire
      TSWG B 0 A_PlayWeaponSound("weapons/throwsawready")
      TSWG CBC 2
      TSWG BCB 3
      TSWG CB 4
      TSWG C 6
      TSWG A 9
      Goto Ready	  
	AltFireX: 
	  TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
      TSWG A 0 A_JumpIfNoAmmo("OuttaAmmo")
      TSWG D 0 A_PlayWeaponSound("weapons/throwsawlaunch")
      TSWG D 0 A_Recoil(1.5)
	  TSWG D 2
	  TSWG D 0 A_FireCustomMissile("SawShot",9,1,0,3)
      TSWG D 0 A_FireCustomMissile("SawShot",6,1,0,3)
	  TSWG D 0 A_FireCustomMissile("SawShot",0,1,0,3)
	  TSWG D 0 A_FireCustomMissile("SawShot",-6,1,0,3)
	  TSWG D 0 A_FireCustomMissile("SawShot",-9,1,0,3)
      TSWG D 5 A_Recoil(-1.5)
      TSWG E 4
      TSWG F 3
      TSWG A 3
      TSWG A 0 A_ReFire 
      Goto Ready	  
    AltFireY: 
	  TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
      TSWG A 0 A_JumpIfNoAmmo("OuttaAmmo")
      TSWG D 0 A_PlayWeaponSound("weapons/throwsawlaunch")
      TSWG D 0 A_Recoil(1.5)
      TSWG D 1 A_FireCustomMissile("SpeedSawShot",0,1,0,3)
      TSWG D 3 A_Recoil(-1.5)
      TSWG E 3
      TSWG F 2
      TSWG A 2
      TSWG A 0 A_ReFire 
      Goto Ready  
    AltFireZ:
	  TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
      TSWG A 0 A_JumpIfNoAmmo("OuttaAmmo")
      TSWG D 0 A_PlayWeaponSound("weapons/throwsawlaunch")
      TSWG D 0 A_Recoil(1.5)
      TSWG D 4 A_FireCustomMissile("SawHoming",0,1,0,3)
      TSWG D 5 A_Recoil(-1.5)
      TSWG E 4
      TSWG F 3
      TSWG A 3
      TSWG A 0 A_ReFire 
      Goto Ready
   OuttaAmmo:
      TSWG A 0 A_jumpifinventory("kicking",1,"dokick")
	  TSWG A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	  Goto Ready
   DoKick:
	  TNT1 A 0
	  TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK BCD 1
	  TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	  KICK H 4
	  TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready
   BerserkerKick:
	  TNT1 A 0 A_PlaySound("KICK")
	  TNT1 A 0 SetPlayerProperty(0,1,0)
	  KICK ABCDEFG 1
	  TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	  KICK H 3
      TNT1 A 0 A_Takeinventory("Kicking",1)
	  KICK IGFEDCBA 1 
	  TNT1 A 0 SetPlayerProperty(0,0,0)
	  Goto Ready}}

ACTOR PriSawThrower : SawThrower
{  Weapon.SelectionOrder 1}

Actor MSawThrowerPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou got the \cfSawThrower\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
	THRS A 5040
    THRS AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    THRS A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",16)>0),"GiveSawThrower")
	THRS A 0 A_GiveInventory("Saws",30)
	Fail
	THRS A 6 
	Goto Spawn
 GiveSawThrower:
	THRS A 1 A_GiveInventory("SawThrower",1)
	stop}}	

ACTOR SawShot
{  Radius 4
   Height 2 
   Speed 30
   Scale 0.3
   Damage 9
   +NOGRAVITY
   +DROPOFF
   +MISSILE
   +ACTIVATEIMPACT
   +ACTIVATEPCROSS
   +SEEKERMISSILE
   +RIPPER
   +EXTREMEDEATH
   +NOEXPLODEFLOOR
   +THRUGHOST
   ExplosionDamage 16
   ExplosionRadius 8
   DeathSound "weapons/throwsawhit"
   DamageType SawShot
   States
   {Spawn:
      SAWS AABBCCDDEEFFGGHHAABBCCDDEEFFGGHHAABBCCDDEEFFGGHHAABBCCDDEEFFGGHH 2 A_SeekerMissile(90,90)
      SAWS A 0 A_Gravity
      SAWS AABBCCDDEEFFGGHH 2 A_SeekerMissile(90,90)
      Goto Spawn+66	  
	  Crash:
      SAWE A 1 A_ChangeFlag("RIPPER",0)  
   Death:
      SAWE A 1 A_Gravity
      SAWE A 128 A_CustomMissile("SawSmoke",0,0,180,2)
      SAWE B 96
      SAWE C 64
      SAWE DEF 48
      SAWE F 32
      SAWE G 16
      Stop}}

ACTOR SpeedSawShot
{  Radius 4
   Height 2 
   Speed 80
   Scale 0.3
   Damage 5
   +NOGRAVITY
   +DROPOFF
   +MISSILE
   +ACTIVATEIMPACT
   +ACTIVATEPCROSS
   +SEEKERMISSILE
   +RIPPER
   +EXTREMEDEATH
   +NOEXPLODEFLOOR
   +THRUGHOST
   ExplosionDamage 8
   ExplosionRadius 4
   DeathSound "weapons/throwsawhit"
   DamageType SawShot
   States
   {Spawn:
      SAWS AABBCCDDEEFFGGHHAABBCCDDEEFFGGHHAABBCCDDEEFFGGHHAABBCCDDEEFFGGHH 2 A_SeekerMissile(90,90)
      SAWS A 0 A_Gravity
      SAWS AABBCCDDEEFFGGHH 2 A_SeekerMissile(90,90)
      Goto Spawn+66
   Crash:
      SAWE A 1 A_ChangeFlag("RIPPER",0)
   Death:
      SAWE A 1 A_Gravity
      SAWE A 128 A_CustomMissile("SawSmoke",0,0,180,2)
      SAWE B 96
      SAWE C 64
      SAWE DEF 48
      SAWE F 32
      SAWE G 16
      Stop}}

actor SawHoming
{ Radius 4
  Height 2
  Speed 30 //25
  Damage 8 //5
  Scale 0.3
  Projectile
  DeathSound "weapons/throwsawhit"
  BounceSound "weapons/throwsawhit"
  WallBounceSound "weapons/throwsawhit"
  ExplosionDamage 12
  ExplosionRadius 8 
  DamageType SawShot //added
  Obituary "%o was gutted by %k's saw."
  BounceCount 6 
  +SeekerMissile //added
  +SCREENSEEKER //added
  -NOTELEPORT //added
  +TELESTOMP //added
  +RANDOMIZE
  +DEHEXPLOSION
  +EXTREMEDEATH
  +CANBOUNCEWATER //added 3.0.1
  +DOOMBOUNCE //added 3.0.1
  +THRUGHOST
  States
  {Spawn:
    SAWS AABBCCDDEEFFGGHHAABBCCDDEEFFGGHHAABBCCDDEEFFGGHHAABBCCDDEEFFGGHH 2 A_SeekerMissile(30,60,SMF_PRECISE||SMF_LOOK,256,10) //45,90 
    SAWS A 0 A_Gravity
      SAWS AABBCCDDEEFFGGHH 2 A_SeekerMissile(30,60,SMF_PRECISE||SMF_LOOK,256,10)
      Goto Spawn+66
  Crash:
      SAWE A 1 A_ChangeFlag("RIPPER",0)
  Death:
      SAWE ABCDEFG 16 A_Gravity
      Stop}}

ACTOR SawSmoke
{  Height 1
   Radius 1
   Speed 1
   +NOBLOCKMAP
   +NOGRAVITY
   +DROPOFF
   +MISSILE
   +NOTELEPORT
   +THRUGHOST
   +CLIENTSIDEONLY
   RenderStyle Translucent
   Alpha 0.15
   Scale 0.1
   States
   {Spawn:
      CSM2 D 2 Bright
   Death:
      CSM2 EEFFGGHHIIJJKK 1 Bright A_FadeOut(0.01)
      Stop}}