//UberMinigun
ACTOR UberMinigun : Weapon
{   Inventory.PickupMessage "\ccYou got the \cfUberMinigun\cc!"
    Inventory.PickupSound "misc/w_pkup"
    Weapon.SelectionOrder 2
    Weapon.Kickback 90
    Weapon.AmmoType "MClip"
	Weapon.AmmoType2 "MClip"  
    Weapon.AmmoUse 1
	Weapon.AmmoUse2 1
	Weapon.AmmoGive 200
	Tag "Uber Minigun"
	DamageType "MarineDamage"
    Obituary "%k turned %o into swiss cheese using %p Uberminigun"
	Decal BulletChip
    +WEAPON.NOAUTOAIM
	+WEAPON.AMMO_OPTIONAL
	+WEAPON.ALT_AMMO_OPTIONAL
	+INVENTORY.UNDROPPABLE
	+THRUGHOST
    States
    {Spawn:
       MINI A 1
       MINI A 0 A_SpawnItemEx("MUberMinigunPickup",56,0,28,6,0,6,0,1)
	   Stop
    Ready:
	   MING A 0 A_JumpifInventory("UberCool",1,2)
	   MING A 0 A_TakeInventory("Cooloff",1)
       MING A 9 A_WeaponReady
       MING A 0 A_jumpifinventory("kicking",1,"dokick")
       Loop
    Deselect: 
	   MING A 0 A_TakeInventory ("Cooloff",1)
	   MING A 0 A_TakeInventory("shootingU",1)
       MING A 0 A_TakeInventory ("PM_AltfireX", 1)
       MING A 0 A_TakeInventory ("PM_AltfireY", 1)
       MING A 0 A_TakeInventory ("PM_AltfireZ", 1)
	Del:
       MING A 1 A_Lower
	   TNT1 AA 0 A_LOWER
       LOOP
    Select: 
	   MING A 0
	   MING A 0
       MING A 0 ACS_NamedExecuteAlways("NetSave",0,25)
	   MING A 0 A_JumpifInventory("AmmoPickupsEnabled",1,6) 
       MING A 0 A_JumpifInventory("UberGot",1,3)
	   MING A 0 ACS_NamedExecuteAlways("GiveUberAmmo",0)
       MING A 0 A_GiveInVentory("UberGot",1)
       MING A 0 ACS_NamedExecuteAlways("UberAmmos",0,25)     
	   MING A 0 A_TakeInventory ("Cooloff",1)
	   MING A 0 ACS_ExecuteAlways(585,0,9)
    Sel:
       MING A 0
       MING A 1 A_Raise
	   TNT1 AA 0 A_RAISE
       LOOP
    Fire:
	   MING A 0 A_jumpifinventory("kicking",1,"dokick")
	   MING A 0 A_JumpIfNoAmmo("OuttaAmmo")
	   MING A 0 A_JumpIfInventory("UberCool",1,"UberPrimaryDepleted")
       MING A 0 A_PlaySound("weapons/minigunup")
       MING BCDEFGH 2 
       MING CEGABCDEFGHACEGE 1 
    Hold1:
	   MING A 0 A_jumpifinventory("kicking",1,"dokick")
	   MING A 0 A_JumpIfNoAmmo("OuttaAmmo")
	   MING A 0 A_JumpIfInventory ("shootingU",1,2)
	   MING A 0 A_GiveInventory ("shootingU",1)
	   MING A 0 A_JumpIfInventory("UberCool",1,"UberPrimaryDepleted")
	   MING A 0 A_TakeInventory ("Cooloff",1)
       MINF A 0 A_GunFlash
	   MINF A 0 A_PlayweaponSound("weapons/minigun")
	   MINF A 0 A_PlaySound("weapons/minigunhold")
       MINF A 1 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,9,-3,0,random(-2,2))
	   MINF A 0 A_PlayweaponSound("weapons/minigun")
       MINF C 1 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,10,-4,0,random(-2,2))
	   MINF A 0 A_PlayweaponSound("weapons/minigun")
       MINF B 1 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,11,-5,0,random(-2,2))
	   MING A 0 A_JumpifInventory("AmmoPickupsEnabled",1,2) 
	   MINF B 0 A_TakeInventory("UberPrimary_counter",3)
       MING C 0 A_ReFire ("Hold1")
	   MING C 0 A_TakeInventory ("shootingU",1)
       MING A 0 A_PlaySound("weapons/minigundown")
       MING ACEGABCDEFGH 1 A_FireCustomMissile("GunSmokeSpawner",0,0,6,6)
       MING ABCDEFGH 1 A_FireCustomMissile("GunSmokeSpawner",0,0,6,6)
	   MING ABCDEFGH 2 A_FireCustomMissile("GunSmokeSpawner",0,0,6,6)
       Goto Ready	   
	AltFire:
	   MING A 0 A_jumpifinventory("kicking",1,"dokick")
	   MING A 0 A_JumpIfNoAmmo("OuttaAmmo")
	   MING A 0 A_JumpIfInventory("UberCool",1,"UberPrimaryDepleted")
       MING A 0 A_PlaySound("weapons/minigunup")
       MING BCDEFGH 2 
       MING CEGABCDEFGHACEGE 1 
    Hold2:
	   MING A 0 A_jumpifinventory("kicking",1,"dokick")
	   MING A 0 A_JumpIfNoAmmo("OuttaAmmo")
	   MING A 0 A_JumpIfInventory ("shootingU",1,2)
	   MING A 0 A_GiveInventory ("shootingU",1)
	   MING A 0 A_JumpIfInventory("UberCool",1,"UberPrimaryDepleted")
	   MING A 0 A_TakeInventory ("Cooloff",1)
       MINF A 0 A_GunFlash
	   MINF A 0 A_PlayweaponSound("weapons/minigun")
	   MINF A 0 A_PlaySound("weapons/minigunhold")
       MINF A 3 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,9,-3,0,random(-2,2))
	   MINF A 0 A_PlayweaponSound("weapons/minigun")
       MINF C 3 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF C 0 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF C 0 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,10,-4,0,random(-2,2))
	   MINF A 0 A_PlayweaponSound("weapons/minigun")
       MINF B 3 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF B 0 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF B 0 BRIGHT A_FireBullets (5.6,2.5,1,10,"MBulletPuff")
	   MINF A 0 A_FireCustomMissile("VulcanTracer",random(-2,2),0,11,-5,0,random(-2,2))
	   MING A 0 A_JumpifInventory("AmmoPickupsEnabled",1,2) 
	   MINF B 0 A_TakeInventory("UberPrimary_counter",9)
       MING C 0 A_ReFire ("hold2")
	   MING B 0 A_TakeInventory("shootingU",1)
       MING A 0 A_PlaySound("weapons/minigundown")
       MING ACEGABCDEFGH 1 A_FireCustomMissile("GunSmokeSpawner",0,0,6,6)
       MING ABCDEFGH 1 A_FireCustomMissile("GunSmokeSpawner",0,0,6,6)
	   MING ABCDEFGH 2 A_FireCustomMissile("GunSmokeSpawner",0,0,6,6)
       Goto Ready	   
	Flash:
	   TNT1 A 1 Bright A_Light2
	   TNT1 C 1 Bright A_Light1 
	   TNT1 B 1 Bright A_Light0 
       Goto LightDone	   
	AltFlash:
	   TNT1 A 3 Bright A_Light2
	   TNT1 C 3 Bright A_Light1 
	   TNT1 B 3 Bright A_Light0 
       Goto LightDone 
	OuttaAmmo:   
	   MING A 0 A_TakeInventory("shootingU",1)
	   MING A 0 A_jumpifinventory("kicking",1,"dokick")
	   MING A 10 A_PlaySound("UhNoAmmo",CHAN_Weapon)
	   Goto Ready
    UberPrimaryDepleted:
       MING A 0 A_JumpIfInventory("Cooloff",1,2)   
	   MING A 0 ACS_Executealways(408)
       MING A 0 A_GiveInventory("Cooloff",1)
	   MING A 0 A_TakeInventory("shootingU",1)
	   MING A 0 A_jumpifinventory("kicking",1,"dokick")
       MING A 0 A_PlaySound("weapons/minigunup")
       MING BCDEFGH 2 
       MING CEGABCDEFGHACEGE 1 // A_Print("UberMinigun Primary (3000 rounds), Depleted")
	   MING A 0 A_PlaySound("weapons/minigundown")
       MING ACEGABCDEFGH 1
       MING ABCDEFGH 1
	   MING ABCDEFGH 2
       Goto Ready	   
    DoKick:
	   TNT1 A 0
	   TNT1 A 0 A_jumpifinventory("PowerStrength",1,"BerserkerKick")
	   TNT1 A 0 A_PlaySound("KICK")
	   TNT1 A 0 SetPlayerProperty(0,1,0)
	   KICK BCD 1
	   TNT1 A 0 A_FireCustomMissile("KickAttack", 0, 0, 0, -7)
	   KICK H 4
	   TNT1 A 0 A_Takeinventory("Kicking",1)
	   KICK IGFEDCBA 1 
	   TNT1 A 0 SetPlayerProperty(0,0,0)
	   Goto Ready
    BerserkerKick:
	   TNT1 A 0 A_PlaySound("KICK")
	   TNT1 A 0 SetPlayerProperty(0,1,0)
	   KICK ABCDEFG 1
	   TNT1 A 0 A_FireCustomMissile("SuperKickAttack", 0, 0, 0, -7)
	   KICK H 3
       TNT1 A 0 A_Takeinventory("Kicking",1)
	   KICK IGFEDCBA 1 
	   TNT1 A 0 SetPlayerProperty(0,0,0)
	   Goto Ready}}
	
ACTOR PriUberMinigun : UberMinigun
{  Weapon.SelectionOrder 1}	
	
Actor MUberMinigunPickup : CustomInventory
{Inventory.PickupSound "misc/w_pkup"
 Inventory.PickupMessage "\ccYou got the \cfUberMinigun\cc!"
 //Inventory.RespawnTics 120
+INVENTORY.AUTOACTIVATE
+INVENTORY.ALWAYSPICKUP
+FLOAT
+FLOATBOB
states
{Spawn:
    MINI A 5040
    MINI AAAAAAAAAAAAAAAAAA 70 A_FadeOut(0.05)
	Stop
 Pickup:
    MINI A 1 A_JumpIf((ACS_NamedExecuteWithResult("WeaponPickupCheck",25)>0),"GiveUberMinigun")
	MINI A 0 A_GiveInventory("MClip",200)
	Fail	
	MINI A 6 
	Goto Spawn
 GiveUberMinigun:
	MINI A 1 A_GiveInventory("UberMinigun", 1)
	stop}}		